#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 11
#define STATE_COUNT 1132
#define LARGE_STATE_COUNT 178
#define SYMBOL_COUNT 225
#define ALIAS_COUNT 7
#define TOKEN_COUNT 119
#define EXTERNAL_TOKEN_COUNT 2
#define FIELD_COUNT 34
#define MAX_ALIAS_SEQUENCE_LENGTH 7

enum {
  sym_identifier = 1,
  sym_hash_bang_line = 2,
  anon_sym_export = 3,
  anon_sym_STAR = 4,
  anon_sym_default = 5,
  anon_sym_LBRACE = 6,
  anon_sym_COMMA = 7,
  anon_sym_RBRACE = 8,
  anon_sym_as = 9,
  anon_sym_import = 10,
  anon_sym_from = 11,
  anon_sym_var = 12,
  anon_sym_let = 13,
  anon_sym_const = 14,
  anon_sym_if = 15,
  anon_sym_else = 16,
  anon_sym_switch = 17,
  anon_sym_for = 18,
  anon_sym_LPAREN = 19,
  anon_sym_RPAREN = 20,
  anon_sym_await = 21,
  anon_sym_in = 22,
  anon_sym_of = 23,
  anon_sym_while = 24,
  anon_sym_do = 25,
  anon_sym_try = 26,
  anon_sym_with = 27,
  anon_sym_break = 28,
  anon_sym_continue = 29,
  anon_sym_debugger = 30,
  anon_sym_return = 31,
  anon_sym_throw = 32,
  anon_sym_SEMI = 33,
  anon_sym_COLON = 34,
  anon_sym_case = 35,
  anon_sym_catch = 36,
  anon_sym_finally = 37,
  anon_sym_yield = 38,
  anon_sym_EQ = 39,
  anon_sym_LBRACK = 40,
  anon_sym_RBRACK = 41,
  anon_sym_LT = 42,
  anon_sym_GT = 43,
  anon_sym_SLASH = 44,
  sym_jsx_text = 45,
  sym_jsx_identifier = 46,
  anon_sym_DOT = 47,
  anon_sym_class = 48,
  anon_sym_extends = 49,
  anon_sym_async = 50,
  anon_sym_function = 51,
  anon_sym_EQ_GT = 52,
  anon_sym_new = 53,
  anon_sym_PLUS_EQ = 54,
  anon_sym_DASH_EQ = 55,
  anon_sym_STAR_EQ = 56,
  anon_sym_SLASH_EQ = 57,
  anon_sym_PERCENT_EQ = 58,
  anon_sym_CARET_EQ = 59,
  anon_sym_AMP_EQ = 60,
  anon_sym_PIPE_EQ = 61,
  anon_sym_GT_GT_EQ = 62,
  anon_sym_GT_GT_GT_EQ = 63,
  anon_sym_LT_LT_EQ = 64,
  anon_sym_STAR_STAR_EQ = 65,
  anon_sym_DOT_DOT_DOT = 66,
  anon_sym_QMARK = 67,
  anon_sym_AMP_AMP = 68,
  anon_sym_PIPE_PIPE = 69,
  anon_sym_GT_GT = 70,
  anon_sym_GT_GT_GT = 71,
  anon_sym_LT_LT = 72,
  anon_sym_AMP = 73,
  anon_sym_CARET = 74,
  anon_sym_PIPE = 75,
  anon_sym_PLUS = 76,
  anon_sym_DASH = 77,
  anon_sym_PERCENT = 78,
  anon_sym_STAR_STAR = 79,
  anon_sym_LT_EQ = 80,
  anon_sym_EQ_EQ = 81,
  anon_sym_EQ_EQ_EQ = 82,
  anon_sym_BANG_EQ = 83,
  anon_sym_BANG_EQ_EQ = 84,
  anon_sym_GT_EQ = 85,
  anon_sym_instanceof = 86,
  anon_sym_BANG = 87,
  anon_sym_TILDE = 88,
  anon_sym_typeof = 89,
  anon_sym_void = 90,
  anon_sym_delete = 91,
  anon_sym_PLUS_PLUS = 92,
  anon_sym_DASH_DASH = 93,
  anon_sym_DQUOTE = 94,
  aux_sym_string_token1 = 95,
  anon_sym_SQUOTE = 96,
  aux_sym_string_token2 = 97,
  sym_escape_sequence = 98,
  sym_comment = 99,
  anon_sym_BQUOTE = 100,
  anon_sym_DOLLAR_LBRACE = 101,
  anon_sym_SLASH2 = 102,
  sym_regex_pattern = 103,
  sym_regex_flags = 104,
  sym_number = 105,
  anon_sym_target = 106,
  sym_this = 107,
  sym_super = 108,
  sym_true = 109,
  sym_false = 110,
  sym_null = 111,
  sym_undefined = 112,
  anon_sym_AT = 113,
  anon_sym_static = 114,
  anon_sym_get = 115,
  anon_sym_set = 116,
  sym__automatic_semicolon = 117,
  sym__template_chars = 118,
  sym_program = 119,
  sym_export_statement = 120,
  sym_export_clause = 121,
  sym__import_export_specifier = 122,
  sym__declaration = 123,
  sym_import = 124,
  sym_import_statement = 125,
  sym_import_clause = 126,
  sym__from_clause = 127,
  sym_namespace_import = 128,
  sym_named_imports = 129,
  sym_expression_statement = 130,
  sym_variable_declaration = 131,
  sym_lexical_declaration = 132,
  sym_variable_declarator = 133,
  sym_statement_block = 134,
  sym_if_statement = 135,
  sym_switch_statement = 136,
  sym_for_statement = 137,
  sym_for_in_statement = 138,
  sym__for_header = 139,
  sym_while_statement = 140,
  sym_do_statement = 141,
  sym_try_statement = 142,
  sym_with_statement = 143,
  sym_break_statement = 144,
  sym_continue_statement = 145,
  sym_debugger_statement = 146,
  sym_return_statement = 147,
  sym_throw_statement = 148,
  sym_empty_statement = 149,
  sym_labeled_statement = 150,
  sym_switch_body = 151,
  sym_switch_case = 152,
  sym_switch_default = 153,
  sym_catch_clause = 154,
  sym_finally_clause = 155,
  sym_parenthesized_expression = 156,
  sym__expression = 157,
  sym_yield_expression = 158,
  sym_object = 159,
  sym_assignment_pattern = 160,
  sym_array = 161,
  sym_jsx_element = 162,
  sym_jsx_fragment = 163,
  sym_jsx_expression = 164,
  sym_jsx_opening_element = 165,
  sym_nested_identifier = 166,
  sym_jsx_namespace_name = 167,
  sym_jsx_closing_element = 168,
  sym_jsx_self_closing_element = 169,
  sym_jsx_attribute = 170,
  sym_class = 171,
  sym_class_declaration = 172,
  sym_class_heritage = 173,
  sym_function = 174,
  sym_function_declaration = 175,
  sym_generator_function = 176,
  sym_generator_function_declaration = 177,
  sym_arrow_function = 178,
  sym_call_expression = 179,
  sym_new_expression = 180,
  sym_await_expression = 181,
  sym_member_expression = 182,
  sym_subscript_expression = 183,
  sym_assignment_expression = 184,
  sym_augmented_assignment_expression = 185,
  sym__initializer = 186,
  sym_spread_element = 187,
  sym_ternary_expression = 188,
  sym_binary_expression = 189,
  sym_unary_expression = 190,
  sym_update_expression = 191,
  sym_sequence_expression = 192,
  sym_string = 193,
  sym_template_string = 194,
  sym_template_substitution = 195,
  sym_regex = 196,
  sym_meta_property = 197,
  sym_arguments = 198,
  sym_decorator = 199,
  sym_decorator_member_expression = 200,
  sym_decorator_call_expression = 201,
  sym_class_body = 202,
  sym_public_field_definition = 203,
  sym_formal_parameters = 204,
  sym_rest_parameter = 205,
  sym_method_definition = 206,
  sym_pair = 207,
  sym__property_name = 208,
  sym_computed_property_name = 209,
  aux_sym_program_repeat1 = 210,
  aux_sym_export_statement_repeat1 = 211,
  aux_sym_export_clause_repeat1 = 212,
  aux_sym_named_imports_repeat1 = 213,
  aux_sym_variable_declaration_repeat1 = 214,
  aux_sym_switch_body_repeat1 = 215,
  aux_sym_object_repeat1 = 216,
  aux_sym_array_repeat1 = 217,
  aux_sym_jsx_element_repeat1 = 218,
  aux_sym_jsx_opening_element_repeat1 = 219,
  aux_sym_string_repeat1 = 220,
  aux_sym_string_repeat2 = 221,
  aux_sym_template_string_repeat1 = 222,
  aux_sym_class_body_repeat1 = 223,
  aux_sym_formal_parameters_repeat1 = 224,
  alias_sym_array_pattern = 225,
  alias_sym_export_specifier = 226,
  alias_sym_import_specifier = 227,
  alias_sym_object_pattern = 228,
  alias_sym_property_identifier = 229,
  alias_sym_shorthand_property_identifier = 230,
  alias_sym_statement_identifier = 231,
};

static const char *ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [sym_hash_bang_line] = "hash_bang_line",
  [anon_sym_export] = "export",
  [anon_sym_STAR] = "*",
  [anon_sym_default] = "default",
  [anon_sym_LBRACE] = "{",
  [anon_sym_COMMA] = ",",
  [anon_sym_RBRACE] = "}",
  [anon_sym_as] = "as",
  [anon_sym_import] = "import",
  [anon_sym_from] = "from",
  [anon_sym_var] = "var",
  [anon_sym_let] = "let",
  [anon_sym_const] = "const",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_switch] = "switch",
  [anon_sym_for] = "for",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_await] = "await",
  [anon_sym_in] = "in",
  [anon_sym_of] = "of",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_try] = "try",
  [anon_sym_with] = "with",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_debugger] = "debugger",
  [anon_sym_return] = "return",
  [anon_sym_throw] = "throw",
  [anon_sym_SEMI] = ";",
  [anon_sym_COLON] = ":",
  [anon_sym_case] = "case",
  [anon_sym_catch] = "catch",
  [anon_sym_finally] = "finally",
  [anon_sym_yield] = "yield",
  [anon_sym_EQ] = "=",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_SLASH] = "/",
  [sym_jsx_text] = "jsx_text",
  [sym_jsx_identifier] = "identifier",
  [anon_sym_DOT] = ".",
  [anon_sym_class] = "class",
  [anon_sym_extends] = "extends",
  [anon_sym_async] = "async",
  [anon_sym_function] = "function",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_new] = "new",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_GT_GT_GT_EQ] = ">>>=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_QMARK] = "?",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_GT_GT_GT] = ">>>",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_PIPE] = "|",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_PERCENT] = "%",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_instanceof] = "instanceof",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_typeof] = "typeof",
  [anon_sym_void] = "void",
  [anon_sym_delete] = "delete",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_token1] = "string_token1",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_string_token2] = "string_token2",
  [sym_escape_sequence] = "escape_sequence",
  [sym_comment] = "comment",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_DOLLAR_LBRACE] = "${",
  [anon_sym_SLASH2] = "/",
  [sym_regex_pattern] = "regex_pattern",
  [sym_regex_flags] = "regex_flags",
  [sym_number] = "number",
  [anon_sym_target] = "target",
  [sym_this] = "this",
  [sym_super] = "super",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_null] = "null",
  [sym_undefined] = "undefined",
  [anon_sym_AT] = "@",
  [anon_sym_static] = "static",
  [anon_sym_get] = "get",
  [anon_sym_set] = "set",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym__template_chars] = "_template_chars",
  [sym_program] = "program",
  [sym_export_statement] = "export_statement",
  [sym_export_clause] = "export_clause",
  [sym__import_export_specifier] = "_import_export_specifier",
  [sym__declaration] = "_declaration",
  [sym_import] = "import",
  [sym_import_statement] = "import_statement",
  [sym_import_clause] = "import_clause",
  [sym__from_clause] = "_from_clause",
  [sym_namespace_import] = "namespace_import",
  [sym_named_imports] = "named_imports",
  [sym_expression_statement] = "expression_statement",
  [sym_variable_declaration] = "variable_declaration",
  [sym_lexical_declaration] = "lexical_declaration",
  [sym_variable_declarator] = "variable_declarator",
  [sym_statement_block] = "statement_block",
  [sym_if_statement] = "if_statement",
  [sym_switch_statement] = "switch_statement",
  [sym_for_statement] = "for_statement",
  [sym_for_in_statement] = "for_in_statement",
  [sym__for_header] = "_for_header",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_try_statement] = "try_statement",
  [sym_with_statement] = "with_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_debugger_statement] = "debugger_statement",
  [sym_return_statement] = "return_statement",
  [sym_throw_statement] = "throw_statement",
  [sym_empty_statement] = "empty_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym_switch_body] = "switch_body",
  [sym_switch_case] = "switch_case",
  [sym_switch_default] = "switch_default",
  [sym_catch_clause] = "catch_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym__expression] = "_expression",
  [sym_yield_expression] = "yield_expression",
  [sym_object] = "object",
  [sym_assignment_pattern] = "assignment_pattern",
  [sym_array] = "array",
  [sym_jsx_element] = "jsx_element",
  [sym_jsx_fragment] = "jsx_fragment",
  [sym_jsx_expression] = "jsx_expression",
  [sym_jsx_opening_element] = "jsx_opening_element",
  [sym_nested_identifier] = "nested_identifier",
  [sym_jsx_namespace_name] = "jsx_namespace_name",
  [sym_jsx_closing_element] = "jsx_closing_element",
  [sym_jsx_self_closing_element] = "jsx_self_closing_element",
  [sym_jsx_attribute] = "jsx_attribute",
  [sym_class] = "class",
  [sym_class_declaration] = "class_declaration",
  [sym_class_heritage] = "class_heritage",
  [sym_function] = "function",
  [sym_function_declaration] = "function_declaration",
  [sym_generator_function] = "generator_function",
  [sym_generator_function_declaration] = "generator_function_declaration",
  [sym_arrow_function] = "arrow_function",
  [sym_call_expression] = "call_expression",
  [sym_new_expression] = "new_expression",
  [sym_await_expression] = "await_expression",
  [sym_member_expression] = "member_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_augmented_assignment_expression] = "augmented_assignment_expression",
  [sym__initializer] = "_initializer",
  [sym_spread_element] = "spread_element",
  [sym_ternary_expression] = "ternary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_update_expression] = "update_expression",
  [sym_sequence_expression] = "sequence_expression",
  [sym_string] = "string",
  [sym_template_string] = "template_string",
  [sym_template_substitution] = "template_substitution",
  [sym_regex] = "regex",
  [sym_meta_property] = "meta_property",
  [sym_arguments] = "arguments",
  [sym_decorator] = "decorator",
  [sym_decorator_member_expression] = "member_expression",
  [sym_decorator_call_expression] = "call_expression",
  [sym_class_body] = "class_body",
  [sym_public_field_definition] = "public_field_definition",
  [sym_formal_parameters] = "formal_parameters",
  [sym_rest_parameter] = "rest_parameter",
  [sym_method_definition] = "method_definition",
  [sym_pair] = "pair",
  [sym__property_name] = "_property_name",
  [sym_computed_property_name] = "computed_property_name",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_export_statement_repeat1] = "export_statement_repeat1",
  [aux_sym_export_clause_repeat1] = "export_clause_repeat1",
  [aux_sym_named_imports_repeat1] = "named_imports_repeat1",
  [aux_sym_variable_declaration_repeat1] = "variable_declaration_repeat1",
  [aux_sym_switch_body_repeat1] = "switch_body_repeat1",
  [aux_sym_object_repeat1] = "object_repeat1",
  [aux_sym_array_repeat1] = "array_repeat1",
  [aux_sym_jsx_element_repeat1] = "jsx_element_repeat1",
  [aux_sym_jsx_opening_element_repeat1] = "jsx_opening_element_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_repeat2] = "string_repeat2",
  [aux_sym_template_string_repeat1] = "template_string_repeat1",
  [aux_sym_class_body_repeat1] = "class_body_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [alias_sym_array_pattern] = "array_pattern",
  [alias_sym_export_specifier] = "export_specifier",
  [alias_sym_import_specifier] = "import_specifier",
  [alias_sym_object_pattern] = "object_pattern",
  [alias_sym_property_identifier] = "property_identifier",
  [alias_sym_shorthand_property_identifier] = "shorthand_property_identifier",
  [alias_sym_statement_identifier] = "statement_identifier",
};

static TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [sym_hash_bang_line] = sym_hash_bang_line,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_from] = anon_sym_from,
  [anon_sym_var] = anon_sym_var,
  [anon_sym_let] = anon_sym_let,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_await] = anon_sym_await,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_of] = anon_sym_of,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_debugger] = anon_sym_debugger,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_yield] = anon_sym_yield,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [sym_jsx_text] = sym_jsx_text,
  [sym_jsx_identifier] = sym_identifier,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_extends] = anon_sym_extends,
  [anon_sym_async] = anon_sym_async,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_GT_GT_GT_EQ] = anon_sym_GT_GT_GT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_GT_GT_GT] = anon_sym_GT_GT_GT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_instanceof] = anon_sym_instanceof,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_typeof] = anon_sym_typeof,
  [anon_sym_void] = anon_sym_void,
  [anon_sym_delete] = anon_sym_delete,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_token1] = aux_sym_string_token1,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_string_token2] = aux_sym_string_token2,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_comment] = sym_comment,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_DOLLAR_LBRACE] = anon_sym_DOLLAR_LBRACE,
  [anon_sym_SLASH2] = anon_sym_SLASH2,
  [sym_regex_pattern] = sym_regex_pattern,
  [sym_regex_flags] = sym_regex_flags,
  [sym_number] = sym_number,
  [anon_sym_target] = anon_sym_target,
  [sym_this] = sym_this,
  [sym_super] = sym_super,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_null] = sym_null,
  [sym_undefined] = sym_undefined,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_get] = anon_sym_get,
  [anon_sym_set] = anon_sym_set,
  [sym__automatic_semicolon] = sym__automatic_semicolon,
  [sym__template_chars] = sym__template_chars,
  [sym_program] = sym_program,
  [sym_export_statement] = sym_export_statement,
  [sym_export_clause] = sym_export_clause,
  [sym__import_export_specifier] = sym__import_export_specifier,
  [sym__declaration] = sym__declaration,
  [sym_import] = sym_import,
  [sym_import_statement] = sym_import_statement,
  [sym_import_clause] = sym_import_clause,
  [sym__from_clause] = sym__from_clause,
  [sym_namespace_import] = sym_namespace_import,
  [sym_named_imports] = sym_named_imports,
  [sym_expression_statement] = sym_expression_statement,
  [sym_variable_declaration] = sym_variable_declaration,
  [sym_lexical_declaration] = sym_lexical_declaration,
  [sym_variable_declarator] = sym_variable_declarator,
  [sym_statement_block] = sym_statement_block,
  [sym_if_statement] = sym_if_statement,
  [sym_switch_statement] = sym_switch_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_for_in_statement] = sym_for_in_statement,
  [sym__for_header] = sym__for_header,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_with_statement] = sym_with_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_debugger_statement] = sym_debugger_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_throw_statement] = sym_throw_statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym_switch_body] = sym_switch_body,
  [sym_switch_case] = sym_switch_case,
  [sym_switch_default] = sym_switch_default,
  [sym_catch_clause] = sym_catch_clause,
  [sym_finally_clause] = sym_finally_clause,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym__expression] = sym__expression,
  [sym_yield_expression] = sym_yield_expression,
  [sym_object] = sym_object,
  [sym_assignment_pattern] = sym_assignment_pattern,
  [sym_array] = sym_array,
  [sym_jsx_element] = sym_jsx_element,
  [sym_jsx_fragment] = sym_jsx_fragment,
  [sym_jsx_expression] = sym_jsx_expression,
  [sym_jsx_opening_element] = sym_jsx_opening_element,
  [sym_nested_identifier] = sym_nested_identifier,
  [sym_jsx_namespace_name] = sym_jsx_namespace_name,
  [sym_jsx_closing_element] = sym_jsx_closing_element,
  [sym_jsx_self_closing_element] = sym_jsx_self_closing_element,
  [sym_jsx_attribute] = sym_jsx_attribute,
  [sym_class] = sym_class,
  [sym_class_declaration] = sym_class_declaration,
  [sym_class_heritage] = sym_class_heritage,
  [sym_function] = sym_function,
  [sym_function_declaration] = sym_function_declaration,
  [sym_generator_function] = sym_generator_function,
  [sym_generator_function_declaration] = sym_generator_function_declaration,
  [sym_arrow_function] = sym_arrow_function,
  [sym_call_expression] = sym_call_expression,
  [sym_new_expression] = sym_new_expression,
  [sym_await_expression] = sym_await_expression,
  [sym_member_expression] = sym_member_expression,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_augmented_assignment_expression] = sym_augmented_assignment_expression,
  [sym__initializer] = sym__initializer,
  [sym_spread_element] = sym_spread_element,
  [sym_ternary_expression] = sym_ternary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_sequence_expression] = sym_sequence_expression,
  [sym_string] = sym_string,
  [sym_template_string] = sym_template_string,
  [sym_template_substitution] = sym_template_substitution,
  [sym_regex] = sym_regex,
  [sym_meta_property] = sym_meta_property,
  [sym_arguments] = sym_arguments,
  [sym_decorator] = sym_decorator,
  [sym_decorator_member_expression] = sym_member_expression,
  [sym_decorator_call_expression] = sym_call_expression,
  [sym_class_body] = sym_class_body,
  [sym_public_field_definition] = sym_public_field_definition,
  [sym_formal_parameters] = sym_formal_parameters,
  [sym_rest_parameter] = sym_rest_parameter,
  [sym_method_definition] = sym_method_definition,
  [sym_pair] = sym_pair,
  [sym__property_name] = sym__property_name,
  [sym_computed_property_name] = sym_computed_property_name,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_export_statement_repeat1] = aux_sym_export_statement_repeat1,
  [aux_sym_export_clause_repeat1] = aux_sym_export_clause_repeat1,
  [aux_sym_named_imports_repeat1] = aux_sym_named_imports_repeat1,
  [aux_sym_variable_declaration_repeat1] = aux_sym_variable_declaration_repeat1,
  [aux_sym_switch_body_repeat1] = aux_sym_switch_body_repeat1,
  [aux_sym_object_repeat1] = aux_sym_object_repeat1,
  [aux_sym_array_repeat1] = aux_sym_array_repeat1,
  [aux_sym_jsx_element_repeat1] = aux_sym_jsx_element_repeat1,
  [aux_sym_jsx_opening_element_repeat1] = aux_sym_jsx_opening_element_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_repeat2] = aux_sym_string_repeat2,
  [aux_sym_template_string_repeat1] = aux_sym_template_string_repeat1,
  [aux_sym_class_body_repeat1] = aux_sym_class_body_repeat1,
  [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
  [alias_sym_array_pattern] = alias_sym_array_pattern,
  [alias_sym_export_specifier] = alias_sym_export_specifier,
  [alias_sym_import_specifier] = alias_sym_import_specifier,
  [alias_sym_object_pattern] = alias_sym_object_pattern,
  [alias_sym_property_identifier] = alias_sym_property_identifier,
  [alias_sym_shorthand_property_identifier] = alias_sym_shorthand_property_identifier,
  [alias_sym_statement_identifier] = alias_sym_statement_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_bang_line] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_of] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_debugger] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [sym_jsx_text] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extends] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_instanceof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delete] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token2] = {
    .visible = false,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH2] = {
    .visible = true,
    .named = false,
  },
  [sym_regex_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_regex_flags] = {
    .visible = true,
    .named = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_target] = {
    .visible = true,
    .named = false,
  },
  [sym_this] = {
    .visible = true,
    .named = true,
  },
  [sym_super] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym_undefined] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_get] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_set] = {
    .visible = true,
    .named = false,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym__template_chars] = {
    .visible = false,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_export_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_export_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__import_export_specifier] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_import] = {
    .visible = true,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__from_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_import] = {
    .visible = true,
    .named = true,
  },
  [sym_named_imports] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_lexical_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_statement_block] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_in_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_header] = {
    .visible = false,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_with_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_debugger_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_body] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_case] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_default] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
  },
  [sym_yield_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_object] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_opening_element] = {
    .visible = true,
    .named = true,
  },
  [sym_nested_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_namespace_name] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_closing_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_self_closing_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_class] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_class_heritage] = {
    .visible = true,
    .named = true,
  },
  [sym_function] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_arrow_function] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_augmented_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__initializer] = {
    .visible = false,
    .named = true,
  },
  [sym_spread_element] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_substitution] = {
    .visible = true,
    .named = true,
  },
  [sym_regex] = {
    .visible = true,
    .named = true,
  },
  [sym_meta_property] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_body] = {
    .visible = true,
    .named = true,
  },
  [sym_public_field_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_rest_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym__property_name] = {
    .visible = false,
    .named = true,
  },
  [sym_computed_property_name] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_named_imports_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variable_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_element_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_opening_element_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_array_pattern] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_export_specifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_import_specifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_object_pattern] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_attribute = 5,
  field_body = 6,
  field_close_tag = 7,
  field_condition = 8,
  field_consequence = 9,
  field_constructor = 10,
  field_declaration = 11,
  field_decorator = 12,
  field_finalizer = 13,
  field_flags = 14,
  field_function = 15,
  field_handler = 16,
  field_increment = 17,
  field_index = 18,
  field_initializer = 19,
  field_key = 20,
  field_label = 21,
  field_left = 22,
  field_member = 23,
  field_name = 24,
  field_object = 25,
  field_open_tag = 26,
  field_operator = 27,
  field_parameter = 28,
  field_parameters = 29,
  field_pattern = 30,
  field_property = 31,
  field_right = 32,
  field_source = 33,
  field_value = 34,
};

static const char *ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attribute] = "attribute",
  [field_body] = "body",
  [field_close_tag] = "close_tag",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constructor] = "constructor",
  [field_declaration] = "declaration",
  [field_decorator] = "decorator",
  [field_finalizer] = "finalizer",
  [field_flags] = "flags",
  [field_function] = "function",
  [field_handler] = "handler",
  [field_increment] = "increment",
  [field_index] = "index",
  [field_initializer] = "initializer",
  [field_key] = "key",
  [field_label] = "label",
  [field_left] = "left",
  [field_member] = "member",
  [field_name] = "name",
  [field_object] = "object",
  [field_open_tag] = "open_tag",
  [field_operator] = "operator",
  [field_parameter] = "parameter",
  [field_parameters] = "parameters",
  [field_pattern] = "pattern",
  [field_property] = "property",
  [field_right] = "right",
  [field_source] = "source",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[107] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [5] = {.index = 2, .length = 1},
  [6] = {.index = 2, .length = 1},
  [7] = {.index = 2, .length = 1},
  [8] = {.index = 3, .length = 1},
  [9] = {.index = 4, .length = 1},
  [10] = {.index = 4, .length = 1},
  [11] = {.index = 5, .length = 2},
  [12] = {.index = 7, .length = 2},
  [14] = {.index = 9, .length = 2},
  [15] = {.index = 11, .length = 2},
  [16] = {.index = 13, .length = 2},
  [18] = {.index = 15, .length = 1},
  [19] = {.index = 16, .length = 2},
  [20] = {.index = 16, .length = 2},
  [21] = {.index = 16, .length = 2},
  [22] = {.index = 18, .length = 2},
  [23] = {.index = 20, .length = 2},
  [24] = {.index = 22, .length = 3},
  [27] = {.index = 25, .length = 2},
  [28] = {.index = 27, .length = 2},
  [29] = {.index = 29, .length = 2},
  [30] = {.index = 31, .length = 2},
  [31] = {.index = 33, .length = 1},
  [32] = {.index = 34, .length = 1},
  [33] = {.index = 35, .length = 1},
  [34] = {.index = 36, .length = 1},
  [35] = {.index = 37, .length = 1},
  [36] = {.index = 38, .length = 1},
  [37] = {.index = 39, .length = 2},
  [38] = {.index = 41, .length = 1},
  [39] = {.index = 42, .length = 1},
  [40] = {.index = 43, .length = 2},
  [41] = {.index = 45, .length = 2},
  [42] = {.index = 47, .length = 2},
  [43] = {.index = 49, .length = 2},
  [44] = {.index = 51, .length = 2},
  [45] = {.index = 51, .length = 2},
  [46] = {.index = 43, .length = 2},
  [47] = {.index = 45, .length = 2},
  [48] = {.index = 47, .length = 2},
  [49] = {.index = 7, .length = 2},
  [50] = {.index = 53, .length = 3},
  [51] = {.index = 43, .length = 2},
  [52] = {.index = 43, .length = 2},
  [53] = {.index = 56, .length = 2},
  [54] = {.index = 58, .length = 2},
  [55] = {.index = 60, .length = 2},
  [56] = {.index = 62, .length = 1},
  [57] = {.index = 63, .length = 1},
  [58] = {.index = 64, .length = 2},
  [59] = {.index = 43, .length = 2},
  [60] = {.index = 66, .length = 2},
  [61] = {.index = 68, .length = 3},
  [62] = {.index = 64, .length = 2},
  [63] = {.index = 71, .length = 1},
  [64] = {.index = 72, .length = 3},
  [65] = {.index = 75, .length = 3},
  [66] = {.index = 78, .length = 2},
  [67] = {.index = 80, .length = 2},
  [68] = {.index = 82, .length = 2},
  [69] = {.index = 84, .length = 1},
  [70] = {.index = 85, .length = 2},
  [71] = {.index = 87, .length = 1},
  [72] = {.index = 88, .length = 2},
  [73] = {.index = 90, .length = 2},
  [74] = {.index = 92, .length = 2},
  [75] = {.index = 94, .length = 2},
  [76] = {.index = 92, .length = 2},
  [77] = {.index = 96, .length = 2},
  [78] = {.index = 98, .length = 3},
  [79] = {.index = 101, .length = 2},
  [80] = {.index = 103, .length = 3},
  [81] = {.index = 106, .length = 2},
  [82] = {.index = 108, .length = 2},
  [83] = {.index = 110, .length = 3},
  [84] = {.index = 113, .length = 2},
  [85] = {.index = 115, .length = 2},
  [86] = {.index = 117, .length = 2},
  [87] = {.index = 119, .length = 3},
  [88] = {.index = 122, .length = 3},
  [89] = {.index = 125, .length = 1},
  [90] = {.index = 126, .length = 2},
  [91] = {.index = 128, .length = 3},
  [92] = {.index = 131, .length = 2},
  [93] = {.index = 131, .length = 2},
  [94] = {.index = 133, .length = 3},
  [95] = {.index = 131, .length = 2},
  [96] = {.index = 131, .length = 2},
  [97] = {.index = 136, .length = 3},
  [98] = {.index = 139, .length = 2},
  [99] = {.index = 139, .length = 2},
  [100] = {.index = 139, .length = 2},
  [101] = {.index = 139, .length = 2},
  [102] = {.index = 141, .length = 4},
  [103] = {.index = 145, .length = 2},
  [104] = {.index = 145, .length = 2},
  [105] = {.index = 145, .length = 2},
  [106] = {.index = 147, .length = 4},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_decorator, 0},
  [1] =
    {field_declaration, 1},
  [2] =
    {field_name, 0},
  [3] =
    {field_body, 1},
  [4] =
    {field_constructor, 1},
  [5] =
    {field_argument, 1},
    {field_operator, 0},
  [7] =
    {field_arguments, 1},
    {field_function, 0},
  [9] =
    {field_argument, 0},
    {field_operator, 1},
  [11] =
    {field_close_tag, 1},
    {field_open_tag, 0},
  [13] =
    {field_decorator, 0, .inherited = true},
    {field_decorator, 1, .inherited = true},
  [15] =
    {field_source, 1},
  [16] =
    {field_name, 0},
    {field_value, 1, .inherited = true},
  [18] =
    {field_condition, 1},
    {field_consequence, 2},
  [20] =
    {field_body, 2},
    {field_value, 1},
  [22] =
    {field_body, 2},
    {field_left, 1, .inherited = true},
    {field_right, 1, .inherited = true},
  [25] =
    {field_body, 2},
    {field_condition, 1},
  [27] =
    {field_body, 1},
    {field_handler, 2},
  [29] =
    {field_body, 1},
    {field_finalizer, 2},
  [31] =
    {field_body, 2},
    {field_object, 1},
  [33] =
    {field_label, 1},
  [34] =
    {field_name, 1},
  [35] =
    {field_attribute, 0},
  [36] =
    {field_pattern, 1},
  [37] =
    {field_member, 0},
  [38] =
    {field_property, 0},
  [39] =
    {field_body, 2},
    {field_name, 1},
  [41] =
    {field_body, 2},
  [42] =
    {field_label, 0},
  [43] =
    {field_left, 0},
    {field_right, 2},
  [45] =
    {field_object, 0},
    {field_property, 2},
  [47] =
    {field_body, 2},
    {field_parameter, 0},
  [49] =
    {field_body, 2},
    {field_parameters, 1},
  [51] =
    {field_arguments, 2},
    {field_constructor, 1},
  [53] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [56] =
    {field_close_tag, 2},
    {field_open_tag, 0},
  [58] =
    {field_body, 2},
    {field_parameters, 0},
  [60] =
    {field_declaration, 2},
    {field_decorator, 0, .inherited = true},
  [62] =
    {field_source, 2, .inherited = true},
  [63] =
    {field_value, 2},
  [64] =
    {field_alias, 1, .inherited = true},
    {field_name, 1, .inherited = true},
  [66] =
    {field_key, 0},
    {field_value, 2},
  [68] =
    {field_body, 2},
    {field_name, 0},
    {field_parameters, 1},
  [71] =
    {field_value, 1},
  [72] =
    {field_body, 3},
    {field_left, 2, .inherited = true},
    {field_right, 2, .inherited = true},
  [75] =
    {field_body, 1},
    {field_finalizer, 3},
    {field_handler, 2},
  [78] =
    {field_attribute, 2, .inherited = true},
    {field_name, 1},
  [80] =
    {field_attribute, 0, .inherited = true},
    {field_attribute, 1, .inherited = true},
  [82] =
    {field_flags, 3},
    {field_pattern, 1},
  [84] =
    {field_property, 1},
  [85] =
    {field_property, 0},
    {field_value, 1, .inherited = true},
  [87] =
    {field_member, 1, .inherited = true},
  [88] =
    {field_member, 0, .inherited = true},
    {field_member, 1, .inherited = true},
  [90] =
    {field_body, 3},
    {field_name, 1},
  [92] =
    {field_body, 3},
    {field_parameter, 1},
  [94] =
    {field_body, 3},
    {field_parameters, 2},
  [96] =
    {field_body, 3},
    {field_parameters, 1},
  [98] =
    {field_body, 3},
    {field_name, 1},
    {field_parameters, 2},
  [101] =
    {field_index, 2},
    {field_object, 0},
  [103] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [106] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
  [108] =
    {field_alias, 2},
    {field_name, 0},
  [110] =
    {field_alternative, 4},
    {field_condition, 1},
    {field_consequence, 2},
  [113] =
    {field_body, 1},
    {field_condition, 3},
  [115] =
    {field_property, 1},
    {field_value, 2, .inherited = true},
  [117] =
    {field_body, 4},
    {field_parameters, 3},
  [119] =
    {field_body, 4},
    {field_name, 2},
    {field_parameters, 3},
  [122] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [125] =
    {field_name, 2},
  [126] =
    {field_decorator, 0, .inherited = true},
    {field_value, 3},
  [128] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [131] =
    {field_left, 1},
    {field_right, 3},
  [133] =
    {field_body, 5},
    {field_condition, 3},
    {field_initializer, 2},
  [136] =
    {field_body, 5},
    {field_name, 3},
    {field_parameters, 4},
  [139] =
    {field_left, 2},
    {field_right, 4},
  [141] =
    {field_body, 6},
    {field_condition, 3},
    {field_increment, 4},
    {field_initializer, 2},
  [145] =
    {field_body, 4},
    {field_parameter, 2},
  [147] =
    {field_body, 6},
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_parameters, 5},
};

static TSSymbol ts_alias_sequences[107][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_identifier,
  },
  [4] = {
    [0] = alias_sym_property_identifier,
  },
  [6] = {
    [0] = alias_sym_object_pattern,
  },
  [7] = {
    [0] = alias_sym_array_pattern,
  },
  [9] = {
    [1] = sym_identifier,
  },
  [13] = {
    [1] = sym_identifier,
  },
  [17] = {
    [1] = alias_sym_shorthand_property_identifier,
  },
  [20] = {
    [0] = alias_sym_object_pattern,
  },
  [21] = {
    [0] = alias_sym_array_pattern,
  },
  [25] = {
    [1] = alias_sym_object_pattern,
  },
  [26] = {
    [1] = alias_sym_array_pattern,
  },
  [31] = {
    [1] = alias_sym_statement_identifier,
  },
  [39] = {
    [0] = alias_sym_statement_identifier,
  },
  [40] = {
    [0] = sym_identifier,
  },
  [41] = {
    [0] = sym_identifier,
    [2] = alias_sym_property_identifier,
  },
  [42] = {
    [0] = sym_identifier,
  },
  [44] = {
    [1] = sym_identifier,
  },
  [47] = {
    [2] = alias_sym_property_identifier,
  },
  [49] = {
    [0] = sym_identifier,
  },
  [51] = {
    [0] = alias_sym_object_pattern,
  },
  [52] = {
    [0] = alias_sym_array_pattern,
  },
  [58] = {
    [1] = alias_sym_export_specifier,
  },
  [59] = {
    [0] = alias_sym_shorthand_property_identifier,
  },
  [62] = {
    [1] = alias_sym_import_specifier,
  },
  [74] = {
    [1] = sym_identifier,
  },
  [92] = {
    [1] = sym_identifier,
  },
  [95] = {
    [1] = alias_sym_object_pattern,
  },
  [96] = {
    [1] = alias_sym_array_pattern,
  },
  [98] = {
    [2] = sym_identifier,
  },
  [100] = {
    [2] = alias_sym_object_pattern,
  },
  [101] = {
    [2] = alias_sym_array_pattern,
  },
  [104] = {
    [2] = alias_sym_object_pattern,
  },
  [105] = {
    [2] = alias_sym_array_pattern,
  },
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(61);
      if (lookahead == '!') ADVANCE(139);
      if (lookahead == '"') ADVANCE(143);
      if (lookahead == '#') ADVANCE(6);
      if (lookahead == '$') ADVANCE(183);
      if (lookahead == '%') ADVANCE(129);
      if (lookahead == '&') ADVANCE(119);
      if (lookahead == '\'') ADVANCE(150);
      if (lookahead == '(') ADVANCE(69);
      if (lookahead == ')') ADVANCE(70);
      if (lookahead == '*') ADVANCE(64);
      if (lookahead == '+') ADVANCE(125);
      if (lookahead == ',') ADVANCE(67);
      if (lookahead == '-') ADVANCE(127);
      if (lookahead == '.') ADVANCE(93);
      if (lookahead == '/') ADVANCE(168);
      if (lookahead == '0') ADVANCE(173);
      if (lookahead == ':') ADVANCE(72);
      if (lookahead == ';') ADVANCE(71);
      if (lookahead == '<') ADVANCE(79);
      if (lookahead == '=') ADVANCE(74);
      if (lookahead == '>') ADVANCE(82);
      if (lookahead == '?') ADVANCE(109);
      if (lookahead == '@') ADVANCE(185);
      if (lookahead == '[') ADVANCE(76);
      if (lookahead == '\\') ADVANCE(26);
      if (lookahead == ']') ADVANCE(77);
      if (lookahead == '^') ADVANCE(121);
      if (lookahead == '`') ADVANCE(166);
      if (lookahead == '{') ADVANCE(66);
      if (lookahead == '|') ADVANCE(122);
      if (lookahead == '}') ADVANCE(68);
      if (lookahead == '~') ADVANCE(140);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(58)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(174);
      if (lookahead != 0) ADVANCE(184);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(11)
      if (lookahead == '"') ADVANCE(143);
      if (lookahead == '/') ADVANCE(145);
      if (lookahead == '\\') ADVANCE(2);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(148);
      if (lookahead != 0) ADVANCE(149);
      END_STATE();
    case 2:
      if (lookahead == '\n') ADVANCE(144);
      if (lookahead == '\r') ADVANCE(158);
      if (lookahead == 'u') ADVANCE(32);
      if (lookahead == 'x') ADVANCE(51);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(162);
      if (lookahead != 0) ADVANCE(157);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(14)
      if (lookahead == '\'') ADVANCE(150);
      if (lookahead == '/') ADVANCE(152);
      if (lookahead == '\\') ADVANCE(4);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(155);
      if (lookahead != 0) ADVANCE(156);
      END_STATE();
    case 4:
      if (lookahead == '\n') ADVANCE(151);
      if (lookahead == '\r') ADVANCE(159);
      if (lookahead == 'u') ADVANCE(32);
      if (lookahead == 'x') ADVANCE(51);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(162);
      if (lookahead != 0) ADVANCE(157);
      END_STATE();
    case 5:
      if (lookahead == '\n') SKIP(22)
      if (lookahead == '/') ADVANCE(15);
      if (lookahead == '[') ADVANCE(25);
      if (lookahead == '\\') ADVANCE(57);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(169);
      if (lookahead != 0) ADVANCE(170);
      END_STATE();
    case 6:
      if (lookahead == '!') ADVANCE(62);
      END_STATE();
    case 7:
      if (lookahead == '!') ADVANCE(138);
      if (lookahead == '"') ADVANCE(143);
      if (lookahead == '\'') ADVANCE(150);
      if (lookahead == '(') ADVANCE(69);
      if (lookahead == '+') ADVANCE(124);
      if (lookahead == '-') ADVANCE(126);
      if (lookahead == '.') ADVANCE(94);
      if (lookahead == '/') ADVANCE(84);
      if (lookahead == '0') ADVANCE(173);
      if (lookahead == ':') ADVANCE(72);
      if (lookahead == '<') ADVANCE(78);
      if (lookahead == '>') ADVANCE(81);
      if (lookahead == '@') ADVANCE(185);
      if (lookahead == '[') ADVANCE(76);
      if (lookahead == '\\') ADVANCE(27);
      if (lookahead == '`') ADVANCE(166);
      if (lookahead == '{') ADVANCE(66);
      if (lookahead == '~') ADVANCE(140);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(7)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(174);
      if (lookahead != 0 &&
          lookahead != '#' &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(184);
      END_STATE();
    case 8:
      if (lookahead == '!') ADVANCE(23);
      if (lookahead == '"') ADVANCE(143);
      if (lookahead == '%') ADVANCE(129);
      if (lookahead == '&') ADVANCE(119);
      if (lookahead == '\'') ADVANCE(150);
      if (lookahead == '(') ADVANCE(69);
      if (lookahead == ')') ADVANCE(70);
      if (lookahead == '*') ADVANCE(64);
      if (lookahead == '+') ADVANCE(125);
      if (lookahead == ',') ADVANCE(67);
      if (lookahead == '-') ADVANCE(127);
      if (lookahead == '.') ADVANCE(94);
      if (lookahead == '/') ADVANCE(85);
      if (lookahead == '0') ADVANCE(173);
      if (lookahead == ':') ADVANCE(72);
      if (lookahead == ';') ADVANCE(71);
      if (lookahead == '<') ADVANCE(79);
      if (lookahead == '=') ADVANCE(74);
      if (lookahead == '>') ADVANCE(82);
      if (lookahead == '?') ADVANCE(109);
      if (lookahead == '[') ADVANCE(76);
      if (lookahead == '\\') ADVANCE(27);
      if (lookahead == ']') ADVANCE(77);
      if (lookahead == '^') ADVANCE(121);
      if (lookahead == '`') ADVANCE(166);
      if (lookahead == '{') ADVANCE(66);
      if (lookahead == '|') ADVANCE(122);
      if (lookahead == '}') ADVANCE(68);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(8)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(174);
      if (lookahead != 0 &&
          lookahead != '#' &&
          lookahead != '@' &&
          lookahead != '~') ADVANCE(184);
      END_STATE();
    case 9:
      if (lookahead == '!') ADVANCE(23);
      if (lookahead == '%') ADVANCE(128);
      if (lookahead == '&') ADVANCE(118);
      if (lookahead == '(') ADVANCE(69);
      if (lookahead == ')') ADVANCE(70);
      if (lookahead == '*') ADVANCE(65);
      if (lookahead == '+') ADVANCE(124);
      if (lookahead == ',') ADVANCE(67);
      if (lookahead == '-') ADVANCE(126);
      if (lookahead == '.') ADVANCE(92);
      if (lookahead == '/') ADVANCE(84);
      if (lookahead == ':') ADVANCE(72);
      if (lookahead == ';') ADVANCE(71);
      if (lookahead == '<') ADVANCE(80);
      if (lookahead == '=') ADVANCE(24);
      if (lookahead == '>') ADVANCE(83);
      if (lookahead == '?') ADVANCE(109);
      if (lookahead == '[') ADVANCE(76);
      if (lookahead == '\\') ADVANCE(27);
      if (lookahead == ']') ADVANCE(77);
      if (lookahead == '^') ADVANCE(120);
      if (lookahead == '`') ADVANCE(166);
      if (lookahead == '{') ADVANCE(66);
      if (lookahead == '|') ADVANCE(123);
      if (lookahead == '}') ADVANCE(68);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(10)
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(171);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '#' &&
          (lookahead < '\'' || '@' < lookahead) &&
          lookahead != '~') ADVANCE(184);
      END_STATE();
    case 10:
      if (lookahead == '!') ADVANCE(23);
      if (lookahead == '%') ADVANCE(128);
      if (lookahead == '&') ADVANCE(118);
      if (lookahead == '(') ADVANCE(69);
      if (lookahead == ')') ADVANCE(70);
      if (lookahead == '*') ADVANCE(65);
      if (lookahead == '+') ADVANCE(124);
      if (lookahead == ',') ADVANCE(67);
      if (lookahead == '-') ADVANCE(126);
      if (lookahead == '.') ADVANCE(92);
      if (lookahead == '/') ADVANCE(84);
      if (lookahead == ':') ADVANCE(72);
      if (lookahead == ';') ADVANCE(71);
      if (lookahead == '<') ADVANCE(80);
      if (lookahead == '=') ADVANCE(24);
      if (lookahead == '>') ADVANCE(83);
      if (lookahead == '?') ADVANCE(109);
      if (lookahead == '[') ADVANCE(76);
      if (lookahead == '\\') ADVANCE(27);
      if (lookahead == ']') ADVANCE(77);
      if (lookahead == '^') ADVANCE(120);
      if (lookahead == '`') ADVANCE(166);
      if (lookahead == '{') ADVANCE(66);
      if (lookahead == '|') ADVANCE(123);
      if (lookahead == '}') ADVANCE(68);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(10)
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '#' &&
          (lookahead < '\'' || '@' < lookahead) &&
          lookahead != '~') ADVANCE(184);
      END_STATE();
    case 11:
      if (lookahead == '"') ADVANCE(143);
      if (lookahead == '/') ADVANCE(15);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(11)
      END_STATE();
    case 12:
      if (lookahead == '$') ADVANCE(29);
      if (lookahead == '/') ADVANCE(168);
      if (lookahead == '\\') ADVANCE(28);
      if (lookahead == '`') ADVANCE(166);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(13)
      END_STATE();
    case 13:
      if (lookahead == '$') ADVANCE(29);
      if (lookahead == '/') ADVANCE(15);
      if (lookahead == '`') ADVANCE(166);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(13)
      END_STATE();
    case 14:
      if (lookahead == '\'') ADVANCE(150);
      if (lookahead == '/') ADVANCE(15);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(14)
      END_STATE();
    case 15:
      if (lookahead == '*') ADVANCE(17);
      if (lookahead == '/') ADVANCE(165);
      END_STATE();
    case 16:
      if (lookahead == '*') ADVANCE(16);
      if (lookahead == '/') ADVANCE(163);
      if (lookahead != 0) ADVANCE(17);
      END_STATE();
    case 17:
      if (lookahead == '*') ADVANCE(16);
      if (lookahead != 0) ADVANCE(17);
      END_STATE();
    case 18:
      if (lookahead == '.') ADVANCE(19);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(180);
      END_STATE();
    case 19:
      if (lookahead == '.') ADVANCE(108);
      END_STATE();
    case 20:
      if (lookahead == '.') ADVANCE(92);
      if (lookahead == '/') ADVANCE(84);
      if (lookahead == ':') ADVANCE(72);
      if (lookahead == '=') ADVANCE(73);
      if (lookahead == '>') ADVANCE(81);
      if (lookahead == '\\') ADVANCE(27);
      if (lookahead == '{') ADVANCE(66);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(20)
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      if (lookahead != 0 &&
          (lookahead < '!' || '~' < lookahead)) ADVANCE(184);
      END_STATE();
    case 21:
      if (lookahead == '/') ADVANCE(86);
      if (lookahead == '<') ADVANCE(78);
      if (lookahead == '{') ADVANCE(66);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(89);
      if (lookahead != 0 &&
          lookahead != '>' &&
          lookahead != '}') ADVANCE(90);
      END_STATE();
    case 22:
      if (lookahead == '/') ADVANCE(15);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(22)
      END_STATE();
    case 23:
      if (lookahead == '=') ADVANCE(135);
      END_STATE();
    case 24:
      if (lookahead == '=') ADVANCE(133);
      END_STATE();
    case 25:
      if (lookahead == '\\') ADVANCE(56);
      if (lookahead == ']') ADVANCE(170);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(25);
      END_STATE();
    case 26:
      if (lookahead == 'u') ADVANCE(30);
      if (lookahead == 'x') ADVANCE(51);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(162);
      if (lookahead != 0) ADVANCE(157);
      END_STATE();
    case 27:
      if (lookahead == 'u') ADVANCE(31);
      END_STATE();
    case 28:
      if (lookahead == 'u') ADVANCE(32);
      if (lookahead == 'x') ADVANCE(51);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(162);
      if (lookahead != 0) ADVANCE(157);
      END_STATE();
    case 29:
      if (lookahead == '{') ADVANCE(167);
      END_STATE();
    case 30:
      if (lookahead == '{') ADVANCE(46);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(54);
      END_STATE();
    case 31:
      if (lookahead == '{') ADVANCE(49);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(55);
      END_STATE();
    case 32:
      if (lookahead == '{') ADVANCE(50);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(48);
      END_STATE();
    case 33:
      if (lookahead == '}') ADVANCE(184);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(33);
      END_STATE();
    case 34:
      if (lookahead == '}') ADVANCE(157);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(34);
      END_STATE();
    case 35:
      if (lookahead == '}') ADVANCE(160);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(35);
      END_STATE();
    case 36:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(42);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(179);
      END_STATE();
    case 37:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(175);
      END_STATE();
    case 38:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(176);
      END_STATE();
    case 39:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(174);
      END_STATE();
    case 40:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(180);
      END_STATE();
    case 41:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(178);
      END_STATE();
    case 42:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(179);
      END_STATE();
    case 43:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(184);
      END_STATE();
    case 44:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(157);
      END_STATE();
    case 45:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(177);
      END_STATE();
    case 46:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(35);
      END_STATE();
    case 47:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(160);
      END_STATE();
    case 48:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(51);
      END_STATE();
    case 49:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(33);
      END_STATE();
    case 50:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(34);
      END_STATE();
    case 51:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(44);
      END_STATE();
    case 52:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(47);
      END_STATE();
    case 53:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(43);
      END_STATE();
    case 54:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(52);
      END_STATE();
    case 55:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(53);
      END_STATE();
    case 56:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(25);
      END_STATE();
    case 57:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(170);
      END_STATE();
    case 58:
      if (eof) ADVANCE(61);
      if (lookahead == '!') ADVANCE(139);
      if (lookahead == '"') ADVANCE(143);
      if (lookahead == '#') ADVANCE(6);
      if (lookahead == '$') ADVANCE(183);
      if (lookahead == '%') ADVANCE(129);
      if (lookahead == '&') ADVANCE(119);
      if (lookahead == '\'') ADVANCE(150);
      if (lookahead == '(') ADVANCE(69);
      if (lookahead == ')') ADVANCE(70);
      if (lookahead == '*') ADVANCE(64);
      if (lookahead == '+') ADVANCE(125);
      if (lookahead == ',') ADVANCE(67);
      if (lookahead == '-') ADVANCE(127);
      if (lookahead == '.') ADVANCE(93);
      if (lookahead == '/') ADVANCE(84);
      if (lookahead == '0') ADVANCE(173);
      if (lookahead == ':') ADVANCE(72);
      if (lookahead == ';') ADVANCE(71);
      if (lookahead == '<') ADVANCE(79);
      if (lookahead == '=') ADVANCE(74);
      if (lookahead == '>') ADVANCE(82);
      if (lookahead == '?') ADVANCE(109);
      if (lookahead == '@') ADVANCE(185);
      if (lookahead == '[') ADVANCE(76);
      if (lookahead == '\\') ADVANCE(27);
      if (lookahead == ']') ADVANCE(77);
      if (lookahead == '^') ADVANCE(121);
      if (lookahead == '`') ADVANCE(166);
      if (lookahead == '{') ADVANCE(66);
      if (lookahead == '|') ADVANCE(122);
      if (lookahead == '}') ADVANCE(68);
      if (lookahead == '~') ADVANCE(140);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(58)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(174);
      if (lookahead != 0) ADVANCE(184);
      END_STATE();
    case 59:
      if (eof) ADVANCE(61);
      if (lookahead == '!') ADVANCE(139);
      if (lookahead == '"') ADVANCE(143);
      if (lookahead == '%') ADVANCE(128);
      if (lookahead == '&') ADVANCE(118);
      if (lookahead == '\'') ADVANCE(150);
      if (lookahead == '(') ADVANCE(69);
      if (lookahead == ')') ADVANCE(70);
      if (lookahead == '*') ADVANCE(65);
      if (lookahead == '+') ADVANCE(124);
      if (lookahead == ',') ADVANCE(67);
      if (lookahead == '-') ADVANCE(126);
      if (lookahead == '.') ADVANCE(94);
      if (lookahead == '/') ADVANCE(84);
      if (lookahead == '0') ADVANCE(173);
      if (lookahead == ':') ADVANCE(72);
      if (lookahead == ';') ADVANCE(71);
      if (lookahead == '<') ADVANCE(80);
      if (lookahead == '=') ADVANCE(74);
      if (lookahead == '>') ADVANCE(83);
      if (lookahead == '?') ADVANCE(109);
      if (lookahead == '@') ADVANCE(185);
      if (lookahead == '[') ADVANCE(76);
      if (lookahead == '\\') ADVANCE(27);
      if (lookahead == ']') ADVANCE(77);
      if (lookahead == '^') ADVANCE(120);
      if (lookahead == '`') ADVANCE(166);
      if (lookahead == '{') ADVANCE(66);
      if (lookahead == '|') ADVANCE(123);
      if (lookahead == '}') ADVANCE(68);
      if (lookahead == '~') ADVANCE(140);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(59)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(174);
      if (lookahead != 0 &&
          lookahead != '#') ADVANCE(184);
      END_STATE();
    case 60:
      if (eof) ADVANCE(61);
      if (lookahead == '!') ADVANCE(138);
      if (lookahead == '"') ADVANCE(143);
      if (lookahead == '#') ADVANCE(6);
      if (lookahead == '\'') ADVANCE(150);
      if (lookahead == '(') ADVANCE(69);
      if (lookahead == ')') ADVANCE(70);
      if (lookahead == '*') ADVANCE(63);
      if (lookahead == '+') ADVANCE(124);
      if (lookahead == ',') ADVANCE(67);
      if (lookahead == '-') ADVANCE(126);
      if (lookahead == '.') ADVANCE(18);
      if (lookahead == '/') ADVANCE(84);
      if (lookahead == '0') ADVANCE(173);
      if (lookahead == ':') ADVANCE(72);
      if (lookahead == ';') ADVANCE(71);
      if (lookahead == '<') ADVANCE(78);
      if (lookahead == '=') ADVANCE(75);
      if (lookahead == '>') ADVANCE(81);
      if (lookahead == '@') ADVANCE(185);
      if (lookahead == '[') ADVANCE(76);
      if (lookahead == '\\') ADVANCE(27);
      if (lookahead == ']') ADVANCE(77);
      if (lookahead == '`') ADVANCE(166);
      if (lookahead == '{') ADVANCE(66);
      if (lookahead == '}') ADVANCE(68);
      if (lookahead == '~') ADVANCE(140);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(60)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(174);
      if (lookahead != 0 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(184);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(sym_hash_bang_line);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(62);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(131);
      if (lookahead == '=') ADVANCE(98);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(130);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(133);
      if (lookahead == '>') ADVANCE(95);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(95);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(117);
      if (lookahead == '=') ADVANCE(132);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(116);
      if (lookahead == '=') ADVANCE(132);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(137);
      if (lookahead == '>') ADVANCE(112);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(137);
      if (lookahead == '>') ADVANCE(113);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(17);
      if (lookahead == '/') ADVANCE(165);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(17);
      if (lookahead == '/') ADVANCE(165);
      if (lookahead == '=') ADVANCE(99);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead == '*') ADVANCE(88);
      if (lookahead == '/') ADVANCE(164);
      if (lookahead != 0 &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(90);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead == '*') ADVANCE(87);
      if (lookahead == '/') ADVANCE(163);
      if (lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(17);
      if (lookahead != 0) ADVANCE(88);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead == '*') ADVANCE(87);
      if (lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(17);
      if (lookahead != 0) ADVANCE(88);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead == '/') ADVANCE(86);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(89);
      if (lookahead != 0 &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(90);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead != 0 &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(90);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(sym_jsx_identifier);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(91);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(19);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(180);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(180);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT_EQ);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(104);
      if (lookahead == '>') ADVANCE(115);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '>') ADVANCE(114);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      if (lookahead == '=') ADVANCE(105);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(106);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(110);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(110);
      if (lookahead == '=') ADVANCE(102);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(101);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(103);
      if (lookahead == '|') ADVANCE(111);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(111);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(141);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(141);
      if (lookahead == '=') ADVANCE(96);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(142);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(142);
      if (lookahead == '=') ADVANCE(97);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(100);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(107);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(134);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(136);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(135);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(aux_sym_string_token1);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == '*') ADVANCE(147);
      if (lookahead == '/') ADVANCE(149);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(149);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == '*') ADVANCE(146);
      if (lookahead == '/') ADVANCE(149);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(147);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == '*') ADVANCE(146);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(147);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == '/') ADVANCE(145);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(148);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(149);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(149);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(aux_sym_string_token2);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(aux_sym_string_token2);
      if (lookahead == '*') ADVANCE(154);
      if (lookahead == '/') ADVANCE(156);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(156);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(aux_sym_string_token2);
      if (lookahead == '*') ADVANCE(153);
      if (lookahead == '/') ADVANCE(156);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(154);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(aux_sym_string_token2);
      if (lookahead == '*') ADVANCE(153);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(154);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(aux_sym_string_token2);
      if (lookahead == '/') ADVANCE(152);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(155);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(156);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(aux_sym_string_token2);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(156);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\n') ADVANCE(144);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\n') ADVANCE(151);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(27);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '#' < lookahead) &&
          (lookahead < '%' || '/' < lookahead) &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279) ADVANCE(184);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(157);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(161);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(165);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(164);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(165);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LBRACE);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_SLASH2);
      if (lookahead == '*') ADVANCE(17);
      if (lookahead == '/') ADVANCE(165);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '/') ADVANCE(15);
      if (lookahead == '[') ADVANCE(25);
      if (lookahead == '\\') ADVANCE(57);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(169);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(170);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '[') ADVANCE(25);
      if (lookahead == '\\') ADVANCE(57);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '/') ADVANCE(170);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == '\\') ADVANCE(27);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(171);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '#' < lookahead) &&
          (lookahead < '%' || '/' < lookahead) &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '`' || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279) ADVANCE(184);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(sym_number);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(181);
      if (lookahead == '0') ADVANCE(178);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(37);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(36);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(38);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(45);
      if (lookahead == '_') ADVANCE(41);
      if (lookahead == 'n') ADVANCE(172);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(174);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(181);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(36);
      if (lookahead == '_') ADVANCE(39);
      if (lookahead == 'n') ADVANCE(172);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(174);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(37);
      if (lookahead == 'n') ADVANCE(172);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(175);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(38);
      if (lookahead == 'n') ADVANCE(172);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(176);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(45);
      if (lookahead == 'n') ADVANCE(172);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(177);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(41);
      if (lookahead == 'n') ADVANCE(172);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(178);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(42);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(179);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(36);
      if (lookahead == '_') ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(180);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(36);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(180);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(91);
      if (lookahead == '\\') ADVANCE(27);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279) ADVANCE(184);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(27);
      if (lookahead == '{') ADVANCE(167);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '#' < lookahead) &&
          (lookahead < '%' || '/' < lookahead) &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '|' || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279) ADVANCE(184);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(27);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '#' < lookahead) &&
          (lookahead < '%' || '/' < lookahead) &&
          (lookahead < ':' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead) &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279) ADVANCE(184);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'a') ADVANCE(1);
      if (lookahead == 'b') ADVANCE(2);
      if (lookahead == 'c') ADVANCE(3);
      if (lookahead == 'd') ADVANCE(4);
      if (lookahead == 'e') ADVANCE(5);
      if (lookahead == 'f') ADVANCE(6);
      if (lookahead == 'g') ADVANCE(7);
      if (lookahead == 'i') ADVANCE(8);
      if (lookahead == 'l') ADVANCE(9);
      if (lookahead == 'n') ADVANCE(10);
      if (lookahead == 'o') ADVANCE(11);
      if (lookahead == 'r') ADVANCE(12);
      if (lookahead == 's') ADVANCE(13);
      if (lookahead == 't') ADVANCE(14);
      if (lookahead == 'u') ADVANCE(15);
      if (lookahead == 'v') ADVANCE(16);
      if (lookahead == 'w') ADVANCE(17);
      if (lookahead == 'y') ADVANCE(18);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(0)
      END_STATE();
    case 1:
      if (lookahead == 's') ADVANCE(19);
      if (lookahead == 'w') ADVANCE(20);
      END_STATE();
    case 2:
      if (lookahead == 'r') ADVANCE(21);
      END_STATE();
    case 3:
      if (lookahead == 'a') ADVANCE(22);
      if (lookahead == 'l') ADVANCE(23);
      if (lookahead == 'o') ADVANCE(24);
      END_STATE();
    case 4:
      if (lookahead == 'e') ADVANCE(25);
      if (lookahead == 'o') ADVANCE(26);
      END_STATE();
    case 5:
      if (lookahead == 'l') ADVANCE(27);
      if (lookahead == 'x') ADVANCE(28);
      END_STATE();
    case 6:
      if (lookahead == 'a') ADVANCE(29);
      if (lookahead == 'i') ADVANCE(30);
      if (lookahead == 'o') ADVANCE(31);
      if (lookahead == 'r') ADVANCE(32);
      if (lookahead == 'u') ADVANCE(33);
      END_STATE();
    case 7:
      if (lookahead == 'e') ADVANCE(34);
      END_STATE();
    case 8:
      if (lookahead == 'f') ADVANCE(35);
      if (lookahead == 'm') ADVANCE(36);
      if (lookahead == 'n') ADVANCE(37);
      END_STATE();
    case 9:
      if (lookahead == 'e') ADVANCE(38);
      END_STATE();
    case 10:
      if (lookahead == 'e') ADVANCE(39);
      if (lookahead == 'u') ADVANCE(40);
      END_STATE();
    case 11:
      if (lookahead == 'f') ADVANCE(41);
      END_STATE();
    case 12:
      if (lookahead == 'e') ADVANCE(42);
      END_STATE();
    case 13:
      if (lookahead == 'e') ADVANCE(43);
      if (lookahead == 't') ADVANCE(44);
      if (lookahead == 'u') ADVANCE(45);
      if (lookahead == 'w') ADVANCE(46);
      END_STATE();
    case 14:
      if (lookahead == 'a') ADVANCE(47);
      if (lookahead == 'h') ADVANCE(48);
      if (lookahead == 'r') ADVANCE(49);
      if (lookahead == 'y') ADVANCE(50);
      END_STATE();
    case 15:
      if (lookahead == 'n') ADVANCE(51);
      END_STATE();
    case 16:
      if (lookahead == 'a') ADVANCE(52);
      if (lookahead == 'o') ADVANCE(53);
      END_STATE();
    case 17:
      if (lookahead == 'h') ADVANCE(54);
      if (lookahead == 'i') ADVANCE(55);
      END_STATE();
    case 18:
      if (lookahead == 'i') ADVANCE(56);
      END_STATE();
    case 19:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 'y') ADVANCE(57);
      END_STATE();
    case 20:
      if (lookahead == 'a') ADVANCE(58);
      END_STATE();
    case 21:
      if (lookahead == 'e') ADVANCE(59);
      END_STATE();
    case 22:
      if (lookahead == 's') ADVANCE(60);
      if (lookahead == 't') ADVANCE(61);
      END_STATE();
    case 23:
      if (lookahead == 'a') ADVANCE(62);
      END_STATE();
    case 24:
      if (lookahead == 'n') ADVANCE(63);
      END_STATE();
    case 25:
      if (lookahead == 'b') ADVANCE(64);
      if (lookahead == 'f') ADVANCE(65);
      if (lookahead == 'l') ADVANCE(66);
      END_STATE();
    case 26:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 27:
      if (lookahead == 's') ADVANCE(67);
      END_STATE();
    case 28:
      if (lookahead == 'p') ADVANCE(68);
      if (lookahead == 't') ADVANCE(69);
      END_STATE();
    case 29:
      if (lookahead == 'l') ADVANCE(70);
      END_STATE();
    case 30:
      if (lookahead == 'n') ADVANCE(71);
      END_STATE();
    case 31:
      if (lookahead == 'r') ADVANCE(72);
      END_STATE();
    case 32:
      if (lookahead == 'o') ADVANCE(73);
      END_STATE();
    case 33:
      if (lookahead == 'n') ADVANCE(74);
      END_STATE();
    case 34:
      if (lookahead == 't') ADVANCE(75);
      END_STATE();
    case 35:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 36:
      if (lookahead == 'p') ADVANCE(76);
      END_STATE();
    case 37:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 's') ADVANCE(77);
      END_STATE();
    case 38:
      if (lookahead == 't') ADVANCE(78);
      END_STATE();
    case 39:
      if (lookahead == 'w') ADVANCE(79);
      END_STATE();
    case 40:
      if (lookahead == 'l') ADVANCE(80);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(anon_sym_of);
      END_STATE();
    case 42:
      if (lookahead == 't') ADVANCE(81);
      END_STATE();
    case 43:
      if (lookahead == 't') ADVANCE(82);
      END_STATE();
    case 44:
      if (lookahead == 'a') ADVANCE(83);
      END_STATE();
    case 45:
      if (lookahead == 'p') ADVANCE(84);
      END_STATE();
    case 46:
      if (lookahead == 'i') ADVANCE(85);
      END_STATE();
    case 47:
      if (lookahead == 'r') ADVANCE(86);
      END_STATE();
    case 48:
      if (lookahead == 'i') ADVANCE(87);
      if (lookahead == 'r') ADVANCE(88);
      END_STATE();
    case 49:
      if (lookahead == 'u') ADVANCE(89);
      if (lookahead == 'y') ADVANCE(90);
      END_STATE();
    case 50:
      if (lookahead == 'p') ADVANCE(91);
      END_STATE();
    case 51:
      if (lookahead == 'd') ADVANCE(92);
      END_STATE();
    case 52:
      if (lookahead == 'r') ADVANCE(93);
      END_STATE();
    case 53:
      if (lookahead == 'i') ADVANCE(94);
      END_STATE();
    case 54:
      if (lookahead == 'i') ADVANCE(95);
      END_STATE();
    case 55:
      if (lookahead == 't') ADVANCE(96);
      END_STATE();
    case 56:
      if (lookahead == 'e') ADVANCE(97);
      END_STATE();
    case 57:
      if (lookahead == 'n') ADVANCE(98);
      END_STATE();
    case 58:
      if (lookahead == 'i') ADVANCE(99);
      END_STATE();
    case 59:
      if (lookahead == 'a') ADVANCE(100);
      END_STATE();
    case 60:
      if (lookahead == 'e') ADVANCE(101);
      END_STATE();
    case 61:
      if (lookahead == 'c') ADVANCE(102);
      END_STATE();
    case 62:
      if (lookahead == 's') ADVANCE(103);
      END_STATE();
    case 63:
      if (lookahead == 's') ADVANCE(104);
      if (lookahead == 't') ADVANCE(105);
      END_STATE();
    case 64:
      if (lookahead == 'u') ADVANCE(106);
      END_STATE();
    case 65:
      if (lookahead == 'a') ADVANCE(107);
      END_STATE();
    case 66:
      if (lookahead == 'e') ADVANCE(108);
      END_STATE();
    case 67:
      if (lookahead == 'e') ADVANCE(109);
      END_STATE();
    case 68:
      if (lookahead == 'o') ADVANCE(110);
      END_STATE();
    case 69:
      if (lookahead == 'e') ADVANCE(111);
      END_STATE();
    case 70:
      if (lookahead == 's') ADVANCE(112);
      END_STATE();
    case 71:
      if (lookahead == 'a') ADVANCE(113);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 73:
      if (lookahead == 'm') ADVANCE(114);
      END_STATE();
    case 74:
      if (lookahead == 'c') ADVANCE(115);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_get);
      END_STATE();
    case 76:
      if (lookahead == 'o') ADVANCE(116);
      END_STATE();
    case 77:
      if (lookahead == 't') ADVANCE(117);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_let);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 80:
      if (lookahead == 'l') ADVANCE(118);
      END_STATE();
    case 81:
      if (lookahead == 'u') ADVANCE(119);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_set);
      END_STATE();
    case 83:
      if (lookahead == 't') ADVANCE(120);
      END_STATE();
    case 84:
      if (lookahead == 'e') ADVANCE(121);
      END_STATE();
    case 85:
      if (lookahead == 't') ADVANCE(122);
      END_STATE();
    case 86:
      if (lookahead == 'g') ADVANCE(123);
      END_STATE();
    case 87:
      if (lookahead == 's') ADVANCE(124);
      END_STATE();
    case 88:
      if (lookahead == 'o') ADVANCE(125);
      END_STATE();
    case 89:
      if (lookahead == 'e') ADVANCE(126);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 91:
      if (lookahead == 'e') ADVANCE(127);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(128);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 94:
      if (lookahead == 'd') ADVANCE(129);
      END_STATE();
    case 95:
      if (lookahead == 'l') ADVANCE(130);
      END_STATE();
    case 96:
      if (lookahead == 'h') ADVANCE(131);
      END_STATE();
    case 97:
      if (lookahead == 'l') ADVANCE(132);
      END_STATE();
    case 98:
      if (lookahead == 'c') ADVANCE(133);
      END_STATE();
    case 99:
      if (lookahead == 't') ADVANCE(134);
      END_STATE();
    case 100:
      if (lookahead == 'k') ADVANCE(135);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 102:
      if (lookahead == 'h') ADVANCE(136);
      END_STATE();
    case 103:
      if (lookahead == 's') ADVANCE(137);
      END_STATE();
    case 104:
      if (lookahead == 't') ADVANCE(138);
      END_STATE();
    case 105:
      if (lookahead == 'i') ADVANCE(139);
      END_STATE();
    case 106:
      if (lookahead == 'g') ADVANCE(140);
      END_STATE();
    case 107:
      if (lookahead == 'u') ADVANCE(141);
      END_STATE();
    case 108:
      if (lookahead == 't') ADVANCE(142);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 110:
      if (lookahead == 'r') ADVANCE(143);
      END_STATE();
    case 111:
      if (lookahead == 'n') ADVANCE(144);
      END_STATE();
    case 112:
      if (lookahead == 'e') ADVANCE(145);
      END_STATE();
    case 113:
      if (lookahead == 'l') ADVANCE(146);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 115:
      if (lookahead == 't') ADVANCE(147);
      END_STATE();
    case 116:
      if (lookahead == 'r') ADVANCE(148);
      END_STATE();
    case 117:
      if (lookahead == 'a') ADVANCE(149);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(sym_null);
      END_STATE();
    case 119:
      if (lookahead == 'r') ADVANCE(150);
      END_STATE();
    case 120:
      if (lookahead == 'i') ADVANCE(151);
      END_STATE();
    case 121:
      if (lookahead == 'r') ADVANCE(152);
      END_STATE();
    case 122:
      if (lookahead == 'c') ADVANCE(153);
      END_STATE();
    case 123:
      if (lookahead == 'e') ADVANCE(154);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(sym_this);
      END_STATE();
    case 125:
      if (lookahead == 'w') ADVANCE(155);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 127:
      if (lookahead == 'o') ADVANCE(156);
      END_STATE();
    case 128:
      if (lookahead == 'f') ADVANCE(157);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 130:
      if (lookahead == 'e') ADVANCE(158);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 132:
      if (lookahead == 'd') ADVANCE(159);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 139:
      if (lookahead == 'n') ADVANCE(160);
      END_STATE();
    case 140:
      if (lookahead == 'g') ADVANCE(161);
      END_STATE();
    case 141:
      if (lookahead == 'l') ADVANCE(162);
      END_STATE();
    case 142:
      if (lookahead == 'e') ADVANCE(163);
      END_STATE();
    case 143:
      if (lookahead == 't') ADVANCE(164);
      END_STATE();
    case 144:
      if (lookahead == 'd') ADVANCE(165);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 146:
      if (lookahead == 'l') ADVANCE(166);
      END_STATE();
    case 147:
      if (lookahead == 'i') ADVANCE(167);
      END_STATE();
    case 148:
      if (lookahead == 't') ADVANCE(168);
      END_STATE();
    case 149:
      if (lookahead == 'n') ADVANCE(169);
      END_STATE();
    case 150:
      if (lookahead == 'n') ADVANCE(170);
      END_STATE();
    case 151:
      if (lookahead == 'c') ADVANCE(171);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym_super);
      END_STATE();
    case 153:
      if (lookahead == 'h') ADVANCE(172);
      END_STATE();
    case 154:
      if (lookahead == 't') ADVANCE(173);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_throw);
      END_STATE();
    case 156:
      if (lookahead == 'f') ADVANCE(174);
      END_STATE();
    case 157:
      if (lookahead == 'i') ADVANCE(175);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 160:
      if (lookahead == 'u') ADVANCE(176);
      END_STATE();
    case 161:
      if (lookahead == 'e') ADVANCE(177);
      END_STATE();
    case 162:
      if (lookahead == 't') ADVANCE(178);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_delete);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 165:
      if (lookahead == 's') ADVANCE(179);
      END_STATE();
    case 166:
      if (lookahead == 'y') ADVANCE(180);
      END_STATE();
    case 167:
      if (lookahead == 'o') ADVANCE(181);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 169:
      if (lookahead == 'c') ADVANCE(182);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_target);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_typeof);
      END_STATE();
    case 175:
      if (lookahead == 'n') ADVANCE(183);
      END_STATE();
    case 176:
      if (lookahead == 'e') ADVANCE(184);
      END_STATE();
    case 177:
      if (lookahead == 'r') ADVANCE(185);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_extends);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 181:
      if (lookahead == 'n') ADVANCE(186);
      END_STATE();
    case 182:
      if (lookahead == 'e') ADVANCE(187);
      END_STATE();
    case 183:
      if (lookahead == 'e') ADVANCE(188);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_debugger);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 187:
      if (lookahead == 'o') ADVANCE(189);
      END_STATE();
    case 188:
      if (lookahead == 'd') ADVANCE(190);
      END_STATE();
    case 189:
      if (lookahead == 'f') ADVANCE(191);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(sym_undefined);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_instanceof);
      END_STATE();
    default:
      return false;
  }
}

static TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 60},
  [2] = {.lex_state = 60},
  [3] = {.lex_state = 60},
  [4] = {.lex_state = 60},
  [5] = {.lex_state = 60},
  [6] = {.lex_state = 60},
  [7] = {.lex_state = 60},
  [8] = {.lex_state = 60},
  [9] = {.lex_state = 60},
  [10] = {.lex_state = 60},
  [11] = {.lex_state = 60},
  [12] = {.lex_state = 60},
  [13] = {.lex_state = 60},
  [14] = {.lex_state = 60},
  [15] = {.lex_state = 60},
  [16] = {.lex_state = 60},
  [17] = {.lex_state = 60},
  [18] = {.lex_state = 60},
  [19] = {.lex_state = 60},
  [20] = {.lex_state = 60},
  [21] = {.lex_state = 60},
  [22] = {.lex_state = 60},
  [23] = {.lex_state = 60},
  [24] = {.lex_state = 60},
  [25] = {.lex_state = 60},
  [26] = {.lex_state = 60},
  [27] = {.lex_state = 60},
  [28] = {.lex_state = 60},
  [29] = {.lex_state = 60},
  [30] = {.lex_state = 60},
  [31] = {.lex_state = 60},
  [32] = {.lex_state = 60},
  [33] = {.lex_state = 60},
  [34] = {.lex_state = 60},
  [35] = {.lex_state = 60},
  [36] = {.lex_state = 60},
  [37] = {.lex_state = 60},
  [38] = {.lex_state = 60},
  [39] = {.lex_state = 60},
  [40] = {.lex_state = 60},
  [41] = {.lex_state = 60},
  [42] = {.lex_state = 60},
  [43] = {.lex_state = 59},
  [44] = {.lex_state = 59, .external_lex_state = 2},
  [45] = {.lex_state = 59, .external_lex_state = 2},
  [46] = {.lex_state = 59, .external_lex_state = 2},
  [47] = {.lex_state = 59, .external_lex_state = 2},
  [48] = {.lex_state = 59, .external_lex_state = 2},
  [49] = {.lex_state = 59, .external_lex_state = 2},
  [50] = {.lex_state = 59, .external_lex_state = 2},
  [51] = {.lex_state = 59, .external_lex_state = 2},
  [52] = {.lex_state = 59, .external_lex_state = 2},
  [53] = {.lex_state = 59, .external_lex_state = 2},
  [54] = {.lex_state = 59, .external_lex_state = 2},
  [55] = {.lex_state = 59, .external_lex_state = 2},
  [56] = {.lex_state = 59, .external_lex_state = 2},
  [57] = {.lex_state = 59, .external_lex_state = 2},
  [58] = {.lex_state = 59, .external_lex_state = 2},
  [59] = {.lex_state = 59, .external_lex_state = 2},
  [60] = {.lex_state = 60},
  [61] = {.lex_state = 60},
  [62] = {.lex_state = 60},
  [63] = {.lex_state = 60},
  [64] = {.lex_state = 60},
  [65] = {.lex_state = 60},
  [66] = {.lex_state = 60},
  [67] = {.lex_state = 60},
  [68] = {.lex_state = 60},
  [69] = {.lex_state = 60},
  [70] = {.lex_state = 60},
  [71] = {.lex_state = 60},
  [72] = {.lex_state = 60},
  [73] = {.lex_state = 60},
  [74] = {.lex_state = 60},
  [75] = {.lex_state = 60},
  [76] = {.lex_state = 60, .external_lex_state = 2},
  [77] = {.lex_state = 60},
  [78] = {.lex_state = 60},
  [79] = {.lex_state = 60},
  [80] = {.lex_state = 60},
  [81] = {.lex_state = 60},
  [82] = {.lex_state = 60},
  [83] = {.lex_state = 60},
  [84] = {.lex_state = 60},
  [85] = {.lex_state = 60},
  [86] = {.lex_state = 60},
  [87] = {.lex_state = 60},
  [88] = {.lex_state = 60},
  [89] = {.lex_state = 60},
  [90] = {.lex_state = 60},
  [91] = {.lex_state = 60},
  [92] = {.lex_state = 60},
  [93] = {.lex_state = 60},
  [94] = {.lex_state = 60},
  [95] = {.lex_state = 60},
  [96] = {.lex_state = 60},
  [97] = {.lex_state = 7},
  [98] = {.lex_state = 60},
  [99] = {.lex_state = 60},
  [100] = {.lex_state = 60},
  [101] = {.lex_state = 60},
  [102] = {.lex_state = 60},
  [103] = {.lex_state = 60},
  [104] = {.lex_state = 60},
  [105] = {.lex_state = 60},
  [106] = {.lex_state = 60},
  [107] = {.lex_state = 60},
  [108] = {.lex_state = 7},
  [109] = {.lex_state = 60},
  [110] = {.lex_state = 60},
  [111] = {.lex_state = 60},
  [112] = {.lex_state = 60},
  [113] = {.lex_state = 60},
  [114] = {.lex_state = 60},
  [115] = {.lex_state = 60},
  [116] = {.lex_state = 60},
  [117] = {.lex_state = 60},
  [118] = {.lex_state = 60},
  [119] = {.lex_state = 60},
  [120] = {.lex_state = 60},
  [121] = {.lex_state = 60},
  [122] = {.lex_state = 60},
  [123] = {.lex_state = 60},
  [124] = {.lex_state = 60},
  [125] = {.lex_state = 60},
  [126] = {.lex_state = 60},
  [127] = {.lex_state = 60},
  [128] = {.lex_state = 60},
  [129] = {.lex_state = 60},
  [130] = {.lex_state = 60},
  [131] = {.lex_state = 60},
  [132] = {.lex_state = 60},
  [133] = {.lex_state = 60},
  [134] = {.lex_state = 60},
  [135] = {.lex_state = 60},
  [136] = {.lex_state = 60},
  [137] = {.lex_state = 60},
  [138] = {.lex_state = 60},
  [139] = {.lex_state = 60},
  [140] = {.lex_state = 60},
  [141] = {.lex_state = 60},
  [142] = {.lex_state = 60},
  [143] = {.lex_state = 60},
  [144] = {.lex_state = 60},
  [145] = {.lex_state = 60},
  [146] = {.lex_state = 60},
  [147] = {.lex_state = 60},
  [148] = {.lex_state = 60},
  [149] = {.lex_state = 60},
  [150] = {.lex_state = 60},
  [151] = {.lex_state = 60},
  [152] = {.lex_state = 60},
  [153] = {.lex_state = 60},
  [154] = {.lex_state = 60},
  [155] = {.lex_state = 60},
  [156] = {.lex_state = 60},
  [157] = {.lex_state = 60},
  [158] = {.lex_state = 60},
  [159] = {.lex_state = 60},
  [160] = {.lex_state = 60},
  [161] = {.lex_state = 60},
  [162] = {.lex_state = 60},
  [163] = {.lex_state = 60},
  [164] = {.lex_state = 60},
  [165] = {.lex_state = 60},
  [166] = {.lex_state = 60},
  [167] = {.lex_state = 60},
  [168] = {.lex_state = 60},
  [169] = {.lex_state = 60},
  [170] = {.lex_state = 60},
  [171] = {.lex_state = 60},
  [172] = {.lex_state = 60},
  [173] = {.lex_state = 60},
  [174] = {.lex_state = 60},
  [175] = {.lex_state = 60},
  [176] = {.lex_state = 8, .external_lex_state = 2},
  [177] = {.lex_state = 8, .external_lex_state = 2},
  [178] = {.lex_state = 60, .external_lex_state = 2},
  [179] = {.lex_state = 60, .external_lex_state = 2},
  [180] = {.lex_state = 60},
  [181] = {.lex_state = 60},
  [182] = {.lex_state = 8, .external_lex_state = 2},
  [183] = {.lex_state = 8, .external_lex_state = 2},
  [184] = {.lex_state = 60},
  [185] = {.lex_state = 8, .external_lex_state = 2},
  [186] = {.lex_state = 8, .external_lex_state = 2},
  [187] = {.lex_state = 60},
  [188] = {.lex_state = 8},
  [189] = {.lex_state = 60, .external_lex_state = 2},
  [190] = {.lex_state = 60},
  [191] = {.lex_state = 60},
  [192] = {.lex_state = 60, .external_lex_state = 2},
  [193] = {.lex_state = 60},
  [194] = {.lex_state = 60, .external_lex_state = 2},
  [195] = {.lex_state = 60, .external_lex_state = 2},
  [196] = {.lex_state = 60, .external_lex_state = 2},
  [197] = {.lex_state = 60, .external_lex_state = 2},
  [198] = {.lex_state = 60, .external_lex_state = 2},
  [199] = {.lex_state = 60, .external_lex_state = 2},
  [200] = {.lex_state = 60, .external_lex_state = 2},
  [201] = {.lex_state = 60, .external_lex_state = 2},
  [202] = {.lex_state = 60},
  [203] = {.lex_state = 60},
  [204] = {.lex_state = 60},
  [205] = {.lex_state = 60, .external_lex_state = 2},
  [206] = {.lex_state = 60, .external_lex_state = 2},
  [207] = {.lex_state = 60, .external_lex_state = 2},
  [208] = {.lex_state = 60, .external_lex_state = 2},
  [209] = {.lex_state = 60},
  [210] = {.lex_state = 60},
  [211] = {.lex_state = 60},
  [212] = {.lex_state = 60},
  [213] = {.lex_state = 60},
  [214] = {.lex_state = 60},
  [215] = {.lex_state = 60},
  [216] = {.lex_state = 60},
  [217] = {.lex_state = 60},
  [218] = {.lex_state = 60},
  [219] = {.lex_state = 60},
  [220] = {.lex_state = 60},
  [221] = {.lex_state = 60},
  [222] = {.lex_state = 60},
  [223] = {.lex_state = 60},
  [224] = {.lex_state = 60},
  [225] = {.lex_state = 8},
  [226] = {.lex_state = 60},
  [227] = {.lex_state = 60},
  [228] = {.lex_state = 60},
  [229] = {.lex_state = 60},
  [230] = {.lex_state = 60},
  [231] = {.lex_state = 60},
  [232] = {.lex_state = 60},
  [233] = {.lex_state = 60},
  [234] = {.lex_state = 60},
  [235] = {.lex_state = 60},
  [236] = {.lex_state = 60},
  [237] = {.lex_state = 60},
  [238] = {.lex_state = 60},
  [239] = {.lex_state = 60},
  [240] = {.lex_state = 60},
  [241] = {.lex_state = 60},
  [242] = {.lex_state = 60},
  [243] = {.lex_state = 60},
  [244] = {.lex_state = 60},
  [245] = {.lex_state = 60},
  [246] = {.lex_state = 60},
  [247] = {.lex_state = 60},
  [248] = {.lex_state = 60},
  [249] = {.lex_state = 60},
  [250] = {.lex_state = 60},
  [251] = {.lex_state = 60},
  [252] = {.lex_state = 60},
  [253] = {.lex_state = 60},
  [254] = {.lex_state = 8, .external_lex_state = 2},
  [255] = {.lex_state = 8, .external_lex_state = 2},
  [256] = {.lex_state = 8, .external_lex_state = 2},
  [257] = {.lex_state = 8, .external_lex_state = 2},
  [258] = {.lex_state = 8, .external_lex_state = 2},
  [259] = {.lex_state = 8},
  [260] = {.lex_state = 8},
  [261] = {.lex_state = 60},
  [262] = {.lex_state = 60},
  [263] = {.lex_state = 60},
  [264] = {.lex_state = 60},
  [265] = {.lex_state = 60},
  [266] = {.lex_state = 60},
  [267] = {.lex_state = 8},
  [268] = {.lex_state = 60},
  [269] = {.lex_state = 60},
  [270] = {.lex_state = 60},
  [271] = {.lex_state = 8},
  [272] = {.lex_state = 8},
  [273] = {.lex_state = 8},
  [274] = {.lex_state = 8},
  [275] = {.lex_state = 8},
  [276] = {.lex_state = 8},
  [277] = {.lex_state = 8},
  [278] = {.lex_state = 8, .external_lex_state = 2},
  [279] = {.lex_state = 8, .external_lex_state = 2},
  [280] = {.lex_state = 8},
  [281] = {.lex_state = 8},
  [282] = {.lex_state = 8, .external_lex_state = 2},
  [283] = {.lex_state = 8, .external_lex_state = 2},
  [284] = {.lex_state = 8, .external_lex_state = 2},
  [285] = {.lex_state = 8},
  [286] = {.lex_state = 8, .external_lex_state = 2},
  [287] = {.lex_state = 8, .external_lex_state = 2},
  [288] = {.lex_state = 8, .external_lex_state = 2},
  [289] = {.lex_state = 8, .external_lex_state = 2},
  [290] = {.lex_state = 8, .external_lex_state = 2},
  [291] = {.lex_state = 8, .external_lex_state = 2},
  [292] = {.lex_state = 8, .external_lex_state = 2},
  [293] = {.lex_state = 8, .external_lex_state = 2},
  [294] = {.lex_state = 8, .external_lex_state = 2},
  [295] = {.lex_state = 8, .external_lex_state = 2},
  [296] = {.lex_state = 8, .external_lex_state = 2},
  [297] = {.lex_state = 8, .external_lex_state = 2},
  [298] = {.lex_state = 8, .external_lex_state = 2},
  [299] = {.lex_state = 8},
  [300] = {.lex_state = 59},
  [301] = {.lex_state = 8, .external_lex_state = 2},
  [302] = {.lex_state = 8},
  [303] = {.lex_state = 59},
  [304] = {.lex_state = 59},
  [305] = {.lex_state = 8, .external_lex_state = 2},
  [306] = {.lex_state = 8},
  [307] = {.lex_state = 8},
  [308] = {.lex_state = 8},
  [309] = {.lex_state = 8},
  [310] = {.lex_state = 8},
  [311] = {.lex_state = 8},
  [312] = {.lex_state = 8},
  [313] = {.lex_state = 59, .external_lex_state = 2},
  [314] = {.lex_state = 59},
  [315] = {.lex_state = 59},
  [316] = {.lex_state = 59},
  [317] = {.lex_state = 59},
  [318] = {.lex_state = 59},
  [319] = {.lex_state = 59},
  [320] = {.lex_state = 59},
  [321] = {.lex_state = 59},
  [322] = {.lex_state = 59},
  [323] = {.lex_state = 59},
  [324] = {.lex_state = 59},
  [325] = {.lex_state = 59},
  [326] = {.lex_state = 59},
  [327] = {.lex_state = 59},
  [328] = {.lex_state = 59},
  [329] = {.lex_state = 59},
  [330] = {.lex_state = 59},
  [331] = {.lex_state = 59},
  [332] = {.lex_state = 59},
  [333] = {.lex_state = 59},
  [334] = {.lex_state = 59},
  [335] = {.lex_state = 59},
  [336] = {.lex_state = 59},
  [337] = {.lex_state = 59},
  [338] = {.lex_state = 59},
  [339] = {.lex_state = 59, .external_lex_state = 2},
  [340] = {.lex_state = 59},
  [341] = {.lex_state = 59},
  [342] = {.lex_state = 59},
  [343] = {.lex_state = 59},
  [344] = {.lex_state = 59},
  [345] = {.lex_state = 59},
  [346] = {.lex_state = 59},
  [347] = {.lex_state = 59},
  [348] = {.lex_state = 59},
  [349] = {.lex_state = 59},
  [350] = {.lex_state = 59},
  [351] = {.lex_state = 59},
  [352] = {.lex_state = 59},
  [353] = {.lex_state = 59, .external_lex_state = 2},
  [354] = {.lex_state = 59},
  [355] = {.lex_state = 59},
  [356] = {.lex_state = 59, .external_lex_state = 2},
  [357] = {.lex_state = 59},
  [358] = {.lex_state = 59},
  [359] = {.lex_state = 9},
  [360] = {.lex_state = 59},
  [361] = {.lex_state = 59},
  [362] = {.lex_state = 59},
  [363] = {.lex_state = 59},
  [364] = {.lex_state = 59},
  [365] = {.lex_state = 59},
  [366] = {.lex_state = 59},
  [367] = {.lex_state = 59, .external_lex_state = 2},
  [368] = {.lex_state = 59, .external_lex_state = 2},
  [369] = {.lex_state = 59, .external_lex_state = 2},
  [370] = {.lex_state = 59, .external_lex_state = 2},
  [371] = {.lex_state = 59, .external_lex_state = 2},
  [372] = {.lex_state = 59, .external_lex_state = 2},
  [373] = {.lex_state = 59, .external_lex_state = 2},
  [374] = {.lex_state = 59, .external_lex_state = 2},
  [375] = {.lex_state = 59, .external_lex_state = 2},
  [376] = {.lex_state = 59, .external_lex_state = 2},
  [377] = {.lex_state = 59},
  [378] = {.lex_state = 59, .external_lex_state = 2},
  [379] = {.lex_state = 59, .external_lex_state = 2},
  [380] = {.lex_state = 59},
  [381] = {.lex_state = 59, .external_lex_state = 2},
  [382] = {.lex_state = 59},
  [383] = {.lex_state = 59, .external_lex_state = 2},
  [384] = {.lex_state = 59},
  [385] = {.lex_state = 59, .external_lex_state = 2},
  [386] = {.lex_state = 59},
  [387] = {.lex_state = 59, .external_lex_state = 2},
  [388] = {.lex_state = 59},
  [389] = {.lex_state = 59},
  [390] = {.lex_state = 59, .external_lex_state = 2},
  [391] = {.lex_state = 59, .external_lex_state = 2},
  [392] = {.lex_state = 59},
  [393] = {.lex_state = 59},
  [394] = {.lex_state = 59, .external_lex_state = 2},
  [395] = {.lex_state = 59},
  [396] = {.lex_state = 59, .external_lex_state = 2},
  [397] = {.lex_state = 59, .external_lex_state = 2},
  [398] = {.lex_state = 59, .external_lex_state = 2},
  [399] = {.lex_state = 59, .external_lex_state = 2},
  [400] = {.lex_state = 59},
  [401] = {.lex_state = 59, .external_lex_state = 2},
  [402] = {.lex_state = 59, .external_lex_state = 2},
  [403] = {.lex_state = 59, .external_lex_state = 2},
  [404] = {.lex_state = 59, .external_lex_state = 2},
  [405] = {.lex_state = 59, .external_lex_state = 2},
  [406] = {.lex_state = 59, .external_lex_state = 2},
  [407] = {.lex_state = 59, .external_lex_state = 2},
  [408] = {.lex_state = 59},
  [409] = {.lex_state = 59, .external_lex_state = 2},
  [410] = {.lex_state = 59, .external_lex_state = 2},
  [411] = {.lex_state = 59, .external_lex_state = 2},
  [412] = {.lex_state = 59, .external_lex_state = 2},
  [413] = {.lex_state = 59, .external_lex_state = 2},
  [414] = {.lex_state = 59, .external_lex_state = 2},
  [415] = {.lex_state = 59},
  [416] = {.lex_state = 59},
  [417] = {.lex_state = 59, .external_lex_state = 2},
  [418] = {.lex_state = 59},
  [419] = {.lex_state = 59},
  [420] = {.lex_state = 59},
  [421] = {.lex_state = 59},
  [422] = {.lex_state = 59, .external_lex_state = 2},
  [423] = {.lex_state = 59, .external_lex_state = 2},
  [424] = {.lex_state = 59, .external_lex_state = 2},
  [425] = {.lex_state = 59},
  [426] = {.lex_state = 59},
  [427] = {.lex_state = 59, .external_lex_state = 2},
  [428] = {.lex_state = 59},
  [429] = {.lex_state = 59},
  [430] = {.lex_state = 59},
  [431] = {.lex_state = 59},
  [432] = {.lex_state = 59},
  [433] = {.lex_state = 59},
  [434] = {.lex_state = 59},
  [435] = {.lex_state = 59},
  [436] = {.lex_state = 59},
  [437] = {.lex_state = 59},
  [438] = {.lex_state = 59},
  [439] = {.lex_state = 59},
  [440] = {.lex_state = 59},
  [441] = {.lex_state = 59},
  [442] = {.lex_state = 59},
  [443] = {.lex_state = 59},
  [444] = {.lex_state = 59},
  [445] = {.lex_state = 59},
  [446] = {.lex_state = 59},
  [447] = {.lex_state = 59, .external_lex_state = 2},
  [448] = {.lex_state = 59, .external_lex_state = 2},
  [449] = {.lex_state = 59, .external_lex_state = 2},
  [450] = {.lex_state = 59, .external_lex_state = 2},
  [451] = {.lex_state = 59, .external_lex_state = 2},
  [452] = {.lex_state = 59, .external_lex_state = 2},
  [453] = {.lex_state = 59},
  [454] = {.lex_state = 59},
  [455] = {.lex_state = 59},
  [456] = {.lex_state = 59, .external_lex_state = 2},
  [457] = {.lex_state = 59, .external_lex_state = 2},
  [458] = {.lex_state = 59, .external_lex_state = 2},
  [459] = {.lex_state = 59, .external_lex_state = 2},
  [460] = {.lex_state = 59, .external_lex_state = 2},
  [461] = {.lex_state = 59, .external_lex_state = 2},
  [462] = {.lex_state = 59, .external_lex_state = 2},
  [463] = {.lex_state = 59, .external_lex_state = 2},
  [464] = {.lex_state = 59, .external_lex_state = 2},
  [465] = {.lex_state = 59, .external_lex_state = 2},
  [466] = {.lex_state = 59, .external_lex_state = 2},
  [467] = {.lex_state = 9, .external_lex_state = 2},
  [468] = {.lex_state = 59, .external_lex_state = 2},
  [469] = {.lex_state = 59, .external_lex_state = 2},
  [470] = {.lex_state = 59, .external_lex_state = 2},
  [471] = {.lex_state = 59, .external_lex_state = 2},
  [472] = {.lex_state = 59, .external_lex_state = 2},
  [473] = {.lex_state = 59},
  [474] = {.lex_state = 59, .external_lex_state = 2},
  [475] = {.lex_state = 59, .external_lex_state = 2},
  [476] = {.lex_state = 59},
  [477] = {.lex_state = 59, .external_lex_state = 2},
  [478] = {.lex_state = 59, .external_lex_state = 2},
  [479] = {.lex_state = 59, .external_lex_state = 2},
  [480] = {.lex_state = 59},
  [481] = {.lex_state = 59, .external_lex_state = 2},
  [482] = {.lex_state = 59},
  [483] = {.lex_state = 59, .external_lex_state = 2},
  [484] = {.lex_state = 59},
  [485] = {.lex_state = 59, .external_lex_state = 2},
  [486] = {.lex_state = 59},
  [487] = {.lex_state = 59},
  [488] = {.lex_state = 59},
  [489] = {.lex_state = 59, .external_lex_state = 2},
  [490] = {.lex_state = 59},
  [491] = {.lex_state = 59},
  [492] = {.lex_state = 59, .external_lex_state = 2},
  [493] = {.lex_state = 59},
  [494] = {.lex_state = 59},
  [495] = {.lex_state = 59, .external_lex_state = 2},
  [496] = {.lex_state = 59, .external_lex_state = 2},
  [497] = {.lex_state = 59},
  [498] = {.lex_state = 59, .external_lex_state = 2},
  [499] = {.lex_state = 59, .external_lex_state = 2},
  [500] = {.lex_state = 59},
  [501] = {.lex_state = 59, .external_lex_state = 2},
  [502] = {.lex_state = 59, .external_lex_state = 2},
  [503] = {.lex_state = 59, .external_lex_state = 2},
  [504] = {.lex_state = 59, .external_lex_state = 2},
  [505] = {.lex_state = 59},
  [506] = {.lex_state = 59},
  [507] = {.lex_state = 59, .external_lex_state = 2},
  [508] = {.lex_state = 59},
  [509] = {.lex_state = 59, .external_lex_state = 2},
  [510] = {.lex_state = 59, .external_lex_state = 2},
  [511] = {.lex_state = 59},
  [512] = {.lex_state = 59, .external_lex_state = 2},
  [513] = {.lex_state = 59, .external_lex_state = 2},
  [514] = {.lex_state = 59},
  [515] = {.lex_state = 59, .external_lex_state = 2},
  [516] = {.lex_state = 59},
  [517] = {.lex_state = 59},
  [518] = {.lex_state = 59},
  [519] = {.lex_state = 59},
  [520] = {.lex_state = 59, .external_lex_state = 2},
  [521] = {.lex_state = 59, .external_lex_state = 2},
  [522] = {.lex_state = 59, .external_lex_state = 2},
  [523] = {.lex_state = 59, .external_lex_state = 2},
  [524] = {.lex_state = 59, .external_lex_state = 2},
  [525] = {.lex_state = 59, .external_lex_state = 2},
  [526] = {.lex_state = 59, .external_lex_state = 2},
  [527] = {.lex_state = 59},
  [528] = {.lex_state = 59, .external_lex_state = 2},
  [529] = {.lex_state = 59, .external_lex_state = 2},
  [530] = {.lex_state = 59},
  [531] = {.lex_state = 59, .external_lex_state = 2},
  [532] = {.lex_state = 59, .external_lex_state = 2},
  [533] = {.lex_state = 59},
  [534] = {.lex_state = 59, .external_lex_state = 2},
  [535] = {.lex_state = 59, .external_lex_state = 2},
  [536] = {.lex_state = 59, .external_lex_state = 2},
  [537] = {.lex_state = 59, .external_lex_state = 2},
  [538] = {.lex_state = 59, .external_lex_state = 2},
  [539] = {.lex_state = 59, .external_lex_state = 2},
  [540] = {.lex_state = 59},
  [541] = {.lex_state = 59, .external_lex_state = 2},
  [542] = {.lex_state = 59, .external_lex_state = 2},
  [543] = {.lex_state = 59, .external_lex_state = 2},
  [544] = {.lex_state = 59, .external_lex_state = 2},
  [545] = {.lex_state = 59, .external_lex_state = 2},
  [546] = {.lex_state = 59},
  [547] = {.lex_state = 59, .external_lex_state = 2},
  [548] = {.lex_state = 59},
  [549] = {.lex_state = 59},
  [550] = {.lex_state = 59},
  [551] = {.lex_state = 59, .external_lex_state = 2},
  [552] = {.lex_state = 59, .external_lex_state = 2},
  [553] = {.lex_state = 59, .external_lex_state = 2},
  [554] = {.lex_state = 59, .external_lex_state = 2},
  [555] = {.lex_state = 59},
  [556] = {.lex_state = 59},
  [557] = {.lex_state = 59, .external_lex_state = 2},
  [558] = {.lex_state = 59, .external_lex_state = 2},
  [559] = {.lex_state = 59, .external_lex_state = 2},
  [560] = {.lex_state = 59},
  [561] = {.lex_state = 59},
  [562] = {.lex_state = 59},
  [563] = {.lex_state = 59},
  [564] = {.lex_state = 59},
  [565] = {.lex_state = 59},
  [566] = {.lex_state = 59},
  [567] = {.lex_state = 59},
  [568] = {.lex_state = 59},
  [569] = {.lex_state = 59},
  [570] = {.lex_state = 59},
  [571] = {.lex_state = 59},
  [572] = {.lex_state = 59},
  [573] = {.lex_state = 60},
  [574] = {.lex_state = 60},
  [575] = {.lex_state = 60},
  [576] = {.lex_state = 60},
  [577] = {.lex_state = 60},
  [578] = {.lex_state = 60},
  [579] = {.lex_state = 60},
  [580] = {.lex_state = 60},
  [581] = {.lex_state = 60},
  [582] = {.lex_state = 60},
  [583] = {.lex_state = 60},
  [584] = {.lex_state = 60},
  [585] = {.lex_state = 60},
  [586] = {.lex_state = 60},
  [587] = {.lex_state = 60},
  [588] = {.lex_state = 60},
  [589] = {.lex_state = 60},
  [590] = {.lex_state = 60},
  [591] = {.lex_state = 60},
  [592] = {.lex_state = 60},
  [593] = {.lex_state = 60},
  [594] = {.lex_state = 60, .external_lex_state = 2},
  [595] = {.lex_state = 60, .external_lex_state = 2},
  [596] = {.lex_state = 60},
  [597] = {.lex_state = 60, .external_lex_state = 2},
  [598] = {.lex_state = 59},
  [599] = {.lex_state = 60},
  [600] = {.lex_state = 60},
  [601] = {.lex_state = 60},
  [602] = {.lex_state = 59},
  [603] = {.lex_state = 60, .external_lex_state = 2},
  [604] = {.lex_state = 60, .external_lex_state = 2},
  [605] = {.lex_state = 60},
  [606] = {.lex_state = 59},
  [607] = {.lex_state = 59},
  [608] = {.lex_state = 60},
  [609] = {.lex_state = 60},
  [610] = {.lex_state = 60},
  [611] = {.lex_state = 60},
  [612] = {.lex_state = 60},
  [613] = {.lex_state = 60},
  [614] = {.lex_state = 60},
  [615] = {.lex_state = 60},
  [616] = {.lex_state = 60},
  [617] = {.lex_state = 60},
  [618] = {.lex_state = 60},
  [619] = {.lex_state = 60},
  [620] = {.lex_state = 60},
  [621] = {.lex_state = 60},
  [622] = {.lex_state = 60},
  [623] = {.lex_state = 60},
  [624] = {.lex_state = 60},
  [625] = {.lex_state = 60},
  [626] = {.lex_state = 60},
  [627] = {.lex_state = 60},
  [628] = {.lex_state = 60},
  [629] = {.lex_state = 60},
  [630] = {.lex_state = 60},
  [631] = {.lex_state = 60},
  [632] = {.lex_state = 60},
  [633] = {.lex_state = 60},
  [634] = {.lex_state = 60},
  [635] = {.lex_state = 60},
  [636] = {.lex_state = 60},
  [637] = {.lex_state = 60},
  [638] = {.lex_state = 60},
  [639] = {.lex_state = 60},
  [640] = {.lex_state = 20},
  [641] = {.lex_state = 20},
  [642] = {.lex_state = 20},
  [643] = {.lex_state = 20},
  [644] = {.lex_state = 20},
  [645] = {.lex_state = 20},
  [646] = {.lex_state = 20},
  [647] = {.lex_state = 20},
  [648] = {.lex_state = 20},
  [649] = {.lex_state = 20},
  [650] = {.lex_state = 20},
  [651] = {.lex_state = 60},
  [652] = {.lex_state = 20},
  [653] = {.lex_state = 60},
  [654] = {.lex_state = 21},
  [655] = {.lex_state = 21},
  [656] = {.lex_state = 20},
  [657] = {.lex_state = 20},
  [658] = {.lex_state = 20},
  [659] = {.lex_state = 21},
  [660] = {.lex_state = 20},
  [661] = {.lex_state = 21},
  [662] = {.lex_state = 20},
  [663] = {.lex_state = 21},
  [664] = {.lex_state = 20},
  [665] = {.lex_state = 20},
  [666] = {.lex_state = 21},
  [667] = {.lex_state = 21},
  [668] = {.lex_state = 20},
  [669] = {.lex_state = 21},
  [670] = {.lex_state = 20},
  [671] = {.lex_state = 21},
  [672] = {.lex_state = 21},
  [673] = {.lex_state = 21},
  [674] = {.lex_state = 21},
  [675] = {.lex_state = 21},
  [676] = {.lex_state = 21},
  [677] = {.lex_state = 21},
  [678] = {.lex_state = 60},
  [679] = {.lex_state = 20},
  [680] = {.lex_state = 0},
  [681] = {.lex_state = 20},
  [682] = {.lex_state = 0, .external_lex_state = 2},
  [683] = {.lex_state = 60},
  [684] = {.lex_state = 12, .external_lex_state = 3},
  [685] = {.lex_state = 0},
  [686] = {.lex_state = 12, .external_lex_state = 3},
  [687] = {.lex_state = 60},
  [688] = {.lex_state = 12, .external_lex_state = 3},
  [689] = {.lex_state = 59},
  [690] = {.lex_state = 60},
  [691] = {.lex_state = 59},
  [692] = {.lex_state = 60},
  [693] = {.lex_state = 20},
  [694] = {.lex_state = 60},
  [695] = {.lex_state = 59},
  [696] = {.lex_state = 12, .external_lex_state = 3},
  [697] = {.lex_state = 12, .external_lex_state = 3},
  [698] = {.lex_state = 60},
  [699] = {.lex_state = 0, .external_lex_state = 2},
  [700] = {.lex_state = 20},
  [701] = {.lex_state = 20},
  [702] = {.lex_state = 20},
  [703] = {.lex_state = 20},
  [704] = {.lex_state = 20},
  [705] = {.lex_state = 20},
  [706] = {.lex_state = 20},
  [707] = {.lex_state = 60},
  [708] = {.lex_state = 20},
  [709] = {.lex_state = 60},
  [710] = {.lex_state = 20},
  [711] = {.lex_state = 60},
  [712] = {.lex_state = 20},
  [713] = {.lex_state = 60},
  [714] = {.lex_state = 20},
  [715] = {.lex_state = 20},
  [716] = {.lex_state = 20},
  [717] = {.lex_state = 0},
  [718] = {.lex_state = 60},
  [719] = {.lex_state = 20},
  [720] = {.lex_state = 60},
  [721] = {.lex_state = 20},
  [722] = {.lex_state = 20},
  [723] = {.lex_state = 20},
  [724] = {.lex_state = 60},
  [725] = {.lex_state = 60},
  [726] = {.lex_state = 20},
  [727] = {.lex_state = 20},
  [728] = {.lex_state = 60},
  [729] = {.lex_state = 20},
  [730] = {.lex_state = 20},
  [731] = {.lex_state = 20},
  [732] = {.lex_state = 0, .external_lex_state = 2},
  [733] = {.lex_state = 0, .external_lex_state = 2},
  [734] = {.lex_state = 20},
  [735] = {.lex_state = 60},
  [736] = {.lex_state = 0, .external_lex_state = 2},
  [737] = {.lex_state = 60},
  [738] = {.lex_state = 20},
  [739] = {.lex_state = 20},
  [740] = {.lex_state = 20},
  [741] = {.lex_state = 20},
  [742] = {.lex_state = 60},
  [743] = {.lex_state = 20},
  [744] = {.lex_state = 60},
  [745] = {.lex_state = 20},
  [746] = {.lex_state = 60},
  [747] = {.lex_state = 60},
  [748] = {.lex_state = 60},
  [749] = {.lex_state = 60},
  [750] = {.lex_state = 0},
  [751] = {.lex_state = 1},
  [752] = {.lex_state = 3},
  [753] = {.lex_state = 3},
  [754] = {.lex_state = 1},
  [755] = {.lex_state = 1},
  [756] = {.lex_state = 60},
  [757] = {.lex_state = 3},
  [758] = {.lex_state = 3},
  [759] = {.lex_state = 1},
  [760] = {.lex_state = 0},
  [761] = {.lex_state = 0},
  [762] = {.lex_state = 0, .external_lex_state = 2},
  [763] = {.lex_state = 0},
  [764] = {.lex_state = 60},
  [765] = {.lex_state = 0},
  [766] = {.lex_state = 0, .external_lex_state = 2},
  [767] = {.lex_state = 60},
  [768] = {.lex_state = 60},
  [769] = {.lex_state = 60},
  [770] = {.lex_state = 60},
  [771] = {.lex_state = 60},
  [772] = {.lex_state = 3},
  [773] = {.lex_state = 1},
  [774] = {.lex_state = 20},
  [775] = {.lex_state = 60},
  [776] = {.lex_state = 60},
  [777] = {.lex_state = 60},
  [778] = {.lex_state = 60, .external_lex_state = 2},
  [779] = {.lex_state = 60},
  [780] = {.lex_state = 3},
  [781] = {.lex_state = 1},
  [782] = {.lex_state = 12, .external_lex_state = 3},
  [783] = {.lex_state = 60},
  [784] = {.lex_state = 20},
  [785] = {.lex_state = 60},
  [786] = {.lex_state = 60},
  [787] = {.lex_state = 0, .external_lex_state = 2},
  [788] = {.lex_state = 60},
  [789] = {.lex_state = 0, .external_lex_state = 2},
  [790] = {.lex_state = 20},
  [791] = {.lex_state = 0, .external_lex_state = 2},
  [792] = {.lex_state = 60},
  [793] = {.lex_state = 60},
  [794] = {.lex_state = 1},
  [795] = {.lex_state = 60},
  [796] = {.lex_state = 20},
  [797] = {.lex_state = 0},
  [798] = {.lex_state = 0, .external_lex_state = 2},
  [799] = {.lex_state = 3},
  [800] = {.lex_state = 60},
  [801] = {.lex_state = 60},
  [802] = {.lex_state = 60},
  [803] = {.lex_state = 0, .external_lex_state = 2},
  [804] = {.lex_state = 0},
  [805] = {.lex_state = 21},
  [806] = {.lex_state = 7},
  [807] = {.lex_state = 0},
  [808] = {.lex_state = 60, .external_lex_state = 2},
  [809] = {.lex_state = 60, .external_lex_state = 2},
  [810] = {.lex_state = 60},
  [811] = {.lex_state = 7},
  [812] = {.lex_state = 60},
  [813] = {.lex_state = 0},
  [814] = {.lex_state = 60, .external_lex_state = 2},
  [815] = {.lex_state = 0},
  [816] = {.lex_state = 0},
  [817] = {.lex_state = 60},
  [818] = {.lex_state = 7},
  [819] = {.lex_state = 60, .external_lex_state = 2},
  [820] = {.lex_state = 60},
  [821] = {.lex_state = 0},
  [822] = {.lex_state = 60, .external_lex_state = 2},
  [823] = {.lex_state = 0, .external_lex_state = 2},
  [824] = {.lex_state = 0, .external_lex_state = 2},
  [825] = {.lex_state = 0},
  [826] = {.lex_state = 0, .external_lex_state = 2},
  [827] = {.lex_state = 0, .external_lex_state = 2},
  [828] = {.lex_state = 60},
  [829] = {.lex_state = 0},
  [830] = {.lex_state = 21},
  [831] = {.lex_state = 7},
  [832] = {.lex_state = 0},
  [833] = {.lex_state = 0},
  [834] = {.lex_state = 0},
  [835] = {.lex_state = 0},
  [836] = {.lex_state = 0},
  [837] = {.lex_state = 60, .external_lex_state = 2},
  [838] = {.lex_state = 0},
  [839] = {.lex_state = 0},
  [840] = {.lex_state = 60},
  [841] = {.lex_state = 0},
  [842] = {.lex_state = 0},
  [843] = {.lex_state = 0},
  [844] = {.lex_state = 0},
  [845] = {.lex_state = 0},
  [846] = {.lex_state = 21},
  [847] = {.lex_state = 0},
  [848] = {.lex_state = 0},
  [849] = {.lex_state = 0},
  [850] = {.lex_state = 0},
  [851] = {.lex_state = 0},
  [852] = {.lex_state = 60},
  [853] = {.lex_state = 0},
  [854] = {.lex_state = 60},
  [855] = {.lex_state = 0},
  [856] = {.lex_state = 0},
  [857] = {.lex_state = 60},
  [858] = {.lex_state = 60},
  [859] = {.lex_state = 0},
  [860] = {.lex_state = 60},
  [861] = {.lex_state = 60},
  [862] = {.lex_state = 0},
  [863] = {.lex_state = 0},
  [864] = {.lex_state = 60},
  [865] = {.lex_state = 0},
  [866] = {.lex_state = 0},
  [867] = {.lex_state = 21},
  [868] = {.lex_state = 0},
  [869] = {.lex_state = 21},
  [870] = {.lex_state = 21},
  [871] = {.lex_state = 21},
  [872] = {.lex_state = 0},
  [873] = {.lex_state = 0},
  [874] = {.lex_state = 60},
  [875] = {.lex_state = 21},
  [876] = {.lex_state = 60, .external_lex_state = 2},
  [877] = {.lex_state = 60, .external_lex_state = 2},
  [878] = {.lex_state = 0},
  [879] = {.lex_state = 0},
  [880] = {.lex_state = 60},
  [881] = {.lex_state = 0},
  [882] = {.lex_state = 21},
  [883] = {.lex_state = 0},
  [884] = {.lex_state = 0},
  [885] = {.lex_state = 0},
  [886] = {.lex_state = 0},
  [887] = {.lex_state = 0},
  [888] = {.lex_state = 0},
  [889] = {.lex_state = 0},
  [890] = {.lex_state = 0},
  [891] = {.lex_state = 0},
  [892] = {.lex_state = 0, .external_lex_state = 2},
  [893] = {.lex_state = 0},
  [894] = {.lex_state = 0},
  [895] = {.lex_state = 0},
  [896] = {.lex_state = 0},
  [897] = {.lex_state = 0},
  [898] = {.lex_state = 7},
  [899] = {.lex_state = 0, .external_lex_state = 2},
  [900] = {.lex_state = 60},
  [901] = {.lex_state = 60},
  [902] = {.lex_state = 60},
  [903] = {.lex_state = 0},
  [904] = {.lex_state = 0},
  [905] = {.lex_state = 0},
  [906] = {.lex_state = 0},
  [907] = {.lex_state = 0},
  [908] = {.lex_state = 0},
  [909] = {.lex_state = 0},
  [910] = {.lex_state = 0},
  [911] = {.lex_state = 0},
  [912] = {.lex_state = 0},
  [913] = {.lex_state = 0},
  [914] = {.lex_state = 0},
  [915] = {.lex_state = 0, .external_lex_state = 2},
  [916] = {.lex_state = 0},
  [917] = {.lex_state = 0},
  [918] = {.lex_state = 0},
  [919] = {.lex_state = 0},
  [920] = {.lex_state = 60},
  [921] = {.lex_state = 0},
  [922] = {.lex_state = 0},
  [923] = {.lex_state = 0},
  [924] = {.lex_state = 0},
  [925] = {.lex_state = 0},
  [926] = {.lex_state = 0},
  [927] = {.lex_state = 0, .external_lex_state = 2},
  [928] = {.lex_state = 0},
  [929] = {.lex_state = 60},
  [930] = {.lex_state = 0},
  [931] = {.lex_state = 0},
  [932] = {.lex_state = 0},
  [933] = {.lex_state = 0},
  [934] = {.lex_state = 0},
  [935] = {.lex_state = 0},
  [936] = {.lex_state = 0},
  [937] = {.lex_state = 0},
  [938] = {.lex_state = 0},
  [939] = {.lex_state = 0},
  [940] = {.lex_state = 0},
  [941] = {.lex_state = 0},
  [942] = {.lex_state = 0},
  [943] = {.lex_state = 0},
  [944] = {.lex_state = 0},
  [945] = {.lex_state = 0},
  [946] = {.lex_state = 0},
  [947] = {.lex_state = 0},
  [948] = {.lex_state = 0},
  [949] = {.lex_state = 0},
  [950] = {.lex_state = 0, .external_lex_state = 2},
  [951] = {.lex_state = 0},
  [952] = {.lex_state = 0},
  [953] = {.lex_state = 0},
  [954] = {.lex_state = 0},
  [955] = {.lex_state = 0},
  [956] = {.lex_state = 0},
  [957] = {.lex_state = 0},
  [958] = {.lex_state = 0},
  [959] = {.lex_state = 0},
  [960] = {.lex_state = 0},
  [961] = {.lex_state = 0, .external_lex_state = 2},
  [962] = {.lex_state = 0},
  [963] = {.lex_state = 0},
  [964] = {.lex_state = 0},
  [965] = {.lex_state = 0},
  [966] = {.lex_state = 0},
  [967] = {.lex_state = 0},
  [968] = {.lex_state = 0},
  [969] = {.lex_state = 0},
  [970] = {.lex_state = 0},
  [971] = {.lex_state = 0},
  [972] = {.lex_state = 60},
  [973] = {.lex_state = 0},
  [974] = {.lex_state = 0},
  [975] = {.lex_state = 0},
  [976] = {.lex_state = 0},
  [977] = {.lex_state = 0},
  [978] = {.lex_state = 0},
  [979] = {.lex_state = 0},
  [980] = {.lex_state = 0},
  [981] = {.lex_state = 20},
  [982] = {.lex_state = 0},
  [983] = {.lex_state = 0},
  [984] = {.lex_state = 0},
  [985] = {.lex_state = 0},
  [986] = {.lex_state = 0},
  [987] = {.lex_state = 0},
  [988] = {.lex_state = 0},
  [989] = {.lex_state = 0},
  [990] = {.lex_state = 0},
  [991] = {.lex_state = 60},
  [992] = {.lex_state = 0, .external_lex_state = 2},
  [993] = {.lex_state = 7},
  [994] = {.lex_state = 0},
  [995] = {.lex_state = 0},
  [996] = {.lex_state = 0},
  [997] = {.lex_state = 0, .external_lex_state = 2},
  [998] = {.lex_state = 0},
  [999] = {.lex_state = 0},
  [1000] = {.lex_state = 0},
  [1001] = {.lex_state = 0},
  [1002] = {.lex_state = 0},
  [1003] = {.lex_state = 0},
  [1004] = {.lex_state = 0, .external_lex_state = 2},
  [1005] = {.lex_state = 0},
  [1006] = {.lex_state = 0},
  [1007] = {.lex_state = 0, .external_lex_state = 2},
  [1008] = {.lex_state = 0, .external_lex_state = 2},
  [1009] = {.lex_state = 60},
  [1010] = {.lex_state = 60},
  [1011] = {.lex_state = 0},
  [1012] = {.lex_state = 60},
  [1013] = {.lex_state = 0},
  [1014] = {.lex_state = 60},
  [1015] = {.lex_state = 0, .external_lex_state = 2},
  [1016] = {.lex_state = 7},
  [1017] = {.lex_state = 0},
  [1018] = {.lex_state = 0},
  [1019] = {.lex_state = 0},
  [1020] = {.lex_state = 60},
  [1021] = {.lex_state = 60},
  [1022] = {.lex_state = 7},
  [1023] = {.lex_state = 0, .external_lex_state = 2},
  [1024] = {.lex_state = 0},
  [1025] = {.lex_state = 0},
  [1026] = {.lex_state = 0},
  [1027] = {.lex_state = 0},
  [1028] = {.lex_state = 0},
  [1029] = {.lex_state = 0, .external_lex_state = 2},
  [1030] = {.lex_state = 0, .external_lex_state = 2},
  [1031] = {.lex_state = 0},
  [1032] = {.lex_state = 0},
  [1033] = {.lex_state = 0},
  [1034] = {.lex_state = 0},
  [1035] = {.lex_state = 0},
  [1036] = {.lex_state = 60},
  [1037] = {.lex_state = 0},
  [1038] = {.lex_state = 0},
  [1039] = {.lex_state = 0},
  [1040] = {.lex_state = 0},
  [1041] = {.lex_state = 0},
  [1042] = {.lex_state = 5},
  [1043] = {.lex_state = 0},
  [1044] = {.lex_state = 60},
  [1045] = {.lex_state = 5},
  [1046] = {.lex_state = 60},
  [1047] = {.lex_state = 60},
  [1048] = {.lex_state = 60},
  [1049] = {.lex_state = 60},
  [1050] = {.lex_state = 60},
  [1051] = {.lex_state = 0},
  [1052] = {.lex_state = 60},
  [1053] = {.lex_state = 60},
  [1054] = {.lex_state = 60},
  [1055] = {.lex_state = 60},
  [1056] = {.lex_state = 60},
  [1057] = {.lex_state = 60},
  [1058] = {.lex_state = 60},
  [1059] = {.lex_state = 60},
  [1060] = {.lex_state = 60},
  [1061] = {.lex_state = 60},
  [1062] = {.lex_state = 60},
  [1063] = {.lex_state = 60},
  [1064] = {.lex_state = 60},
  [1065] = {.lex_state = 60},
  [1066] = {.lex_state = 60},
  [1067] = {.lex_state = 0},
  [1068] = {.lex_state = 60},
  [1069] = {.lex_state = 0},
  [1070] = {.lex_state = 60},
  [1071] = {.lex_state = 60},
  [1072] = {.lex_state = 60},
  [1073] = {.lex_state = 60},
  [1074] = {.lex_state = 0},
  [1075] = {.lex_state = 0},
  [1076] = {.lex_state = 0},
  [1077] = {.lex_state = 60},
  [1078] = {.lex_state = 12},
  [1079] = {.lex_state = 0},
  [1080] = {.lex_state = 0},
  [1081] = {.lex_state = 60},
  [1082] = {.lex_state = 60},
  [1083] = {.lex_state = 60},
  [1084] = {.lex_state = 0},
  [1085] = {.lex_state = 60},
  [1086] = {.lex_state = 60},
  [1087] = {.lex_state = 0},
  [1088] = {.lex_state = 0},
  [1089] = {.lex_state = 60},
  [1090] = {.lex_state = 0},
  [1091] = {.lex_state = 60},
  [1092] = {.lex_state = 0},
  [1093] = {.lex_state = 0},
  [1094] = {.lex_state = 0},
  [1095] = {.lex_state = 0},
  [1096] = {.lex_state = 0},
  [1097] = {.lex_state = 0},
  [1098] = {.lex_state = 0},
  [1099] = {.lex_state = 60},
  [1100] = {.lex_state = 60},
  [1101] = {.lex_state = 0},
  [1102] = {.lex_state = 0},
  [1103] = {.lex_state = 0},
  [1104] = {.lex_state = 0},
  [1105] = {.lex_state = 60},
  [1106] = {.lex_state = 0},
  [1107] = {.lex_state = 60},
  [1108] = {.lex_state = 60},
  [1109] = {.lex_state = 60},
  [1110] = {.lex_state = 0},
  [1111] = {.lex_state = 0},
  [1112] = {.lex_state = 0},
  [1113] = {.lex_state = 0},
  [1114] = {.lex_state = 60},
  [1115] = {.lex_state = 12},
  [1116] = {.lex_state = 0},
  [1117] = {.lex_state = 60},
  [1118] = {.lex_state = 60},
  [1119] = {.lex_state = 0},
  [1120] = {.lex_state = 0},
  [1121] = {.lex_state = 0},
  [1122] = {.lex_state = 60},
  [1123] = {.lex_state = 0},
  [1124] = {.lex_state = 0},
  [1125] = {.lex_state = 0},
  [1126] = {.lex_state = 60},
  [1127] = {.lex_state = 60},
  [1128] = {.lex_state = 0},
  [1129] = {.lex_state = 60},
  [1130] = {.lex_state = 60},
  [1131] = {.lex_state = 60},
};

enum {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token__template_chars = 1,
};

static TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token__template_chars] = sym__template_chars,
};

static bool ts_external_scanner_states[4][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__template_chars] = true,
  },
  [2] = {
    [ts_external_token__automatic_semicolon] = true,
  },
  [3] = {
    [ts_external_token__template_chars] = true,
  },
};

static uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [sym_hash_bang_line] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_from] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_of] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_debugger] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_extends] = ACTIONS(1),
    [anon_sym_async] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_GT_GT_GT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_instanceof] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_typeof] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_delete] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1),
    [anon_sym_SLASH2] = ACTIONS(1),
    [sym_number] = ACTIONS(1),
    [anon_sym_target] = ACTIONS(1),
    [sym_this] = ACTIONS(1),
    [sym_super] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_null] = ACTIONS(1),
    [sym_undefined] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_get] = ACTIONS(1),
    [anon_sym_set] = ACTIONS(1),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym__template_chars] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(1088),
    [sym_export_statement] = STATE(23),
    [sym__declaration] = STATE(23),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(23),
    [sym_expression_statement] = STATE(23),
    [sym_variable_declaration] = STATE(23),
    [sym_lexical_declaration] = STATE(23),
    [sym_statement_block] = STATE(23),
    [sym_if_statement] = STATE(23),
    [sym_switch_statement] = STATE(23),
    [sym_for_statement] = STATE(23),
    [sym_for_in_statement] = STATE(23),
    [sym_while_statement] = STATE(23),
    [sym_do_statement] = STATE(23),
    [sym_try_statement] = STATE(23),
    [sym_with_statement] = STATE(23),
    [sym_break_statement] = STATE(23),
    [sym_continue_statement] = STATE(23),
    [sym_debugger_statement] = STATE(23),
    [sym_return_statement] = STATE(23),
    [sym_throw_statement] = STATE(23),
    [sym_empty_statement] = STATE(23),
    [sym_labeled_statement] = STATE(23),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(23),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(23),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(23),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_program_repeat1] = STATE(23),
    [aux_sym_export_statement_repeat1] = STATE(725),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [sym_hash_bang_line] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [2] = {
    [sym_export_statement] = STATE(12),
    [sym__declaration] = STATE(12),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(12),
    [sym_expression_statement] = STATE(12),
    [sym_variable_declaration] = STATE(12),
    [sym_lexical_declaration] = STATE(12),
    [sym_statement_block] = STATE(12),
    [sym_if_statement] = STATE(12),
    [sym_switch_statement] = STATE(12),
    [sym_for_statement] = STATE(12),
    [sym_for_in_statement] = STATE(12),
    [sym_while_statement] = STATE(12),
    [sym_do_statement] = STATE(12),
    [sym_try_statement] = STATE(12),
    [sym_with_statement] = STATE(12),
    [sym_break_statement] = STATE(12),
    [sym_continue_statement] = STATE(12),
    [sym_debugger_statement] = STATE(12),
    [sym_return_statement] = STATE(12),
    [sym_throw_statement] = STATE(12),
    [sym_empty_statement] = STATE(12),
    [sym_labeled_statement] = STATE(12),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(534),
    [sym_assignment_pattern] = STATE(879),
    [sym_array] = STATE(535),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(12),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(12),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(12),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_spread_element] = STATE(879),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [sym_method_definition] = STATE(879),
    [sym_pair] = STATE(879),
    [sym__property_name] = STATE(886),
    [sym_computed_property_name] = STATE(886),
    [aux_sym_program_repeat1] = STATE(12),
    [aux_sym_export_statement_repeat1] = STATE(591),
    [aux_sym_object_repeat1] = STATE(883),
    [sym_identifier] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(93),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(97),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(99),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(105),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(107),
    [anon_sym_get] = ACTIONS(109),
    [anon_sym_set] = ACTIONS(109),
  },
  [3] = {
    [sym_export_statement] = STATE(14),
    [sym__declaration] = STATE(14),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(14),
    [sym_expression_statement] = STATE(14),
    [sym_variable_declaration] = STATE(14),
    [sym_lexical_declaration] = STATE(14),
    [sym_statement_block] = STATE(14),
    [sym_if_statement] = STATE(14),
    [sym_switch_statement] = STATE(14),
    [sym_for_statement] = STATE(14),
    [sym_for_in_statement] = STATE(14),
    [sym_while_statement] = STATE(14),
    [sym_do_statement] = STATE(14),
    [sym_try_statement] = STATE(14),
    [sym_with_statement] = STATE(14),
    [sym_break_statement] = STATE(14),
    [sym_continue_statement] = STATE(14),
    [sym_debugger_statement] = STATE(14),
    [sym_return_statement] = STATE(14),
    [sym_throw_statement] = STATE(14),
    [sym_empty_statement] = STATE(14),
    [sym_labeled_statement] = STATE(14),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(534),
    [sym_assignment_pattern] = STATE(879),
    [sym_array] = STATE(535),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(14),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(14),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(14),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_spread_element] = STATE(879),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [sym_method_definition] = STATE(879),
    [sym_pair] = STATE(879),
    [sym__property_name] = STATE(886),
    [sym_computed_property_name] = STATE(886),
    [aux_sym_program_repeat1] = STATE(14),
    [aux_sym_export_statement_repeat1] = STATE(591),
    [aux_sym_object_repeat1] = STATE(883),
    [sym_identifier] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(93),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(111),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(99),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(105),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(107),
    [anon_sym_get] = ACTIONS(109),
    [anon_sym_set] = ACTIONS(109),
  },
  [4] = {
    [sym_export_statement] = STATE(19),
    [sym__declaration] = STATE(19),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(19),
    [sym_expression_statement] = STATE(19),
    [sym_variable_declaration] = STATE(19),
    [sym_lexical_declaration] = STATE(19),
    [sym_statement_block] = STATE(19),
    [sym_if_statement] = STATE(19),
    [sym_switch_statement] = STATE(19),
    [sym_for_statement] = STATE(19),
    [sym_for_in_statement] = STATE(19),
    [sym_while_statement] = STATE(19),
    [sym_do_statement] = STATE(19),
    [sym_try_statement] = STATE(19),
    [sym_with_statement] = STATE(19),
    [sym_break_statement] = STATE(19),
    [sym_continue_statement] = STATE(19),
    [sym_debugger_statement] = STATE(19),
    [sym_return_statement] = STATE(19),
    [sym_throw_statement] = STATE(19),
    [sym_empty_statement] = STATE(19),
    [sym_labeled_statement] = STATE(19),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(534),
    [sym_assignment_pattern] = STATE(872),
    [sym_array] = STATE(535),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(19),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(19),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(19),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_spread_element] = STATE(872),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [sym_method_definition] = STATE(872),
    [sym_pair] = STATE(872),
    [sym__property_name] = STATE(886),
    [sym_computed_property_name] = STATE(886),
    [aux_sym_program_repeat1] = STATE(19),
    [aux_sym_export_statement_repeat1] = STATE(591),
    [aux_sym_object_repeat1] = STATE(866),
    [sym_identifier] = ACTIONS(113),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(93),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(115),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(99),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(117),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(105),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(119),
    [anon_sym_get] = ACTIONS(121),
    [anon_sym_set] = ACTIONS(121),
  },
  [5] = {
    [sym_export_statement] = STATE(12),
    [sym__declaration] = STATE(12),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(12),
    [sym_expression_statement] = STATE(12),
    [sym_variable_declaration] = STATE(12),
    [sym_lexical_declaration] = STATE(12),
    [sym_statement_block] = STATE(12),
    [sym_if_statement] = STATE(12),
    [sym_switch_statement] = STATE(12),
    [sym_for_statement] = STATE(12),
    [sym_for_in_statement] = STATE(12),
    [sym_while_statement] = STATE(12),
    [sym_do_statement] = STATE(12),
    [sym_try_statement] = STATE(12),
    [sym_with_statement] = STATE(12),
    [sym_break_statement] = STATE(12),
    [sym_continue_statement] = STATE(12),
    [sym_debugger_statement] = STATE(12),
    [sym_return_statement] = STATE(12),
    [sym_throw_statement] = STATE(12),
    [sym_empty_statement] = STATE(12),
    [sym_labeled_statement] = STATE(12),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(534),
    [sym_assignment_pattern] = STATE(879),
    [sym_array] = STATE(535),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(12),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(12),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(12),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_spread_element] = STATE(879),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [sym_method_definition] = STATE(879),
    [sym_pair] = STATE(879),
    [sym__property_name] = STATE(886),
    [sym_computed_property_name] = STATE(886),
    [aux_sym_program_repeat1] = STATE(12),
    [aux_sym_export_statement_repeat1] = STATE(591),
    [aux_sym_object_repeat1] = STATE(883),
    [sym_identifier] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(93),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(99),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(105),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(107),
    [anon_sym_get] = ACTIONS(109),
    [anon_sym_set] = ACTIONS(109),
  },
  [6] = {
    [sym_export_statement] = STATE(6),
    [sym__declaration] = STATE(6),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(6),
    [sym_expression_statement] = STATE(6),
    [sym_variable_declaration] = STATE(6),
    [sym_lexical_declaration] = STATE(6),
    [sym_statement_block] = STATE(6),
    [sym_if_statement] = STATE(6),
    [sym_switch_statement] = STATE(6),
    [sym_for_statement] = STATE(6),
    [sym_for_in_statement] = STATE(6),
    [sym_while_statement] = STATE(6),
    [sym_do_statement] = STATE(6),
    [sym_try_statement] = STATE(6),
    [sym_with_statement] = STATE(6),
    [sym_break_statement] = STATE(6),
    [sym_continue_statement] = STATE(6),
    [sym_debugger_statement] = STATE(6),
    [sym_return_statement] = STATE(6),
    [sym_throw_statement] = STATE(6),
    [sym_empty_statement] = STATE(6),
    [sym_labeled_statement] = STATE(6),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(6),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(6),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(6),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_program_repeat1] = STATE(6),
    [aux_sym_export_statement_repeat1] = STATE(725),
    [ts_builtin_sym_end] = ACTIONS(125),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_export] = ACTIONS(130),
    [anon_sym_default] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_RBRACE] = ACTIONS(125),
    [anon_sym_import] = ACTIONS(138),
    [anon_sym_var] = ACTIONS(141),
    [anon_sym_let] = ACTIONS(144),
    [anon_sym_const] = ACTIONS(144),
    [anon_sym_if] = ACTIONS(147),
    [anon_sym_switch] = ACTIONS(150),
    [anon_sym_for] = ACTIONS(153),
    [anon_sym_LPAREN] = ACTIONS(156),
    [anon_sym_await] = ACTIONS(159),
    [anon_sym_while] = ACTIONS(162),
    [anon_sym_do] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(168),
    [anon_sym_with] = ACTIONS(171),
    [anon_sym_break] = ACTIONS(174),
    [anon_sym_continue] = ACTIONS(177),
    [anon_sym_debugger] = ACTIONS(180),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_throw] = ACTIONS(186),
    [anon_sym_SEMI] = ACTIONS(189),
    [anon_sym_case] = ACTIONS(133),
    [anon_sym_yield] = ACTIONS(192),
    [anon_sym_LBRACK] = ACTIONS(195),
    [anon_sym_LT] = ACTIONS(198),
    [anon_sym_SLASH] = ACTIONS(201),
    [anon_sym_class] = ACTIONS(204),
    [anon_sym_async] = ACTIONS(207),
    [anon_sym_function] = ACTIONS(210),
    [anon_sym_new] = ACTIONS(213),
    [anon_sym_PLUS] = ACTIONS(216),
    [anon_sym_DASH] = ACTIONS(216),
    [anon_sym_BANG] = ACTIONS(219),
    [anon_sym_TILDE] = ACTIONS(219),
    [anon_sym_typeof] = ACTIONS(222),
    [anon_sym_void] = ACTIONS(222),
    [anon_sym_delete] = ACTIONS(222),
    [anon_sym_PLUS_PLUS] = ACTIONS(225),
    [anon_sym_DASH_DASH] = ACTIONS(225),
    [anon_sym_DQUOTE] = ACTIONS(228),
    [anon_sym_SQUOTE] = ACTIONS(231),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(234),
    [sym_number] = ACTIONS(237),
    [sym_this] = ACTIONS(240),
    [sym_super] = ACTIONS(243),
    [sym_true] = ACTIONS(240),
    [sym_false] = ACTIONS(240),
    [sym_null] = ACTIONS(240),
    [sym_undefined] = ACTIONS(240),
    [anon_sym_AT] = ACTIONS(246),
    [anon_sym_static] = ACTIONS(249),
    [anon_sym_get] = ACTIONS(249),
    [anon_sym_set] = ACTIONS(249),
  },
  [7] = {
    [sym_export_statement] = STATE(6),
    [sym__declaration] = STATE(6),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(6),
    [sym_expression_statement] = STATE(6),
    [sym_variable_declaration] = STATE(6),
    [sym_lexical_declaration] = STATE(6),
    [sym_statement_block] = STATE(6),
    [sym_if_statement] = STATE(6),
    [sym_switch_statement] = STATE(6),
    [sym_for_statement] = STATE(6),
    [sym_for_in_statement] = STATE(6),
    [sym_while_statement] = STATE(6),
    [sym_do_statement] = STATE(6),
    [sym_try_statement] = STATE(6),
    [sym_with_statement] = STATE(6),
    [sym_break_statement] = STATE(6),
    [sym_continue_statement] = STATE(6),
    [sym_debugger_statement] = STATE(6),
    [sym_return_statement] = STATE(6),
    [sym_throw_statement] = STATE(6),
    [sym_empty_statement] = STATE(6),
    [sym_labeled_statement] = STATE(6),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(6),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(6),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(6),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_program_repeat1] = STATE(6),
    [aux_sym_export_statement_repeat1] = STATE(725),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_default] = ACTIONS(252),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(254),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_case] = ACTIONS(252),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [8] = {
    [sym_export_statement] = STATE(6),
    [sym__declaration] = STATE(6),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(6),
    [sym_expression_statement] = STATE(6),
    [sym_variable_declaration] = STATE(6),
    [sym_lexical_declaration] = STATE(6),
    [sym_statement_block] = STATE(6),
    [sym_if_statement] = STATE(6),
    [sym_switch_statement] = STATE(6),
    [sym_for_statement] = STATE(6),
    [sym_for_in_statement] = STATE(6),
    [sym_while_statement] = STATE(6),
    [sym_do_statement] = STATE(6),
    [sym_try_statement] = STATE(6),
    [sym_with_statement] = STATE(6),
    [sym_break_statement] = STATE(6),
    [sym_continue_statement] = STATE(6),
    [sym_debugger_statement] = STATE(6),
    [sym_return_statement] = STATE(6),
    [sym_throw_statement] = STATE(6),
    [sym_empty_statement] = STATE(6),
    [sym_labeled_statement] = STATE(6),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(6),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(6),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(6),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_program_repeat1] = STATE(6),
    [aux_sym_export_statement_repeat1] = STATE(725),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_default] = ACTIONS(256),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(258),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_case] = ACTIONS(256),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [9] = {
    [sym_export_statement] = STATE(7),
    [sym__declaration] = STATE(7),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(7),
    [sym_expression_statement] = STATE(7),
    [sym_variable_declaration] = STATE(7),
    [sym_lexical_declaration] = STATE(7),
    [sym_statement_block] = STATE(7),
    [sym_if_statement] = STATE(7),
    [sym_switch_statement] = STATE(7),
    [sym_for_statement] = STATE(7),
    [sym_for_in_statement] = STATE(7),
    [sym_while_statement] = STATE(7),
    [sym_do_statement] = STATE(7),
    [sym_try_statement] = STATE(7),
    [sym_with_statement] = STATE(7),
    [sym_break_statement] = STATE(7),
    [sym_continue_statement] = STATE(7),
    [sym_debugger_statement] = STATE(7),
    [sym_return_statement] = STATE(7),
    [sym_throw_statement] = STATE(7),
    [sym_empty_statement] = STATE(7),
    [sym_labeled_statement] = STATE(7),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(7),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(7),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(7),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(725),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_default] = ACTIONS(260),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(262),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_case] = ACTIONS(260),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [10] = {
    [sym_export_statement] = STATE(8),
    [sym__declaration] = STATE(8),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(8),
    [sym_expression_statement] = STATE(8),
    [sym_variable_declaration] = STATE(8),
    [sym_lexical_declaration] = STATE(8),
    [sym_statement_block] = STATE(8),
    [sym_if_statement] = STATE(8),
    [sym_switch_statement] = STATE(8),
    [sym_for_statement] = STATE(8),
    [sym_for_in_statement] = STATE(8),
    [sym_while_statement] = STATE(8),
    [sym_do_statement] = STATE(8),
    [sym_try_statement] = STATE(8),
    [sym_with_statement] = STATE(8),
    [sym_break_statement] = STATE(8),
    [sym_continue_statement] = STATE(8),
    [sym_debugger_statement] = STATE(8),
    [sym_return_statement] = STATE(8),
    [sym_throw_statement] = STATE(8),
    [sym_empty_statement] = STATE(8),
    [sym_labeled_statement] = STATE(8),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(8),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(8),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(8),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_program_repeat1] = STATE(8),
    [aux_sym_export_statement_repeat1] = STATE(725),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_default] = ACTIONS(264),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(266),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_case] = ACTIONS(264),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [11] = {
    [sym_export_statement] = STATE(6),
    [sym__declaration] = STATE(6),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(6),
    [sym_expression_statement] = STATE(6),
    [sym_variable_declaration] = STATE(6),
    [sym_lexical_declaration] = STATE(6),
    [sym_statement_block] = STATE(6),
    [sym_if_statement] = STATE(6),
    [sym_switch_statement] = STATE(6),
    [sym_for_statement] = STATE(6),
    [sym_for_in_statement] = STATE(6),
    [sym_while_statement] = STATE(6),
    [sym_do_statement] = STATE(6),
    [sym_try_statement] = STATE(6),
    [sym_with_statement] = STATE(6),
    [sym_break_statement] = STATE(6),
    [sym_continue_statement] = STATE(6),
    [sym_debugger_statement] = STATE(6),
    [sym_return_statement] = STATE(6),
    [sym_throw_statement] = STATE(6),
    [sym_empty_statement] = STATE(6),
    [sym_labeled_statement] = STATE(6),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(6),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(6),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(6),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_program_repeat1] = STATE(6),
    [aux_sym_export_statement_repeat1] = STATE(725),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(268),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [12] = {
    [sym_export_statement] = STATE(6),
    [sym__declaration] = STATE(6),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(6),
    [sym_expression_statement] = STATE(6),
    [sym_variable_declaration] = STATE(6),
    [sym_lexical_declaration] = STATE(6),
    [sym_statement_block] = STATE(6),
    [sym_if_statement] = STATE(6),
    [sym_switch_statement] = STATE(6),
    [sym_for_statement] = STATE(6),
    [sym_for_in_statement] = STATE(6),
    [sym_while_statement] = STATE(6),
    [sym_do_statement] = STATE(6),
    [sym_try_statement] = STATE(6),
    [sym_with_statement] = STATE(6),
    [sym_break_statement] = STATE(6),
    [sym_continue_statement] = STATE(6),
    [sym_debugger_statement] = STATE(6),
    [sym_return_statement] = STATE(6),
    [sym_throw_statement] = STATE(6),
    [sym_empty_statement] = STATE(6),
    [sym_labeled_statement] = STATE(6),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(6),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(6),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(6),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_program_repeat1] = STATE(6),
    [aux_sym_export_statement_repeat1] = STATE(725),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(270),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [13] = {
    [sym_export_statement] = STATE(21),
    [sym__declaration] = STATE(21),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(21),
    [sym_expression_statement] = STATE(21),
    [sym_variable_declaration] = STATE(21),
    [sym_lexical_declaration] = STATE(21),
    [sym_statement_block] = STATE(21),
    [sym_if_statement] = STATE(21),
    [sym_switch_statement] = STATE(21),
    [sym_for_statement] = STATE(21),
    [sym_for_in_statement] = STATE(21),
    [sym_while_statement] = STATE(21),
    [sym_do_statement] = STATE(21),
    [sym_try_statement] = STATE(21),
    [sym_with_statement] = STATE(21),
    [sym_break_statement] = STATE(21),
    [sym_continue_statement] = STATE(21),
    [sym_debugger_statement] = STATE(21),
    [sym_return_statement] = STATE(21),
    [sym_throw_statement] = STATE(21),
    [sym_empty_statement] = STATE(21),
    [sym_labeled_statement] = STATE(21),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(21),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(21),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(21),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_program_repeat1] = STATE(21),
    [aux_sym_export_statement_repeat1] = STATE(725),
    [ts_builtin_sym_end] = ACTIONS(272),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [14] = {
    [sym_export_statement] = STATE(6),
    [sym__declaration] = STATE(6),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(6),
    [sym_expression_statement] = STATE(6),
    [sym_variable_declaration] = STATE(6),
    [sym_lexical_declaration] = STATE(6),
    [sym_statement_block] = STATE(6),
    [sym_if_statement] = STATE(6),
    [sym_switch_statement] = STATE(6),
    [sym_for_statement] = STATE(6),
    [sym_for_in_statement] = STATE(6),
    [sym_while_statement] = STATE(6),
    [sym_do_statement] = STATE(6),
    [sym_try_statement] = STATE(6),
    [sym_with_statement] = STATE(6),
    [sym_break_statement] = STATE(6),
    [sym_continue_statement] = STATE(6),
    [sym_debugger_statement] = STATE(6),
    [sym_return_statement] = STATE(6),
    [sym_throw_statement] = STATE(6),
    [sym_empty_statement] = STATE(6),
    [sym_labeled_statement] = STATE(6),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(6),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(6),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(6),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_program_repeat1] = STATE(6),
    [aux_sym_export_statement_repeat1] = STATE(725),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(274),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [15] = {
    [sym_export_statement] = STATE(19),
    [sym__declaration] = STATE(19),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(19),
    [sym_expression_statement] = STATE(19),
    [sym_variable_declaration] = STATE(19),
    [sym_lexical_declaration] = STATE(19),
    [sym_statement_block] = STATE(19),
    [sym_if_statement] = STATE(19),
    [sym_switch_statement] = STATE(19),
    [sym_for_statement] = STATE(19),
    [sym_for_in_statement] = STATE(19),
    [sym_while_statement] = STATE(19),
    [sym_do_statement] = STATE(19),
    [sym_try_statement] = STATE(19),
    [sym_with_statement] = STATE(19),
    [sym_break_statement] = STATE(19),
    [sym_continue_statement] = STATE(19),
    [sym_debugger_statement] = STATE(19),
    [sym_return_statement] = STATE(19),
    [sym_throw_statement] = STATE(19),
    [sym_empty_statement] = STATE(19),
    [sym_labeled_statement] = STATE(19),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(19),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(19),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(19),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_program_repeat1] = STATE(19),
    [aux_sym_export_statement_repeat1] = STATE(725),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(276),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [16] = {
    [sym_export_statement] = STATE(11),
    [sym__declaration] = STATE(11),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(11),
    [sym_expression_statement] = STATE(11),
    [sym_variable_declaration] = STATE(11),
    [sym_lexical_declaration] = STATE(11),
    [sym_statement_block] = STATE(11),
    [sym_if_statement] = STATE(11),
    [sym_switch_statement] = STATE(11),
    [sym_for_statement] = STATE(11),
    [sym_for_in_statement] = STATE(11),
    [sym_while_statement] = STATE(11),
    [sym_do_statement] = STATE(11),
    [sym_try_statement] = STATE(11),
    [sym_with_statement] = STATE(11),
    [sym_break_statement] = STATE(11),
    [sym_continue_statement] = STATE(11),
    [sym_debugger_statement] = STATE(11),
    [sym_return_statement] = STATE(11),
    [sym_throw_statement] = STATE(11),
    [sym_empty_statement] = STATE(11),
    [sym_labeled_statement] = STATE(11),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(11),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(11),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(11),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_program_repeat1] = STATE(11),
    [aux_sym_export_statement_repeat1] = STATE(725),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(278),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [17] = {
    [sym_export_statement] = STATE(6),
    [sym__declaration] = STATE(6),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(6),
    [sym_expression_statement] = STATE(6),
    [sym_variable_declaration] = STATE(6),
    [sym_lexical_declaration] = STATE(6),
    [sym_statement_block] = STATE(6),
    [sym_if_statement] = STATE(6),
    [sym_switch_statement] = STATE(6),
    [sym_for_statement] = STATE(6),
    [sym_for_in_statement] = STATE(6),
    [sym_while_statement] = STATE(6),
    [sym_do_statement] = STATE(6),
    [sym_try_statement] = STATE(6),
    [sym_with_statement] = STATE(6),
    [sym_break_statement] = STATE(6),
    [sym_continue_statement] = STATE(6),
    [sym_debugger_statement] = STATE(6),
    [sym_return_statement] = STATE(6),
    [sym_throw_statement] = STATE(6),
    [sym_empty_statement] = STATE(6),
    [sym_labeled_statement] = STATE(6),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(6),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(6),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(6),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_program_repeat1] = STATE(6),
    [aux_sym_export_statement_repeat1] = STATE(725),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(280),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [18] = {
    [sym_export_statement] = STATE(17),
    [sym__declaration] = STATE(17),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(17),
    [sym_expression_statement] = STATE(17),
    [sym_variable_declaration] = STATE(17),
    [sym_lexical_declaration] = STATE(17),
    [sym_statement_block] = STATE(17),
    [sym_if_statement] = STATE(17),
    [sym_switch_statement] = STATE(17),
    [sym_for_statement] = STATE(17),
    [sym_for_in_statement] = STATE(17),
    [sym_while_statement] = STATE(17),
    [sym_do_statement] = STATE(17),
    [sym_try_statement] = STATE(17),
    [sym_with_statement] = STATE(17),
    [sym_break_statement] = STATE(17),
    [sym_continue_statement] = STATE(17),
    [sym_debugger_statement] = STATE(17),
    [sym_return_statement] = STATE(17),
    [sym_throw_statement] = STATE(17),
    [sym_empty_statement] = STATE(17),
    [sym_labeled_statement] = STATE(17),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(17),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(17),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(17),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(725),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(282),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [19] = {
    [sym_export_statement] = STATE(6),
    [sym__declaration] = STATE(6),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(6),
    [sym_expression_statement] = STATE(6),
    [sym_variable_declaration] = STATE(6),
    [sym_lexical_declaration] = STATE(6),
    [sym_statement_block] = STATE(6),
    [sym_if_statement] = STATE(6),
    [sym_switch_statement] = STATE(6),
    [sym_for_statement] = STATE(6),
    [sym_for_in_statement] = STATE(6),
    [sym_while_statement] = STATE(6),
    [sym_do_statement] = STATE(6),
    [sym_try_statement] = STATE(6),
    [sym_with_statement] = STATE(6),
    [sym_break_statement] = STATE(6),
    [sym_continue_statement] = STATE(6),
    [sym_debugger_statement] = STATE(6),
    [sym_return_statement] = STATE(6),
    [sym_throw_statement] = STATE(6),
    [sym_empty_statement] = STATE(6),
    [sym_labeled_statement] = STATE(6),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(6),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(6),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(6),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_program_repeat1] = STATE(6),
    [aux_sym_export_statement_repeat1] = STATE(725),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(284),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [20] = {
    [sym_export_statement] = STATE(12),
    [sym__declaration] = STATE(12),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(12),
    [sym_expression_statement] = STATE(12),
    [sym_variable_declaration] = STATE(12),
    [sym_lexical_declaration] = STATE(12),
    [sym_statement_block] = STATE(12),
    [sym_if_statement] = STATE(12),
    [sym_switch_statement] = STATE(12),
    [sym_for_statement] = STATE(12),
    [sym_for_in_statement] = STATE(12),
    [sym_while_statement] = STATE(12),
    [sym_do_statement] = STATE(12),
    [sym_try_statement] = STATE(12),
    [sym_with_statement] = STATE(12),
    [sym_break_statement] = STATE(12),
    [sym_continue_statement] = STATE(12),
    [sym_debugger_statement] = STATE(12),
    [sym_return_statement] = STATE(12),
    [sym_throw_statement] = STATE(12),
    [sym_empty_statement] = STATE(12),
    [sym_labeled_statement] = STATE(12),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(12),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(12),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(12),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_program_repeat1] = STATE(12),
    [aux_sym_export_statement_repeat1] = STATE(725),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(286),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [21] = {
    [sym_export_statement] = STATE(6),
    [sym__declaration] = STATE(6),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(6),
    [sym_expression_statement] = STATE(6),
    [sym_variable_declaration] = STATE(6),
    [sym_lexical_declaration] = STATE(6),
    [sym_statement_block] = STATE(6),
    [sym_if_statement] = STATE(6),
    [sym_switch_statement] = STATE(6),
    [sym_for_statement] = STATE(6),
    [sym_for_in_statement] = STATE(6),
    [sym_while_statement] = STATE(6),
    [sym_do_statement] = STATE(6),
    [sym_try_statement] = STATE(6),
    [sym_with_statement] = STATE(6),
    [sym_break_statement] = STATE(6),
    [sym_continue_statement] = STATE(6),
    [sym_debugger_statement] = STATE(6),
    [sym_return_statement] = STATE(6),
    [sym_throw_statement] = STATE(6),
    [sym_empty_statement] = STATE(6),
    [sym_labeled_statement] = STATE(6),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(6),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(6),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(6),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_program_repeat1] = STATE(6),
    [aux_sym_export_statement_repeat1] = STATE(725),
    [ts_builtin_sym_end] = ACTIONS(288),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [22] = {
    [sym_export_statement] = STATE(14),
    [sym__declaration] = STATE(14),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(14),
    [sym_expression_statement] = STATE(14),
    [sym_variable_declaration] = STATE(14),
    [sym_lexical_declaration] = STATE(14),
    [sym_statement_block] = STATE(14),
    [sym_if_statement] = STATE(14),
    [sym_switch_statement] = STATE(14),
    [sym_for_statement] = STATE(14),
    [sym_for_in_statement] = STATE(14),
    [sym_while_statement] = STATE(14),
    [sym_do_statement] = STATE(14),
    [sym_try_statement] = STATE(14),
    [sym_with_statement] = STATE(14),
    [sym_break_statement] = STATE(14),
    [sym_continue_statement] = STATE(14),
    [sym_debugger_statement] = STATE(14),
    [sym_return_statement] = STATE(14),
    [sym_throw_statement] = STATE(14),
    [sym_empty_statement] = STATE(14),
    [sym_labeled_statement] = STATE(14),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(14),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(14),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(14),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_program_repeat1] = STATE(14),
    [aux_sym_export_statement_repeat1] = STATE(725),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(278),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [23] = {
    [sym_export_statement] = STATE(6),
    [sym__declaration] = STATE(6),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(6),
    [sym_expression_statement] = STATE(6),
    [sym_variable_declaration] = STATE(6),
    [sym_lexical_declaration] = STATE(6),
    [sym_statement_block] = STATE(6),
    [sym_if_statement] = STATE(6),
    [sym_switch_statement] = STATE(6),
    [sym_for_statement] = STATE(6),
    [sym_for_in_statement] = STATE(6),
    [sym_while_statement] = STATE(6),
    [sym_do_statement] = STATE(6),
    [sym_try_statement] = STATE(6),
    [sym_with_statement] = STATE(6),
    [sym_break_statement] = STATE(6),
    [sym_continue_statement] = STATE(6),
    [sym_debugger_statement] = STATE(6),
    [sym_return_statement] = STATE(6),
    [sym_throw_statement] = STATE(6),
    [sym_empty_statement] = STATE(6),
    [sym_labeled_statement] = STATE(6),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(6),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(6),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(6),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_program_repeat1] = STATE(6),
    [aux_sym_export_statement_repeat1] = STATE(725),
    [ts_builtin_sym_end] = ACTIONS(272),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [24] = {
    [sym_export_statement] = STATE(972),
    [sym__declaration] = STATE(972),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(972),
    [sym_expression_statement] = STATE(972),
    [sym_variable_declaration] = STATE(972),
    [sym_lexical_declaration] = STATE(972),
    [sym_statement_block] = STATE(972),
    [sym_if_statement] = STATE(972),
    [sym_switch_statement] = STATE(972),
    [sym_for_statement] = STATE(972),
    [sym_for_in_statement] = STATE(972),
    [sym_while_statement] = STATE(972),
    [sym_do_statement] = STATE(972),
    [sym_try_statement] = STATE(972),
    [sym_with_statement] = STATE(972),
    [sym_break_statement] = STATE(972),
    [sym_continue_statement] = STATE(972),
    [sym_debugger_statement] = STATE(972),
    [sym_return_statement] = STATE(972),
    [sym_throw_statement] = STATE(972),
    [sym_empty_statement] = STATE(972),
    [sym_labeled_statement] = STATE(972),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(972),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(972),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(972),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(709),
    [sym_identifier] = ACTIONS(290),
    [anon_sym_export] = ACTIONS(292),
    [anon_sym_LBRACE] = ACTIONS(294),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(296),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(298),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(300),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(302),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(304),
    [anon_sym_async] = ACTIONS(306),
    [anon_sym_function] = ACTIONS(308),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(310),
    [anon_sym_get] = ACTIONS(310),
    [anon_sym_set] = ACTIONS(310),
  },
  [25] = {
    [sym_export_statement] = STATE(227),
    [sym__declaration] = STATE(227),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(227),
    [sym_expression_statement] = STATE(227),
    [sym_variable_declaration] = STATE(227),
    [sym_lexical_declaration] = STATE(227),
    [sym_statement_block] = STATE(227),
    [sym_if_statement] = STATE(227),
    [sym_switch_statement] = STATE(227),
    [sym_for_statement] = STATE(227),
    [sym_for_in_statement] = STATE(227),
    [sym_while_statement] = STATE(227),
    [sym_do_statement] = STATE(227),
    [sym_try_statement] = STATE(227),
    [sym_with_statement] = STATE(227),
    [sym_break_statement] = STATE(227),
    [sym_continue_statement] = STATE(227),
    [sym_debugger_statement] = STATE(227),
    [sym_return_statement] = STATE(227),
    [sym_throw_statement] = STATE(227),
    [sym_empty_statement] = STATE(227),
    [sym_labeled_statement] = STATE(227),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(227),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(227),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(227),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(709),
    [sym_identifier] = ACTIONS(290),
    [anon_sym_export] = ACTIONS(292),
    [anon_sym_LBRACE] = ACTIONS(294),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(296),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(298),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(300),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(302),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(304),
    [anon_sym_async] = ACTIONS(306),
    [anon_sym_function] = ACTIONS(308),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(310),
    [anon_sym_get] = ACTIONS(310),
    [anon_sym_set] = ACTIONS(310),
  },
  [26] = {
    [sym_export_statement] = STATE(227),
    [sym__declaration] = STATE(227),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(227),
    [sym_expression_statement] = STATE(227),
    [sym_variable_declaration] = STATE(227),
    [sym_lexical_declaration] = STATE(227),
    [sym_statement_block] = STATE(227),
    [sym_if_statement] = STATE(227),
    [sym_switch_statement] = STATE(227),
    [sym_for_statement] = STATE(227),
    [sym_for_in_statement] = STATE(227),
    [sym_while_statement] = STATE(227),
    [sym_do_statement] = STATE(227),
    [sym_try_statement] = STATE(227),
    [sym_with_statement] = STATE(227),
    [sym_break_statement] = STATE(227),
    [sym_continue_statement] = STATE(227),
    [sym_debugger_statement] = STATE(227),
    [sym_return_statement] = STATE(227),
    [sym_throw_statement] = STATE(227),
    [sym_empty_statement] = STATE(227),
    [sym_labeled_statement] = STATE(227),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(227),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(227),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(227),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(725),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [27] = {
    [sym_export_statement] = STATE(230),
    [sym__declaration] = STATE(230),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(230),
    [sym_expression_statement] = STATE(230),
    [sym_variable_declaration] = STATE(230),
    [sym_lexical_declaration] = STATE(230),
    [sym_statement_block] = STATE(230),
    [sym_if_statement] = STATE(230),
    [sym_switch_statement] = STATE(230),
    [sym_for_statement] = STATE(230),
    [sym_for_in_statement] = STATE(230),
    [sym_while_statement] = STATE(230),
    [sym_do_statement] = STATE(230),
    [sym_try_statement] = STATE(230),
    [sym_with_statement] = STATE(230),
    [sym_break_statement] = STATE(230),
    [sym_continue_statement] = STATE(230),
    [sym_debugger_statement] = STATE(230),
    [sym_return_statement] = STATE(230),
    [sym_throw_statement] = STATE(230),
    [sym_empty_statement] = STATE(230),
    [sym_labeled_statement] = STATE(230),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(230),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(230),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(230),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(725),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [28] = {
    [sym_export_statement] = STATE(224),
    [sym__declaration] = STATE(224),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(224),
    [sym_expression_statement] = STATE(224),
    [sym_variable_declaration] = STATE(224),
    [sym_lexical_declaration] = STATE(224),
    [sym_statement_block] = STATE(224),
    [sym_if_statement] = STATE(224),
    [sym_switch_statement] = STATE(224),
    [sym_for_statement] = STATE(224),
    [sym_for_in_statement] = STATE(224),
    [sym_while_statement] = STATE(224),
    [sym_do_statement] = STATE(224),
    [sym_try_statement] = STATE(224),
    [sym_with_statement] = STATE(224),
    [sym_break_statement] = STATE(224),
    [sym_continue_statement] = STATE(224),
    [sym_debugger_statement] = STATE(224),
    [sym_return_statement] = STATE(224),
    [sym_throw_statement] = STATE(224),
    [sym_empty_statement] = STATE(224),
    [sym_labeled_statement] = STATE(224),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(224),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(224),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(224),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(725),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [29] = {
    [sym_export_statement] = STATE(241),
    [sym__declaration] = STATE(241),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(241),
    [sym_expression_statement] = STATE(241),
    [sym_variable_declaration] = STATE(241),
    [sym_lexical_declaration] = STATE(241),
    [sym_statement_block] = STATE(241),
    [sym_if_statement] = STATE(241),
    [sym_switch_statement] = STATE(241),
    [sym_for_statement] = STATE(241),
    [sym_for_in_statement] = STATE(241),
    [sym_while_statement] = STATE(241),
    [sym_do_statement] = STATE(241),
    [sym_try_statement] = STATE(241),
    [sym_with_statement] = STATE(241),
    [sym_break_statement] = STATE(241),
    [sym_continue_statement] = STATE(241),
    [sym_debugger_statement] = STATE(241),
    [sym_return_statement] = STATE(241),
    [sym_throw_statement] = STATE(241),
    [sym_empty_statement] = STATE(241),
    [sym_labeled_statement] = STATE(241),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(241),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(241),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(241),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(725),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [30] = {
    [sym_export_statement] = STATE(245),
    [sym__declaration] = STATE(245),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(245),
    [sym_expression_statement] = STATE(245),
    [sym_variable_declaration] = STATE(245),
    [sym_lexical_declaration] = STATE(245),
    [sym_statement_block] = STATE(245),
    [sym_if_statement] = STATE(245),
    [sym_switch_statement] = STATE(245),
    [sym_for_statement] = STATE(245),
    [sym_for_in_statement] = STATE(245),
    [sym_while_statement] = STATE(245),
    [sym_do_statement] = STATE(245),
    [sym_try_statement] = STATE(245),
    [sym_with_statement] = STATE(245),
    [sym_break_statement] = STATE(245),
    [sym_continue_statement] = STATE(245),
    [sym_debugger_statement] = STATE(245),
    [sym_return_statement] = STATE(245),
    [sym_throw_statement] = STATE(245),
    [sym_empty_statement] = STATE(245),
    [sym_labeled_statement] = STATE(245),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(245),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(245),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(245),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(725),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [31] = {
    [sym_export_statement] = STATE(236),
    [sym__declaration] = STATE(236),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(236),
    [sym_expression_statement] = STATE(236),
    [sym_variable_declaration] = STATE(236),
    [sym_lexical_declaration] = STATE(236),
    [sym_statement_block] = STATE(236),
    [sym_if_statement] = STATE(236),
    [sym_switch_statement] = STATE(236),
    [sym_for_statement] = STATE(236),
    [sym_for_in_statement] = STATE(236),
    [sym_while_statement] = STATE(236),
    [sym_do_statement] = STATE(236),
    [sym_try_statement] = STATE(236),
    [sym_with_statement] = STATE(236),
    [sym_break_statement] = STATE(236),
    [sym_continue_statement] = STATE(236),
    [sym_debugger_statement] = STATE(236),
    [sym_return_statement] = STATE(236),
    [sym_throw_statement] = STATE(236),
    [sym_empty_statement] = STATE(236),
    [sym_labeled_statement] = STATE(236),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(236),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(236),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(236),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(725),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [32] = {
    [sym_export_statement] = STATE(235),
    [sym__declaration] = STATE(235),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(235),
    [sym_expression_statement] = STATE(235),
    [sym_variable_declaration] = STATE(235),
    [sym_lexical_declaration] = STATE(235),
    [sym_statement_block] = STATE(235),
    [sym_if_statement] = STATE(235),
    [sym_switch_statement] = STATE(235),
    [sym_for_statement] = STATE(235),
    [sym_for_in_statement] = STATE(235),
    [sym_while_statement] = STATE(235),
    [sym_do_statement] = STATE(235),
    [sym_try_statement] = STATE(235),
    [sym_with_statement] = STATE(235),
    [sym_break_statement] = STATE(235),
    [sym_continue_statement] = STATE(235),
    [sym_debugger_statement] = STATE(235),
    [sym_return_statement] = STATE(235),
    [sym_throw_statement] = STATE(235),
    [sym_empty_statement] = STATE(235),
    [sym_labeled_statement] = STATE(235),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(235),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(235),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(235),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(725),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [33] = {
    [sym_export_statement] = STATE(236),
    [sym__declaration] = STATE(236),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(236),
    [sym_expression_statement] = STATE(236),
    [sym_variable_declaration] = STATE(236),
    [sym_lexical_declaration] = STATE(236),
    [sym_statement_block] = STATE(236),
    [sym_if_statement] = STATE(236),
    [sym_switch_statement] = STATE(236),
    [sym_for_statement] = STATE(236),
    [sym_for_in_statement] = STATE(236),
    [sym_while_statement] = STATE(236),
    [sym_do_statement] = STATE(236),
    [sym_try_statement] = STATE(236),
    [sym_with_statement] = STATE(236),
    [sym_break_statement] = STATE(236),
    [sym_continue_statement] = STATE(236),
    [sym_debugger_statement] = STATE(236),
    [sym_return_statement] = STATE(236),
    [sym_throw_statement] = STATE(236),
    [sym_empty_statement] = STATE(236),
    [sym_labeled_statement] = STATE(236),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(236),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(236),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(236),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(709),
    [sym_identifier] = ACTIONS(290),
    [anon_sym_export] = ACTIONS(292),
    [anon_sym_LBRACE] = ACTIONS(294),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(296),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(298),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(300),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(302),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(304),
    [anon_sym_async] = ACTIONS(306),
    [anon_sym_function] = ACTIONS(308),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(310),
    [anon_sym_get] = ACTIONS(310),
    [anon_sym_set] = ACTIONS(310),
  },
  [34] = {
    [sym_export_statement] = STATE(210),
    [sym__declaration] = STATE(210),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(210),
    [sym_expression_statement] = STATE(210),
    [sym_variable_declaration] = STATE(210),
    [sym_lexical_declaration] = STATE(210),
    [sym_statement_block] = STATE(210),
    [sym_if_statement] = STATE(210),
    [sym_switch_statement] = STATE(210),
    [sym_for_statement] = STATE(210),
    [sym_for_in_statement] = STATE(210),
    [sym_while_statement] = STATE(210),
    [sym_do_statement] = STATE(210),
    [sym_try_statement] = STATE(210),
    [sym_with_statement] = STATE(210),
    [sym_break_statement] = STATE(210),
    [sym_continue_statement] = STATE(210),
    [sym_debugger_statement] = STATE(210),
    [sym_return_statement] = STATE(210),
    [sym_throw_statement] = STATE(210),
    [sym_empty_statement] = STATE(210),
    [sym_labeled_statement] = STATE(210),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(210),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(210),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(210),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(709),
    [sym_identifier] = ACTIONS(290),
    [anon_sym_export] = ACTIONS(292),
    [anon_sym_LBRACE] = ACTIONS(294),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(296),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(298),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(300),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(302),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(304),
    [anon_sym_async] = ACTIONS(306),
    [anon_sym_function] = ACTIONS(308),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(310),
    [anon_sym_get] = ACTIONS(310),
    [anon_sym_set] = ACTIONS(310),
  },
  [35] = {
    [sym_export_statement] = STATE(211),
    [sym__declaration] = STATE(211),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(211),
    [sym_expression_statement] = STATE(211),
    [sym_variable_declaration] = STATE(211),
    [sym_lexical_declaration] = STATE(211),
    [sym_statement_block] = STATE(211),
    [sym_if_statement] = STATE(211),
    [sym_switch_statement] = STATE(211),
    [sym_for_statement] = STATE(211),
    [sym_for_in_statement] = STATE(211),
    [sym_while_statement] = STATE(211),
    [sym_do_statement] = STATE(211),
    [sym_try_statement] = STATE(211),
    [sym_with_statement] = STATE(211),
    [sym_break_statement] = STATE(211),
    [sym_continue_statement] = STATE(211),
    [sym_debugger_statement] = STATE(211),
    [sym_return_statement] = STATE(211),
    [sym_throw_statement] = STATE(211),
    [sym_empty_statement] = STATE(211),
    [sym_labeled_statement] = STATE(211),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(211),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(211),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(211),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(725),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [36] = {
    [sym_export_statement] = STATE(241),
    [sym__declaration] = STATE(241),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(241),
    [sym_expression_statement] = STATE(241),
    [sym_variable_declaration] = STATE(241),
    [sym_lexical_declaration] = STATE(241),
    [sym_statement_block] = STATE(241),
    [sym_if_statement] = STATE(241),
    [sym_switch_statement] = STATE(241),
    [sym_for_statement] = STATE(241),
    [sym_for_in_statement] = STATE(241),
    [sym_while_statement] = STATE(241),
    [sym_do_statement] = STATE(241),
    [sym_try_statement] = STATE(241),
    [sym_with_statement] = STATE(241),
    [sym_break_statement] = STATE(241),
    [sym_continue_statement] = STATE(241),
    [sym_debugger_statement] = STATE(241),
    [sym_return_statement] = STATE(241),
    [sym_throw_statement] = STATE(241),
    [sym_empty_statement] = STATE(241),
    [sym_labeled_statement] = STATE(241),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(241),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(241),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(241),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(709),
    [sym_identifier] = ACTIONS(290),
    [anon_sym_export] = ACTIONS(292),
    [anon_sym_LBRACE] = ACTIONS(294),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(296),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(298),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(300),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(302),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(304),
    [anon_sym_async] = ACTIONS(306),
    [anon_sym_function] = ACTIONS(308),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(310),
    [anon_sym_get] = ACTIONS(310),
    [anon_sym_set] = ACTIONS(310),
  },
  [37] = {
    [sym_export_statement] = STATE(210),
    [sym__declaration] = STATE(210),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(210),
    [sym_expression_statement] = STATE(210),
    [sym_variable_declaration] = STATE(210),
    [sym_lexical_declaration] = STATE(210),
    [sym_statement_block] = STATE(210),
    [sym_if_statement] = STATE(210),
    [sym_switch_statement] = STATE(210),
    [sym_for_statement] = STATE(210),
    [sym_for_in_statement] = STATE(210),
    [sym_while_statement] = STATE(210),
    [sym_do_statement] = STATE(210),
    [sym_try_statement] = STATE(210),
    [sym_with_statement] = STATE(210),
    [sym_break_statement] = STATE(210),
    [sym_continue_statement] = STATE(210),
    [sym_debugger_statement] = STATE(210),
    [sym_return_statement] = STATE(210),
    [sym_throw_statement] = STATE(210),
    [sym_empty_statement] = STATE(210),
    [sym_labeled_statement] = STATE(210),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(210),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(210),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(210),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(725),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [38] = {
    [sym_export_statement] = STATE(1105),
    [sym__declaration] = STATE(1105),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(1105),
    [sym_expression_statement] = STATE(1105),
    [sym_variable_declaration] = STATE(1105),
    [sym_lexical_declaration] = STATE(1105),
    [sym_statement_block] = STATE(1105),
    [sym_if_statement] = STATE(1105),
    [sym_switch_statement] = STATE(1105),
    [sym_for_statement] = STATE(1105),
    [sym_for_in_statement] = STATE(1105),
    [sym_while_statement] = STATE(1105),
    [sym_do_statement] = STATE(1105),
    [sym_try_statement] = STATE(1105),
    [sym_with_statement] = STATE(1105),
    [sym_break_statement] = STATE(1105),
    [sym_continue_statement] = STATE(1105),
    [sym_debugger_statement] = STATE(1105),
    [sym_return_statement] = STATE(1105),
    [sym_throw_statement] = STATE(1105),
    [sym_empty_statement] = STATE(1105),
    [sym_labeled_statement] = STATE(1105),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(1105),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(1105),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(1105),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(709),
    [sym_identifier] = ACTIONS(290),
    [anon_sym_export] = ACTIONS(292),
    [anon_sym_LBRACE] = ACTIONS(294),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(296),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(298),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(300),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(302),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(304),
    [anon_sym_async] = ACTIONS(306),
    [anon_sym_function] = ACTIONS(308),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(310),
    [anon_sym_get] = ACTIONS(310),
    [anon_sym_set] = ACTIONS(310),
  },
  [39] = {
    [sym_export_statement] = STATE(211),
    [sym__declaration] = STATE(211),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(211),
    [sym_expression_statement] = STATE(211),
    [sym_variable_declaration] = STATE(211),
    [sym_lexical_declaration] = STATE(211),
    [sym_statement_block] = STATE(211),
    [sym_if_statement] = STATE(211),
    [sym_switch_statement] = STATE(211),
    [sym_for_statement] = STATE(211),
    [sym_for_in_statement] = STATE(211),
    [sym_while_statement] = STATE(211),
    [sym_do_statement] = STATE(211),
    [sym_try_statement] = STATE(211),
    [sym_with_statement] = STATE(211),
    [sym_break_statement] = STATE(211),
    [sym_continue_statement] = STATE(211),
    [sym_debugger_statement] = STATE(211),
    [sym_return_statement] = STATE(211),
    [sym_throw_statement] = STATE(211),
    [sym_empty_statement] = STATE(211),
    [sym_labeled_statement] = STATE(211),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(211),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(211),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(211),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(709),
    [sym_identifier] = ACTIONS(290),
    [anon_sym_export] = ACTIONS(292),
    [anon_sym_LBRACE] = ACTIONS(294),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(296),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(298),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(300),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(302),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(304),
    [anon_sym_async] = ACTIONS(306),
    [anon_sym_function] = ACTIONS(308),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(310),
    [anon_sym_get] = ACTIONS(310),
    [anon_sym_set] = ACTIONS(310),
  },
  [40] = {
    [sym_export_statement] = STATE(224),
    [sym__declaration] = STATE(224),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(224),
    [sym_expression_statement] = STATE(224),
    [sym_variable_declaration] = STATE(224),
    [sym_lexical_declaration] = STATE(224),
    [sym_statement_block] = STATE(224),
    [sym_if_statement] = STATE(224),
    [sym_switch_statement] = STATE(224),
    [sym_for_statement] = STATE(224),
    [sym_for_in_statement] = STATE(224),
    [sym_while_statement] = STATE(224),
    [sym_do_statement] = STATE(224),
    [sym_try_statement] = STATE(224),
    [sym_with_statement] = STATE(224),
    [sym_break_statement] = STATE(224),
    [sym_continue_statement] = STATE(224),
    [sym_debugger_statement] = STATE(224),
    [sym_return_statement] = STATE(224),
    [sym_throw_statement] = STATE(224),
    [sym_empty_statement] = STATE(224),
    [sym_labeled_statement] = STATE(224),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(224),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(224),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(224),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(709),
    [sym_identifier] = ACTIONS(290),
    [anon_sym_export] = ACTIONS(292),
    [anon_sym_LBRACE] = ACTIONS(294),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(296),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(298),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(300),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(302),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(304),
    [anon_sym_async] = ACTIONS(306),
    [anon_sym_function] = ACTIONS(308),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(310),
    [anon_sym_get] = ACTIONS(310),
    [anon_sym_set] = ACTIONS(310),
  },
  [41] = {
    [sym_export_statement] = STATE(235),
    [sym__declaration] = STATE(235),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(235),
    [sym_expression_statement] = STATE(235),
    [sym_variable_declaration] = STATE(235),
    [sym_lexical_declaration] = STATE(235),
    [sym_statement_block] = STATE(235),
    [sym_if_statement] = STATE(235),
    [sym_switch_statement] = STATE(235),
    [sym_for_statement] = STATE(235),
    [sym_for_in_statement] = STATE(235),
    [sym_while_statement] = STATE(235),
    [sym_do_statement] = STATE(235),
    [sym_try_statement] = STATE(235),
    [sym_with_statement] = STATE(235),
    [sym_break_statement] = STATE(235),
    [sym_continue_statement] = STATE(235),
    [sym_debugger_statement] = STATE(235),
    [sym_return_statement] = STATE(235),
    [sym_throw_statement] = STATE(235),
    [sym_empty_statement] = STATE(235),
    [sym_labeled_statement] = STATE(235),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(235),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(235),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(235),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(709),
    [sym_identifier] = ACTIONS(290),
    [anon_sym_export] = ACTIONS(292),
    [anon_sym_LBRACE] = ACTIONS(294),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(296),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(298),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(300),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(302),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(304),
    [anon_sym_async] = ACTIONS(306),
    [anon_sym_function] = ACTIONS(308),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(310),
    [anon_sym_get] = ACTIONS(310),
    [anon_sym_set] = ACTIONS(310),
  },
  [42] = {
    [sym_export_statement] = STATE(230),
    [sym__declaration] = STATE(230),
    [sym_import] = STATE(478),
    [sym_import_statement] = STATE(230),
    [sym_expression_statement] = STATE(230),
    [sym_variable_declaration] = STATE(230),
    [sym_lexical_declaration] = STATE(230),
    [sym_statement_block] = STATE(230),
    [sym_if_statement] = STATE(230),
    [sym_switch_statement] = STATE(230),
    [sym_for_statement] = STATE(230),
    [sym_for_in_statement] = STATE(230),
    [sym_while_statement] = STATE(230),
    [sym_do_statement] = STATE(230),
    [sym_try_statement] = STATE(230),
    [sym_with_statement] = STATE(230),
    [sym_break_statement] = STATE(230),
    [sym_continue_statement] = STATE(230),
    [sym_debugger_statement] = STATE(230),
    [sym_return_statement] = STATE(230),
    [sym_throw_statement] = STATE(230),
    [sym_empty_statement] = STATE(230),
    [sym_labeled_statement] = STATE(230),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_class_declaration] = STATE(230),
    [sym_function] = STATE(398),
    [sym_function_declaration] = STATE(230),
    [sym_generator_function] = STATE(478),
    [sym_generator_function_declaration] = STATE(230),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(709),
    [sym_identifier] = ACTIONS(290),
    [anon_sym_export] = ACTIONS(292),
    [anon_sym_LBRACE] = ACTIONS(294),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(296),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(298),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(300),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(302),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(304),
    [anon_sym_async] = ACTIONS(306),
    [anon_sym_function] = ACTIONS(308),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(310),
    [anon_sym_get] = ACTIONS(310),
    [anon_sym_set] = ACTIONS(310),
  },
  [43] = {
    [sym_import] = STATE(328),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(328),
    [sym_yield_expression] = STATE(328),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(328),
    [sym_jsx_fragment] = STATE(328),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(328),
    [sym_class] = STATE(328),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(328),
    [sym_arrow_function] = STATE(328),
    [sym_call_expression] = STATE(328),
    [sym_new_expression] = STATE(328),
    [sym_await_expression] = STATE(328),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(328),
    [sym_augmented_assignment_expression] = STATE(328),
    [sym_ternary_expression] = STATE(328),
    [sym_binary_expression] = STATE(328),
    [sym_unary_expression] = STATE(328),
    [sym_update_expression] = STATE(328),
    [sym_string] = STATE(328),
    [sym_template_string] = STATE(328),
    [sym_regex] = STATE(328),
    [sym_meta_property] = STATE(328),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_STAR] = ACTIONS(314),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_COMMA] = ACTIONS(318),
    [anon_sym_RBRACE] = ACTIONS(318),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_RPAREN] = ACTIONS(318),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_in] = ACTIONS(326),
    [anon_sym_COLON] = ACTIONS(318),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_RBRACK] = ACTIONS(318),
    [anon_sym_LT] = ACTIONS(332),
    [anon_sym_GT] = ACTIONS(326),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_DOT] = ACTIONS(326),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_QMARK] = ACTIONS(318),
    [anon_sym_AMP_AMP] = ACTIONS(318),
    [anon_sym_PIPE_PIPE] = ACTIONS(318),
    [anon_sym_GT_GT] = ACTIONS(326),
    [anon_sym_GT_GT_GT] = ACTIONS(318),
    [anon_sym_LT_LT] = ACTIONS(318),
    [anon_sym_AMP] = ACTIONS(326),
    [anon_sym_CARET] = ACTIONS(318),
    [anon_sym_PIPE] = ACTIONS(326),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_PERCENT] = ACTIONS(318),
    [anon_sym_STAR_STAR] = ACTIONS(318),
    [anon_sym_LT_EQ] = ACTIONS(318),
    [anon_sym_EQ_EQ] = ACTIONS(326),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(318),
    [anon_sym_BANG_EQ] = ACTIONS(326),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(318),
    [anon_sym_GT_EQ] = ACTIONS(318),
    [anon_sym_instanceof] = ACTIONS(326),
    [anon_sym_BANG] = ACTIONS(346),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(360),
    [sym_this] = ACTIONS(362),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(362),
    [sym_false] = ACTIONS(362),
    [sym_null] = ACTIONS(362),
    [sym_undefined] = ACTIONS(362),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [44] = {
    [sym_import] = STATE(423),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(423),
    [sym_yield_expression] = STATE(423),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(423),
    [sym_jsx_fragment] = STATE(423),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(423),
    [sym_class] = STATE(423),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(423),
    [sym_arrow_function] = STATE(423),
    [sym_call_expression] = STATE(423),
    [sym_new_expression] = STATE(423),
    [sym_await_expression] = STATE(423),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(423),
    [sym_augmented_assignment_expression] = STATE(423),
    [sym_ternary_expression] = STATE(423),
    [sym_binary_expression] = STATE(423),
    [sym_unary_expression] = STATE(423),
    [sym_update_expression] = STATE(423),
    [sym_string] = STATE(423),
    [sym_template_string] = STATE(423),
    [sym_regex] = STATE(423),
    [sym_meta_property] = STATE(423),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_STAR] = ACTIONS(370),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_COMMA] = ACTIONS(318),
    [anon_sym_RBRACE] = ACTIONS(318),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_in] = ACTIONS(326),
    [anon_sym_SEMI] = ACTIONS(318),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(376),
    [anon_sym_GT] = ACTIONS(326),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_DOT] = ACTIONS(326),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_QMARK] = ACTIONS(318),
    [anon_sym_AMP_AMP] = ACTIONS(318),
    [anon_sym_PIPE_PIPE] = ACTIONS(318),
    [anon_sym_GT_GT] = ACTIONS(326),
    [anon_sym_GT_GT_GT] = ACTIONS(318),
    [anon_sym_LT_LT] = ACTIONS(318),
    [anon_sym_AMP] = ACTIONS(326),
    [anon_sym_CARET] = ACTIONS(318),
    [anon_sym_PIPE] = ACTIONS(326),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_PERCENT] = ACTIONS(318),
    [anon_sym_STAR_STAR] = ACTIONS(318),
    [anon_sym_LT_EQ] = ACTIONS(318),
    [anon_sym_EQ_EQ] = ACTIONS(326),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(318),
    [anon_sym_BANG_EQ] = ACTIONS(326),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(318),
    [anon_sym_GT_EQ] = ACTIONS(318),
    [anon_sym_instanceof] = ACTIONS(326),
    [anon_sym_BANG] = ACTIONS(384),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(386),
    [sym_this] = ACTIONS(388),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(388),
    [sym_false] = ACTIONS(388),
    [sym_null] = ACTIONS(388),
    [sym_undefined] = ACTIONS(388),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
    [sym__automatic_semicolon] = ACTIONS(318),
  },
  [45] = {
    [ts_builtin_sym_end] = ACTIONS(392),
    [sym_identifier] = ACTIONS(394),
    [anon_sym_export] = ACTIONS(394),
    [anon_sym_STAR] = ACTIONS(396),
    [anon_sym_default] = ACTIONS(394),
    [anon_sym_LBRACE] = ACTIONS(392),
    [anon_sym_COMMA] = ACTIONS(398),
    [anon_sym_RBRACE] = ACTIONS(392),
    [anon_sym_import] = ACTIONS(394),
    [anon_sym_var] = ACTIONS(394),
    [anon_sym_let] = ACTIONS(394),
    [anon_sym_const] = ACTIONS(394),
    [anon_sym_if] = ACTIONS(394),
    [anon_sym_else] = ACTIONS(394),
    [anon_sym_switch] = ACTIONS(394),
    [anon_sym_for] = ACTIONS(394),
    [anon_sym_LPAREN] = ACTIONS(392),
    [anon_sym_await] = ACTIONS(394),
    [anon_sym_in] = ACTIONS(396),
    [anon_sym_while] = ACTIONS(394),
    [anon_sym_do] = ACTIONS(394),
    [anon_sym_try] = ACTIONS(394),
    [anon_sym_with] = ACTIONS(394),
    [anon_sym_break] = ACTIONS(394),
    [anon_sym_continue] = ACTIONS(394),
    [anon_sym_debugger] = ACTIONS(394),
    [anon_sym_return] = ACTIONS(394),
    [anon_sym_throw] = ACTIONS(394),
    [anon_sym_SEMI] = ACTIONS(392),
    [anon_sym_case] = ACTIONS(394),
    [anon_sym_yield] = ACTIONS(394),
    [anon_sym_EQ] = ACTIONS(396),
    [anon_sym_LBRACK] = ACTIONS(392),
    [anon_sym_LT] = ACTIONS(394),
    [anon_sym_GT] = ACTIONS(396),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_DOT] = ACTIONS(396),
    [anon_sym_class] = ACTIONS(394),
    [anon_sym_async] = ACTIONS(394),
    [anon_sym_function] = ACTIONS(394),
    [anon_sym_new] = ACTIONS(394),
    [anon_sym_QMARK] = ACTIONS(398),
    [anon_sym_AMP_AMP] = ACTIONS(398),
    [anon_sym_PIPE_PIPE] = ACTIONS(398),
    [anon_sym_GT_GT] = ACTIONS(396),
    [anon_sym_GT_GT_GT] = ACTIONS(398),
    [anon_sym_LT_LT] = ACTIONS(398),
    [anon_sym_AMP] = ACTIONS(396),
    [anon_sym_CARET] = ACTIONS(398),
    [anon_sym_PIPE] = ACTIONS(396),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_PERCENT] = ACTIONS(398),
    [anon_sym_STAR_STAR] = ACTIONS(398),
    [anon_sym_LT_EQ] = ACTIONS(398),
    [anon_sym_EQ_EQ] = ACTIONS(396),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(398),
    [anon_sym_BANG_EQ] = ACTIONS(396),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(398),
    [anon_sym_GT_EQ] = ACTIONS(398),
    [anon_sym_instanceof] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(394),
    [anon_sym_TILDE] = ACTIONS(392),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(392),
    [anon_sym_DASH_DASH] = ACTIONS(392),
    [anon_sym_DQUOTE] = ACTIONS(392),
    [anon_sym_SQUOTE] = ACTIONS(392),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(392),
    [sym_number] = ACTIONS(392),
    [sym_this] = ACTIONS(394),
    [sym_super] = ACTIONS(394),
    [sym_true] = ACTIONS(394),
    [sym_false] = ACTIONS(394),
    [sym_null] = ACTIONS(394),
    [sym_undefined] = ACTIONS(394),
    [anon_sym_AT] = ACTIONS(392),
    [anon_sym_static] = ACTIONS(394),
    [anon_sym_get] = ACTIONS(394),
    [anon_sym_set] = ACTIONS(394),
    [sym__automatic_semicolon] = ACTIONS(400),
  },
  [46] = {
    [ts_builtin_sym_end] = ACTIONS(392),
    [sym_identifier] = ACTIONS(394),
    [anon_sym_export] = ACTIONS(394),
    [anon_sym_STAR] = ACTIONS(394),
    [anon_sym_default] = ACTIONS(394),
    [anon_sym_LBRACE] = ACTIONS(392),
    [anon_sym_COMMA] = ACTIONS(392),
    [anon_sym_RBRACE] = ACTIONS(392),
    [anon_sym_import] = ACTIONS(394),
    [anon_sym_var] = ACTIONS(394),
    [anon_sym_let] = ACTIONS(394),
    [anon_sym_const] = ACTIONS(394),
    [anon_sym_if] = ACTIONS(394),
    [anon_sym_else] = ACTIONS(394),
    [anon_sym_switch] = ACTIONS(394),
    [anon_sym_for] = ACTIONS(394),
    [anon_sym_LPAREN] = ACTIONS(392),
    [anon_sym_await] = ACTIONS(394),
    [anon_sym_in] = ACTIONS(394),
    [anon_sym_while] = ACTIONS(394),
    [anon_sym_do] = ACTIONS(394),
    [anon_sym_try] = ACTIONS(394),
    [anon_sym_with] = ACTIONS(394),
    [anon_sym_break] = ACTIONS(394),
    [anon_sym_continue] = ACTIONS(394),
    [anon_sym_debugger] = ACTIONS(394),
    [anon_sym_return] = ACTIONS(394),
    [anon_sym_throw] = ACTIONS(394),
    [anon_sym_SEMI] = ACTIONS(392),
    [anon_sym_case] = ACTIONS(394),
    [anon_sym_yield] = ACTIONS(394),
    [anon_sym_LBRACK] = ACTIONS(392),
    [anon_sym_LT] = ACTIONS(394),
    [anon_sym_GT] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_DOT] = ACTIONS(394),
    [anon_sym_class] = ACTIONS(394),
    [anon_sym_async] = ACTIONS(394),
    [anon_sym_function] = ACTIONS(394),
    [anon_sym_new] = ACTIONS(394),
    [anon_sym_QMARK] = ACTIONS(392),
    [anon_sym_AMP_AMP] = ACTIONS(392),
    [anon_sym_PIPE_PIPE] = ACTIONS(392),
    [anon_sym_GT_GT] = ACTIONS(394),
    [anon_sym_GT_GT_GT] = ACTIONS(392),
    [anon_sym_LT_LT] = ACTIONS(392),
    [anon_sym_AMP] = ACTIONS(394),
    [anon_sym_CARET] = ACTIONS(392),
    [anon_sym_PIPE] = ACTIONS(394),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_PERCENT] = ACTIONS(392),
    [anon_sym_STAR_STAR] = ACTIONS(392),
    [anon_sym_LT_EQ] = ACTIONS(392),
    [anon_sym_EQ_EQ] = ACTIONS(394),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(392),
    [anon_sym_BANG_EQ] = ACTIONS(394),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(392),
    [anon_sym_GT_EQ] = ACTIONS(392),
    [anon_sym_instanceof] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(394),
    [anon_sym_TILDE] = ACTIONS(392),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(392),
    [anon_sym_DASH_DASH] = ACTIONS(392),
    [anon_sym_DQUOTE] = ACTIONS(392),
    [anon_sym_SQUOTE] = ACTIONS(392),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(392),
    [sym_number] = ACTIONS(392),
    [sym_this] = ACTIONS(394),
    [sym_super] = ACTIONS(394),
    [sym_true] = ACTIONS(394),
    [sym_false] = ACTIONS(394),
    [sym_null] = ACTIONS(394),
    [sym_undefined] = ACTIONS(394),
    [anon_sym_AT] = ACTIONS(392),
    [anon_sym_static] = ACTIONS(394),
    [anon_sym_get] = ACTIONS(394),
    [anon_sym_set] = ACTIONS(394),
    [sym__automatic_semicolon] = ACTIONS(402),
  },
  [47] = {
    [ts_builtin_sym_end] = ACTIONS(404),
    [sym_identifier] = ACTIONS(406),
    [anon_sym_export] = ACTIONS(406),
    [anon_sym_STAR] = ACTIONS(408),
    [anon_sym_default] = ACTIONS(406),
    [anon_sym_LBRACE] = ACTIONS(404),
    [anon_sym_COMMA] = ACTIONS(410),
    [anon_sym_RBRACE] = ACTIONS(404),
    [anon_sym_import] = ACTIONS(406),
    [anon_sym_var] = ACTIONS(406),
    [anon_sym_let] = ACTIONS(406),
    [anon_sym_const] = ACTIONS(406),
    [anon_sym_if] = ACTIONS(406),
    [anon_sym_else] = ACTIONS(406),
    [anon_sym_switch] = ACTIONS(406),
    [anon_sym_for] = ACTIONS(406),
    [anon_sym_LPAREN] = ACTIONS(404),
    [anon_sym_await] = ACTIONS(406),
    [anon_sym_in] = ACTIONS(408),
    [anon_sym_while] = ACTIONS(406),
    [anon_sym_do] = ACTIONS(406),
    [anon_sym_try] = ACTIONS(406),
    [anon_sym_with] = ACTIONS(406),
    [anon_sym_break] = ACTIONS(406),
    [anon_sym_continue] = ACTIONS(406),
    [anon_sym_debugger] = ACTIONS(406),
    [anon_sym_return] = ACTIONS(406),
    [anon_sym_throw] = ACTIONS(406),
    [anon_sym_SEMI] = ACTIONS(404),
    [anon_sym_case] = ACTIONS(406),
    [anon_sym_yield] = ACTIONS(406),
    [anon_sym_LBRACK] = ACTIONS(404),
    [anon_sym_LT] = ACTIONS(406),
    [anon_sym_GT] = ACTIONS(408),
    [anon_sym_SLASH] = ACTIONS(406),
    [anon_sym_DOT] = ACTIONS(408),
    [anon_sym_class] = ACTIONS(406),
    [anon_sym_async] = ACTIONS(406),
    [anon_sym_function] = ACTIONS(406),
    [anon_sym_new] = ACTIONS(406),
    [anon_sym_QMARK] = ACTIONS(410),
    [anon_sym_AMP_AMP] = ACTIONS(410),
    [anon_sym_PIPE_PIPE] = ACTIONS(410),
    [anon_sym_GT_GT] = ACTIONS(408),
    [anon_sym_GT_GT_GT] = ACTIONS(410),
    [anon_sym_LT_LT] = ACTIONS(410),
    [anon_sym_AMP] = ACTIONS(408),
    [anon_sym_CARET] = ACTIONS(410),
    [anon_sym_PIPE] = ACTIONS(408),
    [anon_sym_PLUS] = ACTIONS(406),
    [anon_sym_DASH] = ACTIONS(406),
    [anon_sym_PERCENT] = ACTIONS(410),
    [anon_sym_STAR_STAR] = ACTIONS(410),
    [anon_sym_LT_EQ] = ACTIONS(410),
    [anon_sym_EQ_EQ] = ACTIONS(408),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(410),
    [anon_sym_BANG_EQ] = ACTIONS(408),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(410),
    [anon_sym_GT_EQ] = ACTIONS(410),
    [anon_sym_instanceof] = ACTIONS(408),
    [anon_sym_BANG] = ACTIONS(406),
    [anon_sym_TILDE] = ACTIONS(404),
    [anon_sym_typeof] = ACTIONS(406),
    [anon_sym_void] = ACTIONS(406),
    [anon_sym_delete] = ACTIONS(406),
    [anon_sym_PLUS_PLUS] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(404),
    [anon_sym_DQUOTE] = ACTIONS(404),
    [anon_sym_SQUOTE] = ACTIONS(404),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(404),
    [sym_number] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(406),
    [anon_sym_AT] = ACTIONS(404),
    [anon_sym_static] = ACTIONS(406),
    [anon_sym_get] = ACTIONS(406),
    [anon_sym_set] = ACTIONS(406),
    [sym__automatic_semicolon] = ACTIONS(412),
  },
  [48] = {
    [ts_builtin_sym_end] = ACTIONS(414),
    [sym_identifier] = ACTIONS(416),
    [anon_sym_export] = ACTIONS(416),
    [anon_sym_STAR] = ACTIONS(418),
    [anon_sym_default] = ACTIONS(416),
    [anon_sym_LBRACE] = ACTIONS(414),
    [anon_sym_COMMA] = ACTIONS(420),
    [anon_sym_RBRACE] = ACTIONS(414),
    [anon_sym_import] = ACTIONS(416),
    [anon_sym_var] = ACTIONS(416),
    [anon_sym_let] = ACTIONS(416),
    [anon_sym_const] = ACTIONS(416),
    [anon_sym_if] = ACTIONS(416),
    [anon_sym_else] = ACTIONS(416),
    [anon_sym_switch] = ACTIONS(416),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_LPAREN] = ACTIONS(414),
    [anon_sym_await] = ACTIONS(416),
    [anon_sym_in] = ACTIONS(418),
    [anon_sym_while] = ACTIONS(416),
    [anon_sym_do] = ACTIONS(416),
    [anon_sym_try] = ACTIONS(416),
    [anon_sym_with] = ACTIONS(416),
    [anon_sym_break] = ACTIONS(416),
    [anon_sym_continue] = ACTIONS(416),
    [anon_sym_debugger] = ACTIONS(416),
    [anon_sym_return] = ACTIONS(416),
    [anon_sym_throw] = ACTIONS(416),
    [anon_sym_SEMI] = ACTIONS(414),
    [anon_sym_case] = ACTIONS(416),
    [anon_sym_yield] = ACTIONS(416),
    [anon_sym_LBRACK] = ACTIONS(414),
    [anon_sym_LT] = ACTIONS(416),
    [anon_sym_GT] = ACTIONS(418),
    [anon_sym_SLASH] = ACTIONS(416),
    [anon_sym_DOT] = ACTIONS(418),
    [anon_sym_class] = ACTIONS(416),
    [anon_sym_async] = ACTIONS(416),
    [anon_sym_function] = ACTIONS(416),
    [anon_sym_new] = ACTIONS(416),
    [anon_sym_QMARK] = ACTIONS(420),
    [anon_sym_AMP_AMP] = ACTIONS(420),
    [anon_sym_PIPE_PIPE] = ACTIONS(420),
    [anon_sym_GT_GT] = ACTIONS(418),
    [anon_sym_GT_GT_GT] = ACTIONS(420),
    [anon_sym_LT_LT] = ACTIONS(420),
    [anon_sym_AMP] = ACTIONS(418),
    [anon_sym_CARET] = ACTIONS(420),
    [anon_sym_PIPE] = ACTIONS(418),
    [anon_sym_PLUS] = ACTIONS(416),
    [anon_sym_DASH] = ACTIONS(416),
    [anon_sym_PERCENT] = ACTIONS(420),
    [anon_sym_STAR_STAR] = ACTIONS(420),
    [anon_sym_LT_EQ] = ACTIONS(420),
    [anon_sym_EQ_EQ] = ACTIONS(418),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(420),
    [anon_sym_BANG_EQ] = ACTIONS(418),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(420),
    [anon_sym_GT_EQ] = ACTIONS(420),
    [anon_sym_instanceof] = ACTIONS(418),
    [anon_sym_BANG] = ACTIONS(416),
    [anon_sym_TILDE] = ACTIONS(414),
    [anon_sym_typeof] = ACTIONS(416),
    [anon_sym_void] = ACTIONS(416),
    [anon_sym_delete] = ACTIONS(416),
    [anon_sym_PLUS_PLUS] = ACTIONS(414),
    [anon_sym_DASH_DASH] = ACTIONS(414),
    [anon_sym_DQUOTE] = ACTIONS(414),
    [anon_sym_SQUOTE] = ACTIONS(414),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(414),
    [sym_number] = ACTIONS(414),
    [sym_this] = ACTIONS(416),
    [sym_super] = ACTIONS(416),
    [sym_true] = ACTIONS(416),
    [sym_false] = ACTIONS(416),
    [sym_null] = ACTIONS(416),
    [sym_undefined] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(414),
    [anon_sym_static] = ACTIONS(416),
    [anon_sym_get] = ACTIONS(416),
    [anon_sym_set] = ACTIONS(416),
    [sym__automatic_semicolon] = ACTIONS(422),
  },
  [49] = {
    [ts_builtin_sym_end] = ACTIONS(424),
    [sym_identifier] = ACTIONS(426),
    [anon_sym_export] = ACTIONS(426),
    [anon_sym_STAR] = ACTIONS(428),
    [anon_sym_default] = ACTIONS(426),
    [anon_sym_LBRACE] = ACTIONS(424),
    [anon_sym_COMMA] = ACTIONS(430),
    [anon_sym_RBRACE] = ACTIONS(424),
    [anon_sym_import] = ACTIONS(426),
    [anon_sym_var] = ACTIONS(426),
    [anon_sym_let] = ACTIONS(426),
    [anon_sym_const] = ACTIONS(426),
    [anon_sym_if] = ACTIONS(426),
    [anon_sym_else] = ACTIONS(426),
    [anon_sym_switch] = ACTIONS(426),
    [anon_sym_for] = ACTIONS(426),
    [anon_sym_LPAREN] = ACTIONS(424),
    [anon_sym_await] = ACTIONS(426),
    [anon_sym_in] = ACTIONS(428),
    [anon_sym_while] = ACTIONS(426),
    [anon_sym_do] = ACTIONS(426),
    [anon_sym_try] = ACTIONS(426),
    [anon_sym_with] = ACTIONS(426),
    [anon_sym_break] = ACTIONS(426),
    [anon_sym_continue] = ACTIONS(426),
    [anon_sym_debugger] = ACTIONS(426),
    [anon_sym_return] = ACTIONS(426),
    [anon_sym_throw] = ACTIONS(426),
    [anon_sym_SEMI] = ACTIONS(424),
    [anon_sym_case] = ACTIONS(426),
    [anon_sym_yield] = ACTIONS(426),
    [anon_sym_LBRACK] = ACTIONS(424),
    [anon_sym_LT] = ACTIONS(426),
    [anon_sym_GT] = ACTIONS(428),
    [anon_sym_SLASH] = ACTIONS(426),
    [anon_sym_DOT] = ACTIONS(428),
    [anon_sym_class] = ACTIONS(426),
    [anon_sym_async] = ACTIONS(426),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(426),
    [anon_sym_QMARK] = ACTIONS(430),
    [anon_sym_AMP_AMP] = ACTIONS(430),
    [anon_sym_PIPE_PIPE] = ACTIONS(430),
    [anon_sym_GT_GT] = ACTIONS(428),
    [anon_sym_GT_GT_GT] = ACTIONS(430),
    [anon_sym_LT_LT] = ACTIONS(430),
    [anon_sym_AMP] = ACTIONS(428),
    [anon_sym_CARET] = ACTIONS(430),
    [anon_sym_PIPE] = ACTIONS(428),
    [anon_sym_PLUS] = ACTIONS(426),
    [anon_sym_DASH] = ACTIONS(426),
    [anon_sym_PERCENT] = ACTIONS(430),
    [anon_sym_STAR_STAR] = ACTIONS(430),
    [anon_sym_LT_EQ] = ACTIONS(430),
    [anon_sym_EQ_EQ] = ACTIONS(428),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(430),
    [anon_sym_BANG_EQ] = ACTIONS(428),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(430),
    [anon_sym_GT_EQ] = ACTIONS(430),
    [anon_sym_instanceof] = ACTIONS(428),
    [anon_sym_BANG] = ACTIONS(426),
    [anon_sym_TILDE] = ACTIONS(424),
    [anon_sym_typeof] = ACTIONS(426),
    [anon_sym_void] = ACTIONS(426),
    [anon_sym_delete] = ACTIONS(426),
    [anon_sym_PLUS_PLUS] = ACTIONS(424),
    [anon_sym_DASH_DASH] = ACTIONS(424),
    [anon_sym_DQUOTE] = ACTIONS(424),
    [anon_sym_SQUOTE] = ACTIONS(424),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(424),
    [sym_number] = ACTIONS(424),
    [sym_this] = ACTIONS(426),
    [sym_super] = ACTIONS(426),
    [sym_true] = ACTIONS(426),
    [sym_false] = ACTIONS(426),
    [sym_null] = ACTIONS(426),
    [sym_undefined] = ACTIONS(426),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_static] = ACTIONS(426),
    [anon_sym_get] = ACTIONS(426),
    [anon_sym_set] = ACTIONS(426),
    [sym__automatic_semicolon] = ACTIONS(432),
  },
  [50] = {
    [ts_builtin_sym_end] = ACTIONS(434),
    [sym_identifier] = ACTIONS(436),
    [anon_sym_export] = ACTIONS(436),
    [anon_sym_STAR] = ACTIONS(438),
    [anon_sym_default] = ACTIONS(436),
    [anon_sym_LBRACE] = ACTIONS(434),
    [anon_sym_COMMA] = ACTIONS(440),
    [anon_sym_RBRACE] = ACTIONS(434),
    [anon_sym_import] = ACTIONS(436),
    [anon_sym_var] = ACTIONS(436),
    [anon_sym_let] = ACTIONS(436),
    [anon_sym_const] = ACTIONS(436),
    [anon_sym_if] = ACTIONS(436),
    [anon_sym_else] = ACTIONS(436),
    [anon_sym_switch] = ACTIONS(436),
    [anon_sym_for] = ACTIONS(436),
    [anon_sym_LPAREN] = ACTIONS(434),
    [anon_sym_await] = ACTIONS(436),
    [anon_sym_in] = ACTIONS(438),
    [anon_sym_while] = ACTIONS(436),
    [anon_sym_do] = ACTIONS(436),
    [anon_sym_try] = ACTIONS(436),
    [anon_sym_with] = ACTIONS(436),
    [anon_sym_break] = ACTIONS(436),
    [anon_sym_continue] = ACTIONS(436),
    [anon_sym_debugger] = ACTIONS(436),
    [anon_sym_return] = ACTIONS(436),
    [anon_sym_throw] = ACTIONS(436),
    [anon_sym_SEMI] = ACTIONS(434),
    [anon_sym_case] = ACTIONS(436),
    [anon_sym_yield] = ACTIONS(436),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LT] = ACTIONS(436),
    [anon_sym_GT] = ACTIONS(438),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_DOT] = ACTIONS(438),
    [anon_sym_class] = ACTIONS(436),
    [anon_sym_async] = ACTIONS(436),
    [anon_sym_function] = ACTIONS(436),
    [anon_sym_new] = ACTIONS(436),
    [anon_sym_QMARK] = ACTIONS(440),
    [anon_sym_AMP_AMP] = ACTIONS(440),
    [anon_sym_PIPE_PIPE] = ACTIONS(440),
    [anon_sym_GT_GT] = ACTIONS(438),
    [anon_sym_GT_GT_GT] = ACTIONS(440),
    [anon_sym_LT_LT] = ACTIONS(440),
    [anon_sym_AMP] = ACTIONS(438),
    [anon_sym_CARET] = ACTIONS(440),
    [anon_sym_PIPE] = ACTIONS(438),
    [anon_sym_PLUS] = ACTIONS(436),
    [anon_sym_DASH] = ACTIONS(436),
    [anon_sym_PERCENT] = ACTIONS(440),
    [anon_sym_STAR_STAR] = ACTIONS(440),
    [anon_sym_LT_EQ] = ACTIONS(440),
    [anon_sym_EQ_EQ] = ACTIONS(438),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(440),
    [anon_sym_BANG_EQ] = ACTIONS(438),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(440),
    [anon_sym_GT_EQ] = ACTIONS(440),
    [anon_sym_instanceof] = ACTIONS(438),
    [anon_sym_BANG] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(434),
    [anon_sym_typeof] = ACTIONS(436),
    [anon_sym_void] = ACTIONS(436),
    [anon_sym_delete] = ACTIONS(436),
    [anon_sym_PLUS_PLUS] = ACTIONS(434),
    [anon_sym_DASH_DASH] = ACTIONS(434),
    [anon_sym_DQUOTE] = ACTIONS(434),
    [anon_sym_SQUOTE] = ACTIONS(434),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(434),
    [sym_number] = ACTIONS(434),
    [sym_this] = ACTIONS(436),
    [sym_super] = ACTIONS(436),
    [sym_true] = ACTIONS(436),
    [sym_false] = ACTIONS(436),
    [sym_null] = ACTIONS(436),
    [sym_undefined] = ACTIONS(436),
    [anon_sym_AT] = ACTIONS(434),
    [anon_sym_static] = ACTIONS(436),
    [anon_sym_get] = ACTIONS(436),
    [anon_sym_set] = ACTIONS(436),
    [sym__automatic_semicolon] = ACTIONS(442),
  },
  [51] = {
    [ts_builtin_sym_end] = ACTIONS(444),
    [sym_identifier] = ACTIONS(446),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_STAR] = ACTIONS(448),
    [anon_sym_default] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(444),
    [anon_sym_COMMA] = ACTIONS(450),
    [anon_sym_RBRACE] = ACTIONS(444),
    [anon_sym_import] = ACTIONS(446),
    [anon_sym_var] = ACTIONS(446),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_const] = ACTIONS(446),
    [anon_sym_if] = ACTIONS(446),
    [anon_sym_else] = ACTIONS(446),
    [anon_sym_switch] = ACTIONS(446),
    [anon_sym_for] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(444),
    [anon_sym_await] = ACTIONS(446),
    [anon_sym_in] = ACTIONS(448),
    [anon_sym_while] = ACTIONS(446),
    [anon_sym_do] = ACTIONS(446),
    [anon_sym_try] = ACTIONS(446),
    [anon_sym_with] = ACTIONS(446),
    [anon_sym_break] = ACTIONS(446),
    [anon_sym_continue] = ACTIONS(446),
    [anon_sym_debugger] = ACTIONS(446),
    [anon_sym_return] = ACTIONS(446),
    [anon_sym_throw] = ACTIONS(446),
    [anon_sym_SEMI] = ACTIONS(444),
    [anon_sym_case] = ACTIONS(446),
    [anon_sym_yield] = ACTIONS(446),
    [anon_sym_LBRACK] = ACTIONS(444),
    [anon_sym_LT] = ACTIONS(446),
    [anon_sym_GT] = ACTIONS(448),
    [anon_sym_SLASH] = ACTIONS(446),
    [anon_sym_DOT] = ACTIONS(448),
    [anon_sym_class] = ACTIONS(446),
    [anon_sym_async] = ACTIONS(446),
    [anon_sym_function] = ACTIONS(446),
    [anon_sym_new] = ACTIONS(446),
    [anon_sym_QMARK] = ACTIONS(450),
    [anon_sym_AMP_AMP] = ACTIONS(450),
    [anon_sym_PIPE_PIPE] = ACTIONS(450),
    [anon_sym_GT_GT] = ACTIONS(448),
    [anon_sym_GT_GT_GT] = ACTIONS(450),
    [anon_sym_LT_LT] = ACTIONS(450),
    [anon_sym_AMP] = ACTIONS(448),
    [anon_sym_CARET] = ACTIONS(450),
    [anon_sym_PIPE] = ACTIONS(448),
    [anon_sym_PLUS] = ACTIONS(446),
    [anon_sym_DASH] = ACTIONS(446),
    [anon_sym_PERCENT] = ACTIONS(450),
    [anon_sym_STAR_STAR] = ACTIONS(450),
    [anon_sym_LT_EQ] = ACTIONS(450),
    [anon_sym_EQ_EQ] = ACTIONS(448),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(450),
    [anon_sym_BANG_EQ] = ACTIONS(448),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(450),
    [anon_sym_GT_EQ] = ACTIONS(450),
    [anon_sym_instanceof] = ACTIONS(448),
    [anon_sym_BANG] = ACTIONS(446),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_typeof] = ACTIONS(446),
    [anon_sym_void] = ACTIONS(446),
    [anon_sym_delete] = ACTIONS(446),
    [anon_sym_PLUS_PLUS] = ACTIONS(444),
    [anon_sym_DASH_DASH] = ACTIONS(444),
    [anon_sym_DQUOTE] = ACTIONS(444),
    [anon_sym_SQUOTE] = ACTIONS(444),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(444),
    [sym_number] = ACTIONS(444),
    [sym_this] = ACTIONS(446),
    [sym_super] = ACTIONS(446),
    [sym_true] = ACTIONS(446),
    [sym_false] = ACTIONS(446),
    [sym_null] = ACTIONS(446),
    [sym_undefined] = ACTIONS(446),
    [anon_sym_AT] = ACTIONS(444),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym__automatic_semicolon] = ACTIONS(452),
  },
  [52] = {
    [ts_builtin_sym_end] = ACTIONS(454),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_export] = ACTIONS(456),
    [anon_sym_STAR] = ACTIONS(456),
    [anon_sym_default] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(454),
    [anon_sym_COMMA] = ACTIONS(454),
    [anon_sym_RBRACE] = ACTIONS(454),
    [anon_sym_import] = ACTIONS(456),
    [anon_sym_var] = ACTIONS(456),
    [anon_sym_let] = ACTIONS(456),
    [anon_sym_const] = ACTIONS(456),
    [anon_sym_if] = ACTIONS(456),
    [anon_sym_else] = ACTIONS(456),
    [anon_sym_switch] = ACTIONS(456),
    [anon_sym_for] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(454),
    [anon_sym_await] = ACTIONS(456),
    [anon_sym_in] = ACTIONS(456),
    [anon_sym_while] = ACTIONS(456),
    [anon_sym_do] = ACTIONS(456),
    [anon_sym_try] = ACTIONS(456),
    [anon_sym_with] = ACTIONS(456),
    [anon_sym_break] = ACTIONS(456),
    [anon_sym_continue] = ACTIONS(456),
    [anon_sym_debugger] = ACTIONS(456),
    [anon_sym_return] = ACTIONS(456),
    [anon_sym_throw] = ACTIONS(456),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_case] = ACTIONS(456),
    [anon_sym_yield] = ACTIONS(456),
    [anon_sym_LBRACK] = ACTIONS(454),
    [anon_sym_LT] = ACTIONS(456),
    [anon_sym_GT] = ACTIONS(456),
    [anon_sym_SLASH] = ACTIONS(456),
    [anon_sym_DOT] = ACTIONS(456),
    [anon_sym_class] = ACTIONS(456),
    [anon_sym_async] = ACTIONS(456),
    [anon_sym_function] = ACTIONS(456),
    [anon_sym_new] = ACTIONS(456),
    [anon_sym_QMARK] = ACTIONS(454),
    [anon_sym_AMP_AMP] = ACTIONS(454),
    [anon_sym_PIPE_PIPE] = ACTIONS(454),
    [anon_sym_GT_GT] = ACTIONS(456),
    [anon_sym_GT_GT_GT] = ACTIONS(454),
    [anon_sym_LT_LT] = ACTIONS(454),
    [anon_sym_AMP] = ACTIONS(456),
    [anon_sym_CARET] = ACTIONS(454),
    [anon_sym_PIPE] = ACTIONS(456),
    [anon_sym_PLUS] = ACTIONS(456),
    [anon_sym_DASH] = ACTIONS(456),
    [anon_sym_PERCENT] = ACTIONS(454),
    [anon_sym_STAR_STAR] = ACTIONS(454),
    [anon_sym_LT_EQ] = ACTIONS(454),
    [anon_sym_EQ_EQ] = ACTIONS(456),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(454),
    [anon_sym_BANG_EQ] = ACTIONS(456),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(454),
    [anon_sym_GT_EQ] = ACTIONS(454),
    [anon_sym_instanceof] = ACTIONS(456),
    [anon_sym_BANG] = ACTIONS(456),
    [anon_sym_TILDE] = ACTIONS(454),
    [anon_sym_typeof] = ACTIONS(456),
    [anon_sym_void] = ACTIONS(456),
    [anon_sym_delete] = ACTIONS(456),
    [anon_sym_PLUS_PLUS] = ACTIONS(454),
    [anon_sym_DASH_DASH] = ACTIONS(454),
    [anon_sym_DQUOTE] = ACTIONS(454),
    [anon_sym_SQUOTE] = ACTIONS(454),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(454),
    [sym_number] = ACTIONS(454),
    [sym_this] = ACTIONS(456),
    [sym_super] = ACTIONS(456),
    [sym_true] = ACTIONS(456),
    [sym_false] = ACTIONS(456),
    [sym_null] = ACTIONS(456),
    [sym_undefined] = ACTIONS(456),
    [anon_sym_AT] = ACTIONS(454),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
    [sym__automatic_semicolon] = ACTIONS(454),
  },
  [53] = {
    [ts_builtin_sym_end] = ACTIONS(458),
    [sym_identifier] = ACTIONS(460),
    [anon_sym_export] = ACTIONS(460),
    [anon_sym_STAR] = ACTIONS(462),
    [anon_sym_default] = ACTIONS(460),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_COMMA] = ACTIONS(464),
    [anon_sym_RBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(460),
    [anon_sym_var] = ACTIONS(460),
    [anon_sym_let] = ACTIONS(460),
    [anon_sym_const] = ACTIONS(460),
    [anon_sym_if] = ACTIONS(460),
    [anon_sym_else] = ACTIONS(460),
    [anon_sym_switch] = ACTIONS(460),
    [anon_sym_for] = ACTIONS(460),
    [anon_sym_LPAREN] = ACTIONS(458),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_in] = ACTIONS(462),
    [anon_sym_while] = ACTIONS(460),
    [anon_sym_do] = ACTIONS(460),
    [anon_sym_try] = ACTIONS(460),
    [anon_sym_with] = ACTIONS(460),
    [anon_sym_break] = ACTIONS(460),
    [anon_sym_continue] = ACTIONS(460),
    [anon_sym_debugger] = ACTIONS(460),
    [anon_sym_return] = ACTIONS(460),
    [anon_sym_throw] = ACTIONS(460),
    [anon_sym_SEMI] = ACTIONS(458),
    [anon_sym_case] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(460),
    [anon_sym_LBRACK] = ACTIONS(458),
    [anon_sym_LT] = ACTIONS(460),
    [anon_sym_GT] = ACTIONS(462),
    [anon_sym_SLASH] = ACTIONS(460),
    [anon_sym_DOT] = ACTIONS(462),
    [anon_sym_class] = ACTIONS(460),
    [anon_sym_async] = ACTIONS(460),
    [anon_sym_function] = ACTIONS(460),
    [anon_sym_new] = ACTIONS(460),
    [anon_sym_QMARK] = ACTIONS(464),
    [anon_sym_AMP_AMP] = ACTIONS(464),
    [anon_sym_PIPE_PIPE] = ACTIONS(464),
    [anon_sym_GT_GT] = ACTIONS(462),
    [anon_sym_GT_GT_GT] = ACTIONS(464),
    [anon_sym_LT_LT] = ACTIONS(464),
    [anon_sym_AMP] = ACTIONS(462),
    [anon_sym_CARET] = ACTIONS(464),
    [anon_sym_PIPE] = ACTIONS(462),
    [anon_sym_PLUS] = ACTIONS(460),
    [anon_sym_DASH] = ACTIONS(460),
    [anon_sym_PERCENT] = ACTIONS(464),
    [anon_sym_STAR_STAR] = ACTIONS(464),
    [anon_sym_LT_EQ] = ACTIONS(464),
    [anon_sym_EQ_EQ] = ACTIONS(462),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(464),
    [anon_sym_BANG_EQ] = ACTIONS(462),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(464),
    [anon_sym_GT_EQ] = ACTIONS(464),
    [anon_sym_instanceof] = ACTIONS(462),
    [anon_sym_BANG] = ACTIONS(460),
    [anon_sym_TILDE] = ACTIONS(458),
    [anon_sym_typeof] = ACTIONS(460),
    [anon_sym_void] = ACTIONS(460),
    [anon_sym_delete] = ACTIONS(460),
    [anon_sym_PLUS_PLUS] = ACTIONS(458),
    [anon_sym_DASH_DASH] = ACTIONS(458),
    [anon_sym_DQUOTE] = ACTIONS(458),
    [anon_sym_SQUOTE] = ACTIONS(458),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(458),
    [sym_number] = ACTIONS(458),
    [sym_this] = ACTIONS(460),
    [sym_super] = ACTIONS(460),
    [sym_true] = ACTIONS(460),
    [sym_false] = ACTIONS(460),
    [sym_null] = ACTIONS(460),
    [sym_undefined] = ACTIONS(460),
    [anon_sym_AT] = ACTIONS(458),
    [anon_sym_static] = ACTIONS(460),
    [anon_sym_get] = ACTIONS(460),
    [anon_sym_set] = ACTIONS(460),
    [sym__automatic_semicolon] = ACTIONS(466),
  },
  [54] = {
    [ts_builtin_sym_end] = ACTIONS(468),
    [sym_identifier] = ACTIONS(470),
    [anon_sym_export] = ACTIONS(470),
    [anon_sym_STAR] = ACTIONS(470),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_LBRACE] = ACTIONS(468),
    [anon_sym_COMMA] = ACTIONS(468),
    [anon_sym_RBRACE] = ACTIONS(468),
    [anon_sym_import] = ACTIONS(470),
    [anon_sym_var] = ACTIONS(470),
    [anon_sym_let] = ACTIONS(470),
    [anon_sym_const] = ACTIONS(470),
    [anon_sym_if] = ACTIONS(470),
    [anon_sym_else] = ACTIONS(470),
    [anon_sym_switch] = ACTIONS(470),
    [anon_sym_for] = ACTIONS(470),
    [anon_sym_LPAREN] = ACTIONS(468),
    [anon_sym_await] = ACTIONS(470),
    [anon_sym_in] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(470),
    [anon_sym_do] = ACTIONS(470),
    [anon_sym_try] = ACTIONS(470),
    [anon_sym_with] = ACTIONS(470),
    [anon_sym_break] = ACTIONS(470),
    [anon_sym_continue] = ACTIONS(470),
    [anon_sym_debugger] = ACTIONS(470),
    [anon_sym_return] = ACTIONS(470),
    [anon_sym_throw] = ACTIONS(470),
    [anon_sym_SEMI] = ACTIONS(468),
    [anon_sym_case] = ACTIONS(470),
    [anon_sym_yield] = ACTIONS(470),
    [anon_sym_LBRACK] = ACTIONS(468),
    [anon_sym_LT] = ACTIONS(470),
    [anon_sym_GT] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(470),
    [anon_sym_DOT] = ACTIONS(470),
    [anon_sym_class] = ACTIONS(470),
    [anon_sym_async] = ACTIONS(470),
    [anon_sym_function] = ACTIONS(470),
    [anon_sym_new] = ACTIONS(470),
    [anon_sym_QMARK] = ACTIONS(468),
    [anon_sym_AMP_AMP] = ACTIONS(468),
    [anon_sym_PIPE_PIPE] = ACTIONS(468),
    [anon_sym_GT_GT] = ACTIONS(470),
    [anon_sym_GT_GT_GT] = ACTIONS(468),
    [anon_sym_LT_LT] = ACTIONS(468),
    [anon_sym_AMP] = ACTIONS(470),
    [anon_sym_CARET] = ACTIONS(468),
    [anon_sym_PIPE] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_PERCENT] = ACTIONS(468),
    [anon_sym_STAR_STAR] = ACTIONS(468),
    [anon_sym_LT_EQ] = ACTIONS(468),
    [anon_sym_EQ_EQ] = ACTIONS(470),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(468),
    [anon_sym_BANG_EQ] = ACTIONS(470),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(468),
    [anon_sym_GT_EQ] = ACTIONS(468),
    [anon_sym_instanceof] = ACTIONS(470),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_TILDE] = ACTIONS(468),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(468),
    [anon_sym_DASH_DASH] = ACTIONS(468),
    [anon_sym_DQUOTE] = ACTIONS(468),
    [anon_sym_SQUOTE] = ACTIONS(468),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(468),
    [sym_number] = ACTIONS(468),
    [sym_this] = ACTIONS(470),
    [sym_super] = ACTIONS(470),
    [sym_true] = ACTIONS(470),
    [sym_false] = ACTIONS(470),
    [sym_null] = ACTIONS(470),
    [sym_undefined] = ACTIONS(470),
    [anon_sym_AT] = ACTIONS(468),
    [anon_sym_static] = ACTIONS(470),
    [anon_sym_get] = ACTIONS(470),
    [anon_sym_set] = ACTIONS(470),
    [sym__automatic_semicolon] = ACTIONS(468),
  },
  [55] = {
    [ts_builtin_sym_end] = ACTIONS(472),
    [sym_identifier] = ACTIONS(474),
    [anon_sym_export] = ACTIONS(474),
    [anon_sym_STAR] = ACTIONS(474),
    [anon_sym_default] = ACTIONS(474),
    [anon_sym_LBRACE] = ACTIONS(472),
    [anon_sym_COMMA] = ACTIONS(472),
    [anon_sym_RBRACE] = ACTIONS(472),
    [anon_sym_import] = ACTIONS(474),
    [anon_sym_var] = ACTIONS(474),
    [anon_sym_let] = ACTIONS(474),
    [anon_sym_const] = ACTIONS(474),
    [anon_sym_if] = ACTIONS(474),
    [anon_sym_else] = ACTIONS(474),
    [anon_sym_switch] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(474),
    [anon_sym_LPAREN] = ACTIONS(472),
    [anon_sym_await] = ACTIONS(474),
    [anon_sym_in] = ACTIONS(474),
    [anon_sym_while] = ACTIONS(474),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_try] = ACTIONS(474),
    [anon_sym_with] = ACTIONS(474),
    [anon_sym_break] = ACTIONS(474),
    [anon_sym_continue] = ACTIONS(474),
    [anon_sym_debugger] = ACTIONS(474),
    [anon_sym_return] = ACTIONS(474),
    [anon_sym_throw] = ACTIONS(474),
    [anon_sym_SEMI] = ACTIONS(472),
    [anon_sym_case] = ACTIONS(474),
    [anon_sym_yield] = ACTIONS(474),
    [anon_sym_LBRACK] = ACTIONS(472),
    [anon_sym_LT] = ACTIONS(474),
    [anon_sym_GT] = ACTIONS(474),
    [anon_sym_SLASH] = ACTIONS(474),
    [anon_sym_DOT] = ACTIONS(474),
    [anon_sym_class] = ACTIONS(474),
    [anon_sym_async] = ACTIONS(474),
    [anon_sym_function] = ACTIONS(474),
    [anon_sym_new] = ACTIONS(474),
    [anon_sym_QMARK] = ACTIONS(472),
    [anon_sym_AMP_AMP] = ACTIONS(472),
    [anon_sym_PIPE_PIPE] = ACTIONS(472),
    [anon_sym_GT_GT] = ACTIONS(474),
    [anon_sym_GT_GT_GT] = ACTIONS(472),
    [anon_sym_LT_LT] = ACTIONS(472),
    [anon_sym_AMP] = ACTIONS(474),
    [anon_sym_CARET] = ACTIONS(472),
    [anon_sym_PIPE] = ACTIONS(474),
    [anon_sym_PLUS] = ACTIONS(474),
    [anon_sym_DASH] = ACTIONS(474),
    [anon_sym_PERCENT] = ACTIONS(472),
    [anon_sym_STAR_STAR] = ACTIONS(472),
    [anon_sym_LT_EQ] = ACTIONS(472),
    [anon_sym_EQ_EQ] = ACTIONS(474),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(472),
    [anon_sym_BANG_EQ] = ACTIONS(474),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(472),
    [anon_sym_GT_EQ] = ACTIONS(472),
    [anon_sym_instanceof] = ACTIONS(474),
    [anon_sym_BANG] = ACTIONS(474),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(474),
    [anon_sym_void] = ACTIONS(474),
    [anon_sym_delete] = ACTIONS(474),
    [anon_sym_PLUS_PLUS] = ACTIONS(472),
    [anon_sym_DASH_DASH] = ACTIONS(472),
    [anon_sym_DQUOTE] = ACTIONS(472),
    [anon_sym_SQUOTE] = ACTIONS(472),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(472),
    [sym_number] = ACTIONS(472),
    [sym_this] = ACTIONS(474),
    [sym_super] = ACTIONS(474),
    [sym_true] = ACTIONS(474),
    [sym_false] = ACTIONS(474),
    [sym_null] = ACTIONS(474),
    [sym_undefined] = ACTIONS(474),
    [anon_sym_AT] = ACTIONS(472),
    [anon_sym_static] = ACTIONS(474),
    [anon_sym_get] = ACTIONS(474),
    [anon_sym_set] = ACTIONS(474),
    [sym__automatic_semicolon] = ACTIONS(472),
  },
  [56] = {
    [ts_builtin_sym_end] = ACTIONS(476),
    [sym_identifier] = ACTIONS(478),
    [anon_sym_export] = ACTIONS(478),
    [anon_sym_STAR] = ACTIONS(478),
    [anon_sym_default] = ACTIONS(478),
    [anon_sym_LBRACE] = ACTIONS(476),
    [anon_sym_COMMA] = ACTIONS(476),
    [anon_sym_RBRACE] = ACTIONS(476),
    [anon_sym_import] = ACTIONS(478),
    [anon_sym_var] = ACTIONS(478),
    [anon_sym_let] = ACTIONS(478),
    [anon_sym_const] = ACTIONS(478),
    [anon_sym_if] = ACTIONS(478),
    [anon_sym_else] = ACTIONS(478),
    [anon_sym_switch] = ACTIONS(478),
    [anon_sym_for] = ACTIONS(478),
    [anon_sym_LPAREN] = ACTIONS(476),
    [anon_sym_await] = ACTIONS(478),
    [anon_sym_in] = ACTIONS(478),
    [anon_sym_while] = ACTIONS(478),
    [anon_sym_do] = ACTIONS(478),
    [anon_sym_try] = ACTIONS(478),
    [anon_sym_with] = ACTIONS(478),
    [anon_sym_break] = ACTIONS(478),
    [anon_sym_continue] = ACTIONS(478),
    [anon_sym_debugger] = ACTIONS(478),
    [anon_sym_return] = ACTIONS(478),
    [anon_sym_throw] = ACTIONS(478),
    [anon_sym_SEMI] = ACTIONS(476),
    [anon_sym_case] = ACTIONS(478),
    [anon_sym_yield] = ACTIONS(478),
    [anon_sym_LBRACK] = ACTIONS(476),
    [anon_sym_LT] = ACTIONS(478),
    [anon_sym_GT] = ACTIONS(478),
    [anon_sym_SLASH] = ACTIONS(478),
    [anon_sym_DOT] = ACTIONS(478),
    [anon_sym_class] = ACTIONS(478),
    [anon_sym_async] = ACTIONS(478),
    [anon_sym_function] = ACTIONS(478),
    [anon_sym_new] = ACTIONS(478),
    [anon_sym_QMARK] = ACTIONS(476),
    [anon_sym_AMP_AMP] = ACTIONS(476),
    [anon_sym_PIPE_PIPE] = ACTIONS(476),
    [anon_sym_GT_GT] = ACTIONS(478),
    [anon_sym_GT_GT_GT] = ACTIONS(476),
    [anon_sym_LT_LT] = ACTIONS(476),
    [anon_sym_AMP] = ACTIONS(478),
    [anon_sym_CARET] = ACTIONS(476),
    [anon_sym_PIPE] = ACTIONS(478),
    [anon_sym_PLUS] = ACTIONS(478),
    [anon_sym_DASH] = ACTIONS(478),
    [anon_sym_PERCENT] = ACTIONS(476),
    [anon_sym_STAR_STAR] = ACTIONS(476),
    [anon_sym_LT_EQ] = ACTIONS(476),
    [anon_sym_EQ_EQ] = ACTIONS(478),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(476),
    [anon_sym_BANG_EQ] = ACTIONS(478),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(476),
    [anon_sym_GT_EQ] = ACTIONS(476),
    [anon_sym_instanceof] = ACTIONS(478),
    [anon_sym_BANG] = ACTIONS(478),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_typeof] = ACTIONS(478),
    [anon_sym_void] = ACTIONS(478),
    [anon_sym_delete] = ACTIONS(478),
    [anon_sym_PLUS_PLUS] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(476),
    [anon_sym_DQUOTE] = ACTIONS(476),
    [anon_sym_SQUOTE] = ACTIONS(476),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(476),
    [sym_number] = ACTIONS(476),
    [sym_this] = ACTIONS(478),
    [sym_super] = ACTIONS(478),
    [sym_true] = ACTIONS(478),
    [sym_false] = ACTIONS(478),
    [sym_null] = ACTIONS(478),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(476),
    [anon_sym_static] = ACTIONS(478),
    [anon_sym_get] = ACTIONS(478),
    [anon_sym_set] = ACTIONS(478),
    [sym__automatic_semicolon] = ACTIONS(476),
  },
  [57] = {
    [ts_builtin_sym_end] = ACTIONS(480),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(482),
    [anon_sym_STAR] = ACTIONS(484),
    [anon_sym_default] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(480),
    [anon_sym_COMMA] = ACTIONS(486),
    [anon_sym_RBRACE] = ACTIONS(480),
    [anon_sym_import] = ACTIONS(482),
    [anon_sym_var] = ACTIONS(482),
    [anon_sym_let] = ACTIONS(482),
    [anon_sym_const] = ACTIONS(482),
    [anon_sym_if] = ACTIONS(482),
    [anon_sym_else] = ACTIONS(482),
    [anon_sym_switch] = ACTIONS(482),
    [anon_sym_for] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(480),
    [anon_sym_await] = ACTIONS(482),
    [anon_sym_in] = ACTIONS(484),
    [anon_sym_while] = ACTIONS(482),
    [anon_sym_do] = ACTIONS(482),
    [anon_sym_try] = ACTIONS(482),
    [anon_sym_with] = ACTIONS(482),
    [anon_sym_break] = ACTIONS(482),
    [anon_sym_continue] = ACTIONS(482),
    [anon_sym_debugger] = ACTIONS(482),
    [anon_sym_return] = ACTIONS(482),
    [anon_sym_throw] = ACTIONS(482),
    [anon_sym_SEMI] = ACTIONS(480),
    [anon_sym_case] = ACTIONS(482),
    [anon_sym_yield] = ACTIONS(482),
    [anon_sym_LBRACK] = ACTIONS(480),
    [anon_sym_LT] = ACTIONS(482),
    [anon_sym_GT] = ACTIONS(484),
    [anon_sym_SLASH] = ACTIONS(482),
    [anon_sym_DOT] = ACTIONS(484),
    [anon_sym_class] = ACTIONS(482),
    [anon_sym_async] = ACTIONS(482),
    [anon_sym_function] = ACTIONS(482),
    [anon_sym_new] = ACTIONS(482),
    [anon_sym_QMARK] = ACTIONS(486),
    [anon_sym_AMP_AMP] = ACTIONS(486),
    [anon_sym_PIPE_PIPE] = ACTIONS(486),
    [anon_sym_GT_GT] = ACTIONS(484),
    [anon_sym_GT_GT_GT] = ACTIONS(486),
    [anon_sym_LT_LT] = ACTIONS(486),
    [anon_sym_AMP] = ACTIONS(484),
    [anon_sym_CARET] = ACTIONS(486),
    [anon_sym_PIPE] = ACTIONS(484),
    [anon_sym_PLUS] = ACTIONS(482),
    [anon_sym_DASH] = ACTIONS(482),
    [anon_sym_PERCENT] = ACTIONS(486),
    [anon_sym_STAR_STAR] = ACTIONS(486),
    [anon_sym_LT_EQ] = ACTIONS(486),
    [anon_sym_EQ_EQ] = ACTIONS(484),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(486),
    [anon_sym_BANG_EQ] = ACTIONS(484),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(486),
    [anon_sym_GT_EQ] = ACTIONS(486),
    [anon_sym_instanceof] = ACTIONS(484),
    [anon_sym_BANG] = ACTIONS(482),
    [anon_sym_TILDE] = ACTIONS(480),
    [anon_sym_typeof] = ACTIONS(482),
    [anon_sym_void] = ACTIONS(482),
    [anon_sym_delete] = ACTIONS(482),
    [anon_sym_PLUS_PLUS] = ACTIONS(480),
    [anon_sym_DASH_DASH] = ACTIONS(480),
    [anon_sym_DQUOTE] = ACTIONS(480),
    [anon_sym_SQUOTE] = ACTIONS(480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(480),
    [sym_number] = ACTIONS(480),
    [sym_this] = ACTIONS(482),
    [sym_super] = ACTIONS(482),
    [sym_true] = ACTIONS(482),
    [sym_false] = ACTIONS(482),
    [sym_null] = ACTIONS(482),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(480),
    [anon_sym_static] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [sym__automatic_semicolon] = ACTIONS(488),
  },
  [58] = {
    [ts_builtin_sym_end] = ACTIONS(490),
    [sym_identifier] = ACTIONS(492),
    [anon_sym_export] = ACTIONS(492),
    [anon_sym_STAR] = ACTIONS(494),
    [anon_sym_default] = ACTIONS(492),
    [anon_sym_LBRACE] = ACTIONS(490),
    [anon_sym_COMMA] = ACTIONS(496),
    [anon_sym_RBRACE] = ACTIONS(490),
    [anon_sym_import] = ACTIONS(492),
    [anon_sym_var] = ACTIONS(492),
    [anon_sym_let] = ACTIONS(492),
    [anon_sym_const] = ACTIONS(492),
    [anon_sym_if] = ACTIONS(492),
    [anon_sym_else] = ACTIONS(492),
    [anon_sym_switch] = ACTIONS(492),
    [anon_sym_for] = ACTIONS(492),
    [anon_sym_LPAREN] = ACTIONS(490),
    [anon_sym_await] = ACTIONS(492),
    [anon_sym_in] = ACTIONS(494),
    [anon_sym_while] = ACTIONS(492),
    [anon_sym_do] = ACTIONS(492),
    [anon_sym_try] = ACTIONS(492),
    [anon_sym_with] = ACTIONS(492),
    [anon_sym_break] = ACTIONS(492),
    [anon_sym_continue] = ACTIONS(492),
    [anon_sym_debugger] = ACTIONS(492),
    [anon_sym_return] = ACTIONS(492),
    [anon_sym_throw] = ACTIONS(492),
    [anon_sym_SEMI] = ACTIONS(490),
    [anon_sym_case] = ACTIONS(492),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(490),
    [anon_sym_LT] = ACTIONS(492),
    [anon_sym_GT] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_class] = ACTIONS(492),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(492),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_QMARK] = ACTIONS(496),
    [anon_sym_AMP_AMP] = ACTIONS(496),
    [anon_sym_PIPE_PIPE] = ACTIONS(496),
    [anon_sym_GT_GT] = ACTIONS(494),
    [anon_sym_GT_GT_GT] = ACTIONS(496),
    [anon_sym_LT_LT] = ACTIONS(496),
    [anon_sym_AMP] = ACTIONS(494),
    [anon_sym_CARET] = ACTIONS(496),
    [anon_sym_PIPE] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(492),
    [anon_sym_DASH] = ACTIONS(492),
    [anon_sym_PERCENT] = ACTIONS(496),
    [anon_sym_STAR_STAR] = ACTIONS(496),
    [anon_sym_LT_EQ] = ACTIONS(496),
    [anon_sym_EQ_EQ] = ACTIONS(494),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(496),
    [anon_sym_BANG_EQ] = ACTIONS(494),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(496),
    [anon_sym_GT_EQ] = ACTIONS(496),
    [anon_sym_instanceof] = ACTIONS(494),
    [anon_sym_BANG] = ACTIONS(492),
    [anon_sym_TILDE] = ACTIONS(490),
    [anon_sym_typeof] = ACTIONS(492),
    [anon_sym_void] = ACTIONS(492),
    [anon_sym_delete] = ACTIONS(492),
    [anon_sym_PLUS_PLUS] = ACTIONS(490),
    [anon_sym_DASH_DASH] = ACTIONS(490),
    [anon_sym_DQUOTE] = ACTIONS(490),
    [anon_sym_SQUOTE] = ACTIONS(490),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(490),
    [sym_number] = ACTIONS(490),
    [sym_this] = ACTIONS(492),
    [sym_super] = ACTIONS(492),
    [sym_true] = ACTIONS(492),
    [sym_false] = ACTIONS(492),
    [sym_null] = ACTIONS(492),
    [sym_undefined] = ACTIONS(492),
    [anon_sym_AT] = ACTIONS(490),
    [anon_sym_static] = ACTIONS(492),
    [anon_sym_get] = ACTIONS(492),
    [anon_sym_set] = ACTIONS(492),
    [sym__automatic_semicolon] = ACTIONS(498),
  },
  [59] = {
    [ts_builtin_sym_end] = ACTIONS(468),
    [sym_identifier] = ACTIONS(470),
    [anon_sym_export] = ACTIONS(470),
    [anon_sym_STAR] = ACTIONS(470),
    [anon_sym_default] = ACTIONS(470),
    [anon_sym_LBRACE] = ACTIONS(468),
    [anon_sym_COMMA] = ACTIONS(468),
    [anon_sym_RBRACE] = ACTIONS(468),
    [anon_sym_import] = ACTIONS(470),
    [anon_sym_var] = ACTIONS(470),
    [anon_sym_let] = ACTIONS(470),
    [anon_sym_const] = ACTIONS(470),
    [anon_sym_if] = ACTIONS(470),
    [anon_sym_else] = ACTIONS(470),
    [anon_sym_switch] = ACTIONS(470),
    [anon_sym_for] = ACTIONS(470),
    [anon_sym_LPAREN] = ACTIONS(468),
    [anon_sym_await] = ACTIONS(470),
    [anon_sym_in] = ACTIONS(470),
    [anon_sym_while] = ACTIONS(470),
    [anon_sym_do] = ACTIONS(470),
    [anon_sym_try] = ACTIONS(470),
    [anon_sym_with] = ACTIONS(470),
    [anon_sym_break] = ACTIONS(470),
    [anon_sym_continue] = ACTIONS(470),
    [anon_sym_debugger] = ACTIONS(470),
    [anon_sym_return] = ACTIONS(470),
    [anon_sym_throw] = ACTIONS(470),
    [anon_sym_SEMI] = ACTIONS(468),
    [anon_sym_case] = ACTIONS(470),
    [anon_sym_yield] = ACTIONS(470),
    [anon_sym_LBRACK] = ACTIONS(468),
    [anon_sym_LT] = ACTIONS(470),
    [anon_sym_GT] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(470),
    [anon_sym_DOT] = ACTIONS(470),
    [anon_sym_class] = ACTIONS(470),
    [anon_sym_async] = ACTIONS(470),
    [anon_sym_function] = ACTIONS(470),
    [anon_sym_new] = ACTIONS(470),
    [anon_sym_QMARK] = ACTIONS(468),
    [anon_sym_AMP_AMP] = ACTIONS(468),
    [anon_sym_PIPE_PIPE] = ACTIONS(468),
    [anon_sym_GT_GT] = ACTIONS(470),
    [anon_sym_GT_GT_GT] = ACTIONS(468),
    [anon_sym_LT_LT] = ACTIONS(468),
    [anon_sym_AMP] = ACTIONS(470),
    [anon_sym_CARET] = ACTIONS(468),
    [anon_sym_PIPE] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_PERCENT] = ACTIONS(468),
    [anon_sym_STAR_STAR] = ACTIONS(468),
    [anon_sym_LT_EQ] = ACTIONS(468),
    [anon_sym_EQ_EQ] = ACTIONS(470),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(468),
    [anon_sym_BANG_EQ] = ACTIONS(470),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(468),
    [anon_sym_GT_EQ] = ACTIONS(468),
    [anon_sym_instanceof] = ACTIONS(470),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_TILDE] = ACTIONS(468),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(468),
    [anon_sym_DASH_DASH] = ACTIONS(468),
    [anon_sym_DQUOTE] = ACTIONS(468),
    [anon_sym_SQUOTE] = ACTIONS(468),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(468),
    [sym_number] = ACTIONS(468),
    [sym_this] = ACTIONS(470),
    [sym_super] = ACTIONS(470),
    [sym_true] = ACTIONS(470),
    [sym_false] = ACTIONS(470),
    [sym_null] = ACTIONS(470),
    [sym_undefined] = ACTIONS(470),
    [anon_sym_AT] = ACTIONS(468),
    [anon_sym_static] = ACTIONS(470),
    [anon_sym_get] = ACTIONS(470),
    [anon_sym_set] = ACTIONS(470),
    [sym__automatic_semicolon] = ACTIONS(500),
  },
  [60] = {
    [sym_import] = STATE(478),
    [sym_expression_statement] = STATE(72),
    [sym_variable_declaration] = STATE(72),
    [sym_lexical_declaration] = STATE(72),
    [sym_empty_statement] = STATE(72),
    [sym_parenthesized_expression] = STATE(305),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(464),
    [sym_array] = STATE(462),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(478),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(305),
    [sym_subscript_expression] = STATE(305),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(502),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_var] = ACTIONS(504),
    [anon_sym_let] = ACTIONS(506),
    [anon_sym_const] = ACTIONS(506),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(508),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(510),
    [anon_sym_get] = ACTIONS(510),
    [anon_sym_set] = ACTIONS(510),
  },
  [61] = {
    [sym_import] = STATE(478),
    [sym_expression_statement] = STATE(73),
    [sym_variable_declaration] = STATE(73),
    [sym_lexical_declaration] = STATE(73),
    [sym_empty_statement] = STATE(73),
    [sym_parenthesized_expression] = STATE(305),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(464),
    [sym_array] = STATE(462),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(478),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(305),
    [sym_subscript_expression] = STATE(305),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(502),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_var] = ACTIONS(504),
    [anon_sym_let] = ACTIONS(506),
    [anon_sym_const] = ACTIONS(506),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(508),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(510),
    [anon_sym_get] = ACTIONS(510),
    [anon_sym_set] = ACTIONS(510),
  },
  [62] = {
    [sym_import] = STATE(487),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(487),
    [sym_yield_expression] = STATE(487),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(487),
    [sym_jsx_fragment] = STATE(487),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(487),
    [sym_class] = STATE(487),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(487),
    [sym_arrow_function] = STATE(487),
    [sym_call_expression] = STATE(487),
    [sym_new_expression] = STATE(487),
    [sym_await_expression] = STATE(487),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(487),
    [sym_augmented_assignment_expression] = STATE(487),
    [sym_spread_element] = STATE(816),
    [sym_ternary_expression] = STATE(487),
    [sym_binary_expression] = STATE(487),
    [sym_unary_expression] = STATE(487),
    [sym_update_expression] = STATE(487),
    [sym_string] = STATE(487),
    [sym_template_string] = STATE(487),
    [sym_regex] = STATE(487),
    [sym_meta_property] = STATE(487),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [aux_sym_array_repeat1] = STATE(815),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_COMMA] = ACTIONS(512),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_RBRACK] = ACTIONS(514),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(518),
    [sym_this] = ACTIONS(520),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(520),
    [sym_false] = ACTIONS(520),
    [sym_null] = ACTIONS(520),
    [sym_undefined] = ACTIONS(520),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [63] = {
    [sym_import] = STATE(533),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(533),
    [sym_yield_expression] = STATE(533),
    [sym_object] = STATE(546),
    [sym_assignment_pattern] = STATE(835),
    [sym_array] = STATE(540),
    [sym_jsx_element] = STATE(533),
    [sym_jsx_fragment] = STATE(533),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(533),
    [sym_class] = STATE(533),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(533),
    [sym_arrow_function] = STATE(533),
    [sym_call_expression] = STATE(533),
    [sym_new_expression] = STATE(533),
    [sym_await_expression] = STATE(533),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(533),
    [sym_augmented_assignment_expression] = STATE(533),
    [sym_ternary_expression] = STATE(533),
    [sym_binary_expression] = STATE(533),
    [sym_unary_expression] = STATE(533),
    [sym_update_expression] = STATE(533),
    [sym_sequence_expression] = STATE(1051),
    [sym_string] = STATE(533),
    [sym_template_string] = STATE(533),
    [sym_regex] = STATE(533),
    [sym_meta_property] = STATE(533),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [sym_rest_parameter] = STATE(835),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(522),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_RPAREN] = ACTIONS(524),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(526),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(528),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(530),
    [sym_this] = ACTIONS(532),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(532),
    [sym_false] = ACTIONS(532),
    [sym_null] = ACTIONS(532),
    [sym_undefined] = ACTIONS(532),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(534),
    [anon_sym_get] = ACTIONS(534),
    [anon_sym_set] = ACTIONS(534),
  },
  [64] = {
    [sym_import] = STATE(484),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(484),
    [sym_yield_expression] = STATE(484),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(484),
    [sym_jsx_fragment] = STATE(484),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(484),
    [sym_class] = STATE(484),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(484),
    [sym_arrow_function] = STATE(484),
    [sym_call_expression] = STATE(484),
    [sym_new_expression] = STATE(484),
    [sym_await_expression] = STATE(484),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(484),
    [sym_augmented_assignment_expression] = STATE(484),
    [sym_spread_element] = STATE(842),
    [sym_ternary_expression] = STATE(484),
    [sym_binary_expression] = STATE(484),
    [sym_unary_expression] = STATE(484),
    [sym_update_expression] = STATE(484),
    [sym_string] = STATE(484),
    [sym_template_string] = STATE(484),
    [sym_regex] = STATE(484),
    [sym_meta_property] = STATE(484),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [aux_sym_array_repeat1] = STATE(841),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_COMMA] = ACTIONS(512),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_RPAREN] = ACTIONS(536),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(538),
    [sym_this] = ACTIONS(540),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(540),
    [sym_false] = ACTIONS(540),
    [sym_null] = ACTIONS(540),
    [sym_undefined] = ACTIONS(540),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [65] = {
    [sym_import] = STATE(480),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(480),
    [sym_yield_expression] = STATE(480),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(480),
    [sym_jsx_fragment] = STATE(480),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(480),
    [sym_class] = STATE(480),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(480),
    [sym_arrow_function] = STATE(480),
    [sym_call_expression] = STATE(480),
    [sym_new_expression] = STATE(480),
    [sym_await_expression] = STATE(480),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(480),
    [sym_augmented_assignment_expression] = STATE(480),
    [sym_spread_element] = STATE(863),
    [sym_ternary_expression] = STATE(480),
    [sym_binary_expression] = STATE(480),
    [sym_unary_expression] = STATE(480),
    [sym_update_expression] = STATE(480),
    [sym_string] = STATE(480),
    [sym_template_string] = STATE(480),
    [sym_regex] = STATE(480),
    [sym_meta_property] = STATE(480),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [aux_sym_array_repeat1] = STATE(862),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_COMMA] = ACTIONS(512),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_RBRACK] = ACTIONS(542),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(544),
    [sym_this] = ACTIONS(546),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(546),
    [sym_false] = ACTIONS(546),
    [sym_null] = ACTIONS(546),
    [sym_undefined] = ACTIONS(546),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [66] = {
    [sym_import] = STATE(473),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(473),
    [sym_yield_expression] = STATE(473),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(473),
    [sym_jsx_fragment] = STATE(473),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(473),
    [sym_class] = STATE(473),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(473),
    [sym_arrow_function] = STATE(473),
    [sym_call_expression] = STATE(473),
    [sym_new_expression] = STATE(473),
    [sym_await_expression] = STATE(473),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(473),
    [sym_augmented_assignment_expression] = STATE(473),
    [sym_spread_element] = STATE(816),
    [sym_ternary_expression] = STATE(473),
    [sym_binary_expression] = STATE(473),
    [sym_unary_expression] = STATE(473),
    [sym_update_expression] = STATE(473),
    [sym_string] = STATE(473),
    [sym_template_string] = STATE(473),
    [sym_regex] = STATE(473),
    [sym_meta_property] = STATE(473),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [aux_sym_array_repeat1] = STATE(815),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_COMMA] = ACTIONS(512),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_RBRACK] = ACTIONS(514),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(548),
    [sym_this] = ACTIONS(550),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(550),
    [sym_false] = ACTIONS(550),
    [sym_null] = ACTIONS(550),
    [sym_undefined] = ACTIONS(550),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [67] = {
    [sym_import] = STATE(486),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(486),
    [sym_yield_expression] = STATE(486),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(486),
    [sym_jsx_fragment] = STATE(486),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(486),
    [sym_class] = STATE(486),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(486),
    [sym_arrow_function] = STATE(486),
    [sym_call_expression] = STATE(486),
    [sym_new_expression] = STATE(486),
    [sym_await_expression] = STATE(486),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(486),
    [sym_augmented_assignment_expression] = STATE(486),
    [sym_spread_element] = STATE(829),
    [sym_ternary_expression] = STATE(486),
    [sym_binary_expression] = STATE(486),
    [sym_unary_expression] = STATE(486),
    [sym_update_expression] = STATE(486),
    [sym_string] = STATE(486),
    [sym_template_string] = STATE(486),
    [sym_regex] = STATE(486),
    [sym_meta_property] = STATE(486),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_COMMA] = ACTIONS(552),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_RPAREN] = ACTIONS(552),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_RBRACK] = ACTIONS(552),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(554),
    [sym_this] = ACTIONS(556),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(556),
    [sym_false] = ACTIONS(556),
    [sym_null] = ACTIONS(556),
    [sym_undefined] = ACTIONS(556),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [68] = {
    [sym_import] = STATE(476),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(476),
    [sym_yield_expression] = STATE(476),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(476),
    [sym_jsx_fragment] = STATE(476),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(476),
    [sym_class] = STATE(476),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(476),
    [sym_arrow_function] = STATE(476),
    [sym_call_expression] = STATE(476),
    [sym_new_expression] = STATE(476),
    [sym_await_expression] = STATE(476),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(476),
    [sym_augmented_assignment_expression] = STATE(476),
    [sym_spread_element] = STATE(863),
    [sym_ternary_expression] = STATE(476),
    [sym_binary_expression] = STATE(476),
    [sym_unary_expression] = STATE(476),
    [sym_update_expression] = STATE(476),
    [sym_string] = STATE(476),
    [sym_template_string] = STATE(476),
    [sym_regex] = STATE(476),
    [sym_meta_property] = STATE(476),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [aux_sym_array_repeat1] = STATE(862),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_COMMA] = ACTIONS(512),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_RBRACK] = ACTIONS(542),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(558),
    [sym_this] = ACTIONS(560),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(560),
    [sym_false] = ACTIONS(560),
    [sym_null] = ACTIONS(560),
    [sym_undefined] = ACTIONS(560),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [69] = {
    [sym_import] = STATE(482),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(482),
    [sym_yield_expression] = STATE(482),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(482),
    [sym_jsx_fragment] = STATE(482),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(482),
    [sym_class] = STATE(482),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(482),
    [sym_arrow_function] = STATE(482),
    [sym_call_expression] = STATE(482),
    [sym_new_expression] = STATE(482),
    [sym_await_expression] = STATE(482),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(482),
    [sym_augmented_assignment_expression] = STATE(482),
    [sym_spread_element] = STATE(832),
    [sym_ternary_expression] = STATE(482),
    [sym_binary_expression] = STATE(482),
    [sym_unary_expression] = STATE(482),
    [sym_update_expression] = STATE(482),
    [sym_string] = STATE(482),
    [sym_template_string] = STATE(482),
    [sym_regex] = STATE(482),
    [sym_meta_property] = STATE(482),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [aux_sym_array_repeat1] = STATE(833),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_COMMA] = ACTIONS(512),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_RPAREN] = ACTIONS(562),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(564),
    [sym_this] = ACTIONS(566),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(566),
    [sym_false] = ACTIONS(566),
    [sym_null] = ACTIONS(566),
    [sym_undefined] = ACTIONS(566),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [70] = {
    [sym_import] = STATE(548),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(548),
    [sym_yield_expression] = STATE(548),
    [sym_object] = STATE(546),
    [sym_assignment_pattern] = STATE(835),
    [sym_array] = STATE(540),
    [sym_jsx_element] = STATE(548),
    [sym_jsx_fragment] = STATE(548),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(548),
    [sym_class] = STATE(548),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(548),
    [sym_arrow_function] = STATE(548),
    [sym_call_expression] = STATE(548),
    [sym_new_expression] = STATE(548),
    [sym_await_expression] = STATE(548),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(548),
    [sym_augmented_assignment_expression] = STATE(548),
    [sym_ternary_expression] = STATE(548),
    [sym_binary_expression] = STATE(548),
    [sym_unary_expression] = STATE(548),
    [sym_update_expression] = STATE(548),
    [sym_sequence_expression] = STATE(1103),
    [sym_string] = STATE(548),
    [sym_template_string] = STATE(548),
    [sym_regex] = STATE(548),
    [sym_meta_property] = STATE(548),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [sym_rest_parameter] = STATE(835),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(522),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_RPAREN] = ACTIONS(524),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(526),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(528),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(570),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(570),
    [sym_false] = ACTIONS(570),
    [sym_null] = ACTIONS(570),
    [sym_undefined] = ACTIONS(570),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(534),
    [anon_sym_get] = ACTIONS(534),
    [anon_sym_set] = ACTIONS(534),
  },
  [71] = {
    [sym_import] = STATE(493),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(493),
    [sym_yield_expression] = STATE(493),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(493),
    [sym_jsx_fragment] = STATE(493),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(493),
    [sym_class] = STATE(493),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(493),
    [sym_arrow_function] = STATE(493),
    [sym_call_expression] = STATE(493),
    [sym_new_expression] = STATE(493),
    [sym_await_expression] = STATE(493),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(493),
    [sym_augmented_assignment_expression] = STATE(493),
    [sym_spread_element] = STATE(1067),
    [sym_ternary_expression] = STATE(493),
    [sym_binary_expression] = STATE(493),
    [sym_unary_expression] = STATE(493),
    [sym_update_expression] = STATE(493),
    [sym_sequence_expression] = STATE(1067),
    [sym_string] = STATE(493),
    [sym_template_string] = STATE(493),
    [sym_regex] = STATE(493),
    [sym_meta_property] = STATE(493),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_RBRACE] = ACTIONS(572),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(574),
    [sym_this] = ACTIONS(576),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(576),
    [sym_false] = ACTIONS(576),
    [sym_null] = ACTIONS(576),
    [sym_undefined] = ACTIONS(576),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [72] = {
    [sym_import] = STATE(478),
    [sym_expression_statement] = STATE(77),
    [sym_empty_statement] = STATE(77),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(478),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [73] = {
    [sym_import] = STATE(478),
    [sym_expression_statement] = STATE(78),
    [sym_empty_statement] = STATE(78),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(478),
    [sym_yield_expression] = STATE(478),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(478),
    [sym_jsx_fragment] = STATE(478),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(478),
    [sym_class] = STATE(478),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(478),
    [sym_arrow_function] = STATE(478),
    [sym_call_expression] = STATE(478),
    [sym_new_expression] = STATE(478),
    [sym_await_expression] = STATE(478),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(478),
    [sym_augmented_assignment_expression] = STATE(478),
    [sym_ternary_expression] = STATE(478),
    [sym_binary_expression] = STATE(478),
    [sym_unary_expression] = STATE(478),
    [sym_update_expression] = STATE(478),
    [sym_sequence_expression] = STATE(950),
    [sym_string] = STATE(478),
    [sym_template_string] = STATE(478),
    [sym_regex] = STATE(478),
    [sym_meta_property] = STATE(478),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [74] = {
    [sym_import] = STATE(490),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(490),
    [sym_yield_expression] = STATE(490),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(490),
    [sym_jsx_fragment] = STATE(490),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(490),
    [sym_class] = STATE(490),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(490),
    [sym_arrow_function] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_new_expression] = STATE(490),
    [sym_await_expression] = STATE(490),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(490),
    [sym_augmented_assignment_expression] = STATE(490),
    [sym_spread_element] = STATE(1095),
    [sym_ternary_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_update_expression] = STATE(490),
    [sym_sequence_expression] = STATE(1095),
    [sym_string] = STATE(490),
    [sym_template_string] = STATE(490),
    [sym_regex] = STATE(490),
    [sym_meta_property] = STATE(490),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_RBRACE] = ACTIONS(578),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(580),
    [sym_this] = ACTIONS(582),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(582),
    [sym_false] = ACTIONS(582),
    [sym_null] = ACTIONS(582),
    [sym_undefined] = ACTIONS(582),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [75] = {
    [sym_import] = STATE(570),
    [sym_parenthesized_expression] = STATE(312),
    [sym__expression] = STATE(570),
    [sym_yield_expression] = STATE(570),
    [sym_object] = STATE(572),
    [sym_array] = STATE(571),
    [sym_jsx_element] = STATE(570),
    [sym_jsx_fragment] = STATE(570),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(570),
    [sym_class] = STATE(570),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(570),
    [sym_arrow_function] = STATE(570),
    [sym_call_expression] = STATE(570),
    [sym_new_expression] = STATE(570),
    [sym_await_expression] = STATE(570),
    [sym_member_expression] = STATE(312),
    [sym_subscript_expression] = STATE(312),
    [sym_assignment_expression] = STATE(570),
    [sym_augmented_assignment_expression] = STATE(570),
    [sym_ternary_expression] = STATE(570),
    [sym_binary_expression] = STATE(570),
    [sym_unary_expression] = STATE(570),
    [sym_update_expression] = STATE(570),
    [sym_string] = STATE(570),
    [sym_template_string] = STATE(570),
    [sym_regex] = STATE(570),
    [sym_meta_property] = STATE(570),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_var] = ACTIONS(586),
    [anon_sym_let] = ACTIONS(586),
    [anon_sym_const] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(588),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(590),
    [sym_this] = ACTIONS(592),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(592),
    [sym_false] = ACTIONS(592),
    [sym_null] = ACTIONS(592),
    [sym_undefined] = ACTIONS(592),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(594),
    [anon_sym_get] = ACTIONS(594),
    [anon_sym_set] = ACTIONS(594),
  },
  [76] = {
    [sym_import] = STATE(469),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(469),
    [sym_yield_expression] = STATE(469),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(469),
    [sym_jsx_fragment] = STATE(469),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(469),
    [sym_class] = STATE(469),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(469),
    [sym_arrow_function] = STATE(469),
    [sym_call_expression] = STATE(469),
    [sym_new_expression] = STATE(469),
    [sym_await_expression] = STATE(469),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(469),
    [sym_augmented_assignment_expression] = STATE(469),
    [sym_ternary_expression] = STATE(469),
    [sym_binary_expression] = STATE(469),
    [sym_unary_expression] = STATE(469),
    [sym_update_expression] = STATE(469),
    [sym_sequence_expression] = STATE(1007),
    [sym_string] = STATE(469),
    [sym_template_string] = STATE(469),
    [sym_regex] = STATE(469),
    [sym_meta_property] = STATE(469),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_SEMI] = ACTIONS(596),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(598),
    [sym_this] = ACTIONS(600),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(600),
    [sym_false] = ACTIONS(600),
    [sym_null] = ACTIONS(600),
    [sym_undefined] = ACTIONS(600),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
    [sym__automatic_semicolon] = ACTIONS(596),
  },
  [77] = {
    [sym_import] = STATE(530),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(530),
    [sym_yield_expression] = STATE(530),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(530),
    [sym_jsx_fragment] = STATE(530),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(530),
    [sym_class] = STATE(530),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(530),
    [sym_arrow_function] = STATE(530),
    [sym_call_expression] = STATE(530),
    [sym_new_expression] = STATE(530),
    [sym_await_expression] = STATE(530),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(530),
    [sym_augmented_assignment_expression] = STATE(530),
    [sym_ternary_expression] = STATE(530),
    [sym_binary_expression] = STATE(530),
    [sym_unary_expression] = STATE(530),
    [sym_update_expression] = STATE(530),
    [sym_sequence_expression] = STATE(1087),
    [sym_string] = STATE(530),
    [sym_template_string] = STATE(530),
    [sym_regex] = STATE(530),
    [sym_meta_property] = STATE(530),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_RPAREN] = ACTIONS(602),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(604),
    [sym_this] = ACTIONS(606),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(606),
    [sym_false] = ACTIONS(606),
    [sym_null] = ACTIONS(606),
    [sym_undefined] = ACTIONS(606),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [78] = {
    [sym_import] = STATE(500),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(500),
    [sym_yield_expression] = STATE(500),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(500),
    [sym_jsx_fragment] = STATE(500),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(500),
    [sym_class] = STATE(500),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(500),
    [sym_arrow_function] = STATE(500),
    [sym_call_expression] = STATE(500),
    [sym_new_expression] = STATE(500),
    [sym_await_expression] = STATE(500),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(500),
    [sym_augmented_assignment_expression] = STATE(500),
    [sym_ternary_expression] = STATE(500),
    [sym_binary_expression] = STATE(500),
    [sym_unary_expression] = STATE(500),
    [sym_update_expression] = STATE(500),
    [sym_sequence_expression] = STATE(1096),
    [sym_string] = STATE(500),
    [sym_template_string] = STATE(500),
    [sym_regex] = STATE(500),
    [sym_meta_property] = STATE(500),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_RPAREN] = ACTIONS(608),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(610),
    [sym_this] = ACTIONS(612),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(612),
    [sym_false] = ACTIONS(612),
    [sym_null] = ACTIONS(612),
    [sym_undefined] = ACTIONS(612),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [79] = {
    [sym_import] = STATE(470),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(470),
    [sym_yield_expression] = STATE(470),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(470),
    [sym_jsx_fragment] = STATE(470),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(470),
    [sym_class] = STATE(470),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(470),
    [sym_arrow_function] = STATE(470),
    [sym_call_expression] = STATE(470),
    [sym_new_expression] = STATE(470),
    [sym_await_expression] = STATE(470),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(470),
    [sym_augmented_assignment_expression] = STATE(470),
    [sym_ternary_expression] = STATE(470),
    [sym_binary_expression] = STATE(470),
    [sym_unary_expression] = STATE(470),
    [sym_update_expression] = STATE(470),
    [sym_sequence_expression] = STATE(961),
    [sym_string] = STATE(470),
    [sym_template_string] = STATE(470),
    [sym_regex] = STATE(470),
    [sym_meta_property] = STATE(470),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(614),
    [sym_this] = ACTIONS(616),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(616),
    [sym_false] = ACTIONS(616),
    [sym_null] = ACTIONS(616),
    [sym_undefined] = ACTIONS(616),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [80] = {
    [sym_import] = STATE(508),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(508),
    [sym_yield_expression] = STATE(508),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(508),
    [sym_jsx_fragment] = STATE(508),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(508),
    [sym_class] = STATE(508),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(508),
    [sym_arrow_function] = STATE(508),
    [sym_call_expression] = STATE(508),
    [sym_new_expression] = STATE(508),
    [sym_await_expression] = STATE(508),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(508),
    [sym_augmented_assignment_expression] = STATE(508),
    [sym_ternary_expression] = STATE(508),
    [sym_binary_expression] = STATE(508),
    [sym_unary_expression] = STATE(508),
    [sym_update_expression] = STATE(508),
    [sym_sequence_expression] = STATE(1110),
    [sym_string] = STATE(508),
    [sym_template_string] = STATE(508),
    [sym_regex] = STATE(508),
    [sym_meta_property] = STATE(508),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(618),
    [sym_this] = ACTIONS(620),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(620),
    [sym_false] = ACTIONS(620),
    [sym_null] = ACTIONS(620),
    [sym_undefined] = ACTIONS(620),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [81] = {
    [sym_import] = STATE(319),
    [sym_statement_block] = STATE(361),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(319),
    [sym_yield_expression] = STATE(319),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(319),
    [sym_jsx_fragment] = STATE(319),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(319),
    [sym_class] = STATE(319),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(319),
    [sym_arrow_function] = STATE(319),
    [sym_call_expression] = STATE(319),
    [sym_new_expression] = STATE(319),
    [sym_await_expression] = STATE(319),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(319),
    [sym_augmented_assignment_expression] = STATE(319),
    [sym_ternary_expression] = STATE(319),
    [sym_binary_expression] = STATE(319),
    [sym_unary_expression] = STATE(319),
    [sym_update_expression] = STATE(319),
    [sym_string] = STATE(319),
    [sym_template_string] = STATE(319),
    [sym_regex] = STATE(319),
    [sym_meta_property] = STATE(319),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(622),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(624),
    [sym_this] = ACTIONS(626),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(626),
    [sym_false] = ACTIONS(626),
    [sym_null] = ACTIONS(626),
    [sym_undefined] = ACTIONS(626),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [82] = {
    [sym_import] = STATE(402),
    [sym_statement_block] = STATE(542),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(402),
    [sym_yield_expression] = STATE(402),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(402),
    [sym_jsx_fragment] = STATE(402),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(402),
    [sym_class] = STATE(402),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(402),
    [sym_arrow_function] = STATE(402),
    [sym_call_expression] = STATE(402),
    [sym_new_expression] = STATE(402),
    [sym_await_expression] = STATE(402),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(402),
    [sym_augmented_assignment_expression] = STATE(402),
    [sym_ternary_expression] = STATE(402),
    [sym_binary_expression] = STATE(402),
    [sym_unary_expression] = STATE(402),
    [sym_update_expression] = STATE(402),
    [sym_string] = STATE(402),
    [sym_template_string] = STATE(402),
    [sym_regex] = STATE(402),
    [sym_meta_property] = STATE(402),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(628),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(630),
    [sym_this] = ACTIONS(632),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(632),
    [sym_false] = ACTIONS(632),
    [sym_null] = ACTIONS(632),
    [sym_undefined] = ACTIONS(632),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [83] = {
    [sym_import] = STATE(505),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(505),
    [sym_yield_expression] = STATE(505),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(505),
    [sym_jsx_fragment] = STATE(505),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(505),
    [sym_class] = STATE(505),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(505),
    [sym_arrow_function] = STATE(505),
    [sym_call_expression] = STATE(505),
    [sym_new_expression] = STATE(505),
    [sym_await_expression] = STATE(505),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(505),
    [sym_augmented_assignment_expression] = STATE(505),
    [sym_ternary_expression] = STATE(505),
    [sym_binary_expression] = STATE(505),
    [sym_unary_expression] = STATE(505),
    [sym_update_expression] = STATE(505),
    [sym_sequence_expression] = STATE(1094),
    [sym_string] = STATE(505),
    [sym_template_string] = STATE(505),
    [sym_regex] = STATE(505),
    [sym_meta_property] = STATE(505),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(634),
    [sym_this] = ACTIONS(636),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(636),
    [sym_false] = ACTIONS(636),
    [sym_null] = ACTIONS(636),
    [sym_undefined] = ACTIONS(636),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [84] = {
    [sym_import] = STATE(320),
    [sym_statement_block] = STATE(442),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(320),
    [sym_yield_expression] = STATE(320),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(320),
    [sym_jsx_fragment] = STATE(320),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(320),
    [sym_class] = STATE(320),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(320),
    [sym_arrow_function] = STATE(320),
    [sym_call_expression] = STATE(320),
    [sym_new_expression] = STATE(320),
    [sym_await_expression] = STATE(320),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(320),
    [sym_augmented_assignment_expression] = STATE(320),
    [sym_ternary_expression] = STATE(320),
    [sym_binary_expression] = STATE(320),
    [sym_unary_expression] = STATE(320),
    [sym_update_expression] = STATE(320),
    [sym_string] = STATE(320),
    [sym_template_string] = STATE(320),
    [sym_regex] = STATE(320),
    [sym_meta_property] = STATE(320),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(622),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(638),
    [sym_this] = ACTIONS(640),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(640),
    [sym_false] = ACTIONS(640),
    [sym_null] = ACTIONS(640),
    [sym_undefined] = ACTIONS(640),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [85] = {
    [sym_import] = STATE(497),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(497),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_fragment] = STATE(497),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(497),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(497),
    [sym_arrow_function] = STATE(497),
    [sym_call_expression] = STATE(497),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(497),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_sequence_expression] = STATE(1041),
    [sym_string] = STATE(497),
    [sym_template_string] = STATE(497),
    [sym_regex] = STATE(497),
    [sym_meta_property] = STATE(497),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(642),
    [sym_this] = ACTIONS(644),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(644),
    [sym_false] = ACTIONS(644),
    [sym_null] = ACTIONS(644),
    [sym_undefined] = ACTIONS(644),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [86] = {
    [sym_import] = STATE(548),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(548),
    [sym_yield_expression] = STATE(548),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(548),
    [sym_jsx_fragment] = STATE(548),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(548),
    [sym_class] = STATE(548),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(548),
    [sym_arrow_function] = STATE(548),
    [sym_call_expression] = STATE(548),
    [sym_new_expression] = STATE(548),
    [sym_await_expression] = STATE(548),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(548),
    [sym_augmented_assignment_expression] = STATE(548),
    [sym_ternary_expression] = STATE(548),
    [sym_binary_expression] = STATE(548),
    [sym_unary_expression] = STATE(548),
    [sym_update_expression] = STATE(548),
    [sym_sequence_expression] = STATE(1103),
    [sym_string] = STATE(548),
    [sym_template_string] = STATE(548),
    [sym_regex] = STATE(548),
    [sym_meta_property] = STATE(548),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(570),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(570),
    [sym_false] = ACTIONS(570),
    [sym_null] = ACTIONS(570),
    [sym_undefined] = ACTIONS(570),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [87] = {
    [sym_import] = STATE(472),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(472),
    [sym_yield_expression] = STATE(472),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(472),
    [sym_jsx_fragment] = STATE(472),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(472),
    [sym_class] = STATE(472),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(472),
    [sym_arrow_function] = STATE(472),
    [sym_call_expression] = STATE(472),
    [sym_new_expression] = STATE(472),
    [sym_await_expression] = STATE(472),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(472),
    [sym_augmented_assignment_expression] = STATE(472),
    [sym_ternary_expression] = STATE(472),
    [sym_binary_expression] = STATE(472),
    [sym_unary_expression] = STATE(472),
    [sym_update_expression] = STATE(472),
    [sym_sequence_expression] = STATE(992),
    [sym_string] = STATE(472),
    [sym_template_string] = STATE(472),
    [sym_regex] = STATE(472),
    [sym_meta_property] = STATE(472),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(646),
    [sym_this] = ACTIONS(648),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(648),
    [sym_false] = ACTIONS(648),
    [sym_null] = ACTIONS(648),
    [sym_undefined] = ACTIONS(648),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [88] = {
    [sym_import] = STATE(337),
    [sym_statement_block] = STATE(439),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(337),
    [sym_yield_expression] = STATE(337),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(337),
    [sym_jsx_fragment] = STATE(337),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(337),
    [sym_class] = STATE(337),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(337),
    [sym_arrow_function] = STATE(337),
    [sym_call_expression] = STATE(337),
    [sym_new_expression] = STATE(337),
    [sym_await_expression] = STATE(337),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(337),
    [sym_augmented_assignment_expression] = STATE(337),
    [sym_ternary_expression] = STATE(337),
    [sym_binary_expression] = STATE(337),
    [sym_unary_expression] = STATE(337),
    [sym_update_expression] = STATE(337),
    [sym_string] = STATE(337),
    [sym_template_string] = STATE(337),
    [sym_regex] = STATE(337),
    [sym_meta_property] = STATE(337),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(622),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(650),
    [sym_this] = ACTIONS(652),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(652),
    [sym_false] = ACTIONS(652),
    [sym_null] = ACTIONS(652),
    [sym_undefined] = ACTIONS(652),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [89] = {
    [sym_import] = STATE(342),
    [sym_statement_block] = STATE(400),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(342),
    [sym_yield_expression] = STATE(342),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(342),
    [sym_jsx_fragment] = STATE(342),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(342),
    [sym_class] = STATE(342),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(342),
    [sym_arrow_function] = STATE(342),
    [sym_call_expression] = STATE(342),
    [sym_new_expression] = STATE(342),
    [sym_await_expression] = STATE(342),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(342),
    [sym_augmented_assignment_expression] = STATE(342),
    [sym_ternary_expression] = STATE(342),
    [sym_binary_expression] = STATE(342),
    [sym_unary_expression] = STATE(342),
    [sym_update_expression] = STATE(342),
    [sym_string] = STATE(342),
    [sym_template_string] = STATE(342),
    [sym_regex] = STATE(342),
    [sym_meta_property] = STATE(342),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(622),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(654),
    [sym_this] = ACTIONS(656),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(656),
    [sym_false] = ACTIONS(656),
    [sym_null] = ACTIONS(656),
    [sym_undefined] = ACTIONS(656),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [90] = {
    [sym_import] = STATE(570),
    [sym_variable_declarator] = STATE(791),
    [sym_parenthesized_expression] = STATE(311),
    [sym__expression] = STATE(570),
    [sym_yield_expression] = STATE(570),
    [sym_object] = STATE(397),
    [sym_array] = STATE(396),
    [sym_jsx_element] = STATE(570),
    [sym_jsx_fragment] = STATE(570),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(570),
    [sym_class] = STATE(570),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(570),
    [sym_arrow_function] = STATE(570),
    [sym_call_expression] = STATE(570),
    [sym_new_expression] = STATE(570),
    [sym_await_expression] = STATE(570),
    [sym_member_expression] = STATE(311),
    [sym_subscript_expression] = STATE(311),
    [sym_assignment_expression] = STATE(570),
    [sym_augmented_assignment_expression] = STATE(570),
    [sym_ternary_expression] = STATE(570),
    [sym_binary_expression] = STATE(570),
    [sym_unary_expression] = STATE(570),
    [sym_update_expression] = STATE(570),
    [sym_string] = STATE(570),
    [sym_template_string] = STATE(570),
    [sym_regex] = STATE(570),
    [sym_meta_property] = STATE(570),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(658),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(660),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(590),
    [sym_this] = ACTIONS(592),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(592),
    [sym_false] = ACTIONS(592),
    [sym_null] = ACTIONS(592),
    [sym_undefined] = ACTIONS(592),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(662),
    [anon_sym_get] = ACTIONS(662),
    [anon_sym_set] = ACTIONS(662),
  },
  [91] = {
    [sym_import] = STATE(570),
    [sym_variable_declarator] = STATE(787),
    [sym_parenthesized_expression] = STATE(311),
    [sym__expression] = STATE(570),
    [sym_yield_expression] = STATE(570),
    [sym_object] = STATE(397),
    [sym_array] = STATE(396),
    [sym_jsx_element] = STATE(570),
    [sym_jsx_fragment] = STATE(570),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(570),
    [sym_class] = STATE(570),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(570),
    [sym_arrow_function] = STATE(570),
    [sym_call_expression] = STATE(570),
    [sym_new_expression] = STATE(570),
    [sym_await_expression] = STATE(570),
    [sym_member_expression] = STATE(311),
    [sym_subscript_expression] = STATE(311),
    [sym_assignment_expression] = STATE(570),
    [sym_augmented_assignment_expression] = STATE(570),
    [sym_ternary_expression] = STATE(570),
    [sym_binary_expression] = STATE(570),
    [sym_unary_expression] = STATE(570),
    [sym_update_expression] = STATE(570),
    [sym_string] = STATE(570),
    [sym_template_string] = STATE(570),
    [sym_regex] = STATE(570),
    [sym_meta_property] = STATE(570),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(658),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(660),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(590),
    [sym_this] = ACTIONS(592),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(592),
    [sym_false] = ACTIONS(592),
    [sym_null] = ACTIONS(592),
    [sym_undefined] = ACTIONS(592),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(662),
    [anon_sym_get] = ACTIONS(662),
    [anon_sym_set] = ACTIONS(662),
  },
  [92] = {
    [sym_import] = STATE(517),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(517),
    [sym_yield_expression] = STATE(517),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(517),
    [sym_jsx_fragment] = STATE(517),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(517),
    [sym_class] = STATE(517),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(517),
    [sym_arrow_function] = STATE(517),
    [sym_call_expression] = STATE(517),
    [sym_new_expression] = STATE(517),
    [sym_await_expression] = STATE(517),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(517),
    [sym_augmented_assignment_expression] = STATE(517),
    [sym_ternary_expression] = STATE(517),
    [sym_binary_expression] = STATE(517),
    [sym_unary_expression] = STATE(517),
    [sym_update_expression] = STATE(517),
    [sym_sequence_expression] = STATE(1092),
    [sym_string] = STATE(517),
    [sym_template_string] = STATE(517),
    [sym_regex] = STATE(517),
    [sym_meta_property] = STATE(517),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(664),
    [sym_this] = ACTIONS(666),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(666),
    [sym_false] = ACTIONS(666),
    [sym_null] = ACTIONS(666),
    [sym_undefined] = ACTIONS(666),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [93] = {
    [sym_import] = STATE(511),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(511),
    [sym_yield_expression] = STATE(511),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(511),
    [sym_jsx_fragment] = STATE(511),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(511),
    [sym_class] = STATE(511),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(511),
    [sym_arrow_function] = STATE(511),
    [sym_call_expression] = STATE(511),
    [sym_new_expression] = STATE(511),
    [sym_await_expression] = STATE(511),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(511),
    [sym_augmented_assignment_expression] = STATE(511),
    [sym_ternary_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_sequence_expression] = STATE(1080),
    [sym_string] = STATE(511),
    [sym_template_string] = STATE(511),
    [sym_regex] = STATE(511),
    [sym_meta_property] = STATE(511),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(668),
    [sym_this] = ACTIONS(670),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(670),
    [sym_false] = ACTIONS(670),
    [sym_null] = ACTIONS(670),
    [sym_undefined] = ACTIONS(670),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [94] = {
    [sym_import] = STATE(390),
    [sym_statement_block] = STATE(559),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(390),
    [sym_yield_expression] = STATE(390),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(390),
    [sym_jsx_fragment] = STATE(390),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(390),
    [sym_class] = STATE(390),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(390),
    [sym_arrow_function] = STATE(390),
    [sym_call_expression] = STATE(390),
    [sym_new_expression] = STATE(390),
    [sym_await_expression] = STATE(390),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(390),
    [sym_augmented_assignment_expression] = STATE(390),
    [sym_ternary_expression] = STATE(390),
    [sym_binary_expression] = STATE(390),
    [sym_unary_expression] = STATE(390),
    [sym_update_expression] = STATE(390),
    [sym_string] = STATE(390),
    [sym_template_string] = STATE(390),
    [sym_regex] = STATE(390),
    [sym_meta_property] = STATE(390),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(628),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(672),
    [sym_this] = ACTIONS(674),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(674),
    [sym_false] = ACTIONS(674),
    [sym_null] = ACTIONS(674),
    [sym_undefined] = ACTIONS(674),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [95] = {
    [sym_import] = STATE(494),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(494),
    [sym_yield_expression] = STATE(494),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(494),
    [sym_jsx_fragment] = STATE(494),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(494),
    [sym_class] = STATE(494),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(494),
    [sym_arrow_function] = STATE(494),
    [sym_call_expression] = STATE(494),
    [sym_new_expression] = STATE(494),
    [sym_await_expression] = STATE(494),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(494),
    [sym_augmented_assignment_expression] = STATE(494),
    [sym_ternary_expression] = STATE(494),
    [sym_binary_expression] = STATE(494),
    [sym_unary_expression] = STATE(494),
    [sym_update_expression] = STATE(494),
    [sym_sequence_expression] = STATE(1097),
    [sym_string] = STATE(494),
    [sym_template_string] = STATE(494),
    [sym_regex] = STATE(494),
    [sym_meta_property] = STATE(494),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(676),
    [sym_this] = ACTIONS(678),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(678),
    [sym_false] = ACTIONS(678),
    [sym_null] = ACTIONS(678),
    [sym_undefined] = ACTIONS(678),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [96] = {
    [sym_import] = STATE(506),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(506),
    [sym_yield_expression] = STATE(506),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(506),
    [sym_jsx_fragment] = STATE(506),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(506),
    [sym_class] = STATE(506),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(506),
    [sym_arrow_function] = STATE(506),
    [sym_call_expression] = STATE(506),
    [sym_new_expression] = STATE(506),
    [sym_await_expression] = STATE(506),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(506),
    [sym_augmented_assignment_expression] = STATE(506),
    [sym_ternary_expression] = STATE(506),
    [sym_binary_expression] = STATE(506),
    [sym_unary_expression] = STATE(506),
    [sym_update_expression] = STATE(506),
    [sym_sequence_expression] = STATE(1093),
    [sym_string] = STATE(506),
    [sym_template_string] = STATE(506),
    [sym_regex] = STATE(506),
    [sym_meta_property] = STATE(506),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(680),
    [sym_this] = ACTIONS(682),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(682),
    [sym_false] = ACTIONS(682),
    [sym_null] = ACTIONS(682),
    [sym_undefined] = ACTIONS(682),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [97] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(291),
    [sym__expression] = STATE(567),
    [sym_yield_expression] = STATE(567),
    [sym_object] = STATE(379),
    [sym_array] = STATE(378),
    [sym_jsx_element] = STATE(567),
    [sym_jsx_fragment] = STATE(567),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(567),
    [sym_class] = STATE(485),
    [sym_function] = STATE(376),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(567),
    [sym_new_expression] = STATE(485),
    [sym_await_expression] = STATE(567),
    [sym_member_expression] = STATE(291),
    [sym_subscript_expression] = STATE(291),
    [sym_assignment_expression] = STATE(567),
    [sym_augmented_assignment_expression] = STATE(567),
    [sym_ternary_expression] = STATE(567),
    [sym_binary_expression] = STATE(567),
    [sym_unary_expression] = STATE(567),
    [sym_update_expression] = STATE(567),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(684),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_DOT] = ACTIONS(686),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(688),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(690),
    [sym_this] = ACTIONS(692),
    [sym_super] = ACTIONS(694),
    [sym_true] = ACTIONS(692),
    [sym_false] = ACTIONS(692),
    [sym_null] = ACTIONS(692),
    [sym_undefined] = ACTIONS(692),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(696),
    [anon_sym_get] = ACTIONS(696),
    [anon_sym_set] = ACTIONS(696),
  },
  [98] = {
    [sym_import] = STATE(422),
    [sym_statement_block] = STATE(515),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(422),
    [sym_yield_expression] = STATE(422),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(422),
    [sym_jsx_fragment] = STATE(422),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(422),
    [sym_class] = STATE(422),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(422),
    [sym_arrow_function] = STATE(422),
    [sym_call_expression] = STATE(422),
    [sym_new_expression] = STATE(422),
    [sym_await_expression] = STATE(422),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(422),
    [sym_augmented_assignment_expression] = STATE(422),
    [sym_ternary_expression] = STATE(422),
    [sym_binary_expression] = STATE(422),
    [sym_unary_expression] = STATE(422),
    [sym_update_expression] = STATE(422),
    [sym_string] = STATE(422),
    [sym_template_string] = STATE(422),
    [sym_regex] = STATE(422),
    [sym_meta_property] = STATE(422),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(628),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(698),
    [sym_this] = ACTIONS(700),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(700),
    [sym_false] = ACTIONS(700),
    [sym_null] = ACTIONS(700),
    [sym_undefined] = ACTIONS(700),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [99] = {
    [sym_import] = STATE(372),
    [sym_statement_block] = STATE(507),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(372),
    [sym_yield_expression] = STATE(372),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(372),
    [sym_jsx_fragment] = STATE(372),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(372),
    [sym_class] = STATE(372),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(372),
    [sym_arrow_function] = STATE(372),
    [sym_call_expression] = STATE(372),
    [sym_new_expression] = STATE(372),
    [sym_await_expression] = STATE(372),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(372),
    [sym_augmented_assignment_expression] = STATE(372),
    [sym_ternary_expression] = STATE(372),
    [sym_binary_expression] = STATE(372),
    [sym_unary_expression] = STATE(372),
    [sym_update_expression] = STATE(372),
    [sym_string] = STATE(372),
    [sym_template_string] = STATE(372),
    [sym_regex] = STATE(372),
    [sym_meta_property] = STATE(372),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(628),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(702),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_null] = ACTIONS(704),
    [sym_undefined] = ACTIONS(704),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [100] = {
    [sym_import] = STATE(330),
    [sym_statement_block] = STATE(430),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(330),
    [sym_yield_expression] = STATE(330),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(330),
    [sym_jsx_fragment] = STATE(330),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(330),
    [sym_class] = STATE(330),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(330),
    [sym_arrow_function] = STATE(330),
    [sym_call_expression] = STATE(330),
    [sym_new_expression] = STATE(330),
    [sym_await_expression] = STATE(330),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(330),
    [sym_augmented_assignment_expression] = STATE(330),
    [sym_ternary_expression] = STATE(330),
    [sym_binary_expression] = STATE(330),
    [sym_unary_expression] = STATE(330),
    [sym_update_expression] = STATE(330),
    [sym_string] = STATE(330),
    [sym_template_string] = STATE(330),
    [sym_regex] = STATE(330),
    [sym_meta_property] = STATE(330),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(622),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(706),
    [sym_this] = ACTIONS(708),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(708),
    [sym_false] = ACTIONS(708),
    [sym_null] = ACTIONS(708),
    [sym_undefined] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [101] = {
    [sym_import] = STATE(516),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(516),
    [sym_yield_expression] = STATE(516),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(516),
    [sym_jsx_fragment] = STATE(516),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(516),
    [sym_class] = STATE(516),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(516),
    [sym_arrow_function] = STATE(516),
    [sym_call_expression] = STATE(516),
    [sym_new_expression] = STATE(516),
    [sym_await_expression] = STATE(516),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(516),
    [sym_augmented_assignment_expression] = STATE(516),
    [sym_ternary_expression] = STATE(516),
    [sym_binary_expression] = STATE(516),
    [sym_unary_expression] = STATE(516),
    [sym_update_expression] = STATE(516),
    [sym_sequence_expression] = STATE(1101),
    [sym_string] = STATE(516),
    [sym_template_string] = STATE(516),
    [sym_regex] = STATE(516),
    [sym_meta_property] = STATE(516),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(710),
    [sym_this] = ACTIONS(712),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(712),
    [sym_false] = ACTIONS(712),
    [sym_null] = ACTIONS(712),
    [sym_undefined] = ACTIONS(712),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [102] = {
    [sym_import] = STATE(354),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(354),
    [sym_yield_expression] = STATE(354),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(354),
    [sym_jsx_fragment] = STATE(354),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(354),
    [sym_class] = STATE(354),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(354),
    [sym_arrow_function] = STATE(354),
    [sym_call_expression] = STATE(354),
    [sym_new_expression] = STATE(354),
    [sym_await_expression] = STATE(354),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(354),
    [sym_augmented_assignment_expression] = STATE(354),
    [sym_ternary_expression] = STATE(354),
    [sym_binary_expression] = STATE(354),
    [sym_unary_expression] = STATE(354),
    [sym_update_expression] = STATE(354),
    [sym_sequence_expression] = STATE(804),
    [sym_string] = STATE(354),
    [sym_template_string] = STATE(354),
    [sym_regex] = STATE(354),
    [sym_meta_property] = STATE(354),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(714),
    [sym_this] = ACTIONS(716),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(716),
    [sym_false] = ACTIONS(716),
    [sym_null] = ACTIONS(716),
    [sym_undefined] = ACTIONS(716),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [103] = {
    [sym_import] = STATE(348),
    [sym_statement_block] = STATE(362),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(348),
    [sym_yield_expression] = STATE(348),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(348),
    [sym_jsx_fragment] = STATE(348),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(348),
    [sym_class] = STATE(348),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(348),
    [sym_arrow_function] = STATE(348),
    [sym_call_expression] = STATE(348),
    [sym_new_expression] = STATE(348),
    [sym_await_expression] = STATE(348),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(348),
    [sym_augmented_assignment_expression] = STATE(348),
    [sym_ternary_expression] = STATE(348),
    [sym_binary_expression] = STATE(348),
    [sym_unary_expression] = STATE(348),
    [sym_update_expression] = STATE(348),
    [sym_string] = STATE(348),
    [sym_template_string] = STATE(348),
    [sym_regex] = STATE(348),
    [sym_meta_property] = STATE(348),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(622),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(718),
    [sym_this] = ACTIONS(720),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(720),
    [sym_false] = ACTIONS(720),
    [sym_null] = ACTIONS(720),
    [sym_undefined] = ACTIONS(720),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [104] = {
    [sym_import] = STATE(527),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(527),
    [sym_yield_expression] = STATE(527),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(527),
    [sym_jsx_fragment] = STATE(527),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(527),
    [sym_class] = STATE(527),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(527),
    [sym_arrow_function] = STATE(527),
    [sym_call_expression] = STATE(527),
    [sym_new_expression] = STATE(527),
    [sym_await_expression] = STATE(527),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(527),
    [sym_augmented_assignment_expression] = STATE(527),
    [sym_ternary_expression] = STATE(527),
    [sym_binary_expression] = STATE(527),
    [sym_unary_expression] = STATE(527),
    [sym_update_expression] = STATE(527),
    [sym_sequence_expression] = STATE(1106),
    [sym_string] = STATE(527),
    [sym_template_string] = STATE(527),
    [sym_regex] = STATE(527),
    [sym_meta_property] = STATE(527),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(722),
    [sym_this] = ACTIONS(724),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(724),
    [sym_false] = ACTIONS(724),
    [sym_null] = ACTIONS(724),
    [sym_undefined] = ACTIONS(724),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [105] = {
    [sym_import] = STATE(491),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(491),
    [sym_yield_expression] = STATE(491),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(491),
    [sym_jsx_fragment] = STATE(491),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(491),
    [sym_class] = STATE(491),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(491),
    [sym_arrow_function] = STATE(491),
    [sym_call_expression] = STATE(491),
    [sym_new_expression] = STATE(491),
    [sym_await_expression] = STATE(491),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(491),
    [sym_augmented_assignment_expression] = STATE(491),
    [sym_ternary_expression] = STATE(491),
    [sym_binary_expression] = STATE(491),
    [sym_unary_expression] = STATE(491),
    [sym_update_expression] = STATE(491),
    [sym_sequence_expression] = STATE(1069),
    [sym_string] = STATE(491),
    [sym_template_string] = STATE(491),
    [sym_regex] = STATE(491),
    [sym_meta_property] = STATE(491),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(726),
    [sym_this] = ACTIONS(728),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(728),
    [sym_false] = ACTIONS(728),
    [sym_null] = ACTIONS(728),
    [sym_undefined] = ACTIONS(728),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [106] = {
    [sym_import] = STATE(519),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(519),
    [sym_yield_expression] = STATE(519),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(519),
    [sym_jsx_fragment] = STATE(519),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(519),
    [sym_class] = STATE(519),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(519),
    [sym_arrow_function] = STATE(519),
    [sym_call_expression] = STATE(519),
    [sym_new_expression] = STATE(519),
    [sym_await_expression] = STATE(519),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(519),
    [sym_augmented_assignment_expression] = STATE(519),
    [sym_ternary_expression] = STATE(519),
    [sym_binary_expression] = STATE(519),
    [sym_unary_expression] = STATE(519),
    [sym_update_expression] = STATE(519),
    [sym_sequence_expression] = STATE(1113),
    [sym_string] = STATE(519),
    [sym_template_string] = STATE(519),
    [sym_regex] = STATE(519),
    [sym_meta_property] = STATE(519),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(730),
    [sym_this] = ACTIONS(732),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(732),
    [sym_false] = ACTIONS(732),
    [sym_null] = ACTIONS(732),
    [sym_undefined] = ACTIONS(732),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [107] = {
    [sym_import] = STATE(401),
    [sym_statement_block] = STATE(536),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(401),
    [sym_yield_expression] = STATE(401),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(401),
    [sym_jsx_fragment] = STATE(401),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(401),
    [sym_class] = STATE(401),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(401),
    [sym_arrow_function] = STATE(401),
    [sym_call_expression] = STATE(401),
    [sym_new_expression] = STATE(401),
    [sym_await_expression] = STATE(401),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(401),
    [sym_augmented_assignment_expression] = STATE(401),
    [sym_ternary_expression] = STATE(401),
    [sym_binary_expression] = STATE(401),
    [sym_unary_expression] = STATE(401),
    [sym_update_expression] = STATE(401),
    [sym_string] = STATE(401),
    [sym_template_string] = STATE(401),
    [sym_regex] = STATE(401),
    [sym_meta_property] = STATE(401),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(628),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(734),
    [sym_this] = ACTIONS(736),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(736),
    [sym_false] = ACTIONS(736),
    [sym_null] = ACTIONS(736),
    [sym_undefined] = ACTIONS(736),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [108] = {
    [sym_import] = STATE(355),
    [sym_parenthesized_expression] = STATE(281),
    [sym__expression] = STATE(570),
    [sym_yield_expression] = STATE(570),
    [sym_object] = STATE(351),
    [sym_array] = STATE(352),
    [sym_jsx_element] = STATE(570),
    [sym_jsx_fragment] = STATE(570),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(570),
    [sym_class] = STATE(355),
    [sym_function] = STATE(349),
    [sym_generator_function] = STATE(355),
    [sym_arrow_function] = STATE(355),
    [sym_call_expression] = STATE(570),
    [sym_new_expression] = STATE(355),
    [sym_await_expression] = STATE(570),
    [sym_member_expression] = STATE(281),
    [sym_subscript_expression] = STATE(281),
    [sym_assignment_expression] = STATE(570),
    [sym_augmented_assignment_expression] = STATE(570),
    [sym_ternary_expression] = STATE(570),
    [sym_binary_expression] = STATE(570),
    [sym_unary_expression] = STATE(570),
    [sym_update_expression] = STATE(570),
    [sym_string] = STATE(355),
    [sym_template_string] = STATE(355),
    [sym_regex] = STATE(355),
    [sym_meta_property] = STATE(355),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(738),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_DOT] = ACTIONS(740),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(742),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(744),
    [sym_this] = ACTIONS(746),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(746),
    [sym_false] = ACTIONS(746),
    [sym_null] = ACTIONS(746),
    [sym_undefined] = ACTIONS(746),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(748),
    [anon_sym_get] = ACTIONS(748),
    [anon_sym_set] = ACTIONS(748),
  },
  [109] = {
    [sym_import] = STATE(514),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(514),
    [sym_yield_expression] = STATE(514),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(514),
    [sym_jsx_fragment] = STATE(514),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(514),
    [sym_class] = STATE(514),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(514),
    [sym_arrow_function] = STATE(514),
    [sym_call_expression] = STATE(514),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(514),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(514),
    [sym_augmented_assignment_expression] = STATE(514),
    [sym_ternary_expression] = STATE(514),
    [sym_binary_expression] = STATE(514),
    [sym_unary_expression] = STATE(514),
    [sym_update_expression] = STATE(514),
    [sym_sequence_expression] = STATE(1111),
    [sym_string] = STATE(514),
    [sym_template_string] = STATE(514),
    [sym_regex] = STATE(514),
    [sym_meta_property] = STATE(514),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(750),
    [sym_this] = ACTIONS(752),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(752),
    [sym_false] = ACTIONS(752),
    [sym_null] = ACTIONS(752),
    [sym_undefined] = ACTIONS(752),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [110] = {
    [sym_import] = STATE(518),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(518),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(518),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(518),
    [sym_arrow_function] = STATE(518),
    [sym_call_expression] = STATE(518),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(518),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_sequence_expression] = STATE(1112),
    [sym_string] = STATE(518),
    [sym_template_string] = STATE(518),
    [sym_regex] = STATE(518),
    [sym_meta_property] = STATE(518),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(754),
    [sym_this] = ACTIONS(756),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(756),
    [sym_false] = ACTIONS(756),
    [sym_null] = ACTIONS(756),
    [sym_undefined] = ACTIONS(756),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [111] = {
    [sym_import] = STATE(405),
    [sym_statement_block] = STATE(544),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(405),
    [sym_yield_expression] = STATE(405),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(405),
    [sym_jsx_fragment] = STATE(405),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(405),
    [sym_class] = STATE(405),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(405),
    [sym_arrow_function] = STATE(405),
    [sym_call_expression] = STATE(405),
    [sym_new_expression] = STATE(405),
    [sym_await_expression] = STATE(405),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(405),
    [sym_augmented_assignment_expression] = STATE(405),
    [sym_ternary_expression] = STATE(405),
    [sym_binary_expression] = STATE(405),
    [sym_unary_expression] = STATE(405),
    [sym_update_expression] = STATE(405),
    [sym_string] = STATE(405),
    [sym_template_string] = STATE(405),
    [sym_regex] = STATE(405),
    [sym_meta_property] = STATE(405),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(628),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(758),
    [sym_this] = ACTIONS(760),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(760),
    [sym_false] = ACTIONS(760),
    [sym_null] = ACTIONS(760),
    [sym_undefined] = ACTIONS(760),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [112] = {
    [sym_import] = STATE(550),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(550),
    [sym_yield_expression] = STATE(550),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(550),
    [sym_jsx_fragment] = STATE(550),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(550),
    [sym_class] = STATE(550),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(550),
    [sym_arrow_function] = STATE(550),
    [sym_call_expression] = STATE(550),
    [sym_new_expression] = STATE(550),
    [sym_await_expression] = STATE(550),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(550),
    [sym_augmented_assignment_expression] = STATE(550),
    [sym_ternary_expression] = STATE(550),
    [sym_binary_expression] = STATE(550),
    [sym_unary_expression] = STATE(550),
    [sym_update_expression] = STATE(550),
    [sym_string] = STATE(550),
    [sym_template_string] = STATE(550),
    [sym_regex] = STATE(550),
    [sym_meta_property] = STATE(550),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(762),
    [sym_this] = ACTIONS(764),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(764),
    [sym_false] = ACTIONS(764),
    [sym_null] = ACTIONS(764),
    [sym_undefined] = ACTIONS(764),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [113] = {
    [sym_import] = STATE(391),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(391),
    [sym_yield_expression] = STATE(391),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(391),
    [sym_jsx_fragment] = STATE(391),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(391),
    [sym_class] = STATE(391),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(391),
    [sym_arrow_function] = STATE(391),
    [sym_call_expression] = STATE(391),
    [sym_new_expression] = STATE(391),
    [sym_await_expression] = STATE(391),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(391),
    [sym_augmented_assignment_expression] = STATE(391),
    [sym_ternary_expression] = STATE(391),
    [sym_binary_expression] = STATE(391),
    [sym_unary_expression] = STATE(391),
    [sym_update_expression] = STATE(391),
    [sym_string] = STATE(391),
    [sym_template_string] = STATE(391),
    [sym_regex] = STATE(391),
    [sym_meta_property] = STATE(391),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(766),
    [sym_this] = ACTIONS(768),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(768),
    [sym_false] = ACTIONS(768),
    [sym_null] = ACTIONS(768),
    [sym_undefined] = ACTIONS(768),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [114] = {
    [sym_import] = STATE(477),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(477),
    [sym_yield_expression] = STATE(477),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(477),
    [sym_jsx_fragment] = STATE(477),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(477),
    [sym_class] = STATE(477),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(477),
    [sym_arrow_function] = STATE(477),
    [sym_call_expression] = STATE(477),
    [sym_new_expression] = STATE(477),
    [sym_await_expression] = STATE(477),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(477),
    [sym_augmented_assignment_expression] = STATE(477),
    [sym_ternary_expression] = STATE(477),
    [sym_binary_expression] = STATE(477),
    [sym_unary_expression] = STATE(477),
    [sym_update_expression] = STATE(477),
    [sym_string] = STATE(477),
    [sym_template_string] = STATE(477),
    [sym_regex] = STATE(477),
    [sym_meta_property] = STATE(477),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(770),
    [sym_this] = ACTIONS(772),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(772),
    [sym_false] = ACTIONS(772),
    [sym_null] = ACTIONS(772),
    [sym_undefined] = ACTIONS(772),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [115] = {
    [sym_import] = STATE(560),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(560),
    [sym_yield_expression] = STATE(560),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(560),
    [sym_jsx_fragment] = STATE(560),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(560),
    [sym_class] = STATE(560),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(560),
    [sym_arrow_function] = STATE(560),
    [sym_call_expression] = STATE(560),
    [sym_new_expression] = STATE(560),
    [sym_await_expression] = STATE(560),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(560),
    [sym_augmented_assignment_expression] = STATE(560),
    [sym_ternary_expression] = STATE(560),
    [sym_binary_expression] = STATE(560),
    [sym_unary_expression] = STATE(560),
    [sym_update_expression] = STATE(560),
    [sym_string] = STATE(560),
    [sym_template_string] = STATE(560),
    [sym_regex] = STATE(560),
    [sym_meta_property] = STATE(560),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(774),
    [sym_this] = ACTIONS(776),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(776),
    [sym_false] = ACTIONS(776),
    [sym_null] = ACTIONS(776),
    [sym_undefined] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [116] = {
    [sym_import] = STATE(483),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(483),
    [sym_yield_expression] = STATE(483),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(483),
    [sym_jsx_fragment] = STATE(483),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(483),
    [sym_class] = STATE(483),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(483),
    [sym_arrow_function] = STATE(483),
    [sym_call_expression] = STATE(483),
    [sym_new_expression] = STATE(483),
    [sym_await_expression] = STATE(483),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(483),
    [sym_augmented_assignment_expression] = STATE(483),
    [sym_ternary_expression] = STATE(483),
    [sym_binary_expression] = STATE(483),
    [sym_unary_expression] = STATE(483),
    [sym_update_expression] = STATE(483),
    [sym_string] = STATE(483),
    [sym_template_string] = STATE(483),
    [sym_regex] = STATE(483),
    [sym_meta_property] = STATE(483),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(778),
    [sym_this] = ACTIONS(780),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(780),
    [sym_false] = ACTIONS(780),
    [sym_null] = ACTIONS(780),
    [sym_undefined] = ACTIONS(780),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [117] = {
    [sym_import] = STATE(323),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(323),
    [sym_yield_expression] = STATE(323),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(323),
    [sym_jsx_fragment] = STATE(323),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(323),
    [sym_class] = STATE(323),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(323),
    [sym_arrow_function] = STATE(323),
    [sym_call_expression] = STATE(323),
    [sym_new_expression] = STATE(323),
    [sym_await_expression] = STATE(323),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(323),
    [sym_augmented_assignment_expression] = STATE(323),
    [sym_ternary_expression] = STATE(323),
    [sym_binary_expression] = STATE(323),
    [sym_unary_expression] = STATE(323),
    [sym_update_expression] = STATE(323),
    [sym_string] = STATE(323),
    [sym_template_string] = STATE(323),
    [sym_regex] = STATE(323),
    [sym_meta_property] = STATE(323),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(782),
    [sym_this] = ACTIONS(784),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(784),
    [sym_false] = ACTIONS(784),
    [sym_null] = ACTIONS(784),
    [sym_undefined] = ACTIONS(784),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [118] = {
    [sym_import] = STATE(346),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(346),
    [sym_yield_expression] = STATE(346),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(346),
    [sym_jsx_fragment] = STATE(346),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(346),
    [sym_class] = STATE(346),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(346),
    [sym_arrow_function] = STATE(346),
    [sym_call_expression] = STATE(346),
    [sym_new_expression] = STATE(346),
    [sym_await_expression] = STATE(346),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(346),
    [sym_augmented_assignment_expression] = STATE(346),
    [sym_ternary_expression] = STATE(346),
    [sym_binary_expression] = STATE(346),
    [sym_unary_expression] = STATE(346),
    [sym_update_expression] = STATE(346),
    [sym_string] = STATE(346),
    [sym_template_string] = STATE(346),
    [sym_regex] = STATE(346),
    [sym_meta_property] = STATE(346),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(786),
    [sym_this] = ACTIONS(788),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(788),
    [sym_false] = ACTIONS(788),
    [sym_null] = ACTIONS(788),
    [sym_undefined] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [119] = {
    [sym_import] = STATE(318),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(318),
    [sym_yield_expression] = STATE(318),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(318),
    [sym_jsx_fragment] = STATE(318),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(318),
    [sym_class] = STATE(318),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(318),
    [sym_arrow_function] = STATE(318),
    [sym_call_expression] = STATE(318),
    [sym_new_expression] = STATE(318),
    [sym_await_expression] = STATE(318),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(318),
    [sym_augmented_assignment_expression] = STATE(318),
    [sym_ternary_expression] = STATE(318),
    [sym_binary_expression] = STATE(318),
    [sym_unary_expression] = STATE(318),
    [sym_update_expression] = STATE(318),
    [sym_string] = STATE(318),
    [sym_template_string] = STATE(318),
    [sym_regex] = STATE(318),
    [sym_meta_property] = STATE(318),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(790),
    [sym_this] = ACTIONS(792),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(792),
    [sym_false] = ACTIONS(792),
    [sym_null] = ACTIONS(792),
    [sym_undefined] = ACTIONS(792),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [120] = {
    [sym_import] = STATE(564),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(564),
    [sym_yield_expression] = STATE(564),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(564),
    [sym_jsx_fragment] = STATE(564),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(564),
    [sym_class] = STATE(564),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(564),
    [sym_arrow_function] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_new_expression] = STATE(564),
    [sym_await_expression] = STATE(564),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(564),
    [sym_augmented_assignment_expression] = STATE(564),
    [sym_ternary_expression] = STATE(564),
    [sym_binary_expression] = STATE(564),
    [sym_unary_expression] = STATE(564),
    [sym_update_expression] = STATE(564),
    [sym_string] = STATE(564),
    [sym_template_string] = STATE(564),
    [sym_regex] = STATE(564),
    [sym_meta_property] = STATE(564),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(794),
    [sym_this] = ACTIONS(796),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(796),
    [sym_false] = ACTIONS(796),
    [sym_null] = ACTIONS(796),
    [sym_undefined] = ACTIONS(796),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [121] = {
    [sym_import] = STATE(417),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(417),
    [sym_yield_expression] = STATE(417),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(417),
    [sym_jsx_fragment] = STATE(417),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(417),
    [sym_class] = STATE(417),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(417),
    [sym_arrow_function] = STATE(417),
    [sym_call_expression] = STATE(417),
    [sym_new_expression] = STATE(417),
    [sym_await_expression] = STATE(417),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(417),
    [sym_augmented_assignment_expression] = STATE(417),
    [sym_ternary_expression] = STATE(417),
    [sym_binary_expression] = STATE(417),
    [sym_unary_expression] = STATE(417),
    [sym_update_expression] = STATE(417),
    [sym_string] = STATE(417),
    [sym_template_string] = STATE(417),
    [sym_regex] = STATE(417),
    [sym_meta_property] = STATE(417),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(798),
    [sym_this] = ACTIONS(800),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(800),
    [sym_false] = ACTIONS(800),
    [sym_null] = ACTIONS(800),
    [sym_undefined] = ACTIONS(800),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [122] = {
    [sym_import] = STATE(384),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(384),
    [sym_yield_expression] = STATE(384),
    [sym_object] = STATE(562),
    [sym_array] = STATE(561),
    [sym_jsx_element] = STATE(384),
    [sym_jsx_fragment] = STATE(384),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(384),
    [sym_class] = STATE(384),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(384),
    [sym_arrow_function] = STATE(384),
    [sym_call_expression] = STATE(384),
    [sym_new_expression] = STATE(384),
    [sym_await_expression] = STATE(384),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(384),
    [sym_augmented_assignment_expression] = STATE(384),
    [sym_ternary_expression] = STATE(384),
    [sym_binary_expression] = STATE(384),
    [sym_unary_expression] = STATE(384),
    [sym_update_expression] = STATE(384),
    [sym_string] = STATE(384),
    [sym_template_string] = STATE(384),
    [sym_regex] = STATE(384),
    [sym_meta_property] = STATE(384),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(802),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(804),
    [sym_this] = ACTIONS(806),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(806),
    [sym_false] = ACTIONS(806),
    [sym_null] = ACTIONS(806),
    [sym_undefined] = ACTIONS(806),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [123] = {
    [sym_import] = STATE(414),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(414),
    [sym_yield_expression] = STATE(414),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(414),
    [sym_jsx_fragment] = STATE(414),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(414),
    [sym_class] = STATE(414),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(414),
    [sym_arrow_function] = STATE(414),
    [sym_call_expression] = STATE(414),
    [sym_new_expression] = STATE(414),
    [sym_await_expression] = STATE(414),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(414),
    [sym_augmented_assignment_expression] = STATE(414),
    [sym_ternary_expression] = STATE(414),
    [sym_binary_expression] = STATE(414),
    [sym_unary_expression] = STATE(414),
    [sym_update_expression] = STATE(414),
    [sym_string] = STATE(414),
    [sym_template_string] = STATE(414),
    [sym_regex] = STATE(414),
    [sym_meta_property] = STATE(414),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(808),
    [sym_this] = ACTIONS(810),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(810),
    [sym_false] = ACTIONS(810),
    [sym_null] = ACTIONS(810),
    [sym_undefined] = ACTIONS(810),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [124] = {
    [sym_import] = STATE(413),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(413),
    [sym_yield_expression] = STATE(413),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(413),
    [sym_jsx_fragment] = STATE(413),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(413),
    [sym_class] = STATE(413),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(413),
    [sym_arrow_function] = STATE(413),
    [sym_call_expression] = STATE(413),
    [sym_new_expression] = STATE(413),
    [sym_await_expression] = STATE(413),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(413),
    [sym_augmented_assignment_expression] = STATE(413),
    [sym_ternary_expression] = STATE(413),
    [sym_binary_expression] = STATE(413),
    [sym_unary_expression] = STATE(413),
    [sym_update_expression] = STATE(413),
    [sym_string] = STATE(413),
    [sym_template_string] = STATE(413),
    [sym_regex] = STATE(413),
    [sym_meta_property] = STATE(413),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(812),
    [sym_this] = ACTIONS(814),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(814),
    [sym_false] = ACTIONS(814),
    [sym_null] = ACTIONS(814),
    [sym_undefined] = ACTIONS(814),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [125] = {
    [sym_import] = STATE(344),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(344),
    [sym_yield_expression] = STATE(344),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(344),
    [sym_jsx_fragment] = STATE(344),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(344),
    [sym_class] = STATE(344),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(344),
    [sym_arrow_function] = STATE(344),
    [sym_call_expression] = STATE(344),
    [sym_new_expression] = STATE(344),
    [sym_await_expression] = STATE(344),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(344),
    [sym_augmented_assignment_expression] = STATE(344),
    [sym_ternary_expression] = STATE(344),
    [sym_binary_expression] = STATE(344),
    [sym_unary_expression] = STATE(344),
    [sym_update_expression] = STATE(344),
    [sym_string] = STATE(344),
    [sym_template_string] = STATE(344),
    [sym_regex] = STATE(344),
    [sym_meta_property] = STATE(344),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(816),
    [sym_this] = ACTIONS(818),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(818),
    [sym_false] = ACTIONS(818),
    [sym_null] = ACTIONS(818),
    [sym_undefined] = ACTIONS(818),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [126] = {
    [sym_import] = STATE(570),
    [sym_parenthesized_expression] = STATE(311),
    [sym__expression] = STATE(570),
    [sym_yield_expression] = STATE(570),
    [sym_object] = STATE(568),
    [sym_array] = STATE(569),
    [sym_jsx_element] = STATE(570),
    [sym_jsx_fragment] = STATE(570),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(570),
    [sym_class] = STATE(570),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(570),
    [sym_arrow_function] = STATE(570),
    [sym_call_expression] = STATE(570),
    [sym_new_expression] = STATE(570),
    [sym_await_expression] = STATE(570),
    [sym_member_expression] = STATE(311),
    [sym_subscript_expression] = STATE(311),
    [sym_assignment_expression] = STATE(570),
    [sym_augmented_assignment_expression] = STATE(570),
    [sym_ternary_expression] = STATE(570),
    [sym_binary_expression] = STATE(570),
    [sym_unary_expression] = STATE(570),
    [sym_update_expression] = STATE(570),
    [sym_string] = STATE(570),
    [sym_template_string] = STATE(570),
    [sym_regex] = STATE(570),
    [sym_meta_property] = STATE(570),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(820),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(660),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(590),
    [sym_this] = ACTIONS(592),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(592),
    [sym_false] = ACTIONS(592),
    [sym_null] = ACTIONS(592),
    [sym_undefined] = ACTIONS(592),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(662),
    [anon_sym_get] = ACTIONS(662),
    [anon_sym_set] = ACTIONS(662),
  },
  [127] = {
    [sym_import] = STATE(468),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(468),
    [sym_yield_expression] = STATE(468),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(468),
    [sym_jsx_fragment] = STATE(468),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(468),
    [sym_class] = STATE(468),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(468),
    [sym_arrow_function] = STATE(468),
    [sym_call_expression] = STATE(468),
    [sym_new_expression] = STATE(468),
    [sym_await_expression] = STATE(468),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(468),
    [sym_augmented_assignment_expression] = STATE(468),
    [sym_ternary_expression] = STATE(468),
    [sym_binary_expression] = STATE(468),
    [sym_unary_expression] = STATE(468),
    [sym_update_expression] = STATE(468),
    [sym_string] = STATE(468),
    [sym_template_string] = STATE(468),
    [sym_regex] = STATE(468),
    [sym_meta_property] = STATE(468),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(822),
    [sym_this] = ACTIONS(824),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(824),
    [sym_false] = ACTIONS(824),
    [sym_null] = ACTIONS(824),
    [sym_undefined] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [128] = {
    [sym_import] = STATE(332),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(332),
    [sym_yield_expression] = STATE(332),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(332),
    [sym_jsx_fragment] = STATE(332),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(332),
    [sym_class] = STATE(332),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(332),
    [sym_arrow_function] = STATE(332),
    [sym_call_expression] = STATE(332),
    [sym_new_expression] = STATE(332),
    [sym_await_expression] = STATE(332),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(332),
    [sym_augmented_assignment_expression] = STATE(332),
    [sym_ternary_expression] = STATE(332),
    [sym_binary_expression] = STATE(332),
    [sym_unary_expression] = STATE(332),
    [sym_update_expression] = STATE(332),
    [sym_string] = STATE(332),
    [sym_template_string] = STATE(332),
    [sym_regex] = STATE(332),
    [sym_meta_property] = STATE(332),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(826),
    [sym_this] = ACTIONS(828),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(828),
    [sym_false] = ACTIONS(828),
    [sym_null] = ACTIONS(828),
    [sym_undefined] = ACTIONS(828),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [129] = {
    [sym_import] = STATE(412),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(412),
    [sym_yield_expression] = STATE(412),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(412),
    [sym_jsx_fragment] = STATE(412),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(412),
    [sym_class] = STATE(412),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(412),
    [sym_arrow_function] = STATE(412),
    [sym_call_expression] = STATE(412),
    [sym_new_expression] = STATE(412),
    [sym_await_expression] = STATE(412),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(412),
    [sym_augmented_assignment_expression] = STATE(412),
    [sym_ternary_expression] = STATE(412),
    [sym_binary_expression] = STATE(412),
    [sym_unary_expression] = STATE(412),
    [sym_update_expression] = STATE(412),
    [sym_string] = STATE(412),
    [sym_template_string] = STATE(412),
    [sym_regex] = STATE(412),
    [sym_meta_property] = STATE(412),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(830),
    [sym_this] = ACTIONS(832),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(832),
    [sym_false] = ACTIONS(832),
    [sym_null] = ACTIONS(832),
    [sym_undefined] = ACTIONS(832),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [130] = {
    [sym_import] = STATE(411),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(411),
    [sym_yield_expression] = STATE(411),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(411),
    [sym_jsx_fragment] = STATE(411),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(411),
    [sym_class] = STATE(411),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(411),
    [sym_arrow_function] = STATE(411),
    [sym_call_expression] = STATE(411),
    [sym_new_expression] = STATE(411),
    [sym_await_expression] = STATE(411),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(411),
    [sym_augmented_assignment_expression] = STATE(411),
    [sym_ternary_expression] = STATE(411),
    [sym_binary_expression] = STATE(411),
    [sym_unary_expression] = STATE(411),
    [sym_update_expression] = STATE(411),
    [sym_string] = STATE(411),
    [sym_template_string] = STATE(411),
    [sym_regex] = STATE(411),
    [sym_meta_property] = STATE(411),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(834),
    [sym_this] = ACTIONS(836),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(836),
    [sym_false] = ACTIONS(836),
    [sym_null] = ACTIONS(836),
    [sym_undefined] = ACTIONS(836),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [131] = {
    [sym_import] = STATE(410),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(410),
    [sym_yield_expression] = STATE(410),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(410),
    [sym_jsx_fragment] = STATE(410),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(410),
    [sym_class] = STATE(410),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(410),
    [sym_arrow_function] = STATE(410),
    [sym_call_expression] = STATE(410),
    [sym_new_expression] = STATE(410),
    [sym_await_expression] = STATE(410),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(410),
    [sym_augmented_assignment_expression] = STATE(410),
    [sym_ternary_expression] = STATE(410),
    [sym_binary_expression] = STATE(410),
    [sym_unary_expression] = STATE(410),
    [sym_update_expression] = STATE(410),
    [sym_string] = STATE(410),
    [sym_template_string] = STATE(410),
    [sym_regex] = STATE(410),
    [sym_meta_property] = STATE(410),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(838),
    [sym_this] = ACTIONS(840),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(840),
    [sym_false] = ACTIONS(840),
    [sym_null] = ACTIONS(840),
    [sym_undefined] = ACTIONS(840),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [132] = {
    [sym_import] = STATE(424),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(424),
    [sym_yield_expression] = STATE(424),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(424),
    [sym_jsx_fragment] = STATE(424),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(424),
    [sym_class] = STATE(424),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(424),
    [sym_arrow_function] = STATE(424),
    [sym_call_expression] = STATE(424),
    [sym_new_expression] = STATE(424),
    [sym_await_expression] = STATE(424),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(424),
    [sym_augmented_assignment_expression] = STATE(424),
    [sym_ternary_expression] = STATE(424),
    [sym_binary_expression] = STATE(424),
    [sym_unary_expression] = STATE(424),
    [sym_update_expression] = STATE(424),
    [sym_string] = STATE(424),
    [sym_template_string] = STATE(424),
    [sym_regex] = STATE(424),
    [sym_meta_property] = STATE(424),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(842),
    [sym_this] = ACTIONS(844),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(844),
    [sym_false] = ACTIONS(844),
    [sym_null] = ACTIONS(844),
    [sym_undefined] = ACTIONS(844),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [133] = {
    [sym_import] = STATE(409),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(409),
    [sym_yield_expression] = STATE(409),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(409),
    [sym_jsx_fragment] = STATE(409),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(409),
    [sym_class] = STATE(409),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(409),
    [sym_arrow_function] = STATE(409),
    [sym_call_expression] = STATE(409),
    [sym_new_expression] = STATE(409),
    [sym_await_expression] = STATE(409),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(409),
    [sym_augmented_assignment_expression] = STATE(409),
    [sym_ternary_expression] = STATE(409),
    [sym_binary_expression] = STATE(409),
    [sym_unary_expression] = STATE(409),
    [sym_update_expression] = STATE(409),
    [sym_string] = STATE(409),
    [sym_template_string] = STATE(409),
    [sym_regex] = STATE(409),
    [sym_meta_property] = STATE(409),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(846),
    [sym_this] = ACTIONS(848),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(848),
    [sym_false] = ACTIONS(848),
    [sym_null] = ACTIONS(848),
    [sym_undefined] = ACTIONS(848),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [134] = {
    [sym_import] = STATE(565),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(565),
    [sym_yield_expression] = STATE(565),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(565),
    [sym_jsx_fragment] = STATE(565),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(565),
    [sym_class] = STATE(565),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(565),
    [sym_arrow_function] = STATE(565),
    [sym_call_expression] = STATE(565),
    [sym_new_expression] = STATE(565),
    [sym_await_expression] = STATE(565),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(565),
    [sym_augmented_assignment_expression] = STATE(565),
    [sym_ternary_expression] = STATE(565),
    [sym_binary_expression] = STATE(565),
    [sym_unary_expression] = STATE(565),
    [sym_update_expression] = STATE(565),
    [sym_string] = STATE(565),
    [sym_template_string] = STATE(565),
    [sym_regex] = STATE(565),
    [sym_meta_property] = STATE(565),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(850),
    [sym_this] = ACTIONS(852),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(852),
    [sym_false] = ACTIONS(852),
    [sym_null] = ACTIONS(852),
    [sym_undefined] = ACTIONS(852),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [135] = {
    [sym_import] = STATE(407),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(407),
    [sym_yield_expression] = STATE(407),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(407),
    [sym_jsx_fragment] = STATE(407),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(407),
    [sym_class] = STATE(407),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(407),
    [sym_arrow_function] = STATE(407),
    [sym_call_expression] = STATE(407),
    [sym_new_expression] = STATE(407),
    [sym_await_expression] = STATE(407),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(407),
    [sym_augmented_assignment_expression] = STATE(407),
    [sym_ternary_expression] = STATE(407),
    [sym_binary_expression] = STATE(407),
    [sym_unary_expression] = STATE(407),
    [sym_update_expression] = STATE(407),
    [sym_string] = STATE(407),
    [sym_template_string] = STATE(407),
    [sym_regex] = STATE(407),
    [sym_meta_property] = STATE(407),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(854),
    [sym_this] = ACTIONS(856),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(856),
    [sym_false] = ACTIONS(856),
    [sym_null] = ACTIONS(856),
    [sym_undefined] = ACTIONS(856),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [136] = {
    [sym_import] = STATE(427),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(427),
    [sym_yield_expression] = STATE(427),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(427),
    [sym_jsx_fragment] = STATE(427),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(427),
    [sym_class] = STATE(427),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(427),
    [sym_arrow_function] = STATE(427),
    [sym_call_expression] = STATE(427),
    [sym_new_expression] = STATE(427),
    [sym_await_expression] = STATE(427),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(427),
    [sym_augmented_assignment_expression] = STATE(427),
    [sym_ternary_expression] = STATE(427),
    [sym_binary_expression] = STATE(427),
    [sym_unary_expression] = STATE(427),
    [sym_update_expression] = STATE(427),
    [sym_string] = STATE(427),
    [sym_template_string] = STATE(427),
    [sym_regex] = STATE(427),
    [sym_meta_property] = STATE(427),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(858),
    [sym_this] = ACTIONS(860),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(860),
    [sym_false] = ACTIONS(860),
    [sym_null] = ACTIONS(860),
    [sym_undefined] = ACTIONS(860),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [137] = {
    [sym_import] = STATE(404),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(404),
    [sym_yield_expression] = STATE(404),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(404),
    [sym_jsx_fragment] = STATE(404),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(404),
    [sym_class] = STATE(404),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(404),
    [sym_arrow_function] = STATE(404),
    [sym_call_expression] = STATE(404),
    [sym_new_expression] = STATE(404),
    [sym_await_expression] = STATE(404),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(404),
    [sym_augmented_assignment_expression] = STATE(404),
    [sym_ternary_expression] = STATE(404),
    [sym_binary_expression] = STATE(404),
    [sym_unary_expression] = STATE(404),
    [sym_update_expression] = STATE(404),
    [sym_string] = STATE(404),
    [sym_template_string] = STATE(404),
    [sym_regex] = STATE(404),
    [sym_meta_property] = STATE(404),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(862),
    [sym_this] = ACTIONS(864),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(864),
    [sym_false] = ACTIONS(864),
    [sym_null] = ACTIONS(864),
    [sym_undefined] = ACTIONS(864),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [138] = {
    [sym_import] = STATE(327),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(327),
    [sym_yield_expression] = STATE(327),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(327),
    [sym_jsx_fragment] = STATE(327),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(327),
    [sym_class] = STATE(327),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(327),
    [sym_arrow_function] = STATE(327),
    [sym_call_expression] = STATE(327),
    [sym_new_expression] = STATE(327),
    [sym_await_expression] = STATE(327),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(327),
    [sym_augmented_assignment_expression] = STATE(327),
    [sym_ternary_expression] = STATE(327),
    [sym_binary_expression] = STATE(327),
    [sym_unary_expression] = STATE(327),
    [sym_update_expression] = STATE(327),
    [sym_string] = STATE(327),
    [sym_template_string] = STATE(327),
    [sym_regex] = STATE(327),
    [sym_meta_property] = STATE(327),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(866),
    [sym_this] = ACTIONS(868),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(868),
    [sym_false] = ACTIONS(868),
    [sym_null] = ACTIONS(868),
    [sym_undefined] = ACTIONS(868),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [139] = {
    [sym_import] = STATE(563),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(563),
    [sym_yield_expression] = STATE(563),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(563),
    [sym_jsx_fragment] = STATE(563),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(563),
    [sym_class] = STATE(563),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(563),
    [sym_arrow_function] = STATE(563),
    [sym_call_expression] = STATE(563),
    [sym_new_expression] = STATE(563),
    [sym_await_expression] = STATE(563),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(563),
    [sym_augmented_assignment_expression] = STATE(563),
    [sym_ternary_expression] = STATE(563),
    [sym_binary_expression] = STATE(563),
    [sym_unary_expression] = STATE(563),
    [sym_update_expression] = STATE(563),
    [sym_string] = STATE(563),
    [sym_template_string] = STATE(563),
    [sym_regex] = STATE(563),
    [sym_meta_property] = STATE(563),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(870),
    [sym_this] = ACTIONS(872),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(872),
    [sym_false] = ACTIONS(872),
    [sym_null] = ACTIONS(872),
    [sym_undefined] = ACTIONS(872),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [140] = {
    [sym_import] = STATE(322),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(322),
    [sym_yield_expression] = STATE(322),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(322),
    [sym_jsx_fragment] = STATE(322),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(322),
    [sym_class] = STATE(322),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(322),
    [sym_arrow_function] = STATE(322),
    [sym_call_expression] = STATE(322),
    [sym_new_expression] = STATE(322),
    [sym_await_expression] = STATE(322),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(322),
    [sym_augmented_assignment_expression] = STATE(322),
    [sym_ternary_expression] = STATE(322),
    [sym_binary_expression] = STATE(322),
    [sym_unary_expression] = STATE(322),
    [sym_update_expression] = STATE(322),
    [sym_string] = STATE(322),
    [sym_template_string] = STATE(322),
    [sym_regex] = STATE(322),
    [sym_meta_property] = STATE(322),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(874),
    [sym_this] = ACTIONS(876),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(876),
    [sym_false] = ACTIONS(876),
    [sym_null] = ACTIONS(876),
    [sym_undefined] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [141] = {
    [sym_import] = STATE(551),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(551),
    [sym_yield_expression] = STATE(551),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(551),
    [sym_jsx_fragment] = STATE(551),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(551),
    [sym_class] = STATE(551),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(551),
    [sym_arrow_function] = STATE(551),
    [sym_call_expression] = STATE(551),
    [sym_new_expression] = STATE(551),
    [sym_await_expression] = STATE(551),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(551),
    [sym_augmented_assignment_expression] = STATE(551),
    [sym_ternary_expression] = STATE(551),
    [sym_binary_expression] = STATE(551),
    [sym_unary_expression] = STATE(551),
    [sym_update_expression] = STATE(551),
    [sym_string] = STATE(551),
    [sym_template_string] = STATE(551),
    [sym_regex] = STATE(551),
    [sym_meta_property] = STATE(551),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(878),
    [sym_this] = ACTIONS(880),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(880),
    [sym_false] = ACTIONS(880),
    [sym_null] = ACTIONS(880),
    [sym_undefined] = ACTIONS(880),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [142] = {
    [sym_import] = STATE(488),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(488),
    [sym_yield_expression] = STATE(488),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(488),
    [sym_jsx_fragment] = STATE(488),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(488),
    [sym_class] = STATE(488),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(488),
    [sym_arrow_function] = STATE(488),
    [sym_call_expression] = STATE(488),
    [sym_new_expression] = STATE(488),
    [sym_await_expression] = STATE(488),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(488),
    [sym_augmented_assignment_expression] = STATE(488),
    [sym_ternary_expression] = STATE(488),
    [sym_binary_expression] = STATE(488),
    [sym_unary_expression] = STATE(488),
    [sym_update_expression] = STATE(488),
    [sym_string] = STATE(488),
    [sym_template_string] = STATE(488),
    [sym_regex] = STATE(488),
    [sym_meta_property] = STATE(488),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(882),
    [sym_this] = ACTIONS(884),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(884),
    [sym_false] = ACTIONS(884),
    [sym_null] = ACTIONS(884),
    [sym_undefined] = ACTIONS(884),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [143] = {
    [sym_import] = STATE(447),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(447),
    [sym_yield_expression] = STATE(447),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(447),
    [sym_jsx_fragment] = STATE(447),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(447),
    [sym_class] = STATE(447),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(447),
    [sym_arrow_function] = STATE(447),
    [sym_call_expression] = STATE(447),
    [sym_new_expression] = STATE(447),
    [sym_await_expression] = STATE(447),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(447),
    [sym_augmented_assignment_expression] = STATE(447),
    [sym_ternary_expression] = STATE(447),
    [sym_binary_expression] = STATE(447),
    [sym_unary_expression] = STATE(447),
    [sym_update_expression] = STATE(447),
    [sym_string] = STATE(447),
    [sym_template_string] = STATE(447),
    [sym_regex] = STATE(447),
    [sym_meta_property] = STATE(447),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(886),
    [sym_this] = ACTIONS(888),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(888),
    [sym_false] = ACTIONS(888),
    [sym_null] = ACTIONS(888),
    [sym_undefined] = ACTIONS(888),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [144] = {
    [sym_import] = STATE(384),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(384),
    [sym_yield_expression] = STATE(384),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(384),
    [sym_jsx_fragment] = STATE(384),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(384),
    [sym_class] = STATE(384),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(384),
    [sym_arrow_function] = STATE(384),
    [sym_call_expression] = STATE(384),
    [sym_new_expression] = STATE(384),
    [sym_await_expression] = STATE(384),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(384),
    [sym_augmented_assignment_expression] = STATE(384),
    [sym_ternary_expression] = STATE(384),
    [sym_binary_expression] = STATE(384),
    [sym_unary_expression] = STATE(384),
    [sym_update_expression] = STATE(384),
    [sym_string] = STATE(384),
    [sym_template_string] = STATE(384),
    [sym_regex] = STATE(384),
    [sym_meta_property] = STATE(384),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(804),
    [sym_this] = ACTIONS(806),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(806),
    [sym_false] = ACTIONS(806),
    [sym_null] = ACTIONS(806),
    [sym_undefined] = ACTIONS(806),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [145] = {
    [sym_import] = STATE(317),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(317),
    [sym_yield_expression] = STATE(317),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(317),
    [sym_jsx_fragment] = STATE(317),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(317),
    [sym_class] = STATE(317),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(317),
    [sym_arrow_function] = STATE(317),
    [sym_call_expression] = STATE(317),
    [sym_new_expression] = STATE(317),
    [sym_await_expression] = STATE(317),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(317),
    [sym_augmented_assignment_expression] = STATE(317),
    [sym_ternary_expression] = STATE(317),
    [sym_binary_expression] = STATE(317),
    [sym_unary_expression] = STATE(317),
    [sym_update_expression] = STATE(317),
    [sym_string] = STATE(317),
    [sym_template_string] = STATE(317),
    [sym_regex] = STATE(317),
    [sym_meta_property] = STATE(317),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(890),
    [sym_this] = ACTIONS(892),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(892),
    [sym_false] = ACTIONS(892),
    [sym_null] = ACTIONS(892),
    [sym_undefined] = ACTIONS(892),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [146] = {
    [sym_import] = STATE(566),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(566),
    [sym_yield_expression] = STATE(566),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(566),
    [sym_jsx_fragment] = STATE(566),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(566),
    [sym_class] = STATE(566),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(566),
    [sym_arrow_function] = STATE(566),
    [sym_call_expression] = STATE(566),
    [sym_new_expression] = STATE(566),
    [sym_await_expression] = STATE(566),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(566),
    [sym_augmented_assignment_expression] = STATE(566),
    [sym_ternary_expression] = STATE(566),
    [sym_binary_expression] = STATE(566),
    [sym_unary_expression] = STATE(566),
    [sym_update_expression] = STATE(566),
    [sym_string] = STATE(566),
    [sym_template_string] = STATE(566),
    [sym_regex] = STATE(566),
    [sym_meta_property] = STATE(566),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(894),
    [sym_this] = ACTIONS(896),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(896),
    [sym_false] = ACTIONS(896),
    [sym_null] = ACTIONS(896),
    [sym_undefined] = ACTIONS(896),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [147] = {
    [sym_import] = STATE(452),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(452),
    [sym_yield_expression] = STATE(452),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(452),
    [sym_jsx_fragment] = STATE(452),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(452),
    [sym_class] = STATE(452),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(452),
    [sym_arrow_function] = STATE(452),
    [sym_call_expression] = STATE(452),
    [sym_new_expression] = STATE(452),
    [sym_await_expression] = STATE(452),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(452),
    [sym_augmented_assignment_expression] = STATE(452),
    [sym_ternary_expression] = STATE(452),
    [sym_binary_expression] = STATE(452),
    [sym_unary_expression] = STATE(452),
    [sym_update_expression] = STATE(452),
    [sym_string] = STATE(452),
    [sym_template_string] = STATE(452),
    [sym_regex] = STATE(452),
    [sym_meta_property] = STATE(452),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(898),
    [sym_this] = ACTIONS(900),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(900),
    [sym_false] = ACTIONS(900),
    [sym_null] = ACTIONS(900),
    [sym_undefined] = ACTIONS(900),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [148] = {
    [sym_import] = STATE(451),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(451),
    [sym_yield_expression] = STATE(451),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(451),
    [sym_jsx_fragment] = STATE(451),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(451),
    [sym_class] = STATE(451),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(451),
    [sym_arrow_function] = STATE(451),
    [sym_call_expression] = STATE(451),
    [sym_new_expression] = STATE(451),
    [sym_await_expression] = STATE(451),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(451),
    [sym_augmented_assignment_expression] = STATE(451),
    [sym_ternary_expression] = STATE(451),
    [sym_binary_expression] = STATE(451),
    [sym_unary_expression] = STATE(451),
    [sym_update_expression] = STATE(451),
    [sym_string] = STATE(451),
    [sym_template_string] = STATE(451),
    [sym_regex] = STATE(451),
    [sym_meta_property] = STATE(451),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(902),
    [sym_this] = ACTIONS(904),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(904),
    [sym_false] = ACTIONS(904),
    [sym_null] = ACTIONS(904),
    [sym_undefined] = ACTIONS(904),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [149] = {
    [sym_import] = STATE(475),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(475),
    [sym_yield_expression] = STATE(475),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(475),
    [sym_jsx_fragment] = STATE(475),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(475),
    [sym_class] = STATE(475),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(475),
    [sym_arrow_function] = STATE(475),
    [sym_call_expression] = STATE(475),
    [sym_new_expression] = STATE(475),
    [sym_await_expression] = STATE(475),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(475),
    [sym_augmented_assignment_expression] = STATE(475),
    [sym_ternary_expression] = STATE(475),
    [sym_binary_expression] = STATE(475),
    [sym_unary_expression] = STATE(475),
    [sym_update_expression] = STATE(475),
    [sym_string] = STATE(475),
    [sym_template_string] = STATE(475),
    [sym_regex] = STATE(475),
    [sym_meta_property] = STATE(475),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(906),
    [sym_this] = ACTIONS(908),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(908),
    [sym_false] = ACTIONS(908),
    [sym_null] = ACTIONS(908),
    [sym_undefined] = ACTIONS(908),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [150] = {
    [sym_import] = STATE(375),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(375),
    [sym_yield_expression] = STATE(375),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(375),
    [sym_jsx_fragment] = STATE(375),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(375),
    [sym_class] = STATE(375),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(375),
    [sym_arrow_function] = STATE(375),
    [sym_call_expression] = STATE(375),
    [sym_new_expression] = STATE(375),
    [sym_await_expression] = STATE(375),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(375),
    [sym_augmented_assignment_expression] = STATE(375),
    [sym_ternary_expression] = STATE(375),
    [sym_binary_expression] = STATE(375),
    [sym_unary_expression] = STATE(375),
    [sym_update_expression] = STATE(375),
    [sym_string] = STATE(375),
    [sym_template_string] = STATE(375),
    [sym_regex] = STATE(375),
    [sym_meta_property] = STATE(375),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(910),
    [sym_this] = ACTIONS(912),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(912),
    [sym_false] = ACTIONS(912),
    [sym_null] = ACTIONS(912),
    [sym_undefined] = ACTIONS(912),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [151] = {
    [sym_import] = STATE(387),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(387),
    [sym_yield_expression] = STATE(387),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(387),
    [sym_jsx_fragment] = STATE(387),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(387),
    [sym_class] = STATE(387),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(387),
    [sym_arrow_function] = STATE(387),
    [sym_call_expression] = STATE(387),
    [sym_new_expression] = STATE(387),
    [sym_await_expression] = STATE(387),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(387),
    [sym_augmented_assignment_expression] = STATE(387),
    [sym_ternary_expression] = STATE(387),
    [sym_binary_expression] = STATE(387),
    [sym_unary_expression] = STATE(387),
    [sym_update_expression] = STATE(387),
    [sym_string] = STATE(387),
    [sym_template_string] = STATE(387),
    [sym_regex] = STATE(387),
    [sym_meta_property] = STATE(387),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(914),
    [sym_this] = ACTIONS(916),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(916),
    [sym_false] = ACTIONS(916),
    [sym_null] = ACTIONS(916),
    [sym_undefined] = ACTIONS(916),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [152] = {
    [sym_import] = STATE(367),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(367),
    [sym_yield_expression] = STATE(367),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(367),
    [sym_jsx_fragment] = STATE(367),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(367),
    [sym_class] = STATE(367),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(367),
    [sym_arrow_function] = STATE(367),
    [sym_call_expression] = STATE(367),
    [sym_new_expression] = STATE(367),
    [sym_await_expression] = STATE(367),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(367),
    [sym_augmented_assignment_expression] = STATE(367),
    [sym_ternary_expression] = STATE(367),
    [sym_binary_expression] = STATE(367),
    [sym_unary_expression] = STATE(367),
    [sym_update_expression] = STATE(367),
    [sym_string] = STATE(367),
    [sym_template_string] = STATE(367),
    [sym_regex] = STATE(367),
    [sym_meta_property] = STATE(367),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(918),
    [sym_this] = ACTIONS(920),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(920),
    [sym_false] = ACTIONS(920),
    [sym_null] = ACTIONS(920),
    [sym_undefined] = ACTIONS(920),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [153] = {
    [sym_import] = STATE(449),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(449),
    [sym_yield_expression] = STATE(449),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(449),
    [sym_jsx_fragment] = STATE(449),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(449),
    [sym_class] = STATE(449),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(449),
    [sym_arrow_function] = STATE(449),
    [sym_call_expression] = STATE(449),
    [sym_new_expression] = STATE(449),
    [sym_await_expression] = STATE(449),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(449),
    [sym_augmented_assignment_expression] = STATE(449),
    [sym_ternary_expression] = STATE(449),
    [sym_binary_expression] = STATE(449),
    [sym_unary_expression] = STATE(449),
    [sym_update_expression] = STATE(449),
    [sym_string] = STATE(449),
    [sym_template_string] = STATE(449),
    [sym_regex] = STATE(449),
    [sym_meta_property] = STATE(449),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(922),
    [sym_this] = ACTIONS(924),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(924),
    [sym_false] = ACTIONS(924),
    [sym_null] = ACTIONS(924),
    [sym_undefined] = ACTIONS(924),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [154] = {
    [sym_import] = STATE(334),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(334),
    [sym_yield_expression] = STATE(334),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(334),
    [sym_jsx_fragment] = STATE(334),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(334),
    [sym_class] = STATE(334),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(334),
    [sym_arrow_function] = STATE(334),
    [sym_call_expression] = STATE(334),
    [sym_new_expression] = STATE(334),
    [sym_await_expression] = STATE(334),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(334),
    [sym_augmented_assignment_expression] = STATE(334),
    [sym_ternary_expression] = STATE(334),
    [sym_binary_expression] = STATE(334),
    [sym_unary_expression] = STATE(334),
    [sym_update_expression] = STATE(334),
    [sym_string] = STATE(334),
    [sym_template_string] = STATE(334),
    [sym_regex] = STATE(334),
    [sym_meta_property] = STATE(334),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(926),
    [sym_this] = ACTIONS(928),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(928),
    [sym_false] = ACTIONS(928),
    [sym_null] = ACTIONS(928),
    [sym_undefined] = ACTIONS(928),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [155] = {
    [sym_import] = STATE(374),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(374),
    [sym_yield_expression] = STATE(374),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(374),
    [sym_jsx_fragment] = STATE(374),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(374),
    [sym_class] = STATE(374),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(374),
    [sym_arrow_function] = STATE(374),
    [sym_call_expression] = STATE(374),
    [sym_new_expression] = STATE(374),
    [sym_await_expression] = STATE(374),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(374),
    [sym_augmented_assignment_expression] = STATE(374),
    [sym_ternary_expression] = STATE(374),
    [sym_binary_expression] = STATE(374),
    [sym_unary_expression] = STATE(374),
    [sym_update_expression] = STATE(374),
    [sym_string] = STATE(374),
    [sym_template_string] = STATE(374),
    [sym_regex] = STATE(374),
    [sym_meta_property] = STATE(374),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(930),
    [sym_this] = ACTIONS(932),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_null] = ACTIONS(932),
    [sym_undefined] = ACTIONS(932),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [156] = {
    [sym_import] = STATE(499),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(499),
    [sym_yield_expression] = STATE(499),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(499),
    [sym_jsx_fragment] = STATE(499),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(499),
    [sym_class] = STATE(499),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(499),
    [sym_await_expression] = STATE(499),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(499),
    [sym_augmented_assignment_expression] = STATE(499),
    [sym_ternary_expression] = STATE(499),
    [sym_binary_expression] = STATE(499),
    [sym_unary_expression] = STATE(499),
    [sym_update_expression] = STATE(499),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(934),
    [sym_this] = ACTIONS(936),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(936),
    [sym_false] = ACTIONS(936),
    [sym_null] = ACTIONS(936),
    [sym_undefined] = ACTIONS(936),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [157] = {
    [sym_import] = STATE(373),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(373),
    [sym_yield_expression] = STATE(373),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(373),
    [sym_jsx_fragment] = STATE(373),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(373),
    [sym_class] = STATE(373),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(373),
    [sym_arrow_function] = STATE(373),
    [sym_call_expression] = STATE(373),
    [sym_new_expression] = STATE(373),
    [sym_await_expression] = STATE(373),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(373),
    [sym_augmented_assignment_expression] = STATE(373),
    [sym_ternary_expression] = STATE(373),
    [sym_binary_expression] = STATE(373),
    [sym_unary_expression] = STATE(373),
    [sym_update_expression] = STATE(373),
    [sym_string] = STATE(373),
    [sym_template_string] = STATE(373),
    [sym_regex] = STATE(373),
    [sym_meta_property] = STATE(373),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(938),
    [sym_this] = ACTIONS(940),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(940),
    [sym_false] = ACTIONS(940),
    [sym_null] = ACTIONS(940),
    [sym_undefined] = ACTIONS(940),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [158] = {
    [sym_import] = STATE(350),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(350),
    [sym_yield_expression] = STATE(350),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(350),
    [sym_jsx_fragment] = STATE(350),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(350),
    [sym_class] = STATE(350),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(350),
    [sym_arrow_function] = STATE(350),
    [sym_call_expression] = STATE(350),
    [sym_new_expression] = STATE(350),
    [sym_await_expression] = STATE(350),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(350),
    [sym_augmented_assignment_expression] = STATE(350),
    [sym_ternary_expression] = STATE(350),
    [sym_binary_expression] = STATE(350),
    [sym_unary_expression] = STATE(350),
    [sym_update_expression] = STATE(350),
    [sym_string] = STATE(350),
    [sym_template_string] = STATE(350),
    [sym_regex] = STATE(350),
    [sym_meta_property] = STATE(350),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(942),
    [sym_this] = ACTIONS(944),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(944),
    [sym_false] = ACTIONS(944),
    [sym_null] = ACTIONS(944),
    [sym_undefined] = ACTIONS(944),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [159] = {
    [sym_import] = STATE(556),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(556),
    [sym_yield_expression] = STATE(556),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(556),
    [sym_jsx_fragment] = STATE(556),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(556),
    [sym_class] = STATE(556),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(556),
    [sym_arrow_function] = STATE(556),
    [sym_call_expression] = STATE(556),
    [sym_new_expression] = STATE(556),
    [sym_await_expression] = STATE(556),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(556),
    [sym_augmented_assignment_expression] = STATE(556),
    [sym_ternary_expression] = STATE(556),
    [sym_binary_expression] = STATE(556),
    [sym_unary_expression] = STATE(556),
    [sym_update_expression] = STATE(556),
    [sym_string] = STATE(556),
    [sym_template_string] = STATE(556),
    [sym_regex] = STATE(556),
    [sym_meta_property] = STATE(556),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(946),
    [sym_this] = ACTIONS(948),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(948),
    [sym_false] = ACTIONS(948),
    [sym_null] = ACTIONS(948),
    [sym_undefined] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [160] = {
    [sym_import] = STATE(555),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(555),
    [sym_yield_expression] = STATE(555),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(555),
    [sym_jsx_fragment] = STATE(555),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(555),
    [sym_class] = STATE(555),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(555),
    [sym_arrow_function] = STATE(555),
    [sym_call_expression] = STATE(555),
    [sym_new_expression] = STATE(555),
    [sym_await_expression] = STATE(555),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(555),
    [sym_augmented_assignment_expression] = STATE(555),
    [sym_ternary_expression] = STATE(555),
    [sym_binary_expression] = STATE(555),
    [sym_unary_expression] = STATE(555),
    [sym_update_expression] = STATE(555),
    [sym_string] = STATE(555),
    [sym_template_string] = STATE(555),
    [sym_regex] = STATE(555),
    [sym_meta_property] = STATE(555),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(950),
    [sym_this] = ACTIONS(952),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(952),
    [sym_false] = ACTIONS(952),
    [sym_null] = ACTIONS(952),
    [sym_undefined] = ACTIONS(952),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [161] = {
    [sym_import] = STATE(549),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(549),
    [sym_yield_expression] = STATE(549),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(549),
    [sym_jsx_fragment] = STATE(549),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(549),
    [sym_class] = STATE(549),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(549),
    [sym_arrow_function] = STATE(549),
    [sym_call_expression] = STATE(549),
    [sym_new_expression] = STATE(549),
    [sym_await_expression] = STATE(549),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(549),
    [sym_augmented_assignment_expression] = STATE(549),
    [sym_ternary_expression] = STATE(549),
    [sym_binary_expression] = STATE(549),
    [sym_unary_expression] = STATE(549),
    [sym_update_expression] = STATE(549),
    [sym_string] = STATE(549),
    [sym_template_string] = STATE(549),
    [sym_regex] = STATE(549),
    [sym_meta_property] = STATE(549),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(954),
    [sym_this] = ACTIONS(956),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(956),
    [sym_false] = ACTIONS(956),
    [sym_null] = ACTIONS(956),
    [sym_undefined] = ACTIONS(956),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [162] = {
    [sym_import] = STATE(370),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(370),
    [sym_yield_expression] = STATE(370),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(370),
    [sym_jsx_fragment] = STATE(370),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(370),
    [sym_class] = STATE(370),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(370),
    [sym_arrow_function] = STATE(370),
    [sym_call_expression] = STATE(370),
    [sym_new_expression] = STATE(370),
    [sym_await_expression] = STATE(370),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(370),
    [sym_augmented_assignment_expression] = STATE(370),
    [sym_ternary_expression] = STATE(370),
    [sym_binary_expression] = STATE(370),
    [sym_unary_expression] = STATE(370),
    [sym_update_expression] = STATE(370),
    [sym_string] = STATE(370),
    [sym_template_string] = STATE(370),
    [sym_regex] = STATE(370),
    [sym_meta_property] = STATE(370),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(958),
    [sym_this] = ACTIONS(960),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(960),
    [sym_false] = ACTIONS(960),
    [sym_null] = ACTIONS(960),
    [sym_undefined] = ACTIONS(960),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [163] = {
    [sym_import] = STATE(347),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(347),
    [sym_yield_expression] = STATE(347),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(347),
    [sym_jsx_fragment] = STATE(347),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(347),
    [sym_class] = STATE(347),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(347),
    [sym_arrow_function] = STATE(347),
    [sym_call_expression] = STATE(347),
    [sym_new_expression] = STATE(347),
    [sym_await_expression] = STATE(347),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(347),
    [sym_augmented_assignment_expression] = STATE(347),
    [sym_ternary_expression] = STATE(347),
    [sym_binary_expression] = STATE(347),
    [sym_unary_expression] = STATE(347),
    [sym_update_expression] = STATE(347),
    [sym_string] = STATE(347),
    [sym_template_string] = STATE(347),
    [sym_regex] = STATE(347),
    [sym_meta_property] = STATE(347),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(962),
    [sym_this] = ACTIONS(964),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(964),
    [sym_false] = ACTIONS(964),
    [sym_null] = ACTIONS(964),
    [sym_undefined] = ACTIONS(964),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [164] = {
    [sym_import] = STATE(314),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(314),
    [sym_yield_expression] = STATE(314),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(314),
    [sym_jsx_fragment] = STATE(314),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(314),
    [sym_class] = STATE(314),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(314),
    [sym_arrow_function] = STATE(314),
    [sym_call_expression] = STATE(314),
    [sym_new_expression] = STATE(314),
    [sym_await_expression] = STATE(314),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(314),
    [sym_augmented_assignment_expression] = STATE(314),
    [sym_ternary_expression] = STATE(314),
    [sym_binary_expression] = STATE(314),
    [sym_unary_expression] = STATE(314),
    [sym_update_expression] = STATE(314),
    [sym_string] = STATE(314),
    [sym_template_string] = STATE(314),
    [sym_regex] = STATE(314),
    [sym_meta_property] = STATE(314),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(966),
    [sym_this] = ACTIONS(968),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(968),
    [sym_false] = ACTIONS(968),
    [sym_null] = ACTIONS(968),
    [sym_undefined] = ACTIONS(968),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [165] = {
    [sym_import] = STATE(455),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(455),
    [sym_yield_expression] = STATE(455),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(455),
    [sym_jsx_fragment] = STATE(455),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(455),
    [sym_class] = STATE(455),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(455),
    [sym_arrow_function] = STATE(455),
    [sym_call_expression] = STATE(455),
    [sym_new_expression] = STATE(455),
    [sym_await_expression] = STATE(455),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(455),
    [sym_augmented_assignment_expression] = STATE(455),
    [sym_ternary_expression] = STATE(455),
    [sym_binary_expression] = STATE(455),
    [sym_unary_expression] = STATE(455),
    [sym_update_expression] = STATE(455),
    [sym_string] = STATE(455),
    [sym_template_string] = STATE(455),
    [sym_regex] = STATE(455),
    [sym_meta_property] = STATE(455),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(970),
    [sym_this] = ACTIONS(972),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(972),
    [sym_false] = ACTIONS(972),
    [sym_null] = ACTIONS(972),
    [sym_undefined] = ACTIONS(972),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [166] = {
    [sym_import] = STATE(369),
    [sym_parenthesized_expression] = STATE(301),
    [sym__expression] = STATE(369),
    [sym_yield_expression] = STATE(369),
    [sym_object] = STATE(479),
    [sym_array] = STATE(481),
    [sym_jsx_element] = STATE(369),
    [sym_jsx_fragment] = STATE(369),
    [sym_jsx_opening_element] = STATE(669),
    [sym_jsx_self_closing_element] = STATE(369),
    [sym_class] = STATE(369),
    [sym_function] = STATE(398),
    [sym_generator_function] = STATE(369),
    [sym_arrow_function] = STATE(369),
    [sym_call_expression] = STATE(369),
    [sym_new_expression] = STATE(369),
    [sym_await_expression] = STATE(369),
    [sym_member_expression] = STATE(301),
    [sym_subscript_expression] = STATE(301),
    [sym_assignment_expression] = STATE(369),
    [sym_augmented_assignment_expression] = STATE(369),
    [sym_ternary_expression] = STATE(369),
    [sym_binary_expression] = STATE(369),
    [sym_unary_expression] = STATE(369),
    [sym_update_expression] = STATE(369),
    [sym_string] = STATE(369),
    [sym_template_string] = STATE(369),
    [sym_regex] = STATE(369),
    [sym_meta_property] = STATE(369),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1079),
    [aux_sym_export_statement_repeat1] = STATE(746),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(378),
    [anon_sym_async] = ACTIONS(380),
    [anon_sym_function] = ACTIONS(382),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(974),
    [sym_this] = ACTIONS(976),
    [sym_super] = ACTIONS(85),
    [sym_true] = ACTIONS(976),
    [sym_false] = ACTIONS(976),
    [sym_null] = ACTIONS(976),
    [sym_undefined] = ACTIONS(976),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(390),
    [anon_sym_get] = ACTIONS(390),
    [anon_sym_set] = ACTIONS(390),
  },
  [167] = {
    [sym_import] = STATE(454),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(454),
    [sym_yield_expression] = STATE(454),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(454),
    [sym_jsx_fragment] = STATE(454),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(454),
    [sym_class] = STATE(454),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(454),
    [sym_arrow_function] = STATE(454),
    [sym_call_expression] = STATE(454),
    [sym_new_expression] = STATE(454),
    [sym_await_expression] = STATE(454),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(454),
    [sym_augmented_assignment_expression] = STATE(454),
    [sym_ternary_expression] = STATE(454),
    [sym_binary_expression] = STATE(454),
    [sym_unary_expression] = STATE(454),
    [sym_update_expression] = STATE(454),
    [sym_string] = STATE(454),
    [sym_template_string] = STATE(454),
    [sym_regex] = STATE(454),
    [sym_meta_property] = STATE(454),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(978),
    [sym_this] = ACTIONS(980),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(980),
    [sym_false] = ACTIONS(980),
    [sym_null] = ACTIONS(980),
    [sym_undefined] = ACTIONS(980),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [168] = {
    [sym_import] = STATE(453),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(453),
    [sym_yield_expression] = STATE(453),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(453),
    [sym_jsx_fragment] = STATE(453),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(453),
    [sym_class] = STATE(453),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(453),
    [sym_arrow_function] = STATE(453),
    [sym_call_expression] = STATE(453),
    [sym_new_expression] = STATE(453),
    [sym_await_expression] = STATE(453),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(453),
    [sym_augmented_assignment_expression] = STATE(453),
    [sym_ternary_expression] = STATE(453),
    [sym_binary_expression] = STATE(453),
    [sym_unary_expression] = STATE(453),
    [sym_update_expression] = STATE(453),
    [sym_string] = STATE(453),
    [sym_template_string] = STATE(453),
    [sym_regex] = STATE(453),
    [sym_meta_property] = STATE(453),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(982),
    [sym_this] = ACTIONS(984),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(984),
    [sym_false] = ACTIONS(984),
    [sym_null] = ACTIONS(984),
    [sym_undefined] = ACTIONS(984),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [169] = {
    [sym_import] = STATE(331),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(331),
    [sym_yield_expression] = STATE(331),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(331),
    [sym_jsx_fragment] = STATE(331),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(331),
    [sym_class] = STATE(331),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(331),
    [sym_arrow_function] = STATE(331),
    [sym_call_expression] = STATE(331),
    [sym_new_expression] = STATE(331),
    [sym_await_expression] = STATE(331),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(331),
    [sym_augmented_assignment_expression] = STATE(331),
    [sym_ternary_expression] = STATE(331),
    [sym_binary_expression] = STATE(331),
    [sym_unary_expression] = STATE(331),
    [sym_update_expression] = STATE(331),
    [sym_string] = STATE(331),
    [sym_template_string] = STATE(331),
    [sym_regex] = STATE(331),
    [sym_meta_property] = STATE(331),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(986),
    [sym_this] = ACTIONS(988),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(988),
    [sym_false] = ACTIONS(988),
    [sym_null] = ACTIONS(988),
    [sym_undefined] = ACTIONS(988),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [170] = {
    [sym_import] = STATE(333),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(333),
    [sym_yield_expression] = STATE(333),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(333),
    [sym_jsx_fragment] = STATE(333),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(333),
    [sym_class] = STATE(333),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(333),
    [sym_arrow_function] = STATE(333),
    [sym_call_expression] = STATE(333),
    [sym_new_expression] = STATE(333),
    [sym_await_expression] = STATE(333),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(333),
    [sym_augmented_assignment_expression] = STATE(333),
    [sym_ternary_expression] = STATE(333),
    [sym_binary_expression] = STATE(333),
    [sym_unary_expression] = STATE(333),
    [sym_update_expression] = STATE(333),
    [sym_string] = STATE(333),
    [sym_template_string] = STATE(333),
    [sym_regex] = STATE(333),
    [sym_meta_property] = STATE(333),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(990),
    [sym_this] = ACTIONS(992),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(992),
    [sym_false] = ACTIONS(992),
    [sym_null] = ACTIONS(992),
    [sym_undefined] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [171] = {
    [sym_import] = STATE(335),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(335),
    [sym_yield_expression] = STATE(335),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(335),
    [sym_jsx_fragment] = STATE(335),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(335),
    [sym_class] = STATE(335),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(335),
    [sym_arrow_function] = STATE(335),
    [sym_call_expression] = STATE(335),
    [sym_new_expression] = STATE(335),
    [sym_await_expression] = STATE(335),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(335),
    [sym_augmented_assignment_expression] = STATE(335),
    [sym_ternary_expression] = STATE(335),
    [sym_binary_expression] = STATE(335),
    [sym_unary_expression] = STATE(335),
    [sym_update_expression] = STATE(335),
    [sym_string] = STATE(335),
    [sym_template_string] = STATE(335),
    [sym_regex] = STATE(335),
    [sym_meta_property] = STATE(335),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(994),
    [sym_this] = ACTIONS(996),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(996),
    [sym_false] = ACTIONS(996),
    [sym_null] = ACTIONS(996),
    [sym_undefined] = ACTIONS(996),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [172] = {
    [sym_import] = STATE(336),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(336),
    [sym_yield_expression] = STATE(336),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(336),
    [sym_jsx_fragment] = STATE(336),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(336),
    [sym_class] = STATE(336),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(336),
    [sym_arrow_function] = STATE(336),
    [sym_call_expression] = STATE(336),
    [sym_new_expression] = STATE(336),
    [sym_await_expression] = STATE(336),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(336),
    [sym_augmented_assignment_expression] = STATE(336),
    [sym_ternary_expression] = STATE(336),
    [sym_binary_expression] = STATE(336),
    [sym_unary_expression] = STATE(336),
    [sym_update_expression] = STATE(336),
    [sym_string] = STATE(336),
    [sym_template_string] = STATE(336),
    [sym_regex] = STATE(336),
    [sym_meta_property] = STATE(336),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(998),
    [sym_this] = ACTIONS(1000),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(1000),
    [sym_false] = ACTIONS(1000),
    [sym_null] = ACTIONS(1000),
    [sym_undefined] = ACTIONS(1000),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [173] = {
    [sym_import] = STATE(315),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(315),
    [sym_yield_expression] = STATE(315),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(315),
    [sym_jsx_fragment] = STATE(315),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(315),
    [sym_class] = STATE(315),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(315),
    [sym_arrow_function] = STATE(315),
    [sym_call_expression] = STATE(315),
    [sym_new_expression] = STATE(315),
    [sym_await_expression] = STATE(315),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(315),
    [sym_augmented_assignment_expression] = STATE(315),
    [sym_ternary_expression] = STATE(315),
    [sym_binary_expression] = STATE(315),
    [sym_unary_expression] = STATE(315),
    [sym_update_expression] = STATE(315),
    [sym_string] = STATE(315),
    [sym_template_string] = STATE(315),
    [sym_regex] = STATE(315),
    [sym_meta_property] = STATE(315),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(1002),
    [sym_this] = ACTIONS(1004),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(1004),
    [sym_false] = ACTIONS(1004),
    [sym_null] = ACTIONS(1004),
    [sym_undefined] = ACTIONS(1004),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [174] = {
    [sym_import] = STATE(338),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(338),
    [sym_yield_expression] = STATE(338),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(338),
    [sym_jsx_fragment] = STATE(338),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(338),
    [sym_class] = STATE(338),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(338),
    [sym_arrow_function] = STATE(338),
    [sym_call_expression] = STATE(338),
    [sym_new_expression] = STATE(338),
    [sym_await_expression] = STATE(338),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(338),
    [sym_augmented_assignment_expression] = STATE(338),
    [sym_ternary_expression] = STATE(338),
    [sym_binary_expression] = STATE(338),
    [sym_unary_expression] = STATE(338),
    [sym_update_expression] = STATE(338),
    [sym_string] = STATE(338),
    [sym_template_string] = STATE(338),
    [sym_regex] = STATE(338),
    [sym_meta_property] = STATE(338),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(1006),
    [sym_this] = ACTIONS(1008),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(1008),
    [sym_false] = ACTIONS(1008),
    [sym_null] = ACTIONS(1008),
    [sym_undefined] = ACTIONS(1008),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [175] = {
    [sym_import] = STATE(343),
    [sym_parenthesized_expression] = STATE(285),
    [sym__expression] = STATE(343),
    [sym_yield_expression] = STATE(343),
    [sym_object] = STATE(360),
    [sym_array] = STATE(357),
    [sym_jsx_element] = STATE(343),
    [sym_jsx_fragment] = STATE(343),
    [sym_jsx_opening_element] = STATE(661),
    [sym_jsx_self_closing_element] = STATE(343),
    [sym_class] = STATE(343),
    [sym_function] = STATE(324),
    [sym_generator_function] = STATE(343),
    [sym_arrow_function] = STATE(343),
    [sym_call_expression] = STATE(343),
    [sym_new_expression] = STATE(343),
    [sym_await_expression] = STATE(343),
    [sym_member_expression] = STATE(285),
    [sym_subscript_expression] = STATE(285),
    [sym_assignment_expression] = STATE(343),
    [sym_augmented_assignment_expression] = STATE(343),
    [sym_ternary_expression] = STATE(343),
    [sym_binary_expression] = STATE(343),
    [sym_unary_expression] = STATE(343),
    [sym_update_expression] = STATE(343),
    [sym_string] = STATE(343),
    [sym_template_string] = STATE(343),
    [sym_regex] = STATE(343),
    [sym_meta_property] = STATE(343),
    [sym_decorator] = STATE(631),
    [sym_formal_parameters] = STATE(1084),
    [aux_sym_export_statement_repeat1] = STATE(786),
    [sym_identifier] = ACTIONS(312),
    [anon_sym_LBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(324),
    [anon_sym_yield] = ACTIONS(328),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(334),
    [anon_sym_class] = ACTIONS(336),
    [anon_sym_async] = ACTIONS(338),
    [anon_sym_function] = ACTIONS(340),
    [anon_sym_new] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(344),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(348),
    [anon_sym_typeof] = ACTIONS(350),
    [anon_sym_void] = ACTIONS(350),
    [anon_sym_delete] = ACTIONS(350),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(358),
    [sym_number] = ACTIONS(1010),
    [sym_this] = ACTIONS(1012),
    [sym_super] = ACTIONS(364),
    [sym_true] = ACTIONS(1012),
    [sym_false] = ACTIONS(1012),
    [sym_null] = ACTIONS(1012),
    [sym_undefined] = ACTIONS(1012),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(366),
    [anon_sym_get] = ACTIONS(366),
    [anon_sym_set] = ACTIONS(366),
  },
  [176] = {
    [sym_string] = STATE(1005),
    [sym_formal_parameters] = STATE(1121),
    [sym__property_name] = STATE(1005),
    [sym_computed_property_name] = STATE(1005),
    [aux_sym_object_repeat1] = STATE(851),
    [sym_identifier] = ACTIONS(1014),
    [anon_sym_STAR] = ACTIONS(1016),
    [anon_sym_COMMA] = ACTIONS(1019),
    [anon_sym_RBRACE] = ACTIONS(1021),
    [anon_sym_LPAREN] = ACTIONS(1023),
    [anon_sym_in] = ACTIONS(1027),
    [anon_sym_SEMI] = ACTIONS(1019),
    [anon_sym_COLON] = ACTIONS(1029),
    [anon_sym_EQ] = ACTIONS(1032),
    [anon_sym_LBRACK] = ACTIONS(1034),
    [anon_sym_LT] = ACTIONS(1027),
    [anon_sym_GT] = ACTIONS(1027),
    [anon_sym_SLASH] = ACTIONS(1027),
    [anon_sym_DOT] = ACTIONS(1037),
    [anon_sym_async] = ACTIONS(1039),
    [anon_sym_function] = ACTIONS(1041),
    [anon_sym_EQ_GT] = ACTIONS(1043),
    [anon_sym_PLUS_EQ] = ACTIONS(1045),
    [anon_sym_DASH_EQ] = ACTIONS(1045),
    [anon_sym_STAR_EQ] = ACTIONS(1045),
    [anon_sym_SLASH_EQ] = ACTIONS(1045),
    [anon_sym_PERCENT_EQ] = ACTIONS(1045),
    [anon_sym_CARET_EQ] = ACTIONS(1045),
    [anon_sym_AMP_EQ] = ACTIONS(1045),
    [anon_sym_PIPE_EQ] = ACTIONS(1045),
    [anon_sym_GT_GT_EQ] = ACTIONS(1045),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1045),
    [anon_sym_LT_LT_EQ] = ACTIONS(1045),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1045),
    [anon_sym_QMARK] = ACTIONS(1019),
    [anon_sym_AMP_AMP] = ACTIONS(1019),
    [anon_sym_PIPE_PIPE] = ACTIONS(1019),
    [anon_sym_GT_GT] = ACTIONS(1027),
    [anon_sym_GT_GT_GT] = ACTIONS(1027),
    [anon_sym_LT_LT] = ACTIONS(1027),
    [anon_sym_AMP] = ACTIONS(1027),
    [anon_sym_CARET] = ACTIONS(1027),
    [anon_sym_PIPE] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_DASH] = ACTIONS(1027),
    [anon_sym_PERCENT] = ACTIONS(1027),
    [anon_sym_STAR_STAR] = ACTIONS(1027),
    [anon_sym_LT_EQ] = ACTIONS(1019),
    [anon_sym_EQ_EQ] = ACTIONS(1027),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1019),
    [anon_sym_BANG_EQ] = ACTIONS(1027),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1019),
    [anon_sym_GT_EQ] = ACTIONS(1019),
    [anon_sym_instanceof] = ACTIONS(1027),
    [anon_sym_PLUS_PLUS] = ACTIONS(1019),
    [anon_sym_DASH_DASH] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1019),
    [sym_number] = ACTIONS(1047),
    [anon_sym_static] = ACTIONS(1039),
    [anon_sym_get] = ACTIONS(1049),
    [anon_sym_set] = ACTIONS(1049),
    [sym__automatic_semicolon] = ACTIONS(1019),
  },
  [177] = {
    [sym_string] = STATE(1005),
    [sym_formal_parameters] = STATE(1121),
    [sym__property_name] = STATE(1005),
    [sym_computed_property_name] = STATE(1005),
    [aux_sym_object_repeat1] = STATE(855),
    [sym_identifier] = ACTIONS(1014),
    [anon_sym_STAR] = ACTIONS(1016),
    [anon_sym_COMMA] = ACTIONS(1019),
    [anon_sym_RBRACE] = ACTIONS(1051),
    [anon_sym_LPAREN] = ACTIONS(1023),
    [anon_sym_in] = ACTIONS(1027),
    [anon_sym_SEMI] = ACTIONS(1019),
    [anon_sym_COLON] = ACTIONS(1029),
    [anon_sym_EQ] = ACTIONS(1032),
    [anon_sym_LBRACK] = ACTIONS(1034),
    [anon_sym_LT] = ACTIONS(1027),
    [anon_sym_GT] = ACTIONS(1027),
    [anon_sym_SLASH] = ACTIONS(1027),
    [anon_sym_DOT] = ACTIONS(1037),
    [anon_sym_async] = ACTIONS(1039),
    [anon_sym_function] = ACTIONS(1041),
    [anon_sym_EQ_GT] = ACTIONS(1043),
    [anon_sym_PLUS_EQ] = ACTIONS(1045),
    [anon_sym_DASH_EQ] = ACTIONS(1045),
    [anon_sym_STAR_EQ] = ACTIONS(1045),
    [anon_sym_SLASH_EQ] = ACTIONS(1045),
    [anon_sym_PERCENT_EQ] = ACTIONS(1045),
    [anon_sym_CARET_EQ] = ACTIONS(1045),
    [anon_sym_AMP_EQ] = ACTIONS(1045),
    [anon_sym_PIPE_EQ] = ACTIONS(1045),
    [anon_sym_GT_GT_EQ] = ACTIONS(1045),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1045),
    [anon_sym_LT_LT_EQ] = ACTIONS(1045),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1045),
    [anon_sym_QMARK] = ACTIONS(1019),
    [anon_sym_AMP_AMP] = ACTIONS(1019),
    [anon_sym_PIPE_PIPE] = ACTIONS(1019),
    [anon_sym_GT_GT] = ACTIONS(1027),
    [anon_sym_GT_GT_GT] = ACTIONS(1027),
    [anon_sym_LT_LT] = ACTIONS(1027),
    [anon_sym_AMP] = ACTIONS(1027),
    [anon_sym_CARET] = ACTIONS(1027),
    [anon_sym_PIPE] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_DASH] = ACTIONS(1027),
    [anon_sym_PERCENT] = ACTIONS(1027),
    [anon_sym_STAR_STAR] = ACTIONS(1027),
    [anon_sym_LT_EQ] = ACTIONS(1019),
    [anon_sym_EQ_EQ] = ACTIONS(1027),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1019),
    [anon_sym_BANG_EQ] = ACTIONS(1027),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1019),
    [anon_sym_GT_EQ] = ACTIONS(1019),
    [anon_sym_instanceof] = ACTIONS(1027),
    [anon_sym_PLUS_PLUS] = ACTIONS(1019),
    [anon_sym_DASH_DASH] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(354),
    [anon_sym_SQUOTE] = ACTIONS(356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1019),
    [sym_number] = ACTIONS(1047),
    [anon_sym_static] = ACTIONS(1039),
    [anon_sym_get] = ACTIONS(1049),
    [anon_sym_set] = ACTIONS(1049),
    [sym__automatic_semicolon] = ACTIONS(1019),
  },
};

static uint16_t ts_small_parse_table[] = {
  [0] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1053), 1,
      sym__automatic_semicolon,
    ACTIONS(468), 18,
      ts_builtin_sym_end,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(470), 44,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [73] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      sym__automatic_semicolon,
    ACTIONS(392), 18,
      ts_builtin_sym_end,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(394), 44,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [146] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1059), 1,
      anon_sym_catch,
    ACTIONS(1061), 1,
      anon_sym_finally,
    STATE(187), 1,
      sym_catch_clause,
    STATE(226), 1,
      sym_finally_clause,
    ACTIONS(1055), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1057), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(468), 18,
      ts_builtin_sym_end,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(470), 44,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [294] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(354), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(1021), 1,
      anon_sym_RBRACE,
    ACTIONS(1029), 1,
      anon_sym_COLON,
    ACTIONS(1032), 1,
      anon_sym_EQ,
    ACTIONS(1034), 1,
      anon_sym_LBRACK,
    ACTIONS(1037), 1,
      anon_sym_DOT,
    ACTIONS(1043), 1,
      anon_sym_EQ_GT,
    ACTIONS(1047), 1,
      sym_number,
    ACTIONS(1065), 1,
      anon_sym_LPAREN,
    STATE(851), 1,
      aux_sym_object_repeat1,
    STATE(1005), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1063), 5,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1045), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1019), 13,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1027), 18,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
  [392] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(354), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(1016), 1,
      anon_sym_STAR,
    ACTIONS(1021), 1,
      anon_sym_RBRACE,
    ACTIONS(1029), 1,
      anon_sym_COLON,
    ACTIONS(1032), 1,
      anon_sym_EQ,
    ACTIONS(1034), 1,
      anon_sym_LBRACK,
    ACTIONS(1037), 1,
      anon_sym_DOT,
    ACTIONS(1043), 1,
      anon_sym_EQ_GT,
    ACTIONS(1047), 1,
      sym_number,
    ACTIONS(1065), 1,
      anon_sym_LPAREN,
    ACTIONS(1068), 1,
      anon_sym_async,
    STATE(851), 1,
      aux_sym_object_repeat1,
    ACTIONS(1063), 2,
      sym_identifier,
      anon_sym_static,
    ACTIONS(1070), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1005), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1045), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1019), 13,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1027), 17,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
  [496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(454), 18,
      ts_builtin_sym_end,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(456), 44,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [566] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(354), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(1029), 1,
      anon_sym_COLON,
    ACTIONS(1032), 1,
      anon_sym_EQ,
    ACTIONS(1034), 1,
      anon_sym_LBRACK,
    ACTIONS(1037), 1,
      anon_sym_DOT,
    ACTIONS(1043), 1,
      anon_sym_EQ_GT,
    ACTIONS(1047), 1,
      sym_number,
    ACTIONS(1051), 1,
      anon_sym_RBRACE,
    ACTIONS(1065), 1,
      anon_sym_LPAREN,
    STATE(855), 1,
      aux_sym_object_repeat1,
    STATE(1005), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1063), 5,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1045), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1019), 13,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1027), 18,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
  [664] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(354), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(1016), 1,
      anon_sym_STAR,
    ACTIONS(1029), 1,
      anon_sym_COLON,
    ACTIONS(1032), 1,
      anon_sym_EQ,
    ACTIONS(1034), 1,
      anon_sym_LBRACK,
    ACTIONS(1037), 1,
      anon_sym_DOT,
    ACTIONS(1043), 1,
      anon_sym_EQ_GT,
    ACTIONS(1047), 1,
      sym_number,
    ACTIONS(1051), 1,
      anon_sym_RBRACE,
    ACTIONS(1065), 1,
      anon_sym_LPAREN,
    ACTIONS(1068), 1,
      anon_sym_async,
    STATE(855), 1,
      aux_sym_object_repeat1,
    ACTIONS(1063), 2,
      sym_identifier,
      anon_sym_static,
    ACTIONS(1070), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1005), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1045), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1019), 13,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1027), 17,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
  [768] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1061), 1,
      anon_sym_finally,
    STATE(231), 1,
      sym_finally_clause,
    ACTIONS(1072), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1074), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [840] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1076), 1,
      sym_identifier,
    ACTIONS(1082), 1,
      anon_sym_EQ,
    ACTIONS(1084), 1,
      anon_sym_DOT,
    ACTIONS(1088), 1,
      anon_sym_function,
    ACTIONS(1090), 1,
      anon_sym_EQ_GT,
    STATE(416), 1,
      sym_arguments,
    STATE(1074), 1,
      sym_formal_parameters,
    ACTIONS(1086), 4,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1092), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1078), 18,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(1080), 18,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [925] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(422), 1,
      sym__automatic_semicolon,
    ACTIONS(414), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(416), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [994] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1094), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1096), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1098), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1100), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1128] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(488), 1,
      sym__automatic_semicolon,
    ACTIONS(480), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(482), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1197] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1102), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1104), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(454), 17,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(456), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1331] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(412), 1,
      sym__automatic_semicolon,
    ACTIONS(404), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(406), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1400] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1106), 1,
      sym__automatic_semicolon,
    ACTIONS(392), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(394), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1469] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(468), 17,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(470), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(476), 17,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(478), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1603] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(432), 1,
      sym__automatic_semicolon,
    ACTIONS(424), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(426), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1672] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(452), 1,
      sym__automatic_semicolon,
    ACTIONS(444), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(446), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1741] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(472), 17,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(474), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1808] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1108), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1110), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1875] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1112), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1114), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1942] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1116), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1118), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2009] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      sym__automatic_semicolon,
    ACTIONS(468), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(470), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2078] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(498), 1,
      sym__automatic_semicolon,
    ACTIONS(490), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(492), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2147] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(466), 1,
      sym__automatic_semicolon,
    ACTIONS(458), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(460), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2216] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(442), 1,
      sym__automatic_semicolon,
    ACTIONS(434), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(436), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2285] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1122), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1124), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1126), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1128), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2417] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1130), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1132), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1134), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1136), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2549] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1138), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1140), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1142), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1144), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2681] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1146), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1148), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1150), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1152), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1154), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1156), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2879] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1158), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1160), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2945] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1162), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1164), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1166), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1168), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1170), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1172), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1174), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1176), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1178), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1180), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3275] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1182), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1184), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3341] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1076), 1,
      sym_identifier,
    ACTIONS(1082), 1,
      anon_sym_EQ,
    ACTIONS(1084), 1,
      anon_sym_DOT,
    ACTIONS(1088), 1,
      anon_sym_function,
    ACTIONS(1090), 1,
      anon_sym_EQ_GT,
    ACTIONS(1186), 1,
      anon_sym_LPAREN,
    STATE(1074), 1,
      sym_formal_parameters,
    ACTIONS(1086), 4,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1092), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1019), 17,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1027), 18,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
  [3425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1191), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3491] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1195), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3557] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1199), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3623] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1201), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1203), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3689] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1207), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3755] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1211), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3821] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1213), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1215), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1219), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1223), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4019] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1227), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1231), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4151] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1233), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1235), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1237), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1239), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1243), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4349] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1247), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1251), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1253), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1255), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1257), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1259), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4613] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1261), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1263), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4679] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1269), 1,
      anon_sym_else,
    ACTIONS(1265), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1267), 41,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1271), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1273), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1275), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1277), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4879] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1279), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1281), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4945] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1283), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1285), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1287), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1289), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1291), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1293), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1295), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1297), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1299), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1301), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5275] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1043), 1,
      anon_sym_EQ_GT,
    ACTIONS(1082), 1,
      anon_sym_EQ,
    ACTIONS(1303), 1,
      sym_identifier,
    ACTIONS(1305), 1,
      anon_sym_DOT,
    ACTIONS(1309), 1,
      anon_sym_function,
    STATE(520), 1,
      sym_arguments,
    STATE(1121), 1,
      sym_formal_parameters,
    ACTIONS(1307), 4,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1092), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1080), 16,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1078), 18,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
  [5358] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1043), 1,
      anon_sym_EQ_GT,
    ACTIONS(1186), 1,
      anon_sym_LPAREN,
    ACTIONS(1303), 1,
      sym_identifier,
    ACTIONS(1305), 1,
      anon_sym_DOT,
    ACTIONS(1309), 1,
      anon_sym_function,
    ACTIONS(1311), 1,
      anon_sym_in,
    ACTIONS(1314), 1,
      anon_sym_of,
    ACTIONS(1316), 1,
      anon_sym_EQ,
    STATE(1121), 1,
      sym_formal_parameters,
    ACTIONS(1307), 4,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1045), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1019), 14,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1027), 17,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
  [5444] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1043), 1,
      anon_sym_EQ_GT,
    ACTIONS(1186), 1,
      anon_sym_LPAREN,
    ACTIONS(1303), 1,
      sym_identifier,
    ACTIONS(1305), 1,
      anon_sym_DOT,
    ACTIONS(1309), 1,
      anon_sym_function,
    ACTIONS(1316), 1,
      anon_sym_EQ,
    STATE(1121), 1,
      sym_formal_parameters,
    ACTIONS(1307), 4,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1045), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1019), 15,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1027), 18,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
  [5526] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_function,
    ACTIONS(1043), 1,
      anon_sym_EQ_GT,
    ACTIONS(1186), 1,
      anon_sym_LPAREN,
    ACTIONS(1303), 1,
      sym_identifier,
    ACTIONS(1305), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      anon_sym_EQ,
    ACTIONS(1318), 1,
      anon_sym_COLON,
    STATE(1121), 1,
      sym_formal_parameters,
    ACTIONS(1307), 4,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1045), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1019), 14,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1027), 18,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
  [5610] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1043), 1,
      anon_sym_EQ_GT,
    ACTIONS(1186), 1,
      anon_sym_LPAREN,
    ACTIONS(1303), 1,
      sym_identifier,
    ACTIONS(1305), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      anon_sym_EQ,
    ACTIONS(1320), 1,
      anon_sym_COLON,
    ACTIONS(1322), 1,
      anon_sym_function,
    STATE(1121), 1,
      sym_formal_parameters,
    ACTIONS(1307), 4,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1045), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1019), 14,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1027), 18,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
  [5694] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1076), 1,
      sym_identifier,
    ACTIONS(1084), 1,
      anon_sym_DOT,
    ACTIONS(1088), 1,
      anon_sym_function,
    ACTIONS(1090), 1,
      anon_sym_EQ_GT,
    ACTIONS(1186), 1,
      anon_sym_LPAREN,
    ACTIONS(1324), 1,
      anon_sym_COMMA,
    ACTIONS(1327), 1,
      anon_sym_RPAREN,
    ACTIONS(1330), 1,
      anon_sym_EQ,
    STATE(853), 1,
      aux_sym_formal_parameters_repeat1,
    STATE(1074), 1,
      sym_formal_parameters,
    ACTIONS(1086), 4,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1019), 11,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1092), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1027), 18,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
  [5781] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1076), 1,
      sym_identifier,
    ACTIONS(1082), 1,
      anon_sym_EQ,
    ACTIONS(1084), 1,
      anon_sym_DOT,
    ACTIONS(1088), 1,
      anon_sym_function,
    ACTIONS(1090), 1,
      anon_sym_EQ_GT,
    ACTIONS(1186), 1,
      anon_sym_LPAREN,
    ACTIONS(1311), 1,
      anon_sym_in,
    ACTIONS(1314), 1,
      anon_sym_of,
    STATE(1074), 1,
      sym_formal_parameters,
    ACTIONS(1086), 4,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1019), 11,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1092), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1027), 17,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
  [5864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1334), 14,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1332), 39,
      anon_sym_export,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5925] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1338), 14,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1336), 39,
      anon_sym_export,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 14,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1340), 39,
      anon_sym_export,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6047] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1346), 14,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1344), 39,
      anon_sym_export,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6108] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1350), 14,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1348), 39,
      anon_sym_export,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6169] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 14,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1352), 39,
      anon_sym_export,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6230] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1076), 1,
      sym_identifier,
    ACTIONS(1082), 1,
      anon_sym_EQ,
    ACTIONS(1084), 1,
      anon_sym_DOT,
    ACTIONS(1088), 1,
      anon_sym_function,
    ACTIONS(1090), 1,
      anon_sym_EQ_GT,
    ACTIONS(1186), 1,
      anon_sym_LPAREN,
    ACTIONS(1356), 1,
      anon_sym_in,
    ACTIONS(1359), 1,
      anon_sym_of,
    STATE(1074), 1,
      sym_formal_parameters,
    ACTIONS(1086), 4,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1019), 11,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1092), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1027), 17,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
  [6313] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1363), 14,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1361), 39,
      anon_sym_export,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6374] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1367), 14,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1365), 39,
      anon_sym_export,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6435] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 14,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1369), 39,
      anon_sym_export,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6496] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1379), 1,
      anon_sym_EQ,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1383), 1,
      anon_sym_EQ_GT,
    STATE(418), 1,
      sym_arguments,
    ACTIONS(1385), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1373), 17,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1375), 18,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [6568] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1082), 1,
      anon_sym_EQ,
    ACTIONS(1084), 1,
      anon_sym_DOT,
    ACTIONS(1090), 1,
      anon_sym_EQ_GT,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    STATE(416), 1,
      sym_arguments,
    ACTIONS(1092), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1078), 17,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1080), 18,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [6640] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1082), 1,
      anon_sym_EQ,
    ACTIONS(1084), 1,
      anon_sym_DOT,
    ACTIONS(1090), 1,
      anon_sym_EQ_GT,
    ACTIONS(1092), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1027), 17,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1019), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [6707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 18,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1389), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [6766] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1348), 18,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1350), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [6825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 18,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1393), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [6884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1395), 18,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1397), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [6943] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1021), 1,
      anon_sym_RBRACE,
    ACTIONS(1029), 1,
      anon_sym_COLON,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1406), 1,
      anon_sym_EQ,
    ACTIONS(1408), 1,
      anon_sym_DOT,
    ACTIONS(1410), 1,
      anon_sym_EQ_GT,
    STATE(851), 1,
      aux_sym_object_repeat1,
    ACTIONS(1412), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1401), 15,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1399), 17,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [7018] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1029), 1,
      anon_sym_COLON,
    ACTIONS(1051), 1,
      anon_sym_RBRACE,
    ACTIONS(1403), 1,
      anon_sym_LPAREN,
    ACTIONS(1406), 1,
      anon_sym_EQ,
    ACTIONS(1408), 1,
      anon_sym_DOT,
    ACTIONS(1410), 1,
      anon_sym_EQ_GT,
    STATE(855), 1,
      aux_sym_object_repeat1,
    ACTIONS(1412), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1401), 15,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1399), 17,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [7093] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 1,
      anon_sym_EQ,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1383), 1,
      anon_sym_EQ_GT,
    ACTIONS(1385), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1399), 17,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1401), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7160] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1379), 1,
      anon_sym_EQ,
    STATE(418), 1,
      sym_arguments,
    ACTIONS(1385), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1373), 17,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1375), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7227] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 1,
      anon_sym_EQ,
    ACTIONS(1408), 1,
      anon_sym_DOT,
    ACTIONS(1410), 1,
      anon_sym_EQ_GT,
    ACTIONS(1414), 1,
      anon_sym_LPAREN,
    STATE(523), 1,
      sym_arguments,
    ACTIONS(1385), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1375), 16,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1373), 17,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [7297] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1383), 1,
      anon_sym_EQ_GT,
    ACTIONS(1418), 1,
      anon_sym_in,
    ACTIONS(1421), 1,
      anon_sym_of,
    ACTIONS(1423), 1,
      anon_sym_EQ,
    STATE(823), 1,
      sym__initializer,
    ACTIONS(1416), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(1385), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1401), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1399), 16,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [7371] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1043), 1,
      anon_sym_EQ_GT,
    ACTIONS(1082), 1,
      anon_sym_EQ,
    ACTIONS(1305), 1,
      anon_sym_DOT,
    ACTIONS(1414), 1,
      anon_sym_LPAREN,
    STATE(520), 1,
      sym_arguments,
    ACTIONS(1092), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1080), 16,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1078), 17,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [7441] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 1,
      anon_sym_EQ,
    ACTIONS(1385), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1399), 17,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1401), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7503] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 18,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1393), 31,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7560] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1043), 1,
      anon_sym_EQ_GT,
    ACTIONS(1305), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      anon_sym_EQ,
    ACTIONS(1318), 1,
      anon_sym_COLON,
    ACTIONS(1045), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1019), 16,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1027), 17,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [7627] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1043), 1,
      anon_sym_EQ_GT,
    ACTIONS(1305), 1,
      anon_sym_DOT,
    ACTIONS(1311), 1,
      anon_sym_in,
    ACTIONS(1316), 1,
      anon_sym_EQ,
    ACTIONS(1425), 1,
      anon_sym_of,
    ACTIONS(1045), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1019), 16,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1027), 16,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [7696] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1043), 1,
      anon_sym_EQ_GT,
    ACTIONS(1305), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      anon_sym_EQ,
    ACTIONS(1320), 1,
      anon_sym_COLON,
    ACTIONS(1045), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1019), 16,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1027), 17,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [7763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1395), 18,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1397), 31,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7820] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 1,
      anon_sym_EQ,
    ACTIONS(1414), 1,
      anon_sym_LPAREN,
    STATE(523), 1,
      sym_arguments,
    ACTIONS(1385), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1373), 17,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1375), 17,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1348), 18,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1350), 31,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7942] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1043), 1,
      anon_sym_EQ_GT,
    ACTIONS(1305), 1,
      anon_sym_DOT,
    ACTIONS(1316), 1,
      anon_sym_EQ,
    ACTIONS(1045), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1019), 17,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1027), 17,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [8007] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1408), 1,
      anon_sym_DOT,
    ACTIONS(1410), 1,
      anon_sym_EQ_GT,
    ACTIONS(1427), 1,
      anon_sym_EQ,
    ACTIONS(1412), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1399), 17,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1401), 17,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [8072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 18,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1389), 31,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [8129] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1408), 1,
      anon_sym_DOT,
    ACTIONS(1410), 1,
      anon_sym_EQ_GT,
    ACTIONS(1427), 1,
      anon_sym_EQ,
    ACTIONS(1429), 1,
      anon_sym_in,
    ACTIONS(1432), 1,
      anon_sym_of,
    ACTIONS(1412), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1399), 16,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1401), 16,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [8198] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1320), 1,
      anon_sym_COLON,
    ACTIONS(1408), 1,
      anon_sym_DOT,
    ACTIONS(1410), 1,
      anon_sym_EQ_GT,
    ACTIONS(1427), 1,
      anon_sym_EQ,
    ACTIONS(1412), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1401), 16,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1399), 17,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [8265] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1318), 1,
      anon_sym_COLON,
    ACTIONS(1408), 1,
      anon_sym_DOT,
    ACTIONS(1410), 1,
      anon_sym_EQ_GT,
    ACTIONS(1427), 1,
      anon_sym_EQ,
    ACTIONS(1412), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1401), 16,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1399), 17,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [8332] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1084), 1,
      anon_sym_DOT,
    ACTIONS(1090), 1,
      anon_sym_EQ_GT,
    ACTIONS(1324), 1,
      anon_sym_COMMA,
    ACTIONS(1327), 1,
      anon_sym_RPAREN,
    ACTIONS(1330), 1,
      anon_sym_EQ,
    STATE(853), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(1092), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1019), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1027), 17,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [8402] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1434), 21,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1436), 27,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
  [8458] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1427), 1,
      anon_sym_EQ,
    ACTIONS(1412), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1399), 17,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1401), 18,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [8518] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1383), 1,
      anon_sym_EQ_GT,
    ACTIONS(1438), 1,
      anon_sym_COMMA,
    ACTIONS(1441), 1,
      anon_sym_RPAREN,
    ACTIONS(1444), 1,
      anon_sym_EQ,
    STATE(878), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(1385), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1401), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1399), 17,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [8588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 21,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1448), 27,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
  [8644] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1450), 21,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1452), 27,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
  [8700] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1427), 1,
      anon_sym_EQ,
    ACTIONS(1429), 1,
      anon_sym_in,
    ACTIONS(1432), 1,
      anon_sym_of,
    ACTIONS(1412), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1399), 16,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1401), 17,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [8764] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 1,
      anon_sym_EQ,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1383), 1,
      anon_sym_EQ_GT,
    ACTIONS(1454), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1385), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1401), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1399), 17,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [8829] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 1,
      anon_sym_EQ,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1383), 1,
      anon_sym_EQ_GT,
    ACTIONS(1429), 1,
      anon_sym_in,
    ACTIONS(1432), 1,
      anon_sym_of,
    ACTIONS(1385), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1401), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1399), 16,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [8895] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1082), 1,
      anon_sym_EQ,
    ACTIONS(1084), 1,
      anon_sym_DOT,
    ACTIONS(1090), 1,
      anon_sym_EQ_GT,
    ACTIONS(1356), 1,
      anon_sym_in,
    ACTIONS(1457), 1,
      anon_sym_of,
    ACTIONS(1092), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1019), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1027), 16,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [8961] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 1,
      anon_sym_EQ,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1383), 1,
      anon_sym_EQ_GT,
    ACTIONS(1418), 1,
      anon_sym_in,
    ACTIONS(1421), 1,
      anon_sym_of,
    ACTIONS(1385), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1401), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1399), 16,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [9027] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1082), 1,
      anon_sym_EQ,
    ACTIONS(1084), 1,
      anon_sym_DOT,
    ACTIONS(1090), 1,
      anon_sym_EQ_GT,
    ACTIONS(1311), 1,
      anon_sym_in,
    ACTIONS(1425), 1,
      anon_sym_of,
    ACTIONS(1092), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1019), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1027), 16,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [9093] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 1,
      anon_sym_EQ,
    ACTIONS(1418), 1,
      anon_sym_in,
    ACTIONS(1421), 1,
      anon_sym_of,
    ACTIONS(1385), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1401), 14,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1399), 16,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [9154] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 1,
      anon_sym_EQ,
    ACTIONS(1429), 1,
      anon_sym_in,
    ACTIONS(1432), 1,
      anon_sym_of,
    ACTIONS(1385), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
    ACTIONS(1401), 14,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1399), 16,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [9215] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(75), 1,
      anon_sym_DQUOTE,
    ACTIONS(77), 1,
      anon_sym_SQUOTE,
    ACTIONS(1459), 1,
      sym_identifier,
    ACTIONS(1461), 1,
      anon_sym_STAR,
    ACTIONS(1463), 1,
      anon_sym_LBRACE,
    STATE(892), 1,
      sym_string,
    STATE(900), 1,
      sym_import_clause,
    STATE(1108), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(1467), 12,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(1465), 21,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [9281] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1475), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1469), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1471), 18,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [9342] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1469), 1,
      anon_sym_PIPE,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1475), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1487), 1,
      anon_sym_AMP,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1479), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1485), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1471), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
  [9417] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1493), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1495), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [9464] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1475), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1487), 1,
      anon_sym_AMP,
    ACTIONS(1499), 1,
      anon_sym_QMARK,
    ACTIONS(1503), 1,
      anon_sym_PIPE,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1501), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1479), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1485), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1497), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [9543] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1475), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1487), 1,
      anon_sym_AMP,
    ACTIONS(1499), 1,
      anon_sym_QMARK,
    ACTIONS(1503), 1,
      anon_sym_PIPE,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1501), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1479), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1485), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1505), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [9622] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1475), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1487), 1,
      anon_sym_AMP,
    ACTIONS(1499), 1,
      anon_sym_QMARK,
    ACTIONS(1503), 1,
      anon_sym_PIPE,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1501), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1479), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1485), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1507), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [9701] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1475), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1487), 1,
      anon_sym_AMP,
    ACTIONS(1499), 1,
      anon_sym_QMARK,
    ACTIONS(1503), 1,
      anon_sym_PIPE,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1501), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1479), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1485), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1509), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [9780] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1511), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1513), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [9827] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1475), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1487), 1,
      anon_sym_AMP,
    ACTIONS(1499), 1,
      anon_sym_QMARK,
    ACTIONS(1503), 1,
      anon_sym_PIPE,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1501), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1479), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1485), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1515), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [9906] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1517), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1519), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [9965] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1399), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1401), 23,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [10018] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1521), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1523), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [10065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1525), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1527), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [10112] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1475), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1487), 1,
      anon_sym_AMP,
    ACTIONS(1499), 1,
      anon_sym_QMARK,
    ACTIONS(1503), 1,
      anon_sym_PIPE,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1501), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1479), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1485), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1529), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [10191] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1475), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1487), 1,
      anon_sym_AMP,
    ACTIONS(1499), 1,
      anon_sym_QMARK,
    ACTIONS(1503), 1,
      anon_sym_PIPE,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1501), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1479), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1485), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1531), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [10270] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1533), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1535), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [10317] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1475), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1487), 1,
      anon_sym_AMP,
    ACTIONS(1499), 1,
      anon_sym_QMARK,
    ACTIONS(1503), 1,
      anon_sym_PIPE,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1501), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1479), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1485), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1537), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [10396] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1475), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1487), 1,
      anon_sym_AMP,
    ACTIONS(1499), 1,
      anon_sym_QMARK,
    ACTIONS(1503), 1,
      anon_sym_PIPE,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1501), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1479), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1485), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1539), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [10475] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1475), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1487), 1,
      anon_sym_AMP,
    ACTIONS(1499), 1,
      anon_sym_QMARK,
    ACTIONS(1503), 1,
      anon_sym_PIPE,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1501), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1479), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1485), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1541), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [10554] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1475), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1487), 1,
      anon_sym_AMP,
    ACTIONS(1499), 1,
      anon_sym_QMARK,
    ACTIONS(1503), 1,
      anon_sym_PIPE,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1501), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1479), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1485), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1543), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [10633] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1517), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1519), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [10692] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1469), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1471), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [10751] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1475), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1479), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1485), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1469), 9,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1471), 15,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [10816] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1475), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1487), 1,
      anon_sym_AMP,
    ACTIONS(1499), 1,
      anon_sym_QMARK,
    ACTIONS(1503), 1,
      anon_sym_PIPE,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1501), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1479), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1485), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1545), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [10895] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1475), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1469), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1479), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1485), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1471), 10,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
  [10966] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(396), 1,
      anon_sym_EQ,
    ACTIONS(1547), 1,
      sym__automatic_semicolon,
    ACTIONS(394), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(392), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [11017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1549), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1551), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [11064] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1553), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1555), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [11111] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1475), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1487), 1,
      anon_sym_AMP,
    ACTIONS(1499), 1,
      anon_sym_QMARK,
    ACTIONS(1503), 1,
      anon_sym_PIPE,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1501), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1479), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1485), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1557), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [11190] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1475), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1479), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1485), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1469), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1471), 15,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [11257] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1517), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1519), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [11316] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(396), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(398), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [11363] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1559), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1561), 21,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [11420] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1475), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1487), 1,
      anon_sym_AMP,
    ACTIONS(1499), 1,
      anon_sym_QMARK,
    ACTIONS(1503), 1,
      anon_sym_PIPE,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1501), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1479), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1485), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1563), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [11499] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1475), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1487), 1,
      anon_sym_AMP,
    ACTIONS(1499), 1,
      anon_sym_QMARK,
    ACTIONS(1503), 1,
      anon_sym_PIPE,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1501), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1479), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1485), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1565), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [11578] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(366), 1,
      sym_template_string,
    STATE(419), 1,
      sym_arguments,
    ACTIONS(1373), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1375), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [11629] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1475), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1487), 1,
      anon_sym_AMP,
    ACTIONS(1499), 1,
      anon_sym_QMARK,
    ACTIONS(1503), 1,
      anon_sym_PIPE,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1501), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1479), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1485), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1567), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [11708] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1569), 1,
      anon_sym_EQ,
    STATE(418), 1,
      sym_arguments,
    ACTIONS(1373), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1375), 24,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [11761] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1571), 1,
      anon_sym_EQ,
    STATE(418), 1,
      sym_arguments,
    ACTIONS(1373), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1375), 24,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [11814] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1573), 1,
      sym__automatic_semicolon,
    ACTIONS(470), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(468), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [11862] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1475), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1487), 1,
      anon_sym_AMP,
    ACTIONS(1499), 1,
      anon_sym_QMARK,
    ACTIONS(1503), 1,
      anon_sym_PIPE,
    ACTIONS(1575), 1,
      anon_sym_COMMA,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1501), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1479), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1485), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1577), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [11942] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    STATE(418), 1,
      sym_arguments,
    ACTIONS(1373), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1375), 24,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [11992] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1547), 1,
      sym__automatic_semicolon,
    ACTIONS(394), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(392), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12040] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1571), 1,
      anon_sym_EQ,
    ACTIONS(1399), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1401), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12088] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1579), 1,
      anon_sym_EQ_GT,
    ACTIONS(1450), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1452), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12136] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1585), 1,
      sym_regex_flags,
    ACTIONS(1581), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(1583), 24,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12184] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1569), 1,
      anon_sym_EQ,
    ACTIONS(1399), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1401), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1587), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1507), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12277] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1589), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1565), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12322] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1591), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1593), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1595), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12412] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1599), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1601), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12457] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1603), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1605), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12502] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1408), 1,
      anon_sym_DOT,
    ACTIONS(1414), 1,
      anon_sym_LPAREN,
    ACTIONS(1611), 1,
      anon_sym_LBRACK,
    ACTIONS(1613), 1,
      anon_sym_QMARK,
    ACTIONS(1615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1621), 1,
      anon_sym_AMP,
    ACTIONS(1623), 1,
      anon_sym_PIPE,
    ACTIONS(1627), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1617), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1625), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1631), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(498), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1607), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1619), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1515), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(1609), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1629), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [12579] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1591), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1593), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12624] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1408), 1,
      anon_sym_DOT,
    ACTIONS(1414), 1,
      anon_sym_LPAREN,
    ACTIONS(1611), 1,
      anon_sym_LBRACK,
    STATE(498), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1559), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1561), 19,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [12679] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1408), 1,
      anon_sym_DOT,
    ACTIONS(1414), 1,
      anon_sym_LPAREN,
    ACTIONS(1611), 1,
      anon_sym_LBRACK,
    ACTIONS(1631), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(498), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1517), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1519), 17,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [12736] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(400), 1,
      sym__automatic_semicolon,
    ACTIONS(392), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(396), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(398), 21,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12785] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1408), 1,
      anon_sym_DOT,
    ACTIONS(1414), 1,
      anon_sym_LPAREN,
    ACTIONS(1611), 1,
      anon_sym_LBRACK,
    ACTIONS(1613), 1,
      anon_sym_QMARK,
    ACTIONS(1615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1621), 1,
      anon_sym_AMP,
    ACTIONS(1623), 1,
      anon_sym_PIPE,
    ACTIONS(1627), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1617), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1625), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1631), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(498), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1607), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1619), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1557), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(1609), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1629), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [12862] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1408), 1,
      anon_sym_DOT,
    ACTIONS(1414), 1,
      anon_sym_LPAREN,
    ACTIONS(1611), 1,
      anon_sym_LBRACK,
    ACTIONS(1613), 1,
      anon_sym_QMARK,
    ACTIONS(1615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1621), 1,
      anon_sym_AMP,
    ACTIONS(1623), 1,
      anon_sym_PIPE,
    ACTIONS(1627), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1617), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1625), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1631), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(498), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1607), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1619), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1497), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(1609), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1629), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [12939] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1408), 1,
      anon_sym_DOT,
    ACTIONS(1414), 1,
      anon_sym_LPAREN,
    ACTIONS(1611), 1,
      anon_sym_LBRACK,
    ACTIONS(1631), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(498), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1517), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1519), 17,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [12996] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1408), 1,
      anon_sym_DOT,
    ACTIONS(1414), 1,
      anon_sym_LPAREN,
    ACTIONS(1611), 1,
      anon_sym_LBRACK,
    ACTIONS(1631), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(498), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1517), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1519), 17,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [13053] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(366), 1,
      sym_template_string,
    STATE(524), 1,
      sym_arguments,
    ACTIONS(1373), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1375), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1633), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1635), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13147] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1414), 1,
      anon_sym_LPAREN,
    ACTIONS(1571), 1,
      anon_sym_EQ,
    STATE(523), 1,
      sym_arguments,
    ACTIONS(1373), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1375), 22,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13198] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1414), 1,
      anon_sym_LPAREN,
    ACTIONS(1569), 1,
      anon_sym_EQ,
    STATE(523), 1,
      sym_arguments,
    ACTIONS(1373), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1375), 22,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13249] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1637), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1639), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1641), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1643), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(484), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(486), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13384] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1525), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1527), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13429] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1475), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1487), 1,
      anon_sym_AMP,
    ACTIONS(1499), 1,
      anon_sym_QMARK,
    ACTIONS(1503), 1,
      anon_sym_PIPE,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1501), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1479), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1485), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1645), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [13506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1553), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1555), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(408), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(410), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13596] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1408), 1,
      anon_sym_DOT,
    ACTIONS(1414), 1,
      anon_sym_LPAREN,
    ACTIONS(1611), 1,
      anon_sym_LBRACK,
    ACTIONS(1613), 1,
      anon_sym_QMARK,
    ACTIONS(1615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1621), 1,
      anon_sym_AMP,
    ACTIONS(1623), 1,
      anon_sym_PIPE,
    ACTIONS(1627), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1617), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1625), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1631), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(498), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1607), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1619), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1567), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(1609), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1629), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [13673] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(428), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(430), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13718] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(448), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(450), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13763] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1408), 1,
      anon_sym_DOT,
    ACTIONS(1414), 1,
      anon_sym_LPAREN,
    ACTIONS(1611), 1,
      anon_sym_LBRACK,
    ACTIONS(1613), 1,
      anon_sym_QMARK,
    ACTIONS(1615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1621), 1,
      anon_sym_AMP,
    ACTIONS(1623), 1,
      anon_sym_PIPE,
    ACTIONS(1627), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1617), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1625), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1631), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(498), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1607), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1619), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1565), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(1609), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1629), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [13840] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1408), 1,
      anon_sym_DOT,
    ACTIONS(1414), 1,
      anon_sym_LPAREN,
    ACTIONS(1611), 1,
      anon_sym_LBRACK,
    ACTIONS(1613), 1,
      anon_sym_QMARK,
    ACTIONS(1615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1621), 1,
      anon_sym_AMP,
    ACTIONS(1623), 1,
      anon_sym_PIPE,
    ACTIONS(1627), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1617), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1625), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1631), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(498), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1607), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1619), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1563), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(1609), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1629), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [13917] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(474), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(472), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1647), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1649), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14007] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1511), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1513), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14052] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(418), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(420), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14097] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1653), 1,
      anon_sym_in,
    ACTIONS(1656), 1,
      anon_sym_of,
    ACTIONS(1658), 1,
      anon_sym_EQ,
    STATE(826), 1,
      sym__initializer,
    ACTIONS(1651), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(1399), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1401), 19,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14152] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1662), 1,
      anon_sym_in,
    ACTIONS(1665), 1,
      anon_sym_of,
    ACTIONS(1667), 1,
      anon_sym_EQ,
    STATE(824), 1,
      sym__initializer,
    ACTIONS(1660), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(1399), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1401), 19,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14207] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1414), 1,
      anon_sym_LPAREN,
    STATE(498), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1399), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1401), 21,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [14258] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1493), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1495), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1669), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1557), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14348] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1408), 1,
      anon_sym_DOT,
    ACTIONS(1414), 1,
      anon_sym_LPAREN,
    ACTIONS(1611), 1,
      anon_sym_LBRACK,
    ACTIONS(1613), 1,
      anon_sym_QMARK,
    ACTIONS(1615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1621), 1,
      anon_sym_AMP,
    ACTIONS(1623), 1,
      anon_sym_PIPE,
    ACTIONS(1627), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1617), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1625), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1631), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(498), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1607), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1619), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1545), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(1609), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1629), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [14425] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1408), 1,
      anon_sym_DOT,
    ACTIONS(1414), 1,
      anon_sym_LPAREN,
    ACTIONS(1611), 1,
      anon_sym_LBRACK,
    ACTIONS(1613), 1,
      anon_sym_QMARK,
    ACTIONS(1615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1621), 1,
      anon_sym_AMP,
    ACTIONS(1623), 1,
      anon_sym_PIPE,
    ACTIONS(1627), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1617), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1625), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1631), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(498), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1607), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1619), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1507), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(1609), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1629), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [14502] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1549), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1551), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14547] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1408), 1,
      anon_sym_DOT,
    ACTIONS(1414), 1,
      anon_sym_LPAREN,
    ACTIONS(1611), 1,
      anon_sym_LBRACK,
    ACTIONS(1627), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1631), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(498), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1469), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1471), 16,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [14606] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1408), 1,
      anon_sym_DOT,
    ACTIONS(1414), 1,
      anon_sym_LPAREN,
    ACTIONS(1611), 1,
      anon_sym_LBRACK,
    ACTIONS(1613), 1,
      anon_sym_QMARK,
    ACTIONS(1615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1621), 1,
      anon_sym_AMP,
    ACTIONS(1623), 1,
      anon_sym_PIPE,
    ACTIONS(1627), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1617), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1625), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1631), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(498), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1607), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1619), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1509), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(1609), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1629), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [14683] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(396), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(398), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14728] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1408), 1,
      anon_sym_DOT,
    ACTIONS(1414), 1,
      anon_sym_LPAREN,
    ACTIONS(1611), 1,
      anon_sym_LBRACK,
    ACTIONS(1627), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1625), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1631), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(498), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1607), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1619), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1469), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1471), 13,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [14793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1673), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14838] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1408), 1,
      anon_sym_DOT,
    ACTIONS(1414), 1,
      anon_sym_LPAREN,
    ACTIONS(1611), 1,
      anon_sym_LBRACK,
    ACTIONS(1627), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1469), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1625), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1631), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(498), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1607), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1619), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1609), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1629), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1471), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
  [14907] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1408), 1,
      anon_sym_DOT,
    ACTIONS(1414), 1,
      anon_sym_LPAREN,
    ACTIONS(1469), 1,
      anon_sym_PIPE,
    ACTIONS(1611), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1621), 1,
      anon_sym_AMP,
    ACTIONS(1627), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1625), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1631), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(498), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1607), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1619), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1609), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1629), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1471), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
  [14980] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1408), 1,
      anon_sym_DOT,
    ACTIONS(1414), 1,
      anon_sym_LPAREN,
    ACTIONS(1611), 1,
      anon_sym_LBRACK,
    ACTIONS(1627), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1631), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(498), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1607), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1619), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1469), 9,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1471), 13,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [15043] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1408), 1,
      anon_sym_DOT,
    ACTIONS(1414), 1,
      anon_sym_LPAREN,
    ACTIONS(1611), 1,
      anon_sym_LBRACK,
    ACTIONS(1631), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(498), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1469), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1471), 17,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [15100] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1408), 1,
      anon_sym_DOT,
    ACTIONS(1414), 1,
      anon_sym_LPAREN,
    ACTIONS(1611), 1,
      anon_sym_LBRACK,
    ACTIONS(1613), 1,
      anon_sym_QMARK,
    ACTIONS(1615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1621), 1,
      anon_sym_AMP,
    ACTIONS(1623), 1,
      anon_sym_PIPE,
    ACTIONS(1627), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1617), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1625), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1631), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(498), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1607), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1619), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1543), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(1609), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1629), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [15177] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1408), 1,
      anon_sym_DOT,
    ACTIONS(1414), 1,
      anon_sym_LPAREN,
    ACTIONS(1611), 1,
      anon_sym_LBRACK,
    ACTIONS(1613), 1,
      anon_sym_QMARK,
    ACTIONS(1615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1621), 1,
      anon_sym_AMP,
    ACTIONS(1623), 1,
      anon_sym_PIPE,
    ACTIONS(1627), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1617), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1625), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1631), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(498), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1607), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1619), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1539), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(1609), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1629), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [15254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1675), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1677), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1679), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1681), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15344] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1408), 1,
      anon_sym_DOT,
    ACTIONS(1414), 1,
      anon_sym_LPAREN,
    ACTIONS(1611), 1,
      anon_sym_LBRACK,
    ACTIONS(1613), 1,
      anon_sym_QMARK,
    ACTIONS(1615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1621), 1,
      anon_sym_AMP,
    ACTIONS(1623), 1,
      anon_sym_PIPE,
    ACTIONS(1627), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1617), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1625), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1631), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(498), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1607), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1619), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1541), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(1609), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1629), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [15421] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1683), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1685), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15466] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1683), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1685), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1641), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1643), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15556] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1687), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1689), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15601] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1408), 1,
      anon_sym_DOT,
    ACTIONS(1414), 1,
      anon_sym_LPAREN,
    ACTIONS(1611), 1,
      anon_sym_LBRACK,
    ACTIONS(1613), 1,
      anon_sym_QMARK,
    ACTIONS(1615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1621), 1,
      anon_sym_AMP,
    ACTIONS(1623), 1,
      anon_sym_PIPE,
    ACTIONS(1627), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1617), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1625), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1631), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(498), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1607), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1619), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1537), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(1609), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1629), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [15678] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1408), 1,
      anon_sym_DOT,
    ACTIONS(1414), 1,
      anon_sym_LPAREN,
    ACTIONS(1611), 1,
      anon_sym_LBRACK,
    ACTIONS(1613), 1,
      anon_sym_QMARK,
    ACTIONS(1615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1621), 1,
      anon_sym_AMP,
    ACTIONS(1623), 1,
      anon_sym_PIPE,
    ACTIONS(1627), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1617), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1625), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1631), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(498), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1607), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1619), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1531), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(1609), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1629), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [15755] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1408), 1,
      anon_sym_DOT,
    ACTIONS(1414), 1,
      anon_sym_LPAREN,
    ACTIONS(1611), 1,
      anon_sym_LBRACK,
    ACTIONS(1613), 1,
      anon_sym_QMARK,
    ACTIONS(1615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1621), 1,
      anon_sym_AMP,
    ACTIONS(1623), 1,
      anon_sym_PIPE,
    ACTIONS(1627), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1617), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1625), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1631), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(498), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1607), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1619), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1505), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(1609), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1629), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [15832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(456), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(454), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(470), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(468), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15922] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1408), 1,
      anon_sym_DOT,
    ACTIONS(1414), 1,
      anon_sym_LPAREN,
    ACTIONS(1611), 1,
      anon_sym_LBRACK,
    ACTIONS(1613), 1,
      anon_sym_QMARK,
    ACTIONS(1615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1621), 1,
      anon_sym_AMP,
    ACTIONS(1623), 1,
      anon_sym_PIPE,
    ACTIONS(1627), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1617), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1625), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1631), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(498), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1607), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1619), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1529), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(1609), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1629), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [15999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(438), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(440), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1691), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1693), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16089] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1695), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1537), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(462), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(464), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16179] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(494), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(496), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1697), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1699), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16269] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1701), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1703), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1705), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1707), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(478), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(476), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16404] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1709), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1711), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16449] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1713), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1715), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1545), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16539] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1465), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16584] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1719), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1721), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1723), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1509), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16674] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1725), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1727), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1729), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1731), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16764] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1733), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1735), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16809] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1737), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1739), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16854] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1408), 1,
      anon_sym_DOT,
    ACTIONS(1414), 1,
      anon_sym_LPAREN,
    ACTIONS(1611), 1,
      anon_sym_LBRACK,
    ACTIONS(1613), 1,
      anon_sym_QMARK,
    ACTIONS(1615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1621), 1,
      anon_sym_AMP,
    ACTIONS(1623), 1,
      anon_sym_PIPE,
    ACTIONS(1627), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1741), 1,
      anon_sym_COMMA,
    ACTIONS(1744), 1,
      anon_sym_RBRACE,
    ACTIONS(1539), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1617), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1625), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1631), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(498), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1607), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1619), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1609), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1629), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [16935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1521), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1523), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16980] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1408), 1,
      anon_sym_DOT,
    ACTIONS(1414), 1,
      anon_sym_LPAREN,
    ACTIONS(1611), 1,
      anon_sym_LBRACK,
    ACTIONS(1613), 1,
      anon_sym_QMARK,
    ACTIONS(1615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1621), 1,
      anon_sym_AMP,
    ACTIONS(1623), 1,
      anon_sym_PIPE,
    ACTIONS(1627), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1746), 1,
      anon_sym_COMMA,
    ACTIONS(1749), 1,
      anon_sym_RBRACE,
    ACTIONS(1515), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1617), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1625), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1631), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(498), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1607), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1619), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1609), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1629), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [17061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1533), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1535), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17106] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1408), 1,
      anon_sym_DOT,
    ACTIONS(1414), 1,
      anon_sym_LPAREN,
    ACTIONS(1611), 1,
      anon_sym_LBRACK,
    ACTIONS(1613), 1,
      anon_sym_QMARK,
    ACTIONS(1615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1621), 1,
      anon_sym_AMP,
    ACTIONS(1623), 1,
      anon_sym_PIPE,
    ACTIONS(1627), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1749), 1,
      anon_sym_RBRACE,
    ACTIONS(1751), 1,
      anon_sym_COMMA,
    ACTIONS(1567), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1617), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1625), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1631), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(498), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1607), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1619), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1609), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1629), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [17187] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1408), 1,
      anon_sym_DOT,
    ACTIONS(1414), 1,
      anon_sym_LPAREN,
    ACTIONS(1611), 1,
      anon_sym_LBRACK,
    ACTIONS(1613), 1,
      anon_sym_QMARK,
    ACTIONS(1615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1621), 1,
      anon_sym_AMP,
    ACTIONS(1623), 1,
      anon_sym_PIPE,
    ACTIONS(1627), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1754), 1,
      anon_sym_COMMA,
    ACTIONS(1757), 1,
      anon_sym_RBRACE,
    ACTIONS(1543), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1617), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1625), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1631), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(498), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1607), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1619), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1609), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1629), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [17268] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1475), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1487), 1,
      anon_sym_AMP,
    ACTIONS(1499), 1,
      anon_sym_QMARK,
    ACTIONS(1503), 1,
      anon_sym_PIPE,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1501), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1479), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1485), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1749), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [17344] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1475), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1487), 1,
      anon_sym_AMP,
    ACTIONS(1499), 1,
      anon_sym_QMARK,
    ACTIONS(1503), 1,
      anon_sym_PIPE,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1501), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1479), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1485), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1757), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [17420] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1475), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1487), 1,
      anon_sym_AMP,
    ACTIONS(1499), 1,
      anon_sym_QMARK,
    ACTIONS(1503), 1,
      anon_sym_PIPE,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1501), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1479), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1485), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1744), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [17496] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1759), 1,
      anon_sym_LPAREN,
    ACTIONS(1762), 1,
      anon_sym_COLON,
    ACTIONS(1511), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1513), 21,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17544] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(442), 1,
      sym__automatic_semicolon,
    ACTIONS(434), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(438), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(440), 21,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17592] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(466), 1,
      sym__automatic_semicolon,
    ACTIONS(458), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(462), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(464), 21,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17640] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(498), 1,
      sym__automatic_semicolon,
    ACTIONS(490), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(494), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(496), 21,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17688] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(452), 1,
      sym__automatic_semicolon,
    ACTIONS(444), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(448), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(450), 21,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17736] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(432), 1,
      sym__automatic_semicolon,
    ACTIONS(424), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(428), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(430), 21,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17784] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_in,
    ACTIONS(1767), 1,
      anon_sym_of,
    ACTIONS(1769), 1,
      anon_sym_EQ,
    ACTIONS(1399), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1401), 22,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17834] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(412), 1,
      sym__automatic_semicolon,
    ACTIONS(404), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(408), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(410), 21,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17882] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_in,
    ACTIONS(1774), 1,
      anon_sym_of,
    ACTIONS(1776), 1,
      anon_sym_EQ,
    ACTIONS(1399), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1401), 22,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17932] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(488), 1,
      sym__automatic_semicolon,
    ACTIONS(480), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(484), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(486), 21,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17980] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(396), 1,
      anon_sym_EQ,
    ACTIONS(402), 1,
      sym__automatic_semicolon,
    ACTIONS(394), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(392), 22,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18028] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1778), 1,
      sym_regex_flags,
    ACTIONS(1581), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(1583), 22,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18074] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1408), 1,
      anon_sym_DOT,
    ACTIONS(1414), 1,
      anon_sym_LPAREN,
    ACTIONS(1611), 1,
      anon_sym_LBRACK,
    ACTIONS(1613), 1,
      anon_sym_QMARK,
    ACTIONS(1615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1621), 1,
      anon_sym_AMP,
    ACTIONS(1623), 1,
      anon_sym_PIPE,
    ACTIONS(1627), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1617), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1625), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1631), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(498), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1607), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1619), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1780), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(1609), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1629), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [18150] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1408), 1,
      anon_sym_DOT,
    ACTIONS(1414), 1,
      anon_sym_LPAREN,
    ACTIONS(1611), 1,
      anon_sym_LBRACK,
    ACTIONS(1613), 1,
      anon_sym_QMARK,
    ACTIONS(1615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1621), 1,
      anon_sym_AMP,
    ACTIONS(1623), 1,
      anon_sym_PIPE,
    ACTIONS(1627), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1782), 1,
      anon_sym_COMMA,
    ACTIONS(1617), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1625), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1631), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1784), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(498), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1607), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1619), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1609), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1629), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [18228] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1408), 1,
      anon_sym_DOT,
    ACTIONS(1414), 1,
      anon_sym_LPAREN,
    ACTIONS(1611), 1,
      anon_sym_LBRACK,
    ACTIONS(1613), 1,
      anon_sym_QMARK,
    ACTIONS(1615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1621), 1,
      anon_sym_AMP,
    ACTIONS(1623), 1,
      anon_sym_PIPE,
    ACTIONS(1627), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1782), 1,
      anon_sym_COMMA,
    ACTIONS(1617), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1625), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1631), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1786), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(498), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1607), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1619), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1609), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1629), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [18306] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1579), 1,
      anon_sym_EQ_GT,
    ACTIONS(1450), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1452), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18352] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1408), 1,
      anon_sym_DOT,
    ACTIONS(1414), 1,
      anon_sym_LPAREN,
    ACTIONS(1611), 1,
      anon_sym_LBRACK,
    ACTIONS(1613), 1,
      anon_sym_QMARK,
    ACTIONS(1615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1621), 1,
      anon_sym_AMP,
    ACTIONS(1623), 1,
      anon_sym_PIPE,
    ACTIONS(1627), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1782), 1,
      anon_sym_COMMA,
    ACTIONS(1577), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1617), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1625), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1631), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(498), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1607), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1619), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1609), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1629), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [18430] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(512), 1,
      anon_sym_COMMA,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1475), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1487), 1,
      anon_sym_AMP,
    ACTIONS(1499), 1,
      anon_sym_QMARK,
    ACTIONS(1503), 1,
      anon_sym_PIPE,
    ACTIONS(1788), 1,
      anon_sym_RBRACK,
    STATE(838), 1,
      aux_sym_array_repeat1,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1501), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1479), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1485), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [18510] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(422), 1,
      sym__automatic_semicolon,
    ACTIONS(414), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(418), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(420), 21,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18558] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1408), 1,
      anon_sym_DOT,
    ACTIONS(1414), 1,
      anon_sym_LPAREN,
    ACTIONS(1611), 1,
      anon_sym_LBRACK,
    ACTIONS(1613), 1,
      anon_sym_QMARK,
    ACTIONS(1615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1621), 1,
      anon_sym_AMP,
    ACTIONS(1623), 1,
      anon_sym_PIPE,
    ACTIONS(1627), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1617), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1625), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1631), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(498), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1607), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1619), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1780), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(1609), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1629), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [18634] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(512), 1,
      anon_sym_COMMA,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1475), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1487), 1,
      anon_sym_AMP,
    ACTIONS(1499), 1,
      anon_sym_QMARK,
    ACTIONS(1503), 1,
      anon_sym_PIPE,
    ACTIONS(1790), 1,
      anon_sym_RBRACK,
    STATE(847), 1,
      aux_sym_array_repeat1,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1501), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1479), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1485), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [18714] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1408), 1,
      anon_sym_DOT,
    ACTIONS(1414), 1,
      anon_sym_LPAREN,
    ACTIONS(1611), 1,
      anon_sym_LBRACK,
    ACTIONS(1613), 1,
      anon_sym_QMARK,
    ACTIONS(1615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1621), 1,
      anon_sym_AMP,
    ACTIONS(1623), 1,
      anon_sym_PIPE,
    ACTIONS(1627), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1617), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1625), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1631), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(498), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1607), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1619), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1780), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(1609), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1629), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [18790] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1408), 1,
      anon_sym_DOT,
    ACTIONS(1414), 1,
      anon_sym_LPAREN,
    ACTIONS(1611), 1,
      anon_sym_LBRACK,
    ACTIONS(1613), 1,
      anon_sym_QMARK,
    ACTIONS(1615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1621), 1,
      anon_sym_AMP,
    ACTIONS(1623), 1,
      anon_sym_PIPE,
    ACTIONS(1627), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1782), 1,
      anon_sym_COMMA,
    ACTIONS(1617), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1625), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1631), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1792), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(498), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1607), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1619), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1609), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1629), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [18868] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1776), 1,
      anon_sym_EQ,
    ACTIONS(1399), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1401), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18914] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(512), 1,
      anon_sym_COMMA,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1475), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1487), 1,
      anon_sym_AMP,
    ACTIONS(1499), 1,
      anon_sym_QMARK,
    ACTIONS(1503), 1,
      anon_sym_PIPE,
    ACTIONS(1794), 1,
      anon_sym_RBRACK,
    STATE(847), 1,
      aux_sym_array_repeat1,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1501), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1479), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1485), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [18994] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1769), 1,
      anon_sym_EQ,
    ACTIONS(1399), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1401), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19040] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(512), 1,
      anon_sym_COMMA,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1475), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1487), 1,
      anon_sym_AMP,
    ACTIONS(1499), 1,
      anon_sym_QMARK,
    ACTIONS(1503), 1,
      anon_sym_PIPE,
    ACTIONS(1796), 1,
      anon_sym_RPAREN,
    STATE(881), 1,
      aux_sym_array_repeat1,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1501), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1479), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1485), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [19120] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1408), 1,
      anon_sym_DOT,
    ACTIONS(1414), 1,
      anon_sym_LPAREN,
    ACTIONS(1611), 1,
      anon_sym_LBRACK,
    ACTIONS(1613), 1,
      anon_sym_QMARK,
    ACTIONS(1615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1621), 1,
      anon_sym_AMP,
    ACTIONS(1623), 1,
      anon_sym_PIPE,
    ACTIONS(1627), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1617), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1625), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1631), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(498), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1607), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1619), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1780), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(1609), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1629), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [19196] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(512), 1,
      anon_sym_COMMA,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1475), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1487), 1,
      anon_sym_AMP,
    ACTIONS(1499), 1,
      anon_sym_QMARK,
    ACTIONS(1503), 1,
      anon_sym_PIPE,
    ACTIONS(1798), 1,
      anon_sym_RPAREN,
    STATE(834), 1,
      aux_sym_array_repeat1,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1501), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1479), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1485), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [19276] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1414), 1,
      anon_sym_LPAREN,
    STATE(523), 1,
      sym_arguments,
    ACTIONS(1373), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1375), 22,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19324] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1475), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1487), 1,
      anon_sym_AMP,
    ACTIONS(1499), 1,
      anon_sym_QMARK,
    ACTIONS(1503), 1,
      anon_sym_PIPE,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1501), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1479), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1485), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1800), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [19400] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(512), 1,
      anon_sym_COMMA,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1475), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1487), 1,
      anon_sym_AMP,
    ACTIONS(1499), 1,
      anon_sym_QMARK,
    ACTIONS(1503), 1,
      anon_sym_PIPE,
    ACTIONS(1802), 1,
      anon_sym_RBRACK,
    STATE(838), 1,
      aux_sym_array_repeat1,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1501), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1479), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1485), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [19480] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1475), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1487), 1,
      anon_sym_AMP,
    ACTIONS(1499), 1,
      anon_sym_QMARK,
    ACTIONS(1503), 1,
      anon_sym_PIPE,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1501), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1804), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1479), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1485), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [19555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(448), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(450), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19598] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1475), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1487), 1,
      anon_sym_AMP,
    ACTIONS(1499), 1,
      anon_sym_QMARK,
    ACTIONS(1503), 1,
      anon_sym_PIPE,
    ACTIONS(1575), 1,
      anon_sym_COMMA,
    ACTIONS(1806), 1,
      anon_sym_RBRACE,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1501), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1479), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1485), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [19675] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1475), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1487), 1,
      anon_sym_AMP,
    ACTIONS(1499), 1,
      anon_sym_QMARK,
    ACTIONS(1503), 1,
      anon_sym_PIPE,
    ACTIONS(1575), 1,
      anon_sym_COMMA,
    ACTIONS(1808), 1,
      anon_sym_RBRACK,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1501), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1479), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1485), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [19752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1633), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1635), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19795] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1475), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1487), 1,
      anon_sym_AMP,
    ACTIONS(1499), 1,
      anon_sym_QMARK,
    ACTIONS(1503), 1,
      anon_sym_PIPE,
    ACTIONS(1575), 1,
      anon_sym_COMMA,
    ACTIONS(1810), 1,
      anon_sym_RBRACE,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1501), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1479), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1485), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [19872] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1475), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1487), 1,
      anon_sym_AMP,
    ACTIONS(1499), 1,
      anon_sym_QMARK,
    ACTIONS(1503), 1,
      anon_sym_PIPE,
    ACTIONS(1575), 1,
      anon_sym_COMMA,
    ACTIONS(1812), 1,
      anon_sym_RPAREN,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1501), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1479), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1485), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [19949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1637), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1639), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19992] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(418), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(420), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20035] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1475), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1487), 1,
      anon_sym_AMP,
    ACTIONS(1499), 1,
      anon_sym_QMARK,
    ACTIONS(1503), 1,
      anon_sym_PIPE,
    ACTIONS(1575), 1,
      anon_sym_COMMA,
    ACTIONS(1814), 1,
      anon_sym_RPAREN,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1501), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1479), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1485), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [20112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1603), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1605), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20155] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1408), 1,
      anon_sym_DOT,
    ACTIONS(1414), 1,
      anon_sym_LPAREN,
    ACTIONS(1611), 1,
      anon_sym_LBRACK,
    ACTIONS(1613), 1,
      anon_sym_QMARK,
    ACTIONS(1615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1621), 1,
      anon_sym_AMP,
    ACTIONS(1623), 1,
      anon_sym_PIPE,
    ACTIONS(1627), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1617), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1625), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1631), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1816), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(498), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1607), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1619), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1609), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1629), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [20230] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1475), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1487), 1,
      anon_sym_AMP,
    ACTIONS(1499), 1,
      anon_sym_QMARK,
    ACTIONS(1503), 1,
      anon_sym_PIPE,
    ACTIONS(1575), 1,
      anon_sym_COMMA,
    ACTIONS(1818), 1,
      anon_sym_RPAREN,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1501), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1479), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1485), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [20307] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1709), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1711), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20350] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1599), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1601), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1434), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1436), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20436] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1647), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1649), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20479] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1475), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1487), 1,
      anon_sym_AMP,
    ACTIONS(1499), 1,
      anon_sym_QMARK,
    ACTIONS(1503), 1,
      anon_sym_PIPE,
    ACTIONS(1575), 1,
      anon_sym_COMMA,
    ACTIONS(1820), 1,
      anon_sym_RPAREN,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1501), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1479), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1485), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [20556] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1475), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1487), 1,
      anon_sym_AMP,
    ACTIONS(1499), 1,
      anon_sym_QMARK,
    ACTIONS(1503), 1,
      anon_sym_PIPE,
    ACTIONS(1575), 1,
      anon_sym_COMMA,
    ACTIONS(1822), 1,
      anon_sym_RPAREN,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1501), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1479), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1485), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [20633] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1669), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1557), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20676] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1475), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1487), 1,
      anon_sym_AMP,
    ACTIONS(1499), 1,
      anon_sym_QMARK,
    ACTIONS(1503), 1,
      anon_sym_PIPE,
    ACTIONS(1575), 1,
      anon_sym_COMMA,
    ACTIONS(1824), 1,
      anon_sym_RPAREN,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1501), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1479), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1485), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [20753] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1465), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20796] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1691), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1693), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20839] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1475), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1487), 1,
      anon_sym_AMP,
    ACTIONS(1499), 1,
      anon_sym_QMARK,
    ACTIONS(1503), 1,
      anon_sym_PIPE,
    ACTIONS(1575), 1,
      anon_sym_COMMA,
    ACTIONS(1826), 1,
      anon_sym_RPAREN,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1501), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1479), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1485), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [20916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1673), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20959] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1675), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1677), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21002] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1475), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1487), 1,
      anon_sym_AMP,
    ACTIONS(1499), 1,
      anon_sym_QMARK,
    ACTIONS(1503), 1,
      anon_sym_PIPE,
    ACTIONS(1575), 1,
      anon_sym_COMMA,
    ACTIONS(1828), 1,
      anon_sym_RPAREN,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1501), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1479), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1485), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [21079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1695), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1537), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21122] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1475), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1487), 1,
      anon_sym_AMP,
    ACTIONS(1499), 1,
      anon_sym_QMARK,
    ACTIONS(1503), 1,
      anon_sym_PIPE,
    ACTIONS(1575), 1,
      anon_sym_COMMA,
    ACTIONS(1830), 1,
      anon_sym_RBRACK,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1501), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1479), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1485), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [21199] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1475), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1487), 1,
      anon_sym_AMP,
    ACTIONS(1499), 1,
      anon_sym_QMARK,
    ACTIONS(1503), 1,
      anon_sym_PIPE,
    ACTIONS(1575), 1,
      anon_sym_COMMA,
    ACTIONS(1832), 1,
      anon_sym_COLON,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1501), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1479), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1485), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [21276] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1475), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1487), 1,
      anon_sym_AMP,
    ACTIONS(1499), 1,
      anon_sym_QMARK,
    ACTIONS(1503), 1,
      anon_sym_PIPE,
    ACTIONS(1575), 1,
      anon_sym_COMMA,
    ACTIONS(1834), 1,
      anon_sym_RPAREN,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1501), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1479), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1485), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [21353] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1475), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1487), 1,
      anon_sym_AMP,
    ACTIONS(1499), 1,
      anon_sym_QMARK,
    ACTIONS(1503), 1,
      anon_sym_PIPE,
    ACTIONS(1575), 1,
      anon_sym_COMMA,
    ACTIONS(1836), 1,
      anon_sym_RPAREN,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1501), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1479), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1485), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [21430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1679), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1681), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1697), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1699), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21516] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1713), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1715), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1683), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1685), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21602] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1683), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1685), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21645] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(494), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(496), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21688] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1729), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1731), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21731] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1475), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1487), 1,
      anon_sym_AMP,
    ACTIONS(1499), 1,
      anon_sym_QMARK,
    ACTIONS(1503), 1,
      anon_sym_PIPE,
    ACTIONS(1575), 1,
      anon_sym_COMMA,
    ACTIONS(1838), 1,
      anon_sym_RBRACE,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1501), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1479), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1485), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [21808] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1705), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1707), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(462), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(464), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21894] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1475), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1487), 1,
      anon_sym_AMP,
    ACTIONS(1499), 1,
      anon_sym_QMARK,
    ACTIONS(1503), 1,
      anon_sym_PIPE,
    ACTIONS(1575), 1,
      anon_sym_COMMA,
    ACTIONS(1840), 1,
      anon_sym_RPAREN,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1501), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1479), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1485), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [21971] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1842), 1,
      anon_sym_LPAREN,
    ACTIONS(1845), 1,
      anon_sym_COLON,
    ACTIONS(1399), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1401), 21,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22018] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(438), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(440), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22061] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1475), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1487), 1,
      anon_sym_AMP,
    ACTIONS(1499), 1,
      anon_sym_QMARK,
    ACTIONS(1503), 1,
      anon_sym_PIPE,
    ACTIONS(1575), 1,
      anon_sym_COMMA,
    ACTIONS(1847), 1,
      anon_sym_RPAREN,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1501), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1479), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1485), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [22138] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1849), 1,
      anon_sym_EQ,
    ACTIONS(1399), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1401), 22,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22183] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1851), 1,
      anon_sym_EQ,
    ACTIONS(1399), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1401), 22,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22228] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1545), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22271] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1733), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1735), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(428), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(430), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(408), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(410), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22400] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1853), 1,
      anon_sym_COMMA,
    ACTIONS(1856), 1,
      anon_sym_RPAREN,
    ACTIONS(1859), 1,
      anon_sym_EQ,
    STATE(868), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(1399), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1401), 19,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1719), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1721), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1587), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1507), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1737), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1739), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22580] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1723), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1509), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22623] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1687), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1689), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22666] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1861), 1,
      anon_sym_COMMA,
    ACTIONS(1864), 1,
      anon_sym_RPAREN,
    ACTIONS(1867), 1,
      anon_sym_EQ,
    STATE(885), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(1399), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1401), 19,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22717] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1725), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1727), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22760] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1475), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1487), 1,
      anon_sym_AMP,
    ACTIONS(1499), 1,
      anon_sym_QMARK,
    ACTIONS(1503), 1,
      anon_sym_PIPE,
    ACTIONS(1575), 1,
      anon_sym_COMMA,
    ACTIONS(1869), 1,
      anon_sym_RPAREN,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1501), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1479), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1485), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [22837] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1475), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1487), 1,
      anon_sym_AMP,
    ACTIONS(1499), 1,
      anon_sym_QMARK,
    ACTIONS(1503), 1,
      anon_sym_PIPE,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1501), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1746), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1479), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1485), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [22912] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1475), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1487), 1,
      anon_sym_AMP,
    ACTIONS(1499), 1,
      anon_sym_QMARK,
    ACTIONS(1503), 1,
      anon_sym_PIPE,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1501), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1741), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1479), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1485), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [22987] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1408), 1,
      anon_sym_DOT,
    ACTIONS(1414), 1,
      anon_sym_LPAREN,
    ACTIONS(1611), 1,
      anon_sym_LBRACK,
    ACTIONS(1613), 1,
      anon_sym_QMARK,
    ACTIONS(1615), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1621), 1,
      anon_sym_AMP,
    ACTIONS(1623), 1,
      anon_sym_PIPE,
    ACTIONS(1627), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1617), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1625), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1631), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1871), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(498), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1607), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1619), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1609), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1629), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [23062] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1448), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1701), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1703), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23148] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(484), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(486), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23191] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1475), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1487), 1,
      anon_sym_AMP,
    ACTIONS(1499), 1,
      anon_sym_QMARK,
    ACTIONS(1503), 1,
      anon_sym_PIPE,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1501), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1751), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1479), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1485), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [23266] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1475), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1487), 1,
      anon_sym_AMP,
    ACTIONS(1499), 1,
      anon_sym_QMARK,
    ACTIONS(1503), 1,
      anon_sym_PIPE,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1501), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1754), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1479), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1485), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [23341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1595), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23384] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1450), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1452), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1589), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1565), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23470] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1475), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1487), 1,
      anon_sym_AMP,
    ACTIONS(1499), 1,
      anon_sym_QMARK,
    ACTIONS(1503), 1,
      anon_sym_PIPE,
    ACTIONS(1873), 1,
      anon_sym_RBRACK,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1501), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1479), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1485), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [23544] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1571), 1,
      anon_sym_EQ,
    ACTIONS(1875), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1399), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1401), 19,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23590] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1569), 1,
      anon_sym_EQ,
    ACTIONS(1878), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1399), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1401), 19,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23636] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1475), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1487), 1,
      anon_sym_AMP,
    ACTIONS(1499), 1,
      anon_sym_QMARK,
    ACTIONS(1503), 1,
      anon_sym_PIPE,
    ACTIONS(1881), 1,
      anon_sym_RBRACK,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1501), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1479), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1485), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [23710] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1475), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1487), 1,
      anon_sym_AMP,
    ACTIONS(1499), 1,
      anon_sym_QMARK,
    ACTIONS(1503), 1,
      anon_sym_PIPE,
    ACTIONS(1883), 1,
      anon_sym_COLON,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1501), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1479), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1485), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [23784] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1475), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1487), 1,
      anon_sym_AMP,
    ACTIONS(1499), 1,
      anon_sym_QMARK,
    ACTIONS(1503), 1,
      anon_sym_PIPE,
    ACTIONS(1885), 1,
      anon_sym_COLON,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1501), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1479), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1485), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [23858] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1475), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1487), 1,
      anon_sym_AMP,
    ACTIONS(1499), 1,
      anon_sym_QMARK,
    ACTIONS(1503), 1,
      anon_sym_PIPE,
    ACTIONS(1887), 1,
      anon_sym_LBRACE,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1501), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1479), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1485), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [23932] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1408), 1,
      anon_sym_DOT,
    ACTIONS(1475), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1487), 1,
      anon_sym_AMP,
    ACTIONS(1499), 1,
      anon_sym_QMARK,
    ACTIONS(1503), 1,
      anon_sym_PIPE,
    ACTIONS(1611), 1,
      anon_sym_LBRACK,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1501), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1479), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1485), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [24003] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1569), 1,
      anon_sym_EQ,
    ACTIONS(1662), 1,
      anon_sym_in,
    ACTIONS(1665), 1,
      anon_sym_of,
    ACTIONS(1399), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1401), 19,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24050] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1571), 1,
      anon_sym_EQ,
    ACTIONS(1653), 1,
      anon_sym_in,
    ACTIONS(1656), 1,
      anon_sym_of,
    ACTIONS(1399), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1401), 19,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24097] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    ACTIONS(1475), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1487), 1,
      anon_sym_AMP,
    ACTIONS(1499), 1,
      anon_sym_QMARK,
    ACTIONS(1503), 1,
      anon_sym_PIPE,
    ACTIONS(1477), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1501), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1479), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1485), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1481), 5,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [24168] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1571), 1,
      anon_sym_EQ,
    ACTIONS(1764), 1,
      anon_sym_in,
    ACTIONS(1767), 1,
      anon_sym_of,
    ACTIONS(1399), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1401), 19,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24215] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1569), 1,
      anon_sym_EQ,
    ACTIONS(1771), 1,
      anon_sym_in,
    ACTIONS(1774), 1,
      anon_sym_of,
    ACTIONS(1399), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1401), 19,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24262] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(93), 1,
      anon_sym_STAR,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(103), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(316), 1,
      anon_sym_LBRACE,
    ACTIONS(354), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(1889), 1,
      sym_identifier,
    ACTIONS(1891), 1,
      anon_sym_RBRACE,
    ACTIONS(1893), 1,
      anon_sym_LBRACK,
    ACTIONS(1895), 1,
      anon_sym_async,
    ACTIONS(1897), 1,
      sym_number,
    ACTIONS(1899), 1,
      anon_sym_static,
    STATE(601), 1,
      aux_sym_export_statement_repeat1,
    STATE(631), 1,
      sym_decorator,
    STATE(866), 1,
      aux_sym_object_repeat1,
    STATE(1123), 1,
      sym_array,
    STATE(1124), 1,
      sym_object,
    ACTIONS(1901), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(886), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(872), 4,
      sym_assignment_pattern,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
  [24335] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(93), 1,
      anon_sym_STAR,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(103), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(316), 1,
      anon_sym_LBRACE,
    ACTIONS(354), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(1893), 1,
      anon_sym_LBRACK,
    ACTIONS(1897), 1,
      sym_number,
    ACTIONS(1903), 1,
      sym_identifier,
    ACTIONS(1905), 1,
      anon_sym_RBRACE,
    ACTIONS(1907), 1,
      anon_sym_async,
    ACTIONS(1909), 1,
      anon_sym_static,
    STATE(601), 1,
      aux_sym_export_statement_repeat1,
    STATE(631), 1,
      sym_decorator,
    STATE(883), 1,
      aux_sym_object_repeat1,
    STATE(1123), 1,
      sym_array,
    STATE(1124), 1,
      sym_object,
    ACTIONS(1911), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(886), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(879), 4,
      sym_assignment_pattern,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
  [24408] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(93), 1,
      anon_sym_STAR,
    ACTIONS(103), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(316), 1,
      anon_sym_LBRACE,
    ACTIONS(354), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(1893), 1,
      anon_sym_LBRACK,
    ACTIONS(1897), 1,
      sym_number,
    ACTIONS(1913), 1,
      sym_identifier,
    ACTIONS(1917), 1,
      anon_sym_async,
    ACTIONS(1919), 1,
      anon_sym_static,
    STATE(601), 1,
      aux_sym_export_statement_repeat1,
    STATE(631), 1,
      sym_decorator,
    STATE(1123), 1,
      sym_array,
    STATE(1124), 1,
      sym_object,
    ACTIONS(1915), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1921), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(886), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1002), 4,
      sym_assignment_pattern,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
  [24476] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(75), 1,
      anon_sym_DQUOTE,
    ACTIONS(77), 1,
      anon_sym_SQUOTE,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(93), 1,
      anon_sym_STAR,
    ACTIONS(1923), 1,
      sym_identifier,
    ACTIONS(1925), 1,
      anon_sym_RBRACE,
    ACTIONS(1927), 1,
      anon_sym_LBRACK,
    ACTIONS(1929), 1,
      anon_sym_async,
    ACTIONS(1931), 1,
      sym_number,
    ACTIONS(1933), 1,
      anon_sym_static,
    STATE(579), 1,
      aux_sym_class_body_repeat1,
    STATE(601), 1,
      aux_sym_export_statement_repeat1,
    STATE(628), 1,
      sym_method_definition,
    STATE(631), 1,
      sym_decorator,
    STATE(1023), 1,
      sym_public_field_definition,
    ACTIONS(1935), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(682), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [24534] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(75), 1,
      anon_sym_DQUOTE,
    ACTIONS(77), 1,
      anon_sym_SQUOTE,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(93), 1,
      anon_sym_STAR,
    ACTIONS(1923), 1,
      sym_identifier,
    ACTIONS(1927), 1,
      anon_sym_LBRACK,
    ACTIONS(1929), 1,
      anon_sym_async,
    ACTIONS(1931), 1,
      sym_number,
    ACTIONS(1933), 1,
      anon_sym_static,
    ACTIONS(1937), 1,
      anon_sym_RBRACE,
    STATE(581), 1,
      aux_sym_class_body_repeat1,
    STATE(601), 1,
      aux_sym_export_statement_repeat1,
    STATE(628), 1,
      sym_method_definition,
    STATE(631), 1,
      sym_decorator,
    STATE(1023), 1,
      sym_public_field_definition,
    ACTIONS(1935), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(682), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [24592] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(75), 1,
      anon_sym_DQUOTE,
    ACTIONS(77), 1,
      anon_sym_SQUOTE,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(93), 1,
      anon_sym_STAR,
    ACTIONS(1923), 1,
      sym_identifier,
    ACTIONS(1927), 1,
      anon_sym_LBRACK,
    ACTIONS(1929), 1,
      anon_sym_async,
    ACTIONS(1931), 1,
      sym_number,
    ACTIONS(1933), 1,
      anon_sym_static,
    ACTIONS(1939), 1,
      anon_sym_RBRACE,
    STATE(582), 1,
      aux_sym_class_body_repeat1,
    STATE(601), 1,
      aux_sym_export_statement_repeat1,
    STATE(628), 1,
      sym_method_definition,
    STATE(631), 1,
      sym_decorator,
    STATE(1023), 1,
      sym_public_field_definition,
    ACTIONS(1935), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(682), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [24650] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      sym_identifier,
    ACTIONS(1944), 1,
      anon_sym_STAR,
    ACTIONS(1947), 1,
      anon_sym_RBRACE,
    ACTIONS(1949), 1,
      anon_sym_LBRACK,
    ACTIONS(1952), 1,
      anon_sym_async,
    ACTIONS(1955), 1,
      anon_sym_DQUOTE,
    ACTIONS(1958), 1,
      anon_sym_SQUOTE,
    ACTIONS(1961), 1,
      sym_number,
    ACTIONS(1964), 1,
      anon_sym_AT,
    ACTIONS(1967), 1,
      anon_sym_static,
    STATE(579), 1,
      aux_sym_class_body_repeat1,
    STATE(601), 1,
      aux_sym_export_statement_repeat1,
    STATE(628), 1,
      sym_method_definition,
    STATE(631), 1,
      sym_decorator,
    STATE(1023), 1,
      sym_public_field_definition,
    ACTIONS(1970), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(682), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [24708] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(75), 1,
      anon_sym_DQUOTE,
    ACTIONS(77), 1,
      anon_sym_SQUOTE,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(93), 1,
      anon_sym_STAR,
    ACTIONS(1923), 1,
      sym_identifier,
    ACTIONS(1927), 1,
      anon_sym_LBRACK,
    ACTIONS(1929), 1,
      anon_sym_async,
    ACTIONS(1931), 1,
      sym_number,
    ACTIONS(1933), 1,
      anon_sym_static,
    ACTIONS(1973), 1,
      anon_sym_RBRACE,
    STATE(576), 1,
      aux_sym_class_body_repeat1,
    STATE(601), 1,
      aux_sym_export_statement_repeat1,
    STATE(628), 1,
      sym_method_definition,
    STATE(631), 1,
      sym_decorator,
    STATE(1023), 1,
      sym_public_field_definition,
    ACTIONS(1935), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(682), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [24766] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(75), 1,
      anon_sym_DQUOTE,
    ACTIONS(77), 1,
      anon_sym_SQUOTE,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(93), 1,
      anon_sym_STAR,
    ACTIONS(1923), 1,
      sym_identifier,
    ACTIONS(1927), 1,
      anon_sym_LBRACK,
    ACTIONS(1929), 1,
      anon_sym_async,
    ACTIONS(1931), 1,
      sym_number,
    ACTIONS(1933), 1,
      anon_sym_static,
    ACTIONS(1975), 1,
      anon_sym_RBRACE,
    STATE(579), 1,
      aux_sym_class_body_repeat1,
    STATE(601), 1,
      aux_sym_export_statement_repeat1,
    STATE(628), 1,
      sym_method_definition,
    STATE(631), 1,
      sym_decorator,
    STATE(1023), 1,
      sym_public_field_definition,
    ACTIONS(1935), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(682), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [24824] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(75), 1,
      anon_sym_DQUOTE,
    ACTIONS(77), 1,
      anon_sym_SQUOTE,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(93), 1,
      anon_sym_STAR,
    ACTIONS(1923), 1,
      sym_identifier,
    ACTIONS(1927), 1,
      anon_sym_LBRACK,
    ACTIONS(1929), 1,
      anon_sym_async,
    ACTIONS(1931), 1,
      sym_number,
    ACTIONS(1933), 1,
      anon_sym_static,
    ACTIONS(1977), 1,
      anon_sym_RBRACE,
    STATE(579), 1,
      aux_sym_class_body_repeat1,
    STATE(601), 1,
      aux_sym_export_statement_repeat1,
    STATE(628), 1,
      sym_method_definition,
    STATE(631), 1,
      sym_decorator,
    STATE(1023), 1,
      sym_public_field_definition,
    ACTIONS(1935), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(682), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [24882] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(354), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(1047), 1,
      sym_number,
    ACTIONS(1051), 1,
      anon_sym_RBRACE,
    ACTIONS(1979), 1,
      anon_sym_STAR,
    ACTIONS(1983), 1,
      anon_sym_EQ,
    ACTIONS(1985), 1,
      anon_sym_LBRACK,
    STATE(855), 1,
      aux_sym_object_repeat1,
    ACTIONS(1070), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1981), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(1063), 3,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
    STATE(1005), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [24931] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(1987), 1,
      anon_sym_STAR,
    ACTIONS(1989), 1,
      anon_sym_default,
    ACTIONS(1991), 1,
      anon_sym_LBRACE,
    ACTIONS(1993), 1,
      anon_sym_var,
    ACTIONS(1997), 1,
      anon_sym_class,
    ACTIONS(1999), 1,
      anon_sym_async,
    ACTIONS(2001), 1,
      anon_sym_function,
    STATE(631), 1,
      sym_decorator,
    STATE(778), 1,
      sym_export_clause,
    STATE(795), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(1995), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(215), 6,
      sym__declaration,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [24980] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(354), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(1021), 1,
      anon_sym_RBRACE,
    ACTIONS(1047), 1,
      sym_number,
    ACTIONS(1068), 1,
      anon_sym_async,
    ACTIONS(1979), 1,
      anon_sym_STAR,
    ACTIONS(1983), 1,
      anon_sym_EQ,
    ACTIONS(1985), 1,
      anon_sym_LBRACK,
    STATE(851), 1,
      aux_sym_object_repeat1,
    ACTIONS(1063), 2,
      sym_identifier,
      anon_sym_static,
    ACTIONS(1070), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1981), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1005), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [25031] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(354), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(1047), 1,
      sym_number,
    ACTIONS(1051), 1,
      anon_sym_RBRACE,
    ACTIONS(1068), 1,
      anon_sym_async,
    ACTIONS(1979), 1,
      anon_sym_STAR,
    ACTIONS(1983), 1,
      anon_sym_EQ,
    ACTIONS(1985), 1,
      anon_sym_LBRACK,
    STATE(855), 1,
      aux_sym_object_repeat1,
    ACTIONS(1063), 2,
      sym_identifier,
      anon_sym_static,
    ACTIONS(1070), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1981), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1005), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [25082] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(354), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(1021), 1,
      anon_sym_RBRACE,
    ACTIONS(1047), 1,
      sym_number,
    ACTIONS(1979), 1,
      anon_sym_STAR,
    ACTIONS(1983), 1,
      anon_sym_EQ,
    ACTIONS(1985), 1,
      anon_sym_LBRACK,
    STATE(851), 1,
      aux_sym_object_repeat1,
    ACTIONS(1070), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1981), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(1063), 3,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
    STATE(1005), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [25131] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(1987), 1,
      anon_sym_STAR,
    ACTIONS(1989), 1,
      anon_sym_default,
    ACTIONS(1991), 1,
      anon_sym_LBRACE,
    ACTIONS(1993), 1,
      anon_sym_var,
    ACTIONS(2003), 1,
      anon_sym_class,
    ACTIONS(2005), 1,
      anon_sym_async,
    ACTIONS(2007), 1,
      anon_sym_function,
    STATE(631), 1,
      sym_decorator,
    STATE(778), 1,
      sym_export_clause,
    STATE(779), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(1995), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(215), 6,
      sym__declaration,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [25180] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(354), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(1047), 1,
      sym_number,
    ACTIONS(1979), 1,
      anon_sym_STAR,
    ACTIONS(1983), 1,
      anon_sym_EQ,
    ACTIONS(1985), 1,
      anon_sym_LBRACK,
    ACTIONS(1070), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1981), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2009), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1063), 3,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
    STATE(1005), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [25224] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(354), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(1021), 1,
      anon_sym_RBRACE,
    ACTIONS(1047), 1,
      sym_number,
    ACTIONS(1983), 1,
      anon_sym_EQ,
    ACTIONS(1985), 1,
      anon_sym_LBRACK,
    STATE(851), 1,
      aux_sym_object_repeat1,
    ACTIONS(1981), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1005), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1063), 5,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25268] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(354), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(1047), 1,
      sym_number,
    ACTIONS(1063), 1,
      sym_identifier,
    ACTIONS(1068), 1,
      anon_sym_async,
    ACTIONS(1979), 1,
      anon_sym_STAR,
    ACTIONS(1985), 1,
      anon_sym_LBRACK,
    ACTIONS(2011), 1,
      anon_sym_export,
    ACTIONS(2013), 1,
      anon_sym_class,
    ACTIONS(2015), 1,
      anon_sym_static,
    STATE(605), 1,
      aux_sym_export_statement_repeat1,
    STATE(631), 1,
      sym_decorator,
    ACTIONS(1070), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1005), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [25320] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(354), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(1047), 1,
      sym_number,
    ACTIONS(1068), 1,
      anon_sym_async,
    ACTIONS(1979), 1,
      anon_sym_STAR,
    ACTIONS(1983), 1,
      anon_sym_EQ,
    ACTIONS(1985), 1,
      anon_sym_LBRACK,
    ACTIONS(1063), 2,
      sym_identifier,
      anon_sym_static,
    ACTIONS(1070), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1981), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2009), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1005), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [25366] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(354), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(1047), 1,
      sym_number,
    ACTIONS(1051), 1,
      anon_sym_RBRACE,
    ACTIONS(1983), 1,
      anon_sym_EQ,
    ACTIONS(1985), 1,
      anon_sym_LBRACK,
    STATE(855), 1,
      aux_sym_object_repeat1,
    ACTIONS(1981), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1005), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1063), 5,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25410] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(354), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(1985), 1,
      anon_sym_LBRACK,
    ACTIONS(2017), 1,
      anon_sym_STAR,
    ACTIONS(2019), 1,
      sym_number,
    ACTIONS(2021), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1063), 3,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
    STATE(1019), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1981), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [25449] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(354), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(1047), 1,
      sym_number,
    ACTIONS(1979), 1,
      anon_sym_STAR,
    ACTIONS(1985), 1,
      anon_sym_LBRACK,
    ACTIONS(1070), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1063), 3,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
    STATE(1005), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1981), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [25488] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(354), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(1047), 1,
      sym_number,
    ACTIONS(1983), 1,
      anon_sym_EQ,
    ACTIONS(1985), 1,
      anon_sym_LBRACK,
    ACTIONS(1981), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2009), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1005), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1063), 5,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25527] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(75), 1,
      anon_sym_DQUOTE,
    ACTIONS(77), 1,
      anon_sym_SQUOTE,
    ACTIONS(1927), 1,
      anon_sym_LBRACK,
    ACTIONS(1979), 1,
      anon_sym_STAR,
    ACTIONS(2023), 1,
      anon_sym_async,
    ACTIONS(2025), 1,
      sym_number,
    ACTIONS(1923), 2,
      sym_identifier,
      anon_sym_static,
    ACTIONS(2027), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(699), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1981), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [25568] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(2033), 1,
      anon_sym_DOT,
    STATE(630), 1,
      sym_arguments,
    ACTIONS(2031), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(2029), 7,
      anon_sym_export,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25598] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(1993), 1,
      anon_sym_var,
    ACTIONS(1997), 1,
      anon_sym_class,
    ACTIONS(1999), 1,
      anon_sym_async,
    ACTIONS(2001), 1,
      anon_sym_function,
    ACTIONS(2035), 1,
      anon_sym_default,
    STATE(631), 1,
      sym_decorator,
    STATE(795), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(1995), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(212), 6,
      sym__declaration,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [25638] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(1993), 1,
      anon_sym_var,
    ACTIONS(2003), 1,
      anon_sym_class,
    ACTIONS(2005), 1,
      anon_sym_async,
    ACTIONS(2007), 1,
      anon_sym_function,
    ACTIONS(2035), 1,
      anon_sym_default,
    STATE(631), 1,
      sym_decorator,
    STATE(779), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(1995), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(212), 6,
      sym__declaration,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [25678] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(354), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(1047), 1,
      sym_number,
    ACTIONS(1063), 1,
      sym_identifier,
    ACTIONS(1068), 1,
      anon_sym_async,
    ACTIONS(1979), 1,
      anon_sym_STAR,
    ACTIONS(1985), 1,
      anon_sym_LBRACK,
    ACTIONS(2015), 1,
      anon_sym_static,
    STATE(605), 1,
      aux_sym_export_statement_repeat1,
    STATE(631), 1,
      sym_decorator,
    ACTIONS(1070), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1005), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [25724] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(2041), 1,
      anon_sym_DOT,
    STATE(623), 1,
      sym_arguments,
    ACTIONS(2039), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(2037), 7,
      anon_sym_export,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25754] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(354), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(1985), 1,
      anon_sym_LBRACK,
    ACTIONS(2019), 1,
      sym_number,
    STATE(1019), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1981), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(1063), 5,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25788] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(354), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(1047), 1,
      sym_number,
    ACTIONS(1985), 1,
      anon_sym_LBRACK,
    STATE(1005), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1981), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(1063), 5,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25822] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2047), 1,
      anon_sym_AT,
    STATE(605), 1,
      aux_sym_export_statement_repeat1,
    STATE(631), 1,
      sym_decorator,
    ACTIONS(2045), 5,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
    ACTIONS(2043), 7,
      anon_sym_export,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2052), 7,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(2050), 8,
      anon_sym_export,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25874] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2056), 7,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(2054), 8,
      anon_sym_export,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2058), 5,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2060), 9,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
  [25919] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2062), 5,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2064), 9,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
  [25941] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(354), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(1981), 1,
      anon_sym_LPAREN,
    ACTIONS(1985), 1,
      anon_sym_LBRACK,
    ACTIONS(2019), 1,
      sym_number,
    ACTIONS(2066), 1,
      anon_sym_EQ_GT,
    STATE(1019), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1063), 5,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [25975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2068), 5,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2070), 9,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
  [25997] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(354), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(1981), 1,
      anon_sym_LPAREN,
    ACTIONS(1985), 1,
      anon_sym_LBRACK,
    ACTIONS(2017), 1,
      anon_sym_STAR,
    ACTIONS(2019), 1,
      sym_number,
    ACTIONS(2021), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1063), 3,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
    STATE(1019), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [26033] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2072), 5,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2074), 9,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
  [26055] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(354), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(1981), 1,
      anon_sym_LPAREN,
    ACTIONS(1985), 1,
      anon_sym_LBRACK,
    ACTIONS(2076), 1,
      anon_sym_STAR,
    ACTIONS(2078), 1,
      sym_number,
    ACTIONS(2080), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1063), 3,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
    STATE(934), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [26091] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2082), 5,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2084), 9,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
  [26113] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(354), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(1981), 1,
      anon_sym_LPAREN,
    ACTIONS(1985), 1,
      anon_sym_LBRACK,
    ACTIONS(2017), 1,
      anon_sym_STAR,
    ACTIONS(2019), 1,
      sym_number,
    ACTIONS(2086), 1,
      anon_sym_async,
    ACTIONS(1063), 2,
      sym_identifier,
      anon_sym_static,
    ACTIONS(2021), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1019), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [26151] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(316), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_LBRACK,
    ACTIONS(528), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2088), 1,
      sym_identifier,
    ACTIONS(2090), 1,
      anon_sym_RPAREN,
    STATE(848), 1,
      sym_object,
    STATE(849), 1,
      sym_array,
    STATE(958), 2,
      sym_assignment_pattern,
      sym_rest_parameter,
    ACTIONS(2092), 4,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26186] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(316), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_LBRACK,
    ACTIONS(528), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2088), 1,
      sym_identifier,
    ACTIONS(2094), 1,
      anon_sym_RPAREN,
    STATE(848), 1,
      sym_object,
    STATE(849), 1,
      sym_array,
    STATE(958), 2,
      sym_assignment_pattern,
      sym_rest_parameter,
    ACTIONS(2092), 4,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(2029), 7,
      anon_sym_export,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26242] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(316), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_LBRACK,
    ACTIONS(524), 1,
      anon_sym_RPAREN,
    ACTIONS(528), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2096), 1,
      sym_identifier,
    STATE(760), 1,
      sym_object,
    STATE(761), 1,
      sym_array,
    STATE(835), 2,
      sym_assignment_pattern,
      sym_rest_parameter,
    ACTIONS(2098), 4,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26277] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(354), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(1981), 1,
      anon_sym_LPAREN,
    ACTIONS(1985), 1,
      anon_sym_LBRACK,
    ACTIONS(2100), 1,
      sym_number,
    STATE(1018), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1063), 5,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26308] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(316), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_LBRACK,
    ACTIONS(528), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2088), 1,
      sym_identifier,
    ACTIONS(2102), 1,
      anon_sym_RPAREN,
    STATE(848), 1,
      sym_object,
    STATE(849), 1,
      sym_array,
    STATE(958), 2,
      sym_assignment_pattern,
      sym_rest_parameter,
    ACTIONS(2092), 4,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26343] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2106), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(2104), 7,
      anon_sym_export,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26364] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(316), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_LBRACK,
    ACTIONS(528), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2088), 1,
      sym_identifier,
    ACTIONS(2108), 1,
      anon_sym_RPAREN,
    STATE(848), 1,
      sym_object,
    STATE(849), 1,
      sym_array,
    STATE(958), 2,
      sym_assignment_pattern,
      sym_rest_parameter,
    ACTIONS(2092), 4,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26399] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(354), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(1981), 1,
      anon_sym_LPAREN,
    ACTIONS(1985), 1,
      anon_sym_LBRACK,
    ACTIONS(2019), 1,
      sym_number,
    STATE(1019), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1063), 5,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26430] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(316), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_LBRACK,
    ACTIONS(528), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2088), 1,
      sym_identifier,
    ACTIONS(2110), 1,
      anon_sym_RPAREN,
    STATE(848), 1,
      sym_object,
    STATE(849), 1,
      sym_array,
    STATE(958), 2,
      sym_assignment_pattern,
      sym_rest_parameter,
    ACTIONS(2092), 4,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26465] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(316), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_LBRACK,
    ACTIONS(528), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2088), 1,
      sym_identifier,
    ACTIONS(2112), 1,
      anon_sym_RPAREN,
    STATE(848), 1,
      sym_object,
    STATE(849), 1,
      sym_array,
    STATE(958), 2,
      sym_assignment_pattern,
      sym_rest_parameter,
    ACTIONS(2092), 4,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26500] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2118), 1,
      anon_sym_SEMI,
    ACTIONS(2114), 5,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2116), 7,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
  [26523] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(354), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(1981), 1,
      anon_sym_LPAREN,
    ACTIONS(1985), 1,
      anon_sym_LBRACK,
    ACTIONS(2078), 1,
      sym_number,
    STATE(934), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1063), 5,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26554] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2122), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(2120), 7,
      anon_sym_export,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2126), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(2124), 7,
      anon_sym_export,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26596] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(316), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_LBRACK,
    ACTIONS(528), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2088), 1,
      sym_identifier,
    ACTIONS(2128), 1,
      anon_sym_RPAREN,
    STATE(848), 1,
      sym_object,
    STATE(849), 1,
      sym_array,
    STATE(958), 2,
      sym_assignment_pattern,
      sym_rest_parameter,
    ACTIONS(2092), 4,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26631] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(316), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_LBRACK,
    ACTIONS(528), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2088), 1,
      sym_identifier,
    ACTIONS(2130), 1,
      anon_sym_RPAREN,
    STATE(848), 1,
      sym_object,
    STATE(849), 1,
      sym_array,
    STATE(958), 2,
      sym_assignment_pattern,
      sym_rest_parameter,
    ACTIONS(2092), 4,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26666] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(354), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(1985), 1,
      anon_sym_LBRACK,
    ACTIONS(2100), 1,
      sym_number,
    STATE(1018), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1063), 5,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26694] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(354), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(1047), 1,
      sym_number,
    ACTIONS(1985), 1,
      anon_sym_LBRACK,
    STATE(1005), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1063), 5,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26722] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(316), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_LBRACK,
    ACTIONS(528), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2088), 1,
      sym_identifier,
    STATE(848), 1,
      sym_object,
    STATE(849), 1,
      sym_array,
    STATE(958), 2,
      sym_assignment_pattern,
      sym_rest_parameter,
    ACTIONS(2092), 4,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26754] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(354), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(1985), 1,
      anon_sym_LBRACK,
    ACTIONS(2019), 1,
      sym_number,
    STATE(1019), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1063), 5,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26782] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2132), 5,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2134), 7,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
  [26802] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(354), 1,
      anon_sym_DQUOTE,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(1985), 1,
      anon_sym_LBRACK,
    ACTIONS(2078), 1,
      sym_number,
    STATE(934), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1063), 5,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [26830] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2136), 1,
      sym_identifier,
    ACTIONS(2138), 1,
      anon_sym_LBRACE,
    ACTIONS(2140), 1,
      anon_sym_COLON,
    ACTIONS(2142), 1,
      anon_sym_GT,
    ACTIONS(2144), 1,
      anon_sym_SLASH,
    ACTIONS(2146), 1,
      sym_jsx_identifier,
    ACTIONS(2148), 1,
      anon_sym_DOT,
    STATE(670), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(700), 1,
      sym_jsx_namespace_name,
    STATE(706), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [26865] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2136), 1,
      sym_identifier,
    ACTIONS(2138), 1,
      anon_sym_LBRACE,
    ACTIONS(2140), 1,
      anon_sym_COLON,
    ACTIONS(2142), 1,
      anon_sym_GT,
    ACTIONS(2146), 1,
      sym_jsx_identifier,
    ACTIONS(2148), 1,
      anon_sym_DOT,
    ACTIONS(2150), 1,
      anon_sym_SLASH,
    STATE(662), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(700), 1,
      sym_jsx_namespace_name,
    STATE(706), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [26900] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2136), 1,
      sym_identifier,
    ACTIONS(2138), 1,
      anon_sym_LBRACE,
    ACTIONS(2140), 1,
      anon_sym_COLON,
    ACTIONS(2142), 1,
      anon_sym_GT,
    ACTIONS(2146), 1,
      sym_jsx_identifier,
    ACTIONS(2148), 1,
      anon_sym_DOT,
    ACTIONS(2152), 1,
      anon_sym_SLASH,
    STATE(660), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(700), 1,
      sym_jsx_namespace_name,
    STATE(706), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [26935] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2136), 1,
      sym_identifier,
    ACTIONS(2138), 1,
      anon_sym_LBRACE,
    ACTIONS(2140), 1,
      anon_sym_COLON,
    ACTIONS(2142), 1,
      anon_sym_GT,
    ACTIONS(2146), 1,
      sym_jsx_identifier,
    ACTIONS(2148), 1,
      anon_sym_DOT,
    ACTIONS(2154), 1,
      anon_sym_SLASH,
    STATE(658), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(700), 1,
      sym_jsx_namespace_name,
    STATE(706), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [26970] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2136), 1,
      sym_identifier,
    ACTIONS(2138), 1,
      anon_sym_LBRACE,
    ACTIONS(2142), 1,
      anon_sym_GT,
    ACTIONS(2146), 1,
      sym_jsx_identifier,
    ACTIONS(2148), 1,
      anon_sym_DOT,
    ACTIONS(2154), 1,
      anon_sym_SLASH,
    STATE(658), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(700), 1,
      sym_jsx_namespace_name,
    STATE(706), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [27002] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2136), 1,
      sym_identifier,
    ACTIONS(2138), 1,
      anon_sym_LBRACE,
    ACTIONS(2140), 1,
      anon_sym_COLON,
    ACTIONS(2142), 1,
      anon_sym_GT,
    ACTIONS(2146), 1,
      sym_jsx_identifier,
    ACTIONS(2150), 1,
      anon_sym_SLASH,
    STATE(662), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(700), 1,
      sym_jsx_namespace_name,
    STATE(706), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [27034] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2136), 1,
      sym_identifier,
    ACTIONS(2138), 1,
      anon_sym_LBRACE,
    ACTIONS(2142), 1,
      anon_sym_GT,
    ACTIONS(2144), 1,
      anon_sym_SLASH,
    ACTIONS(2146), 1,
      sym_jsx_identifier,
    ACTIONS(2148), 1,
      anon_sym_DOT,
    STATE(670), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(700), 1,
      sym_jsx_namespace_name,
    STATE(706), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [27066] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2136), 1,
      sym_identifier,
    ACTIONS(2138), 1,
      anon_sym_LBRACE,
    ACTIONS(2142), 1,
      anon_sym_GT,
    ACTIONS(2146), 1,
      sym_jsx_identifier,
    ACTIONS(2148), 1,
      anon_sym_DOT,
    ACTIONS(2152), 1,
      anon_sym_SLASH,
    STATE(660), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(700), 1,
      sym_jsx_namespace_name,
    STATE(706), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [27098] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2136), 1,
      sym_identifier,
    ACTIONS(2138), 1,
      anon_sym_LBRACE,
    ACTIONS(2140), 1,
      anon_sym_COLON,
    ACTIONS(2142), 1,
      anon_sym_GT,
    ACTIONS(2146), 1,
      sym_jsx_identifier,
    ACTIONS(2154), 1,
      anon_sym_SLASH,
    STATE(658), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(700), 1,
      sym_jsx_namespace_name,
    STATE(706), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [27130] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2136), 1,
      sym_identifier,
    ACTIONS(2138), 1,
      anon_sym_LBRACE,
    ACTIONS(2140), 1,
      anon_sym_COLON,
    ACTIONS(2142), 1,
      anon_sym_GT,
    ACTIONS(2146), 1,
      sym_jsx_identifier,
    ACTIONS(2152), 1,
      anon_sym_SLASH,
    STATE(660), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(700), 1,
      sym_jsx_namespace_name,
    STATE(706), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [27162] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2136), 1,
      sym_identifier,
    ACTIONS(2138), 1,
      anon_sym_LBRACE,
    ACTIONS(2140), 1,
      anon_sym_COLON,
    ACTIONS(2142), 1,
      anon_sym_GT,
    ACTIONS(2144), 1,
      anon_sym_SLASH,
    ACTIONS(2146), 1,
      sym_jsx_identifier,
    STATE(670), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(700), 1,
      sym_jsx_namespace_name,
    STATE(706), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [27194] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2138), 1,
      anon_sym_LBRACE,
    ACTIONS(2156), 1,
      anon_sym_LT,
    ACTIONS(2158), 1,
      anon_sym_DQUOTE,
    ACTIONS(2160), 1,
      anon_sym_SQUOTE,
    STATE(666), 1,
      sym_jsx_opening_element,
    STATE(738), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      sym_string,
  [27220] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2136), 1,
      sym_identifier,
    ACTIONS(2138), 1,
      anon_sym_LBRACE,
    ACTIONS(2142), 1,
      anon_sym_GT,
    ACTIONS(2146), 1,
      sym_jsx_identifier,
    ACTIONS(2148), 1,
      anon_sym_DOT,
    ACTIONS(2150), 1,
      anon_sym_SLASH,
    STATE(662), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(700), 1,
      sym_jsx_namespace_name,
    STATE(706), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [27252] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2138), 1,
      anon_sym_LBRACE,
    ACTIONS(2156), 1,
      anon_sym_LT,
    ACTIONS(2158), 1,
      anon_sym_DQUOTE,
    ACTIONS(2160), 1,
      anon_sym_SQUOTE,
    STATE(666), 1,
      sym_jsx_opening_element,
    STATE(739), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      sym_string,
  [27278] = 7,
    ACTIONS(2162), 1,
      anon_sym_LBRACE,
    ACTIONS(2164), 1,
      anon_sym_LT,
    ACTIONS(2166), 1,
      sym_jsx_text,
    ACTIONS(2168), 1,
      sym_comment,
    STATE(429), 1,
      sym_jsx_closing_element,
    STATE(667), 1,
      sym_jsx_opening_element,
    STATE(675), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [27303] = 7,
    ACTIONS(2162), 1,
      anon_sym_LBRACE,
    ACTIONS(2166), 1,
      sym_jsx_text,
    ACTIONS(2168), 1,
      sym_comment,
    ACTIONS(2170), 1,
      anon_sym_LT,
    STATE(510), 1,
      sym_jsx_closing_element,
    STATE(667), 1,
      sym_jsx_opening_element,
    STATE(675), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [27328] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2136), 1,
      sym_identifier,
    ACTIONS(2138), 1,
      anon_sym_LBRACE,
    ACTIONS(2142), 1,
      anon_sym_GT,
    ACTIONS(2144), 1,
      anon_sym_SLASH,
    ACTIONS(2146), 1,
      sym_jsx_identifier,
    STATE(670), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(700), 1,
      sym_jsx_namespace_name,
    STATE(706), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [27357] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2136), 1,
      sym_identifier,
    ACTIONS(2138), 1,
      anon_sym_LBRACE,
    ACTIONS(2142), 1,
      anon_sym_GT,
    ACTIONS(2146), 1,
      sym_jsx_identifier,
    ACTIONS(2150), 1,
      anon_sym_SLASH,
    STATE(662), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(700), 1,
      sym_jsx_namespace_name,
    STATE(706), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [27386] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2136), 1,
      sym_identifier,
    ACTIONS(2138), 1,
      anon_sym_LBRACE,
    ACTIONS(2146), 1,
      sym_jsx_identifier,
    ACTIONS(2172), 1,
      anon_sym_GT,
    ACTIONS(2174), 1,
      anon_sym_SLASH,
    STATE(668), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(700), 1,
      sym_jsx_namespace_name,
    STATE(706), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [27415] = 7,
    ACTIONS(2162), 1,
      anon_sym_LBRACE,
    ACTIONS(2166), 1,
      sym_jsx_text,
    ACTIONS(2168), 1,
      sym_comment,
    ACTIONS(2176), 1,
      anon_sym_LT,
    STATE(667), 1,
      sym_jsx_opening_element,
    STATE(867), 1,
      sym_jsx_closing_element,
    STATE(675), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [27440] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2136), 1,
      sym_identifier,
    ACTIONS(2138), 1,
      anon_sym_LBRACE,
    ACTIONS(2146), 1,
      sym_jsx_identifier,
    ACTIONS(2172), 1,
      anon_sym_GT,
    ACTIONS(2178), 1,
      anon_sym_SLASH,
    STATE(668), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(700), 1,
      sym_jsx_namespace_name,
    STATE(706), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [27469] = 7,
    ACTIONS(2162), 1,
      anon_sym_LBRACE,
    ACTIONS(2164), 1,
      anon_sym_LT,
    ACTIONS(2168), 1,
      sym_comment,
    ACTIONS(2180), 1,
      sym_jsx_text,
    STATE(380), 1,
      sym_jsx_closing_element,
    STATE(667), 1,
      sym_jsx_opening_element,
    STATE(654), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [27494] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2136), 1,
      sym_identifier,
    ACTIONS(2138), 1,
      anon_sym_LBRACE,
    ACTIONS(2146), 1,
      sym_jsx_identifier,
    ACTIONS(2172), 1,
      anon_sym_GT,
    ACTIONS(2182), 1,
      anon_sym_SLASH,
    STATE(668), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(700), 1,
      sym_jsx_namespace_name,
    STATE(706), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [27523] = 7,
    ACTIONS(2162), 1,
      anon_sym_LBRACE,
    ACTIONS(2166), 1,
      sym_jsx_text,
    ACTIONS(2168), 1,
      sym_comment,
    ACTIONS(2184), 1,
      anon_sym_LT,
    STATE(667), 1,
      sym_jsx_opening_element,
    STATE(722), 1,
      sym_jsx_closing_element,
    STATE(675), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [27548] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2136), 1,
      sym_identifier,
    ACTIONS(2138), 1,
      anon_sym_LBRACE,
    ACTIONS(2142), 1,
      anon_sym_GT,
    ACTIONS(2146), 1,
      sym_jsx_identifier,
    ACTIONS(2152), 1,
      anon_sym_SLASH,
    STATE(660), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(700), 1,
      sym_jsx_namespace_name,
    STATE(706), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [27577] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2136), 1,
      sym_identifier,
    ACTIONS(2138), 1,
      anon_sym_LBRACE,
    ACTIONS(2142), 1,
      anon_sym_GT,
    ACTIONS(2146), 1,
      sym_jsx_identifier,
    ACTIONS(2154), 1,
      anon_sym_SLASH,
    STATE(658), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(700), 1,
      sym_jsx_namespace_name,
    STATE(706), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [27606] = 7,
    ACTIONS(2162), 1,
      anon_sym_LBRACE,
    ACTIONS(2168), 1,
      sym_comment,
    ACTIONS(2184), 1,
      anon_sym_LT,
    ACTIONS(2186), 1,
      sym_jsx_text,
    STATE(667), 1,
      sym_jsx_opening_element,
    STATE(712), 1,
      sym_jsx_closing_element,
    STATE(663), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [27631] = 7,
    ACTIONS(2162), 1,
      anon_sym_LBRACE,
    ACTIONS(2168), 1,
      sym_comment,
    ACTIONS(2176), 1,
      anon_sym_LT,
    ACTIONS(2188), 1,
      sym_jsx_text,
    STATE(667), 1,
      sym_jsx_opening_element,
    STATE(882), 1,
      sym_jsx_closing_element,
    STATE(659), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [27656] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2190), 1,
      sym_identifier,
    ACTIONS(2193), 1,
      anon_sym_LBRACE,
    ACTIONS(2196), 1,
      anon_sym_GT,
    ACTIONS(2198), 1,
      anon_sym_SLASH,
    ACTIONS(2200), 1,
      sym_jsx_identifier,
    STATE(668), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(700), 1,
      sym_jsx_namespace_name,
    STATE(706), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [27685] = 7,
    ACTIONS(2162), 1,
      anon_sym_LBRACE,
    ACTIONS(2168), 1,
      sym_comment,
    ACTIONS(2170), 1,
      anon_sym_LT,
    ACTIONS(2203), 1,
      sym_jsx_text,
    STATE(495), 1,
      sym_jsx_closing_element,
    STATE(667), 1,
      sym_jsx_opening_element,
    STATE(655), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [27710] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2136), 1,
      sym_identifier,
    ACTIONS(2138), 1,
      anon_sym_LBRACE,
    ACTIONS(2146), 1,
      sym_jsx_identifier,
    ACTIONS(2172), 1,
      anon_sym_GT,
    ACTIONS(2205), 1,
      anon_sym_SLASH,
    STATE(668), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(700), 1,
      sym_jsx_namespace_name,
    STATE(706), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [27739] = 6,
    ACTIONS(2162), 1,
      anon_sym_LBRACE,
    ACTIONS(2166), 1,
      sym_jsx_text,
    ACTIONS(2168), 1,
      sym_comment,
    ACTIONS(2207), 1,
      anon_sym_LT,
    STATE(667), 1,
      sym_jsx_opening_element,
    STATE(675), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [27761] = 6,
    ACTIONS(2162), 1,
      anon_sym_LBRACE,
    ACTIONS(2168), 1,
      sym_comment,
    ACTIONS(2209), 1,
      anon_sym_LT,
    ACTIONS(2211), 1,
      sym_jsx_text,
    STATE(667), 1,
      sym_jsx_opening_element,
    STATE(673), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [27783] = 6,
    ACTIONS(2162), 1,
      anon_sym_LBRACE,
    ACTIONS(2166), 1,
      sym_jsx_text,
    ACTIONS(2168), 1,
      sym_comment,
    ACTIONS(2213), 1,
      anon_sym_LT,
    STATE(667), 1,
      sym_jsx_opening_element,
    STATE(675), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [27805] = 6,
    ACTIONS(2162), 1,
      anon_sym_LBRACE,
    ACTIONS(2168), 1,
      sym_comment,
    ACTIONS(2215), 1,
      anon_sym_LT,
    ACTIONS(2217), 1,
      sym_jsx_text,
    STATE(667), 1,
      sym_jsx_opening_element,
    STATE(671), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [27827] = 6,
    ACTIONS(2168), 1,
      sym_comment,
    ACTIONS(2219), 1,
      anon_sym_LBRACE,
    ACTIONS(2222), 1,
      anon_sym_LT,
    ACTIONS(2225), 1,
      sym_jsx_text,
    STATE(667), 1,
      sym_jsx_opening_element,
    STATE(675), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [27849] = 6,
    ACTIONS(2162), 1,
      anon_sym_LBRACE,
    ACTIONS(2168), 1,
      sym_comment,
    ACTIONS(2228), 1,
      anon_sym_LT,
    ACTIONS(2230), 1,
      sym_jsx_text,
    STATE(667), 1,
      sym_jsx_opening_element,
    STATE(677), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [27871] = 6,
    ACTIONS(2162), 1,
      anon_sym_LBRACE,
    ACTIONS(2166), 1,
      sym_jsx_text,
    ACTIONS(2168), 1,
      sym_comment,
    ACTIONS(2232), 1,
      anon_sym_LT,
    STATE(667), 1,
      sym_jsx_opening_element,
    STATE(675), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [27893] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2234), 1,
      sym_identifier,
    STATE(598), 1,
      sym_decorator_member_expression,
    STATE(619), 1,
      sym_decorator_call_expression,
    ACTIONS(2236), 4,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [27912] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2140), 1,
      anon_sym_COLON,
    ACTIONS(2242), 1,
      anon_sym_EQ,
    ACTIONS(2238), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(2240), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [27931] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(1021), 1,
      anon_sym_RBRACE,
    ACTIONS(1983), 1,
      anon_sym_EQ,
    STATE(851), 1,
      aux_sym_object_repeat1,
    ACTIONS(1981), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [27951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2244), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(2246), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_DOT,
  [27965] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2248), 1,
      anon_sym_LPAREN,
    ACTIONS(2252), 1,
      anon_sym_EQ,
    STATE(915), 1,
      sym__initializer,
    STATE(922), 1,
      sym_formal_parameters,
    ACTIONS(2250), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [27985] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2254), 1,
      anon_sym_default,
    ACTIONS(2257), 1,
      anon_sym_RBRACE,
    ACTIONS(2259), 1,
      anon_sym_case,
    STATE(683), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [28003] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2264), 1,
      anon_sym_BQUOTE,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2262), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(696), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [28021] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(1051), 1,
      anon_sym_RBRACE,
    ACTIONS(1983), 1,
      anon_sym_EQ,
    STATE(855), 1,
      aux_sym_object_repeat1,
    ACTIONS(1981), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [28041] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2268), 1,
      anon_sym_BQUOTE,
    ACTIONS(2262), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(696), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [28059] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2270), 1,
      anon_sym_default,
    ACTIONS(2272), 1,
      anon_sym_RBRACE,
    ACTIONS(2274), 1,
      anon_sym_case,
    STATE(683), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [28077] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2278), 1,
      anon_sym_BQUOTE,
    ACTIONS(2276), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(686), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [28095] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1408), 1,
      anon_sym_DOT,
    ACTIONS(1611), 1,
      anon_sym_LBRACK,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
  [28115] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACK,
    ACTIONS(372), 1,
      anon_sym_LBRACE,
    ACTIONS(2280), 1,
      sym_identifier,
    STATE(733), 1,
      sym_object,
    STATE(736), 1,
      sym_array,
    STATE(787), 1,
      sym_variable_declarator,
  [28137] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1408), 1,
      anon_sym_DOT,
    ACTIONS(1414), 1,
      anon_sym_LPAREN,
    ACTIONS(1611), 1,
      anon_sym_LBRACK,
    STATE(498), 2,
      sym_template_string,
      sym_arguments,
  [28157] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2270), 1,
      anon_sym_default,
    ACTIONS(2274), 1,
      anon_sym_case,
    ACTIONS(2282), 1,
      anon_sym_RBRACE,
    STATE(687), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [28175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2284), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(2286), 4,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT,
      sym_jsx_identifier,
  [28189] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACK,
    ACTIONS(372), 1,
      anon_sym_LBRACE,
    ACTIONS(2280), 1,
      sym_identifier,
    STATE(733), 1,
      sym_object,
    STATE(736), 1,
      sym_array,
    STATE(791), 1,
      sym_variable_declarator,
  [28211] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_BQUOTE,
    ACTIONS(1377), 1,
      anon_sym_LPAREN,
    ACTIONS(1381), 1,
      anon_sym_DOT,
    ACTIONS(1473), 1,
      anon_sym_LBRACK,
    STATE(366), 2,
      sym_template_string,
      sym_arguments,
  [28231] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2291), 1,
      anon_sym_BQUOTE,
    ACTIONS(2293), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2288), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(696), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [28249] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2266), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2298), 1,
      anon_sym_BQUOTE,
    ACTIONS(2296), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(684), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [28267] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACK,
    ACTIONS(372), 1,
      anon_sym_LBRACE,
    ACTIONS(2280), 1,
      sym_identifier,
    STATE(733), 1,
      sym_object,
    STATE(736), 1,
      sym_array,
    STATE(827), 1,
      sym_variable_declarator,
  [28289] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2248), 1,
      anon_sym_LPAREN,
    ACTIONS(2252), 1,
      anon_sym_EQ,
    STATE(1008), 1,
      sym__initializer,
    STATE(1028), 1,
      sym_formal_parameters,
    ACTIONS(2300), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [28309] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2306), 1,
      anon_sym_EQ,
    ACTIONS(2302), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(2304), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [28325] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1701), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(1703), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [28338] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2308), 1,
      sym_identifier,
    ACTIONS(2310), 1,
      anon_sym_SLASH,
    ACTIONS(2312), 1,
      sym_jsx_identifier,
    STATE(652), 1,
      sym_nested_identifier,
    STATE(657), 1,
      sym_jsx_namespace_name,
  [28357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1697), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(1699), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [28370] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1729), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(1731), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [28383] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1709), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(1711), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [28396] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2314), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(2316), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [28409] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2318), 1,
      sym_identifier,
    ACTIONS(2320), 1,
      anon_sym_LBRACE,
    ACTIONS(2322), 1,
      anon_sym_extends,
    STATE(393), 1,
      sym_class_body,
    STATE(977), 1,
      sym_class_heritage,
  [28428] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2324), 1,
      sym_identifier,
    ACTIONS(2326), 1,
      anon_sym_GT,
    ACTIONS(2328), 1,
      sym_jsx_identifier,
    STATE(647), 1,
      sym_nested_identifier,
    STATE(664), 1,
      sym_jsx_namespace_name,
  [28447] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(2330), 1,
      anon_sym_export,
    ACTIONS(2332), 1,
      anon_sym_class,
    STATE(605), 1,
      aux_sym_export_statement_repeat1,
    STATE(631), 1,
      sym_decorator,
  [28466] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2334), 1,
      sym_identifier,
    ACTIONS(2336), 1,
      anon_sym_GT,
    ACTIONS(2338), 1,
      sym_jsx_identifier,
    STATE(646), 1,
      sym_nested_identifier,
    STATE(656), 1,
      sym_jsx_namespace_name,
  [28485] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2322), 1,
      anon_sym_extends,
    ACTIONS(2340), 1,
      sym_identifier,
    ACTIONS(2342), 1,
      anon_sym_LBRACE,
    STATE(557), 1,
      sym_class_body,
    STATE(933), 1,
      sym_class_heritage,
  [28504] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1637), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(1639), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [28517] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2322), 1,
      anon_sym_extends,
    ACTIONS(2342), 1,
      anon_sym_LBRACE,
    ACTIONS(2344), 1,
      sym_identifier,
    STATE(557), 1,
      sym_class_body,
    STATE(933), 1,
      sym_class_heritage,
  [28536] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2308), 1,
      sym_identifier,
    ACTIONS(2312), 1,
      sym_jsx_identifier,
    ACTIONS(2346), 1,
      anon_sym_SLASH,
    STATE(652), 1,
      sym_nested_identifier,
    STATE(657), 1,
      sym_jsx_namespace_name,
  [28555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1733), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(1735), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [28568] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2308), 1,
      sym_identifier,
    ACTIONS(2312), 1,
      sym_jsx_identifier,
    ACTIONS(2348), 1,
      anon_sym_SLASH,
    STATE(652), 1,
      sym_nested_identifier,
    STATE(657), 1,
      sym_jsx_namespace_name,
  [28587] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1983), 1,
      anon_sym_EQ,
    ACTIONS(1981), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2009), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [28602] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2320), 1,
      anon_sym_LBRACE,
    ACTIONS(2322), 1,
      anon_sym_extends,
    ACTIONS(2350), 1,
      sym_identifier,
    STATE(364), 1,
      sym_class_body,
    STATE(938), 1,
      sym_class_heritage,
  [28621] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2308), 1,
      sym_identifier,
    ACTIONS(2312), 1,
      sym_jsx_identifier,
    ACTIONS(2352), 1,
      anon_sym_SLASH,
    STATE(652), 1,
      sym_nested_identifier,
    STATE(657), 1,
      sym_jsx_namespace_name,
  [28640] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(316), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_LBRACK,
    ACTIONS(2354), 1,
      sym_identifier,
    STATE(1102), 1,
      sym_object,
    STATE(1104), 1,
      sym_array,
  [28659] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2308), 1,
      sym_identifier,
    ACTIONS(2312), 1,
      sym_jsx_identifier,
    ACTIONS(2356), 1,
      anon_sym_SLASH,
    STATE(652), 1,
      sym_nested_identifier,
    STATE(657), 1,
      sym_jsx_namespace_name,
  [28678] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1691), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(1693), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [28691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1641), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(1643), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [28704] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2322), 1,
      anon_sym_extends,
    ACTIONS(2342), 1,
      anon_sym_LBRACE,
    ACTIONS(2358), 1,
      sym_identifier,
    STATE(557), 1,
      sym_class_body,
    STATE(933), 1,
      sym_class_heritage,
  [28723] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(2360), 1,
      anon_sym_export,
    ACTIONS(2362), 1,
      anon_sym_class,
    STATE(605), 1,
      aux_sym_export_statement_repeat1,
    STATE(631), 1,
      sym_decorator,
  [28742] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2308), 1,
      sym_identifier,
    ACTIONS(2312), 1,
      sym_jsx_identifier,
    ACTIONS(2364), 1,
      anon_sym_SLASH,
    STATE(652), 1,
      sym_nested_identifier,
    STATE(657), 1,
      sym_jsx_namespace_name,
  [28761] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2366), 1,
      sym_identifier,
    ACTIONS(2368), 1,
      anon_sym_GT,
    ACTIONS(2370), 1,
      sym_jsx_identifier,
    STATE(644), 1,
      sym_nested_identifier,
    STATE(665), 1,
      sym_jsx_namespace_name,
  [28780] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(316), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_LBRACK,
    ACTIONS(2372), 1,
      sym_identifier,
    STATE(923), 1,
      sym_array,
    STATE(949), 1,
      sym_object,
  [28799] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1591), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(1593), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [28812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2374), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(2376), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [28825] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2308), 1,
      sym_identifier,
    ACTIONS(2312), 1,
      sym_jsx_identifier,
    ACTIONS(2378), 1,
      anon_sym_SLASH,
    STATE(652), 1,
      sym_nested_identifier,
    STATE(657), 1,
      sym_jsx_namespace_name,
  [28844] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2252), 1,
      anon_sym_EQ,
    STATE(823), 1,
      sym__initializer,
    ACTIONS(1416), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [28859] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2252), 1,
      anon_sym_EQ,
    STATE(824), 1,
      sym__initializer,
    ACTIONS(1660), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [28874] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2308), 1,
      sym_identifier,
    ACTIONS(2312), 1,
      sym_jsx_identifier,
    ACTIONS(2380), 1,
      anon_sym_SLASH,
    STATE(652), 1,
      sym_nested_identifier,
    STATE(657), 1,
      sym_jsx_namespace_name,
  [28893] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2322), 1,
      anon_sym_extends,
    ACTIONS(2342), 1,
      anon_sym_LBRACE,
    ACTIONS(2382), 1,
      sym_identifier,
    STATE(504), 1,
      sym_class_body,
    STATE(953), 1,
      sym_class_heritage,
  [28912] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2252), 1,
      anon_sym_EQ,
    STATE(826), 1,
      sym__initializer,
    ACTIONS(1651), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [28927] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2322), 1,
      anon_sym_extends,
    ACTIONS(2342), 1,
      anon_sym_LBRACE,
    ACTIONS(2384), 1,
      sym_identifier,
    STATE(504), 1,
      sym_class_body,
    STATE(953), 1,
      sym_class_heritage,
  [28946] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2386), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(2388), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [28959] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2390), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(2392), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [28972] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2308), 1,
      sym_identifier,
    ACTIONS(2312), 1,
      sym_jsx_identifier,
    ACTIONS(2394), 1,
      anon_sym_SLASH,
    STATE(652), 1,
      sym_nested_identifier,
    STATE(657), 1,
      sym_jsx_namespace_name,
  [28991] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2308), 1,
      sym_identifier,
    ACTIONS(2312), 1,
      sym_jsx_identifier,
    ACTIONS(2396), 1,
      anon_sym_SLASH,
    STATE(652), 1,
      sym_nested_identifier,
    STATE(657), 1,
      sym_jsx_namespace_name,
  [29010] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2322), 1,
      anon_sym_extends,
    ACTIONS(2342), 1,
      anon_sym_LBRACE,
    ACTIONS(2398), 1,
      sym_identifier,
    STATE(504), 1,
      sym_class_body,
    STATE(953), 1,
      sym_class_heritage,
  [29029] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2400), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(2402), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [29042] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_LBRACE,
    ACTIONS(2404), 1,
      anon_sym_extends,
    STATE(474), 1,
      sym_class_body,
    STATE(888), 1,
      sym_class_heritage,
  [29058] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2406), 1,
      sym_identifier,
    ACTIONS(2408), 1,
      sym_jsx_identifier,
    STATE(1022), 1,
      sym_nested_identifier,
    STATE(1057), 1,
      sym_jsx_namespace_name,
  [29074] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(2410), 1,
      anon_sym_class,
    STATE(605), 1,
      aux_sym_export_statement_repeat1,
    STATE(631), 1,
      sym_decorator,
  [29090] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2248), 1,
      anon_sym_LPAREN,
    ACTIONS(2412), 1,
      sym_identifier,
    ACTIONS(2414), 1,
      anon_sym_STAR,
    STATE(976), 1,
      sym_formal_parameters,
  [29106] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2404), 1,
      anon_sym_extends,
    ACTIONS(2416), 1,
      anon_sym_LBRACE,
    STATE(208), 1,
      sym_class_body,
    STATE(964), 1,
      sym_class_heritage,
  [29122] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2248), 1,
      anon_sym_LPAREN,
    ACTIONS(2418), 1,
      sym_identifier,
    ACTIONS(2420), 1,
      anon_sym_STAR,
    STATE(976), 1,
      sym_formal_parameters,
  [29138] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1983), 1,
      anon_sym_EQ,
    ACTIONS(2422), 1,
      anon_sym_COMMA,
    ACTIONS(2424), 1,
      anon_sym_RPAREN,
    STATE(878), 1,
      aux_sym_formal_parameters_repeat1,
  [29154] = 5,
    ACTIONS(2168), 1,
      sym_comment,
    ACTIONS(2426), 1,
      anon_sym_DQUOTE,
    ACTIONS(2428), 1,
      aux_sym_string_token1,
    ACTIONS(2430), 1,
      sym_escape_sequence,
    STATE(754), 1,
      aux_sym_string_repeat1,
  [29170] = 5,
    ACTIONS(2168), 1,
      sym_comment,
    ACTIONS(2432), 1,
      anon_sym_SQUOTE,
    ACTIONS(2434), 1,
      aux_sym_string_token2,
    ACTIONS(2436), 1,
      sym_escape_sequence,
    STATE(799), 1,
      aux_sym_string_repeat2,
  [29186] = 5,
    ACTIONS(2168), 1,
      sym_comment,
    ACTIONS(2434), 1,
      aux_sym_string_token2,
    ACTIONS(2436), 1,
      sym_escape_sequence,
    ACTIONS(2438), 1,
      anon_sym_SQUOTE,
    STATE(799), 1,
      aux_sym_string_repeat2,
  [29202] = 5,
    ACTIONS(2168), 1,
      sym_comment,
    ACTIONS(2432), 1,
      anon_sym_DQUOTE,
    ACTIONS(2440), 1,
      aux_sym_string_token1,
    ACTIONS(2442), 1,
      sym_escape_sequence,
    STATE(794), 1,
      aux_sym_string_repeat1,
  [29218] = 5,
    ACTIONS(2168), 1,
      sym_comment,
    ACTIONS(2438), 1,
      anon_sym_DQUOTE,
    ACTIONS(2440), 1,
      aux_sym_string_token1,
    ACTIONS(2442), 1,
      sym_escape_sequence,
    STATE(794), 1,
      aux_sym_string_repeat1,
  [29234] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2404), 1,
      anon_sym_extends,
    ACTIONS(2416), 1,
      anon_sym_LBRACE,
    STATE(189), 1,
      sym_class_body,
    STATE(904), 1,
      sym_class_heritage,
  [29250] = 5,
    ACTIONS(2168), 1,
      sym_comment,
    ACTIONS(2426), 1,
      anon_sym_SQUOTE,
    ACTIONS(2444), 1,
      aux_sym_string_token2,
    ACTIONS(2446), 1,
      sym_escape_sequence,
    STATE(752), 1,
      aux_sym_string_repeat2,
  [29266] = 5,
    ACTIONS(2168), 1,
      sym_comment,
    ACTIONS(2448), 1,
      anon_sym_SQUOTE,
    ACTIONS(2450), 1,
      aux_sym_string_token2,
    ACTIONS(2452), 1,
      sym_escape_sequence,
    STATE(753), 1,
      aux_sym_string_repeat2,
  [29282] = 5,
    ACTIONS(2168), 1,
      sym_comment,
    ACTIONS(2448), 1,
      anon_sym_DQUOTE,
    ACTIONS(2454), 1,
      aux_sym_string_token1,
    ACTIONS(2456), 1,
      sym_escape_sequence,
    STATE(755), 1,
      aux_sym_string_repeat1,
  [29298] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2458), 1,
      anon_sym_COMMA,
    ACTIONS(2460), 1,
      anon_sym_RPAREN,
    ACTIONS(2462), 1,
      anon_sym_EQ,
    STATE(885), 1,
      aux_sym_formal_parameters_repeat1,
  [29314] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2464), 1,
      anon_sym_COMMA,
    ACTIONS(2466), 1,
      anon_sym_RPAREN,
    ACTIONS(2468), 1,
      anon_sym_EQ,
    STATE(868), 1,
      aux_sym_formal_parameters_repeat1,
  [29330] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2470), 1,
      anon_sym_COMMA,
    STATE(762), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(2473), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [29344] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1983), 1,
      anon_sym_EQ,
    ACTIONS(2475), 1,
      anon_sym_COMMA,
    ACTIONS(2477), 1,
      anon_sym_RPAREN,
    STATE(853), 1,
      aux_sym_formal_parameters_repeat1,
  [29360] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_LBRACE,
    ACTIONS(2404), 1,
      anon_sym_extends,
    STATE(532), 1,
      sym_class_body,
    STATE(1000), 1,
      sym_class_heritage,
  [29376] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2479), 1,
      anon_sym_COMMA,
    STATE(765), 1,
      aux_sym_array_repeat1,
    ACTIONS(1800), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [29390] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1981), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [29400] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_LBRACE,
    ACTIONS(2404), 1,
      anon_sym_extends,
    STATE(208), 1,
      sym_class_body,
    STATE(996), 1,
      sym_class_heritage,
  [29416] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_LBRACE,
    ACTIONS(2404), 1,
      anon_sym_extends,
    STATE(457), 1,
      sym_class_body,
    STATE(995), 1,
      sym_class_heritage,
  [29432] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2248), 1,
      anon_sym_LPAREN,
    ACTIONS(2482), 1,
      sym_identifier,
    ACTIONS(2484), 1,
      anon_sym_STAR,
    STATE(979), 1,
      sym_formal_parameters,
  [29448] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_LBRACE,
    ACTIONS(2404), 1,
      anon_sym_extends,
    STATE(496), 1,
      sym_class_body,
    STATE(982), 1,
      sym_class_heritage,
  [29464] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_LBRACE,
    ACTIONS(2404), 1,
      anon_sym_extends,
    STATE(189), 1,
      sym_class_body,
    STATE(978), 1,
      sym_class_heritage,
  [29480] = 5,
    ACTIONS(2168), 1,
      sym_comment,
    ACTIONS(2434), 1,
      aux_sym_string_token2,
    ACTIONS(2436), 1,
      sym_escape_sequence,
    ACTIONS(2486), 1,
      anon_sym_SQUOTE,
    STATE(799), 1,
      aux_sym_string_repeat2,
  [29496] = 5,
    ACTIONS(2168), 1,
      sym_comment,
    ACTIONS(2440), 1,
      aux_sym_string_token1,
    ACTIONS(2442), 1,
      sym_escape_sequence,
    ACTIONS(2486), 1,
      anon_sym_DQUOTE,
    STATE(794), 1,
      aux_sym_string_repeat1,
  [29512] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2488), 1,
      sym_identifier,
    ACTIONS(2490), 1,
      sym_jsx_identifier,
    STATE(993), 1,
      sym_nested_identifier,
    STATE(1063), 1,
      sym_jsx_namespace_name,
  [29528] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2320), 1,
      anon_sym_LBRACE,
    ACTIONS(2404), 1,
      anon_sym_extends,
    STATE(428), 1,
      sym_class_body,
    STATE(990), 1,
      sym_class_heritage,
  [29544] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2248), 1,
      anon_sym_LPAREN,
    ACTIONS(2492), 1,
      sym_identifier,
    ACTIONS(2494), 1,
      anon_sym_STAR,
    STATE(979), 1,
      sym_formal_parameters,
  [29560] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2496), 1,
      sym_identifier,
    ACTIONS(2498), 1,
      anon_sym_COMMA,
    ACTIONS(2500), 1,
      anon_sym_RBRACE,
    STATE(821), 1,
      sym__import_export_specifier,
  [29576] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2502), 1,
      anon_sym_from,
    STATE(1029), 1,
      sym__from_clause,
    ACTIONS(2504), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [29590] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(2506), 1,
      anon_sym_class,
    STATE(605), 1,
      aux_sym_export_statement_repeat1,
    STATE(631), 1,
      sym_decorator,
  [29606] = 5,
    ACTIONS(2168), 1,
      sym_comment,
    ACTIONS(2508), 1,
      anon_sym_SQUOTE,
    ACTIONS(2510), 1,
      aux_sym_string_token2,
    ACTIONS(2512), 1,
      sym_escape_sequence,
    STATE(772), 1,
      aux_sym_string_repeat2,
  [29622] = 5,
    ACTIONS(2168), 1,
      sym_comment,
    ACTIONS(2508), 1,
      anon_sym_DQUOTE,
    ACTIONS(2514), 1,
      aux_sym_string_token1,
    ACTIONS(2516), 1,
      sym_escape_sequence,
    STATE(773), 1,
      aux_sym_string_repeat1,
  [29638] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2518), 4,
      sym__template_chars,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [29648] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2496), 1,
      sym_identifier,
    ACTIONS(2520), 1,
      anon_sym_COMMA,
    ACTIONS(2522), 1,
      anon_sym_RBRACE,
    STATE(813), 1,
      sym__import_export_specifier,
  [29664] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2308), 1,
      sym_identifier,
    ACTIONS(2312), 1,
      sym_jsx_identifier,
    STATE(652), 1,
      sym_nested_identifier,
    STATE(657), 1,
      sym_jsx_namespace_name,
  [29680] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2248), 1,
      anon_sym_LPAREN,
    ACTIONS(2524), 1,
      sym_identifier,
    ACTIONS(2526), 1,
      anon_sym_STAR,
    STATE(965), 1,
      sym_formal_parameters,
  [29696] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(2528), 1,
      anon_sym_class,
    STATE(605), 1,
      aux_sym_export_statement_repeat1,
    STATE(631), 1,
      sym_decorator,
  [29712] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2530), 1,
      anon_sym_COMMA,
    STATE(798), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(2532), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [29726] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_LBRACE,
    ACTIONS(2404), 1,
      anon_sym_extends,
    STATE(48), 1,
      sym_class_body,
    STATE(960), 1,
      sym_class_heritage,
  [29742] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2530), 1,
      anon_sym_COMMA,
    STATE(762), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(2534), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [29756] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2536), 1,
      sym_identifier,
    ACTIONS(2538), 1,
      sym_jsx_identifier,
    STATE(898), 1,
      sym_nested_identifier,
    STATE(1062), 1,
      sym_jsx_namespace_name,
  [29772] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2530), 1,
      anon_sym_COMMA,
    STATE(789), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(2540), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [29786] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2248), 1,
      anon_sym_LPAREN,
    ACTIONS(2542), 1,
      sym_identifier,
    ACTIONS(2544), 1,
      anon_sym_STAR,
    STATE(976), 1,
      sym_formal_parameters,
  [29802] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2248), 1,
      anon_sym_LPAREN,
    ACTIONS(2546), 1,
      sym_identifier,
    ACTIONS(2548), 1,
      anon_sym_STAR,
    STATE(979), 1,
      sym_formal_parameters,
  [29818] = 5,
    ACTIONS(2168), 1,
      sym_comment,
    ACTIONS(2550), 1,
      anon_sym_DQUOTE,
    ACTIONS(2552), 1,
      aux_sym_string_token1,
    ACTIONS(2555), 1,
      sym_escape_sequence,
    STATE(794), 1,
      aux_sym_string_repeat1,
  [29834] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(2558), 1,
      anon_sym_class,
    STATE(605), 1,
      aux_sym_export_statement_repeat1,
    STATE(631), 1,
      sym_decorator,
  [29850] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2560), 1,
      sym_identifier,
    ACTIONS(2562), 1,
      sym_jsx_identifier,
    STATE(1016), 1,
      sym_nested_identifier,
    STATE(1044), 1,
      sym_jsx_namespace_name,
  [29866] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1463), 1,
      anon_sym_LBRACE,
    ACTIONS(2564), 1,
      anon_sym_STAR,
    STATE(1047), 2,
      sym_namespace_import,
      sym_named_imports,
  [29880] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2530), 1,
      anon_sym_COMMA,
    STATE(762), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(2566), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [29894] = 5,
    ACTIONS(2168), 1,
      sym_comment,
    ACTIONS(2568), 1,
      anon_sym_SQUOTE,
    ACTIONS(2570), 1,
      aux_sym_string_token2,
    ACTIONS(2573), 1,
      sym_escape_sequence,
    STATE(799), 1,
      aux_sym_string_repeat2,
  [29910] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2248), 1,
      anon_sym_LPAREN,
    ACTIONS(2576), 1,
      sym_identifier,
    ACTIONS(2578), 1,
      anon_sym_STAR,
    STATE(944), 1,
      sym_formal_parameters,
  [29926] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_LBRACE,
    ACTIONS(2404), 1,
      anon_sym_extends,
    STATE(50), 1,
      sym_class_body,
    STATE(896), 1,
      sym_class_heritage,
  [29942] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2320), 1,
      anon_sym_LBRACE,
    ACTIONS(2404), 1,
      anon_sym_extends,
    STATE(395), 1,
      sym_class_body,
    STATE(893), 1,
      sym_class_heritage,
  [29958] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1762), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [29968] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [29978] = 2,
    ACTIONS(2168), 1,
      sym_comment,
    ACTIONS(1729), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [29987] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2140), 1,
      anon_sym_COLON,
    ACTIONS(2148), 1,
      anon_sym_DOT,
    ACTIONS(2580), 1,
      anon_sym_GT,
  [30000] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(75), 1,
      anon_sym_DQUOTE,
    ACTIONS(77), 1,
      anon_sym_SQUOTE,
    STATE(899), 1,
      sym_string,
  [30013] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2582), 1,
      sym_identifier,
    ACTIONS(2584), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [30024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2586), 1,
      sym_identifier,
    ACTIONS(2588), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [30035] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2590), 1,
      anon_sym_LPAREN,
    ACTIONS(2592), 1,
      anon_sym_await,
    STATE(36), 1,
      sym__for_header,
  [30048] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2140), 1,
      anon_sym_COLON,
    ACTIONS(2148), 1,
      anon_sym_DOT,
    ACTIONS(2594), 1,
      anon_sym_GT,
  [30061] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2248), 1,
      anon_sym_LPAREN,
    ACTIONS(2596), 1,
      sym_identifier,
    STATE(1032), 1,
      sym_formal_parameters,
  [30074] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2598), 1,
      anon_sym_COMMA,
    ACTIONS(2600), 1,
      anon_sym_RBRACE,
    STATE(825), 1,
      aux_sym_named_imports_repeat1,
  [30087] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2602), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [30096] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(512), 1,
      anon_sym_COMMA,
    ACTIONS(1788), 1,
      anon_sym_RBRACK,
    STATE(765), 1,
      aux_sym_array_repeat1,
  [30109] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(512), 1,
      anon_sym_COMMA,
    ACTIONS(1788), 1,
      anon_sym_RBRACK,
    STATE(838), 1,
      aux_sym_array_repeat1,
  [30122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2606), 1,
      anon_sym_as,
    ACTIONS(2604), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [30133] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2140), 1,
      anon_sym_COLON,
    ACTIONS(2148), 1,
      anon_sym_DOT,
    ACTIONS(2608), 1,
      anon_sym_GT,
  [30146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(500), 1,
      sym__automatic_semicolon,
    ACTIONS(468), 2,
      anon_sym_else,
      anon_sym_while,
  [30157] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2496), 1,
      sym_identifier,
    ACTIONS(2610), 1,
      anon_sym_RBRACE,
    STATE(947), 1,
      sym__import_export_specifier,
  [30170] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2612), 1,
      anon_sym_COMMA,
    ACTIONS(2614), 1,
      anon_sym_RBRACE,
    STATE(836), 1,
      aux_sym_export_clause_repeat1,
  [30183] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2616), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [30192] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2618), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [30201] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2620), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [30210] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2610), 1,
      anon_sym_RBRACE,
    ACTIONS(2622), 1,
      anon_sym_COMMA,
    STATE(859), 1,
      aux_sym_named_imports_repeat1,
  [30223] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2624), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [30232] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2473), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [30241] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2248), 1,
      anon_sym_LPAREN,
    ACTIONS(2626), 1,
      sym_identifier,
    STATE(910), 1,
      sym_formal_parameters,
  [30254] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1800), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [30263] = 2,
    ACTIONS(2168), 1,
      sym_comment,
    ACTIONS(2628), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [30272] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2140), 1,
      anon_sym_COLON,
    ACTIONS(2148), 1,
      anon_sym_DOT,
    ACTIONS(2630), 1,
      anon_sym_GT,
  [30285] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(512), 1,
      anon_sym_COMMA,
    ACTIONS(1796), 1,
      anon_sym_RPAREN,
    STATE(881), 1,
      aux_sym_array_repeat1,
  [30298] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(512), 1,
      anon_sym_COMMA,
    ACTIONS(1796), 1,
      anon_sym_RPAREN,
    STATE(765), 1,
      aux_sym_array_repeat1,
  [30311] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(512), 1,
      anon_sym_COMMA,
    ACTIONS(2632), 1,
      anon_sym_RPAREN,
    STATE(765), 1,
      aux_sym_array_repeat1,
  [30324] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2422), 1,
      anon_sym_COMMA,
    ACTIONS(2424), 1,
      anon_sym_RPAREN,
    STATE(878), 1,
      aux_sym_formal_parameters_repeat1,
  [30337] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2634), 1,
      anon_sym_COMMA,
    ACTIONS(2636), 1,
      anon_sym_RBRACE,
    STATE(873), 1,
      aux_sym_export_clause_repeat1,
  [30350] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2638), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [30359] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(512), 1,
      anon_sym_COMMA,
    ACTIONS(2640), 1,
      anon_sym_RBRACK,
    STATE(765), 1,
      aux_sym_array_repeat1,
  [30372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1513), 1,
      anon_sym_EQ,
    ACTIONS(1762), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [30383] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2642), 1,
      anon_sym_LPAREN,
    ACTIONS(2644), 1,
      anon_sym_await,
    STATE(29), 1,
      sym__for_header,
  [30396] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(512), 1,
      anon_sym_COMMA,
    ACTIONS(1798), 1,
      anon_sym_RPAREN,
    STATE(765), 1,
      aux_sym_array_repeat1,
  [30409] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(512), 1,
      anon_sym_COMMA,
    ACTIONS(1798), 1,
      anon_sym_RPAREN,
    STATE(834), 1,
      aux_sym_array_repeat1,
  [30422] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1983), 1,
      anon_sym_EQ,
    ACTIONS(2646), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [30433] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1983), 1,
      anon_sym_EQ,
    ACTIONS(2648), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [30444] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2650), 1,
      anon_sym_COMMA,
    ACTIONS(2653), 1,
      anon_sym_RBRACE,
    STATE(845), 1,
      aux_sym_object_repeat1,
  [30457] = 2,
    ACTIONS(2168), 1,
      sym_comment,
    ACTIONS(2400), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [30466] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(512), 1,
      anon_sym_COMMA,
    ACTIONS(2655), 1,
      anon_sym_RBRACK,
    STATE(765), 1,
      aux_sym_array_repeat1,
  [30479] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2462), 1,
      anon_sym_EQ,
    ACTIONS(2657), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [30490] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2468), 1,
      anon_sym_EQ,
    ACTIONS(2659), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [30501] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(2661), 1,
      anon_sym_RBRACE,
    STATE(845), 1,
      aux_sym_object_repeat1,
  [30514] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(2663), 1,
      anon_sym_RBRACE,
    STATE(845), 1,
      aux_sym_object_repeat1,
  [30527] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2248), 1,
      anon_sym_LPAREN,
    ACTIONS(2665), 1,
      sym_identifier,
    STATE(987), 1,
      sym_formal_parameters,
  [30540] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2108), 1,
      anon_sym_RPAREN,
    ACTIONS(2667), 1,
      anon_sym_COMMA,
    STATE(856), 1,
      aux_sym_formal_parameters_repeat1,
  [30553] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2248), 1,
      anon_sym_LPAREN,
    ACTIONS(2669), 1,
      sym_identifier,
    STATE(966), 1,
      sym_formal_parameters,
  [30566] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(2671), 1,
      anon_sym_RBRACE,
    STATE(845), 1,
      aux_sym_object_repeat1,
  [30579] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2648), 1,
      anon_sym_RPAREN,
    ACTIONS(2673), 1,
      anon_sym_COMMA,
    STATE(856), 1,
      aux_sym_formal_parameters_repeat1,
  [30592] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2248), 1,
      anon_sym_LPAREN,
    ACTIONS(2676), 1,
      sym_identifier,
    STATE(1032), 1,
      sym_formal_parameters,
  [30605] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2248), 1,
      anon_sym_LPAREN,
    ACTIONS(2678), 1,
      sym_identifier,
    STATE(1032), 1,
      sym_formal_parameters,
  [30618] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2680), 1,
      anon_sym_COMMA,
    ACTIONS(2683), 1,
      anon_sym_RBRACE,
    STATE(859), 1,
      aux_sym_named_imports_repeat1,
  [30631] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2496), 1,
      sym_identifier,
    ACTIONS(2685), 1,
      anon_sym_RBRACE,
    STATE(947), 1,
      sym__import_export_specifier,
  [30644] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2496), 1,
      sym_identifier,
    ACTIONS(2636), 1,
      anon_sym_RBRACE,
    STATE(894), 1,
      sym__import_export_specifier,
  [30657] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(512), 1,
      anon_sym_COMMA,
    ACTIONS(1790), 1,
      anon_sym_RBRACK,
    STATE(765), 1,
      aux_sym_array_repeat1,
  [30670] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(512), 1,
      anon_sym_COMMA,
    ACTIONS(1790), 1,
      anon_sym_RBRACK,
    STATE(847), 1,
      aux_sym_array_repeat1,
  [30683] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2248), 1,
      anon_sym_LPAREN,
    ACTIONS(2687), 1,
      sym_identifier,
    STATE(910), 1,
      sym_formal_parameters,
  [30696] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2689), 1,
      anon_sym_LBRACE,
    ACTIONS(2691), 1,
      anon_sym_LPAREN,
    STATE(203), 1,
      sym_statement_block,
  [30709] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(2693), 1,
      anon_sym_RBRACE,
    STATE(845), 1,
      aux_sym_object_repeat1,
  [30722] = 2,
    ACTIONS(2168), 1,
      sym_comment,
    ACTIONS(1691), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [30731] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2110), 1,
      anon_sym_RPAREN,
    ACTIONS(2695), 1,
      anon_sym_COMMA,
    STATE(856), 1,
      aux_sym_formal_parameters_repeat1,
  [30744] = 2,
    ACTIONS(2168), 1,
      sym_comment,
    ACTIONS(1697), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [30753] = 2,
    ACTIONS(2168), 1,
      sym_comment,
    ACTIONS(2697), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [30762] = 2,
    ACTIONS(2168), 1,
      sym_comment,
    ACTIONS(2374), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [30771] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(2693), 1,
      anon_sym_RBRACE,
    STATE(850), 1,
      aux_sym_object_repeat1,
  [30784] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2699), 1,
      anon_sym_COMMA,
    ACTIONS(2702), 1,
      anon_sym_RBRACE,
    STATE(873), 1,
      aux_sym_export_clause_repeat1,
  [30797] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2496), 1,
      sym_identifier,
    ACTIONS(2704), 1,
      anon_sym_RBRACE,
    STATE(894), 1,
      sym__import_export_specifier,
  [30810] = 2,
    ACTIONS(2168), 1,
      sym_comment,
    ACTIONS(1709), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [30819] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2706), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [30828] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2708), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [30837] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2102), 1,
      anon_sym_RPAREN,
    ACTIONS(2710), 1,
      anon_sym_COMMA,
    STATE(856), 1,
      aux_sym_formal_parameters_repeat1,
  [30850] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(2712), 1,
      anon_sym_RBRACE,
    STATE(884), 1,
      aux_sym_object_repeat1,
  [30863] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2248), 1,
      anon_sym_LPAREN,
    ACTIONS(2714), 1,
      sym_identifier,
    STATE(910), 1,
      sym_formal_parameters,
  [30876] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(512), 1,
      anon_sym_COMMA,
    ACTIONS(2716), 1,
      anon_sym_RPAREN,
    STATE(765), 1,
      aux_sym_array_repeat1,
  [30889] = 2,
    ACTIONS(2168), 1,
      sym_comment,
    ACTIONS(1637), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [30898] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(2712), 1,
      anon_sym_RBRACE,
    STATE(845), 1,
      aux_sym_object_repeat1,
  [30911] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(2718), 1,
      anon_sym_RBRACE,
    STATE(845), 1,
      aux_sym_object_repeat1,
  [30924] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2090), 1,
      anon_sym_RPAREN,
    ACTIONS(2720), 1,
      anon_sym_COMMA,
    STATE(856), 1,
      aux_sym_formal_parameters_repeat1,
  [30937] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2248), 1,
      anon_sym_LPAREN,
    ACTIONS(2722), 1,
      anon_sym_COLON,
    STATE(922), 1,
      sym_formal_parameters,
  [30950] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2689), 1,
      anon_sym_LBRACE,
    STATE(613), 1,
      sym_statement_block,
  [30960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_LBRACE,
    STATE(459), 1,
      sym_class_body,
  [30970] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2724), 1,
      anon_sym_LBRACE,
    STATE(199), 1,
      sym_statement_block,
  [30980] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2724), 1,
      anon_sym_LBRACE,
    STATE(200), 1,
      sym_statement_block,
  [30990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2248), 1,
      anon_sym_LPAREN,
    STATE(1013), 1,
      sym_formal_parameters,
  [31000] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2726), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [31008] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2320), 1,
      anon_sym_LBRACE,
    STATE(432), 1,
      sym_class_body,
  [31018] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2728), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [31026] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2730), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [31034] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_LBRACE,
    STATE(47), 1,
      sym_class_body,
  [31044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2248), 1,
      anon_sym_LPAREN,
    STATE(1003), 1,
      sym_formal_parameters,
  [31054] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2148), 1,
      anon_sym_DOT,
    ACTIONS(2580), 1,
      anon_sym_GT,
  [31064] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2732), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [31072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2502), 1,
      anon_sym_from,
    STATE(1015), 1,
      sym__from_clause,
  [31082] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2734), 1,
      anon_sym_COMMA,
    ACTIONS(2736), 1,
      anon_sym_from,
  [31092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2140), 1,
      anon_sym_COLON,
    ACTIONS(2580), 1,
      anon_sym_GT,
  [31102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2738), 1,
      anon_sym_LBRACE,
    STATE(382), 1,
      sym_statement_block,
  [31112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2416), 1,
      anon_sym_LBRACE,
    STATE(206), 1,
      sym_class_body,
  [31122] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2740), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [31130] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2742), 1,
      anon_sym_LBRACE,
    STATE(199), 1,
      sym_statement_block,
  [31140] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2689), 1,
      anon_sym_LBRACE,
    STATE(204), 1,
      sym_statement_block,
  [31150] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2744), 1,
      anon_sym_LBRACE,
    STATE(49), 1,
      sym_statement_block,
  [31160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2744), 1,
      anon_sym_LBRACE,
    STATE(51), 1,
      sym_statement_block,
  [31170] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2744), 1,
      anon_sym_LBRACE,
    STATE(522), 1,
      sym_statement_block,
  [31180] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2248), 1,
      anon_sym_LPAREN,
    STATE(1011), 1,
      sym_formal_parameters,
  [31190] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2746), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [31198] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2248), 1,
      anon_sym_LPAREN,
    STATE(903), 1,
      sym_formal_parameters,
  [31208] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2689), 1,
      anon_sym_LBRACE,
    STATE(191), 1,
      sym_statement_block,
  [31218] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2748), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [31226] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2742), 1,
      anon_sym_LBRACE,
    STATE(200), 1,
      sym_statement_block,
  [31236] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2248), 1,
      anon_sym_LPAREN,
    STATE(1001), 1,
      sym_formal_parameters,
  [31246] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2750), 1,
      anon_sym_LPAREN,
    STATE(927), 1,
      sym_parenthesized_expression,
  [31256] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2689), 1,
      anon_sym_LBRACE,
    STATE(202), 1,
      sym_statement_block,
  [31266] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2752), 1,
      sym_identifier,
    ACTIONS(2754), 1,
      anon_sym_STAR,
  [31276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2248), 1,
      anon_sym_LPAREN,
    STATE(999), 1,
      sym_formal_parameters,
  [31286] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2689), 1,
      anon_sym_LBRACE,
    STATE(615), 1,
      sym_statement_block,
  [31296] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2756), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [31304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2248), 1,
      anon_sym_LPAREN,
    STATE(998), 1,
      sym_formal_parameters,
  [31314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2689), 1,
      anon_sym_LBRACE,
    STATE(609), 1,
      sym_statement_block,
  [31324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2689), 1,
      anon_sym_LBRACE,
    STATE(229), 1,
      sym_statement_block,
  [31334] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2758), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [31342] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2742), 1,
      anon_sym_LBRACE,
    STATE(192), 1,
      sym_statement_block,
  [31352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2502), 1,
      anon_sym_from,
    STATE(1029), 1,
      sym__from_clause,
  [31362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2248), 1,
      anon_sym_LPAREN,
    STATE(916), 1,
      sym_formal_parameters,
  [31372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2760), 1,
      anon_sym_LPAREN,
    STATE(955), 1,
      sym_parenthesized_expression,
  [31382] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2762), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [31390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_LBRACE,
    STATE(504), 1,
      sym_class_body,
  [31400] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2248), 1,
      anon_sym_LPAREN,
    STATE(1017), 1,
      sym_formal_parameters,
  [31410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2742), 1,
      anon_sym_LBRACE,
    STATE(207), 1,
      sym_statement_block,
  [31420] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2764), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [31428] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2766), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [31436] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2320), 1,
      anon_sym_LBRACE,
    STATE(393), 1,
      sym_class_body,
  [31446] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2738), 1,
      anon_sym_LBRACE,
    STATE(431), 1,
      sym_statement_block,
  [31456] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2248), 1,
      anon_sym_LPAREN,
    STATE(906), 1,
      sym_formal_parameters,
  [31466] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2248), 1,
      anon_sym_LPAREN,
    STATE(989), 1,
      sym_formal_parameters,
  [31476] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2248), 1,
      anon_sym_LPAREN,
    STATE(988), 1,
      sym_formal_parameters,
  [31486] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2760), 1,
      anon_sym_LPAREN,
    STATE(30), 1,
      sym_parenthesized_expression,
  [31496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2738), 1,
      anon_sym_LBRACE,
    STATE(408), 1,
      sym_statement_block,
  [31506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2248), 1,
      anon_sym_LPAREN,
    STATE(983), 1,
      sym_formal_parameters,
  [31516] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2248), 1,
      anon_sym_LPAREN,
    STATE(928), 1,
      sym_formal_parameters,
  [31526] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2768), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [31534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2248), 1,
      anon_sym_LPAREN,
    STATE(973), 1,
      sym_formal_parameters,
  [31544] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2770), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [31552] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1792), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [31560] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2772), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [31568] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2248), 1,
      anon_sym_LPAREN,
    STATE(969), 1,
      sym_formal_parameters,
  [31578] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_LBRACE,
    STATE(543), 1,
      sym_class_body,
  [31588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2248), 1,
      anon_sym_LPAREN,
    STATE(939), 1,
      sym_formal_parameters,
  [31598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2774), 1,
      anon_sym_LBRACE,
    STATE(234), 1,
      sym_switch_body,
  [31608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2776), 1,
      anon_sym_LPAREN,
    STATE(26), 1,
      sym__for_header,
  [31618] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2778), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [31626] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2648), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [31634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1981), 1,
      anon_sym_LPAREN,
    ACTIONS(2780), 1,
      anon_sym_EQ_GT,
  [31644] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_LBRACE,
    STATE(58), 1,
      sym_class_body,
  [31654] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1786), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [31662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2248), 1,
      anon_sym_LPAREN,
    STATE(1025), 1,
      sym_formal_parameters,
  [31672] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1579), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [31680] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2416), 1,
      anon_sym_LBRACE,
    STATE(195), 1,
      sym_class_body,
  [31690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2738), 1,
      anon_sym_LBRACE,
    STATE(441), 1,
      sym_statement_block,
  [31700] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2738), 1,
      anon_sym_LBRACE,
    STATE(443), 1,
      sym_statement_block,
  [31710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2744), 1,
      anon_sym_LBRACE,
    STATE(458), 1,
      sym_statement_block,
  [31720] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2782), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [31728] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2738), 1,
      anon_sym_LBRACE,
    STATE(389), 1,
      sym_statement_block,
  [31738] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2784), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [31746] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2786), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [31754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1265), 1,
      anon_sym_while,
    ACTIONS(2788), 1,
      anon_sym_else,
  [31764] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2738), 1,
      anon_sym_LBRACE,
    STATE(388), 1,
      sym_statement_block,
  [31774] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [31782] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2792), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [31790] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2744), 1,
      anon_sym_LBRACE,
    STATE(512), 1,
      sym_statement_block,
  [31800] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2320), 1,
      anon_sym_LBRACE,
    STATE(446), 1,
      sym_class_body,
  [31810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_LBRACE,
    STATE(206), 1,
      sym_class_body,
  [31820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2744), 1,
      anon_sym_LBRACE,
    STATE(541), 1,
      sym_statement_block,
  [31830] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1981), 1,
      anon_sym_LPAREN,
    ACTIONS(2066), 1,
      anon_sym_EQ_GT,
  [31840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2794), 1,
      sym_identifier,
    ACTIONS(2796), 1,
      sym_jsx_identifier,
  [31850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_LBRACE,
    STATE(525), 1,
      sym_class_body,
  [31860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2744), 1,
      anon_sym_LBRACE,
    STATE(529), 1,
      sym_statement_block,
  [31870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2248), 1,
      anon_sym_LPAREN,
    STATE(909), 1,
      sym_formal_parameters,
  [31880] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2798), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [31888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2760), 1,
      anon_sym_LPAREN,
    STATE(27), 1,
      sym_parenthesized_expression,
  [31898] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2738), 1,
      anon_sym_LBRACE,
    STATE(438), 1,
      sym_statement_block,
  [31908] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2744), 1,
      anon_sym_LBRACE,
    STATE(460), 1,
      sym_statement_block,
  [31918] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2744), 1,
      anon_sym_LBRACE,
    STATE(461), 1,
      sym_statement_block,
  [31928] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2320), 1,
      anon_sym_LBRACE,
    STATE(386), 1,
      sym_class_body,
  [31938] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2140), 1,
      anon_sym_COLON,
    ACTIONS(2630), 1,
      anon_sym_GT,
  [31948] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [31956] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2148), 1,
      anon_sym_DOT,
    ACTIONS(2630), 1,
      anon_sym_GT,
  [31966] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2689), 1,
      anon_sym_LBRACE,
    STATE(180), 1,
      sym_statement_block,
  [31976] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_LBRACE,
    STATE(463), 1,
      sym_class_body,
  [31986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_LBRACE,
    STATE(195), 1,
      sym_class_body,
  [31996] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2800), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [32004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2744), 1,
      anon_sym_LBRACE,
    STATE(489), 1,
      sym_statement_block,
  [32014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2744), 1,
      anon_sym_LBRACE,
    STATE(538), 1,
      sym_statement_block,
  [32024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_LBRACE,
    STATE(539), 1,
      sym_class_body,
  [32034] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2744), 1,
      anon_sym_LBRACE,
    STATE(465), 1,
      sym_statement_block,
  [32044] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2653), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [32052] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2744), 1,
      anon_sym_LBRACE,
    STATE(554), 1,
      sym_statement_block,
  [32062] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2802), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [32070] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2248), 1,
      anon_sym_LPAREN,
    STATE(1028), 1,
      sym_formal_parameters,
  [32080] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2248), 1,
      anon_sym_LPAREN,
    STATE(1037), 1,
      sym_formal_parameters,
  [32090] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1784), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [32098] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2804), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [32106] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2806), 1,
      sym_identifier,
    ACTIONS(2808), 1,
      anon_sym_STAR,
  [32116] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2810), 1,
      sym_identifier,
    ACTIONS(2812), 1,
      anon_sym_STAR,
  [32126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2744), 1,
      anon_sym_LBRACE,
    STATE(57), 1,
      sym_statement_block,
  [32136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2496), 1,
      sym_identifier,
    STATE(894), 1,
      sym__import_export_specifier,
  [32146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2724), 1,
      anon_sym_LBRACE,
    STATE(192), 1,
      sym_statement_block,
  [32156] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2140), 1,
      anon_sym_COLON,
    ACTIONS(2608), 1,
      anon_sym_GT,
  [32166] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2814), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [32174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2148), 1,
      anon_sym_DOT,
    ACTIONS(2608), 1,
      anon_sym_GT,
  [32184] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2689), 1,
      anon_sym_LBRACE,
    STATE(611), 1,
      sym_statement_block,
  [32194] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2248), 1,
      anon_sym_LPAREN,
    STATE(925), 1,
      sym_formal_parameters,
  [32204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2248), 1,
      anon_sym_LPAREN,
    STATE(887), 1,
      sym_formal_parameters,
  [32214] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2140), 1,
      anon_sym_COLON,
    ACTIONS(2594), 1,
      anon_sym_GT,
  [32224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2496), 1,
      sym_identifier,
    STATE(947), 1,
      sym__import_export_specifier,
  [32234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2148), 1,
      anon_sym_DOT,
    ACTIONS(2594), 1,
      anon_sym_GT,
  [32244] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2118), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [32252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2760), 1,
      anon_sym_LPAREN,
    STATE(24), 1,
      sym_parenthesized_expression,
  [32262] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2744), 1,
      anon_sym_LBRACE,
    STATE(53), 1,
      sym_statement_block,
  [32272] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2760), 1,
      anon_sym_LPAREN,
    STATE(42), 1,
      sym_parenthesized_expression,
  [32282] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2760), 1,
      anon_sym_LPAREN,
    STATE(40), 1,
      sym_parenthesized_expression,
  [32292] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2689), 1,
      anon_sym_LBRACE,
    STATE(608), 1,
      sym_statement_block,
  [32302] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2816), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [32310] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2818), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [32318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2248), 1,
      anon_sym_LPAREN,
    STATE(935), 1,
      sym_formal_parameters,
  [32328] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2744), 1,
      anon_sym_LBRACE,
    STATE(547), 1,
      sym_statement_block,
  [32338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2760), 1,
      anon_sym_LPAREN,
    STATE(28), 1,
      sym_parenthesized_expression,
  [32348] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2776), 1,
      anon_sym_LPAREN,
    STATE(25), 1,
      sym__for_header,
  [32358] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2248), 1,
      anon_sym_LPAREN,
    STATE(908), 1,
      sym_formal_parameters,
  [32368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2820), 1,
      sym_identifier,
    ACTIONS(2822), 1,
      anon_sym_STAR,
  [32378] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2724), 1,
      anon_sym_LBRACE,
    STATE(207), 1,
      sym_statement_block,
  [32388] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2248), 1,
      anon_sym_LPAREN,
    STATE(889), 1,
      sym_formal_parameters,
  [32398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2248), 1,
      anon_sym_LPAREN,
    STATE(890), 1,
      sym_formal_parameters,
  [32408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2248), 1,
      anon_sym_LPAREN,
    STATE(967), 1,
      sym_formal_parameters,
  [32418] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1814), 1,
      anon_sym_RPAREN,
  [32425] = 2,
    ACTIONS(2168), 1,
      sym_comment,
    ACTIONS(2824), 1,
      sym_regex_pattern,
  [32432] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2826), 1,
      anon_sym_COLON,
  [32439] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2608), 1,
      anon_sym_GT,
  [32446] = 2,
    ACTIONS(2168), 1,
      sym_comment,
    ACTIONS(2828), 1,
      sym_regex_pattern,
  [32453] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2830), 1,
      anon_sym_GT,
  [32460] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2832), 1,
      anon_sym_from,
  [32467] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2834), 1,
      anon_sym_from,
  [32474] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2836), 1,
      anon_sym_GT,
  [32481] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2838), 1,
      sym_identifier,
  [32488] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_RPAREN,
  [32495] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2840), 1,
      anon_sym_GT,
  [32502] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2842), 1,
      anon_sym_GT,
  [32509] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2844), 1,
      anon_sym_GT,
  [32516] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2846), 1,
      anon_sym_from,
  [32523] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2848), 1,
      anon_sym_GT,
  [32530] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2594), 1,
      anon_sym_GT,
  [32537] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2850), 1,
      anon_sym_GT,
  [32544] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2852), 1,
      sym_identifier,
  [32551] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2854), 1,
      sym_identifier,
  [32558] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2856), 1,
      anon_sym_from,
  [32565] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2580), 1,
      anon_sym_GT,
  [32572] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2630), 1,
      anon_sym_GT,
  [32579] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2858), 1,
      anon_sym_GT,
  [32586] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2860), 1,
      anon_sym_GT,
  [32593] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2862), 1,
      sym_identifier,
  [32600] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1810), 1,
      anon_sym_RBRACE,
  [32607] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2864), 1,
      anon_sym_GT,
  [32614] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1808), 1,
      anon_sym_RBRACK,
  [32621] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2866), 1,
      anon_sym_GT,
  [32628] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2868), 1,
      sym_identifier,
  [32635] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2870), 1,
      anon_sym_target,
  [32642] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2872), 1,
      sym_identifier,
  [32649] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2874), 1,
      anon_sym_EQ_GT,
  [32656] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2876), 1,
      anon_sym_EQ_GT,
  [32663] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2878), 1,
      anon_sym_EQ_GT,
  [32670] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2880), 1,
      sym_identifier,
  [32677] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2882), 1,
      anon_sym_SLASH2,
  [32684] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2884), 1,
      anon_sym_EQ_GT,
  [32691] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1826), 1,
      anon_sym_RPAREN,
  [32698] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2886), 1,
      sym_identifier,
  [32705] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2888), 1,
      anon_sym_function,
  [32712] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2890), 1,
      anon_sym_GT,
  [32719] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2892), 1,
      anon_sym_EQ_GT,
  [32726] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2894), 1,
      anon_sym_GT,
  [32733] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2896), 1,
      anon_sym_as,
  [32740] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1840), 1,
      anon_sym_RPAREN,
  [32747] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2898), 1,
      ts_builtin_sym_end,
  [32754] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2900), 1,
      sym_identifier,
  [32761] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_LPAREN,
  [32768] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2902), 1,
      anon_sym_from,
  [32775] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1832), 1,
      anon_sym_COLON,
  [32782] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1822), 1,
      anon_sym_RPAREN,
  [32789] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1820), 1,
      anon_sym_RPAREN,
  [32796] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_RBRACE,
  [32803] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1818), 1,
      anon_sym_RPAREN,
  [32810] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1812), 1,
      anon_sym_RPAREN,
  [32817] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2904), 1,
      anon_sym_RPAREN,
  [32824] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2906), 1,
      sym_identifier,
  [32831] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2908), 1,
      sym_identifier,
  [32838] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1830), 1,
      anon_sym_RBRACK,
  [32845] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2910), 1,
      anon_sym_RPAREN,
  [32852] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym_RPAREN,
  [32859] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2912), 1,
      anon_sym_RPAREN,
  [32866] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2914), 1,
      anon_sym_while,
  [32873] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1838), 1,
      anon_sym_RBRACE,
  [32880] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2916), 1,
      anon_sym_GT,
  [32887] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2736), 1,
      anon_sym_from,
  [32894] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2918), 1,
      anon_sym_from,
  [32901] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1824), 1,
      anon_sym_RPAREN,
  [32908] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1828), 1,
      anon_sym_RPAREN,
  [32915] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_RPAREN,
  [32922] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1836), 1,
      anon_sym_RPAREN,
  [32929] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2920), 1,
      anon_sym_from,
  [32936] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2922), 1,
      anon_sym_SLASH2,
  [32943] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2924), 1,
      anon_sym_RBRACE,
  [32950] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2926), 1,
      sym_identifier,
  [32957] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2928), 1,
      sym_identifier,
  [32964] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2066), 1,
      anon_sym_EQ_GT,
  [32971] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2780), 1,
      anon_sym_EQ_GT,
  [32978] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2930), 1,
      anon_sym_EQ_GT,
  [32985] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2932), 1,
      anon_sym_target,
  [32992] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2468), 1,
      anon_sym_EQ,
  [32999] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2462), 1,
      anon_sym_EQ,
  [33006] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1981), 1,
      anon_sym_LPAREN,
  [33013] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2934), 1,
      sym_identifier,
  [33020] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2936), 1,
      sym_identifier,
  [33027] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2938), 1,
      anon_sym_RBRACE,
  [33034] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2940), 1,
      sym_identifier,
  [33041] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2942), 1,
      sym_identifier,
  [33048] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2944), 1,
      anon_sym_function,
};

static uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(178)] = 0,
  [SMALL_STATE(179)] = 73,
  [SMALL_STATE(180)] = 146,
  [SMALL_STATE(181)] = 224,
  [SMALL_STATE(182)] = 294,
  [SMALL_STATE(183)] = 392,
  [SMALL_STATE(184)] = 496,
  [SMALL_STATE(185)] = 566,
  [SMALL_STATE(186)] = 664,
  [SMALL_STATE(187)] = 768,
  [SMALL_STATE(188)] = 840,
  [SMALL_STATE(189)] = 925,
  [SMALL_STATE(190)] = 994,
  [SMALL_STATE(191)] = 1061,
  [SMALL_STATE(192)] = 1128,
  [SMALL_STATE(193)] = 1197,
  [SMALL_STATE(194)] = 1264,
  [SMALL_STATE(195)] = 1331,
  [SMALL_STATE(196)] = 1400,
  [SMALL_STATE(197)] = 1469,
  [SMALL_STATE(198)] = 1536,
  [SMALL_STATE(199)] = 1603,
  [SMALL_STATE(200)] = 1672,
  [SMALL_STATE(201)] = 1741,
  [SMALL_STATE(202)] = 1808,
  [SMALL_STATE(203)] = 1875,
  [SMALL_STATE(204)] = 1942,
  [SMALL_STATE(205)] = 2009,
  [SMALL_STATE(206)] = 2078,
  [SMALL_STATE(207)] = 2147,
  [SMALL_STATE(208)] = 2216,
  [SMALL_STATE(209)] = 2285,
  [SMALL_STATE(210)] = 2351,
  [SMALL_STATE(211)] = 2417,
  [SMALL_STATE(212)] = 2483,
  [SMALL_STATE(213)] = 2549,
  [SMALL_STATE(214)] = 2615,
  [SMALL_STATE(215)] = 2681,
  [SMALL_STATE(216)] = 2747,
  [SMALL_STATE(217)] = 2813,
  [SMALL_STATE(218)] = 2879,
  [SMALL_STATE(219)] = 2945,
  [SMALL_STATE(220)] = 3011,
  [SMALL_STATE(221)] = 3077,
  [SMALL_STATE(222)] = 3143,
  [SMALL_STATE(223)] = 3209,
  [SMALL_STATE(224)] = 3275,
  [SMALL_STATE(225)] = 3341,
  [SMALL_STATE(226)] = 3425,
  [SMALL_STATE(227)] = 3491,
  [SMALL_STATE(228)] = 3557,
  [SMALL_STATE(229)] = 3623,
  [SMALL_STATE(230)] = 3689,
  [SMALL_STATE(231)] = 3755,
  [SMALL_STATE(232)] = 3821,
  [SMALL_STATE(233)] = 3887,
  [SMALL_STATE(234)] = 3953,
  [SMALL_STATE(235)] = 4019,
  [SMALL_STATE(236)] = 4085,
  [SMALL_STATE(237)] = 4151,
  [SMALL_STATE(238)] = 4217,
  [SMALL_STATE(239)] = 4283,
  [SMALL_STATE(240)] = 4349,
  [SMALL_STATE(241)] = 4415,
  [SMALL_STATE(242)] = 4481,
  [SMALL_STATE(243)] = 4547,
  [SMALL_STATE(244)] = 4613,
  [SMALL_STATE(245)] = 4679,
  [SMALL_STATE(246)] = 4747,
  [SMALL_STATE(247)] = 4813,
  [SMALL_STATE(248)] = 4879,
  [SMALL_STATE(249)] = 4945,
  [SMALL_STATE(250)] = 5011,
  [SMALL_STATE(251)] = 5077,
  [SMALL_STATE(252)] = 5143,
  [SMALL_STATE(253)] = 5209,
  [SMALL_STATE(254)] = 5275,
  [SMALL_STATE(255)] = 5358,
  [SMALL_STATE(256)] = 5444,
  [SMALL_STATE(257)] = 5526,
  [SMALL_STATE(258)] = 5610,
  [SMALL_STATE(259)] = 5694,
  [SMALL_STATE(260)] = 5781,
  [SMALL_STATE(261)] = 5864,
  [SMALL_STATE(262)] = 5925,
  [SMALL_STATE(263)] = 5986,
  [SMALL_STATE(264)] = 6047,
  [SMALL_STATE(265)] = 6108,
  [SMALL_STATE(266)] = 6169,
  [SMALL_STATE(267)] = 6230,
  [SMALL_STATE(268)] = 6313,
  [SMALL_STATE(269)] = 6374,
  [SMALL_STATE(270)] = 6435,
  [SMALL_STATE(271)] = 6496,
  [SMALL_STATE(272)] = 6568,
  [SMALL_STATE(273)] = 6640,
  [SMALL_STATE(274)] = 6707,
  [SMALL_STATE(275)] = 6766,
  [SMALL_STATE(276)] = 6825,
  [SMALL_STATE(277)] = 6884,
  [SMALL_STATE(278)] = 6943,
  [SMALL_STATE(279)] = 7018,
  [SMALL_STATE(280)] = 7093,
  [SMALL_STATE(281)] = 7160,
  [SMALL_STATE(282)] = 7227,
  [SMALL_STATE(283)] = 7297,
  [SMALL_STATE(284)] = 7371,
  [SMALL_STATE(285)] = 7441,
  [SMALL_STATE(286)] = 7503,
  [SMALL_STATE(287)] = 7560,
  [SMALL_STATE(288)] = 7627,
  [SMALL_STATE(289)] = 7696,
  [SMALL_STATE(290)] = 7763,
  [SMALL_STATE(291)] = 7820,
  [SMALL_STATE(292)] = 7885,
  [SMALL_STATE(293)] = 7942,
  [SMALL_STATE(294)] = 8007,
  [SMALL_STATE(295)] = 8072,
  [SMALL_STATE(296)] = 8129,
  [SMALL_STATE(297)] = 8198,
  [SMALL_STATE(298)] = 8265,
  [SMALL_STATE(299)] = 8332,
  [SMALL_STATE(300)] = 8402,
  [SMALL_STATE(301)] = 8458,
  [SMALL_STATE(302)] = 8518,
  [SMALL_STATE(303)] = 8588,
  [SMALL_STATE(304)] = 8644,
  [SMALL_STATE(305)] = 8700,
  [SMALL_STATE(306)] = 8764,
  [SMALL_STATE(307)] = 8829,
  [SMALL_STATE(308)] = 8895,
  [SMALL_STATE(309)] = 8961,
  [SMALL_STATE(310)] = 9027,
  [SMALL_STATE(311)] = 9093,
  [SMALL_STATE(312)] = 9154,
  [SMALL_STATE(313)] = 9215,
  [SMALL_STATE(314)] = 9281,
  [SMALL_STATE(315)] = 9342,
  [SMALL_STATE(316)] = 9417,
  [SMALL_STATE(317)] = 9464,
  [SMALL_STATE(318)] = 9543,
  [SMALL_STATE(319)] = 9622,
  [SMALL_STATE(320)] = 9701,
  [SMALL_STATE(321)] = 9780,
  [SMALL_STATE(322)] = 9827,
  [SMALL_STATE(323)] = 9906,
  [SMALL_STATE(324)] = 9965,
  [SMALL_STATE(325)] = 10018,
  [SMALL_STATE(326)] = 10065,
  [SMALL_STATE(327)] = 10112,
  [SMALL_STATE(328)] = 10191,
  [SMALL_STATE(329)] = 10270,
  [SMALL_STATE(330)] = 10317,
  [SMALL_STATE(331)] = 10396,
  [SMALL_STATE(332)] = 10475,
  [SMALL_STATE(333)] = 10554,
  [SMALL_STATE(334)] = 10633,
  [SMALL_STATE(335)] = 10692,
  [SMALL_STATE(336)] = 10751,
  [SMALL_STATE(337)] = 10816,
  [SMALL_STATE(338)] = 10895,
  [SMALL_STATE(339)] = 10966,
  [SMALL_STATE(340)] = 11017,
  [SMALL_STATE(341)] = 11064,
  [SMALL_STATE(342)] = 11111,
  [SMALL_STATE(343)] = 11190,
  [SMALL_STATE(344)] = 11257,
  [SMALL_STATE(345)] = 11316,
  [SMALL_STATE(346)] = 11363,
  [SMALL_STATE(347)] = 11420,
  [SMALL_STATE(348)] = 11499,
  [SMALL_STATE(349)] = 11578,
  [SMALL_STATE(350)] = 11629,
  [SMALL_STATE(351)] = 11708,
  [SMALL_STATE(352)] = 11761,
  [SMALL_STATE(353)] = 11814,
  [SMALL_STATE(354)] = 11862,
  [SMALL_STATE(355)] = 11942,
  [SMALL_STATE(356)] = 11992,
  [SMALL_STATE(357)] = 12040,
  [SMALL_STATE(358)] = 12088,
  [SMALL_STATE(359)] = 12136,
  [SMALL_STATE(360)] = 12184,
  [SMALL_STATE(361)] = 12232,
  [SMALL_STATE(362)] = 12277,
  [SMALL_STATE(363)] = 12322,
  [SMALL_STATE(364)] = 12367,
  [SMALL_STATE(365)] = 12412,
  [SMALL_STATE(366)] = 12457,
  [SMALL_STATE(367)] = 12502,
  [SMALL_STATE(368)] = 12579,
  [SMALL_STATE(369)] = 12624,
  [SMALL_STATE(370)] = 12679,
  [SMALL_STATE(371)] = 12736,
  [SMALL_STATE(372)] = 12785,
  [SMALL_STATE(373)] = 12862,
  [SMALL_STATE(374)] = 12939,
  [SMALL_STATE(375)] = 12996,
  [SMALL_STATE(376)] = 13053,
  [SMALL_STATE(377)] = 13102,
  [SMALL_STATE(378)] = 13147,
  [SMALL_STATE(379)] = 13198,
  [SMALL_STATE(380)] = 13249,
  [SMALL_STATE(381)] = 13294,
  [SMALL_STATE(382)] = 13339,
  [SMALL_STATE(383)] = 13384,
  [SMALL_STATE(384)] = 13429,
  [SMALL_STATE(385)] = 13506,
  [SMALL_STATE(386)] = 13551,
  [SMALL_STATE(387)] = 13596,
  [SMALL_STATE(388)] = 13673,
  [SMALL_STATE(389)] = 13718,
  [SMALL_STATE(390)] = 13763,
  [SMALL_STATE(391)] = 13840,
  [SMALL_STATE(392)] = 13917,
  [SMALL_STATE(393)] = 13962,
  [SMALL_STATE(394)] = 14007,
  [SMALL_STATE(395)] = 14052,
  [SMALL_STATE(396)] = 14097,
  [SMALL_STATE(397)] = 14152,
  [SMALL_STATE(398)] = 14207,
  [SMALL_STATE(399)] = 14258,
  [SMALL_STATE(400)] = 14303,
  [SMALL_STATE(401)] = 14348,
  [SMALL_STATE(402)] = 14425,
  [SMALL_STATE(403)] = 14502,
  [SMALL_STATE(404)] = 14547,
  [SMALL_STATE(405)] = 14606,
  [SMALL_STATE(406)] = 14683,
  [SMALL_STATE(407)] = 14728,
  [SMALL_STATE(408)] = 14793,
  [SMALL_STATE(409)] = 14838,
  [SMALL_STATE(410)] = 14907,
  [SMALL_STATE(411)] = 14980,
  [SMALL_STATE(412)] = 15043,
  [SMALL_STATE(413)] = 15100,
  [SMALL_STATE(414)] = 15177,
  [SMALL_STATE(415)] = 15254,
  [SMALL_STATE(416)] = 15299,
  [SMALL_STATE(417)] = 15344,
  [SMALL_STATE(418)] = 15421,
  [SMALL_STATE(419)] = 15466,
  [SMALL_STATE(420)] = 15511,
  [SMALL_STATE(421)] = 15556,
  [SMALL_STATE(422)] = 15601,
  [SMALL_STATE(423)] = 15678,
  [SMALL_STATE(424)] = 15755,
  [SMALL_STATE(425)] = 15832,
  [SMALL_STATE(426)] = 15877,
  [SMALL_STATE(427)] = 15922,
  [SMALL_STATE(428)] = 15999,
  [SMALL_STATE(429)] = 16044,
  [SMALL_STATE(430)] = 16089,
  [SMALL_STATE(431)] = 16134,
  [SMALL_STATE(432)] = 16179,
  [SMALL_STATE(433)] = 16224,
  [SMALL_STATE(434)] = 16269,
  [SMALL_STATE(435)] = 16314,
  [SMALL_STATE(436)] = 16359,
  [SMALL_STATE(437)] = 16404,
  [SMALL_STATE(438)] = 16449,
  [SMALL_STATE(439)] = 16494,
  [SMALL_STATE(440)] = 16539,
  [SMALL_STATE(441)] = 16584,
  [SMALL_STATE(442)] = 16629,
  [SMALL_STATE(443)] = 16674,
  [SMALL_STATE(444)] = 16719,
  [SMALL_STATE(445)] = 16764,
  [SMALL_STATE(446)] = 16809,
  [SMALL_STATE(447)] = 16854,
  [SMALL_STATE(448)] = 16935,
  [SMALL_STATE(449)] = 16980,
  [SMALL_STATE(450)] = 17061,
  [SMALL_STATE(451)] = 17106,
  [SMALL_STATE(452)] = 17187,
  [SMALL_STATE(453)] = 17268,
  [SMALL_STATE(454)] = 17344,
  [SMALL_STATE(455)] = 17420,
  [SMALL_STATE(456)] = 17496,
  [SMALL_STATE(457)] = 17544,
  [SMALL_STATE(458)] = 17592,
  [SMALL_STATE(459)] = 17640,
  [SMALL_STATE(460)] = 17688,
  [SMALL_STATE(461)] = 17736,
  [SMALL_STATE(462)] = 17784,
  [SMALL_STATE(463)] = 17834,
  [SMALL_STATE(464)] = 17882,
  [SMALL_STATE(465)] = 17932,
  [SMALL_STATE(466)] = 17980,
  [SMALL_STATE(467)] = 18028,
  [SMALL_STATE(468)] = 18074,
  [SMALL_STATE(469)] = 18150,
  [SMALL_STATE(470)] = 18228,
  [SMALL_STATE(471)] = 18306,
  [SMALL_STATE(472)] = 18352,
  [SMALL_STATE(473)] = 18430,
  [SMALL_STATE(474)] = 18510,
  [SMALL_STATE(475)] = 18558,
  [SMALL_STATE(476)] = 18634,
  [SMALL_STATE(477)] = 18714,
  [SMALL_STATE(478)] = 18790,
  [SMALL_STATE(479)] = 18868,
  [SMALL_STATE(480)] = 18914,
  [SMALL_STATE(481)] = 18994,
  [SMALL_STATE(482)] = 19040,
  [SMALL_STATE(483)] = 19120,
  [SMALL_STATE(484)] = 19196,
  [SMALL_STATE(485)] = 19276,
  [SMALL_STATE(486)] = 19324,
  [SMALL_STATE(487)] = 19400,
  [SMALL_STATE(488)] = 19480,
  [SMALL_STATE(489)] = 19555,
  [SMALL_STATE(490)] = 19598,
  [SMALL_STATE(491)] = 19675,
  [SMALL_STATE(492)] = 19752,
  [SMALL_STATE(493)] = 19795,
  [SMALL_STATE(494)] = 19872,
  [SMALL_STATE(495)] = 19949,
  [SMALL_STATE(496)] = 19992,
  [SMALL_STATE(497)] = 20035,
  [SMALL_STATE(498)] = 20112,
  [SMALL_STATE(499)] = 20155,
  [SMALL_STATE(500)] = 20230,
  [SMALL_STATE(501)] = 20307,
  [SMALL_STATE(502)] = 20350,
  [SMALL_STATE(503)] = 20393,
  [SMALL_STATE(504)] = 20436,
  [SMALL_STATE(505)] = 20479,
  [SMALL_STATE(506)] = 20556,
  [SMALL_STATE(507)] = 20633,
  [SMALL_STATE(508)] = 20676,
  [SMALL_STATE(509)] = 20753,
  [SMALL_STATE(510)] = 20796,
  [SMALL_STATE(511)] = 20839,
  [SMALL_STATE(512)] = 20916,
  [SMALL_STATE(513)] = 20959,
  [SMALL_STATE(514)] = 21002,
  [SMALL_STATE(515)] = 21079,
  [SMALL_STATE(516)] = 21122,
  [SMALL_STATE(517)] = 21199,
  [SMALL_STATE(518)] = 21276,
  [SMALL_STATE(519)] = 21353,
  [SMALL_STATE(520)] = 21430,
  [SMALL_STATE(521)] = 21473,
  [SMALL_STATE(522)] = 21516,
  [SMALL_STATE(523)] = 21559,
  [SMALL_STATE(524)] = 21602,
  [SMALL_STATE(525)] = 21645,
  [SMALL_STATE(526)] = 21688,
  [SMALL_STATE(527)] = 21731,
  [SMALL_STATE(528)] = 21808,
  [SMALL_STATE(529)] = 21851,
  [SMALL_STATE(530)] = 21894,
  [SMALL_STATE(531)] = 21971,
  [SMALL_STATE(532)] = 22018,
  [SMALL_STATE(533)] = 22061,
  [SMALL_STATE(534)] = 22138,
  [SMALL_STATE(535)] = 22183,
  [SMALL_STATE(536)] = 22228,
  [SMALL_STATE(537)] = 22271,
  [SMALL_STATE(538)] = 22314,
  [SMALL_STATE(539)] = 22357,
  [SMALL_STATE(540)] = 22400,
  [SMALL_STATE(541)] = 22451,
  [SMALL_STATE(542)] = 22494,
  [SMALL_STATE(543)] = 22537,
  [SMALL_STATE(544)] = 22580,
  [SMALL_STATE(545)] = 22623,
  [SMALL_STATE(546)] = 22666,
  [SMALL_STATE(547)] = 22717,
  [SMALL_STATE(548)] = 22760,
  [SMALL_STATE(549)] = 22837,
  [SMALL_STATE(550)] = 22912,
  [SMALL_STATE(551)] = 22987,
  [SMALL_STATE(552)] = 23062,
  [SMALL_STATE(553)] = 23105,
  [SMALL_STATE(554)] = 23148,
  [SMALL_STATE(555)] = 23191,
  [SMALL_STATE(556)] = 23266,
  [SMALL_STATE(557)] = 23341,
  [SMALL_STATE(558)] = 23384,
  [SMALL_STATE(559)] = 23427,
  [SMALL_STATE(560)] = 23470,
  [SMALL_STATE(561)] = 23544,
  [SMALL_STATE(562)] = 23590,
  [SMALL_STATE(563)] = 23636,
  [SMALL_STATE(564)] = 23710,
  [SMALL_STATE(565)] = 23784,
  [SMALL_STATE(566)] = 23858,
  [SMALL_STATE(567)] = 23932,
  [SMALL_STATE(568)] = 24003,
  [SMALL_STATE(569)] = 24050,
  [SMALL_STATE(570)] = 24097,
  [SMALL_STATE(571)] = 24168,
  [SMALL_STATE(572)] = 24215,
  [SMALL_STATE(573)] = 24262,
  [SMALL_STATE(574)] = 24335,
  [SMALL_STATE(575)] = 24408,
  [SMALL_STATE(576)] = 24476,
  [SMALL_STATE(577)] = 24534,
  [SMALL_STATE(578)] = 24592,
  [SMALL_STATE(579)] = 24650,
  [SMALL_STATE(580)] = 24708,
  [SMALL_STATE(581)] = 24766,
  [SMALL_STATE(582)] = 24824,
  [SMALL_STATE(583)] = 24882,
  [SMALL_STATE(584)] = 24931,
  [SMALL_STATE(585)] = 24980,
  [SMALL_STATE(586)] = 25031,
  [SMALL_STATE(587)] = 25082,
  [SMALL_STATE(588)] = 25131,
  [SMALL_STATE(589)] = 25180,
  [SMALL_STATE(590)] = 25224,
  [SMALL_STATE(591)] = 25268,
  [SMALL_STATE(592)] = 25320,
  [SMALL_STATE(593)] = 25366,
  [SMALL_STATE(594)] = 25410,
  [SMALL_STATE(595)] = 25449,
  [SMALL_STATE(596)] = 25488,
  [SMALL_STATE(597)] = 25527,
  [SMALL_STATE(598)] = 25568,
  [SMALL_STATE(599)] = 25598,
  [SMALL_STATE(600)] = 25638,
  [SMALL_STATE(601)] = 25678,
  [SMALL_STATE(602)] = 25724,
  [SMALL_STATE(603)] = 25754,
  [SMALL_STATE(604)] = 25788,
  [SMALL_STATE(605)] = 25822,
  [SMALL_STATE(606)] = 25851,
  [SMALL_STATE(607)] = 25874,
  [SMALL_STATE(608)] = 25897,
  [SMALL_STATE(609)] = 25919,
  [SMALL_STATE(610)] = 25941,
  [SMALL_STATE(611)] = 25975,
  [SMALL_STATE(612)] = 25997,
  [SMALL_STATE(613)] = 26033,
  [SMALL_STATE(614)] = 26055,
  [SMALL_STATE(615)] = 26091,
  [SMALL_STATE(616)] = 26113,
  [SMALL_STATE(617)] = 26151,
  [SMALL_STATE(618)] = 26186,
  [SMALL_STATE(619)] = 26221,
  [SMALL_STATE(620)] = 26242,
  [SMALL_STATE(621)] = 26277,
  [SMALL_STATE(622)] = 26308,
  [SMALL_STATE(623)] = 26343,
  [SMALL_STATE(624)] = 26364,
  [SMALL_STATE(625)] = 26399,
  [SMALL_STATE(626)] = 26430,
  [SMALL_STATE(627)] = 26465,
  [SMALL_STATE(628)] = 26500,
  [SMALL_STATE(629)] = 26523,
  [SMALL_STATE(630)] = 26554,
  [SMALL_STATE(631)] = 26575,
  [SMALL_STATE(632)] = 26596,
  [SMALL_STATE(633)] = 26631,
  [SMALL_STATE(634)] = 26666,
  [SMALL_STATE(635)] = 26694,
  [SMALL_STATE(636)] = 26722,
  [SMALL_STATE(637)] = 26754,
  [SMALL_STATE(638)] = 26782,
  [SMALL_STATE(639)] = 26802,
  [SMALL_STATE(640)] = 26830,
  [SMALL_STATE(641)] = 26865,
  [SMALL_STATE(642)] = 26900,
  [SMALL_STATE(643)] = 26935,
  [SMALL_STATE(644)] = 26970,
  [SMALL_STATE(645)] = 27002,
  [SMALL_STATE(646)] = 27034,
  [SMALL_STATE(647)] = 27066,
  [SMALL_STATE(648)] = 27098,
  [SMALL_STATE(649)] = 27130,
  [SMALL_STATE(650)] = 27162,
  [SMALL_STATE(651)] = 27194,
  [SMALL_STATE(652)] = 27220,
  [SMALL_STATE(653)] = 27252,
  [SMALL_STATE(654)] = 27278,
  [SMALL_STATE(655)] = 27303,
  [SMALL_STATE(656)] = 27328,
  [SMALL_STATE(657)] = 27357,
  [SMALL_STATE(658)] = 27386,
  [SMALL_STATE(659)] = 27415,
  [SMALL_STATE(660)] = 27440,
  [SMALL_STATE(661)] = 27469,
  [SMALL_STATE(662)] = 27494,
  [SMALL_STATE(663)] = 27523,
  [SMALL_STATE(664)] = 27548,
  [SMALL_STATE(665)] = 27577,
  [SMALL_STATE(666)] = 27606,
  [SMALL_STATE(667)] = 27631,
  [SMALL_STATE(668)] = 27656,
  [SMALL_STATE(669)] = 27685,
  [SMALL_STATE(670)] = 27710,
  [SMALL_STATE(671)] = 27739,
  [SMALL_STATE(672)] = 27761,
  [SMALL_STATE(673)] = 27783,
  [SMALL_STATE(674)] = 27805,
  [SMALL_STATE(675)] = 27827,
  [SMALL_STATE(676)] = 27849,
  [SMALL_STATE(677)] = 27871,
  [SMALL_STATE(678)] = 27893,
  [SMALL_STATE(679)] = 27912,
  [SMALL_STATE(680)] = 27931,
  [SMALL_STATE(681)] = 27951,
  [SMALL_STATE(682)] = 27965,
  [SMALL_STATE(683)] = 27985,
  [SMALL_STATE(684)] = 28003,
  [SMALL_STATE(685)] = 28021,
  [SMALL_STATE(686)] = 28041,
  [SMALL_STATE(687)] = 28059,
  [SMALL_STATE(688)] = 28077,
  [SMALL_STATE(689)] = 28095,
  [SMALL_STATE(690)] = 28115,
  [SMALL_STATE(691)] = 28137,
  [SMALL_STATE(692)] = 28157,
  [SMALL_STATE(693)] = 28175,
  [SMALL_STATE(694)] = 28189,
  [SMALL_STATE(695)] = 28211,
  [SMALL_STATE(696)] = 28231,
  [SMALL_STATE(697)] = 28249,
  [SMALL_STATE(698)] = 28267,
  [SMALL_STATE(699)] = 28289,
  [SMALL_STATE(700)] = 28309,
  [SMALL_STATE(701)] = 28325,
  [SMALL_STATE(702)] = 28338,
  [SMALL_STATE(703)] = 28357,
  [SMALL_STATE(704)] = 28370,
  [SMALL_STATE(705)] = 28383,
  [SMALL_STATE(706)] = 28396,
  [SMALL_STATE(707)] = 28409,
  [SMALL_STATE(708)] = 28428,
  [SMALL_STATE(709)] = 28447,
  [SMALL_STATE(710)] = 28466,
  [SMALL_STATE(711)] = 28485,
  [SMALL_STATE(712)] = 28504,
  [SMALL_STATE(713)] = 28517,
  [SMALL_STATE(714)] = 28536,
  [SMALL_STATE(715)] = 28555,
  [SMALL_STATE(716)] = 28568,
  [SMALL_STATE(717)] = 28587,
  [SMALL_STATE(718)] = 28602,
  [SMALL_STATE(719)] = 28621,
  [SMALL_STATE(720)] = 28640,
  [SMALL_STATE(721)] = 28659,
  [SMALL_STATE(722)] = 28678,
  [SMALL_STATE(723)] = 28691,
  [SMALL_STATE(724)] = 28704,
  [SMALL_STATE(725)] = 28723,
  [SMALL_STATE(726)] = 28742,
  [SMALL_STATE(727)] = 28761,
  [SMALL_STATE(728)] = 28780,
  [SMALL_STATE(729)] = 28799,
  [SMALL_STATE(730)] = 28812,
  [SMALL_STATE(731)] = 28825,
  [SMALL_STATE(732)] = 28844,
  [SMALL_STATE(733)] = 28859,
  [SMALL_STATE(734)] = 28874,
  [SMALL_STATE(735)] = 28893,
  [SMALL_STATE(736)] = 28912,
  [SMALL_STATE(737)] = 28927,
  [SMALL_STATE(738)] = 28946,
  [SMALL_STATE(739)] = 28959,
  [SMALL_STATE(740)] = 28972,
  [SMALL_STATE(741)] = 28991,
  [SMALL_STATE(742)] = 29010,
  [SMALL_STATE(743)] = 29029,
  [SMALL_STATE(744)] = 29042,
  [SMALL_STATE(745)] = 29058,
  [SMALL_STATE(746)] = 29074,
  [SMALL_STATE(747)] = 29090,
  [SMALL_STATE(748)] = 29106,
  [SMALL_STATE(749)] = 29122,
  [SMALL_STATE(750)] = 29138,
  [SMALL_STATE(751)] = 29154,
  [SMALL_STATE(752)] = 29170,
  [SMALL_STATE(753)] = 29186,
  [SMALL_STATE(754)] = 29202,
  [SMALL_STATE(755)] = 29218,
  [SMALL_STATE(756)] = 29234,
  [SMALL_STATE(757)] = 29250,
  [SMALL_STATE(758)] = 29266,
  [SMALL_STATE(759)] = 29282,
  [SMALL_STATE(760)] = 29298,
  [SMALL_STATE(761)] = 29314,
  [SMALL_STATE(762)] = 29330,
  [SMALL_STATE(763)] = 29344,
  [SMALL_STATE(764)] = 29360,
  [SMALL_STATE(765)] = 29376,
  [SMALL_STATE(766)] = 29390,
  [SMALL_STATE(767)] = 29400,
  [SMALL_STATE(768)] = 29416,
  [SMALL_STATE(769)] = 29432,
  [SMALL_STATE(770)] = 29448,
  [SMALL_STATE(771)] = 29464,
  [SMALL_STATE(772)] = 29480,
  [SMALL_STATE(773)] = 29496,
  [SMALL_STATE(774)] = 29512,
  [SMALL_STATE(775)] = 29528,
  [SMALL_STATE(776)] = 29544,
  [SMALL_STATE(777)] = 29560,
  [SMALL_STATE(778)] = 29576,
  [SMALL_STATE(779)] = 29590,
  [SMALL_STATE(780)] = 29606,
  [SMALL_STATE(781)] = 29622,
  [SMALL_STATE(782)] = 29638,
  [SMALL_STATE(783)] = 29648,
  [SMALL_STATE(784)] = 29664,
  [SMALL_STATE(785)] = 29680,
  [SMALL_STATE(786)] = 29696,
  [SMALL_STATE(787)] = 29712,
  [SMALL_STATE(788)] = 29726,
  [SMALL_STATE(789)] = 29742,
  [SMALL_STATE(790)] = 29756,
  [SMALL_STATE(791)] = 29772,
  [SMALL_STATE(792)] = 29786,
  [SMALL_STATE(793)] = 29802,
  [SMALL_STATE(794)] = 29818,
  [SMALL_STATE(795)] = 29834,
  [SMALL_STATE(796)] = 29850,
  [SMALL_STATE(797)] = 29866,
  [SMALL_STATE(798)] = 29880,
  [SMALL_STATE(799)] = 29894,
  [SMALL_STATE(800)] = 29910,
  [SMALL_STATE(801)] = 29926,
  [SMALL_STATE(802)] = 29942,
  [SMALL_STATE(803)] = 29958,
  [SMALL_STATE(804)] = 29968,
  [SMALL_STATE(805)] = 29978,
  [SMALL_STATE(806)] = 29987,
  [SMALL_STATE(807)] = 30000,
  [SMALL_STATE(808)] = 30013,
  [SMALL_STATE(809)] = 30024,
  [SMALL_STATE(810)] = 30035,
  [SMALL_STATE(811)] = 30048,
  [SMALL_STATE(812)] = 30061,
  [SMALL_STATE(813)] = 30074,
  [SMALL_STATE(814)] = 30087,
  [SMALL_STATE(815)] = 30096,
  [SMALL_STATE(816)] = 30109,
  [SMALL_STATE(817)] = 30122,
  [SMALL_STATE(818)] = 30133,
  [SMALL_STATE(819)] = 30146,
  [SMALL_STATE(820)] = 30157,
  [SMALL_STATE(821)] = 30170,
  [SMALL_STATE(822)] = 30183,
  [SMALL_STATE(823)] = 30192,
  [SMALL_STATE(824)] = 30201,
  [SMALL_STATE(825)] = 30210,
  [SMALL_STATE(826)] = 30223,
  [SMALL_STATE(827)] = 30232,
  [SMALL_STATE(828)] = 30241,
  [SMALL_STATE(829)] = 30254,
  [SMALL_STATE(830)] = 30263,
  [SMALL_STATE(831)] = 30272,
  [SMALL_STATE(832)] = 30285,
  [SMALL_STATE(833)] = 30298,
  [SMALL_STATE(834)] = 30311,
  [SMALL_STATE(835)] = 30324,
  [SMALL_STATE(836)] = 30337,
  [SMALL_STATE(837)] = 30350,
  [SMALL_STATE(838)] = 30359,
  [SMALL_STATE(839)] = 30372,
  [SMALL_STATE(840)] = 30383,
  [SMALL_STATE(841)] = 30396,
  [SMALL_STATE(842)] = 30409,
  [SMALL_STATE(843)] = 30422,
  [SMALL_STATE(844)] = 30433,
  [SMALL_STATE(845)] = 30444,
  [SMALL_STATE(846)] = 30457,
  [SMALL_STATE(847)] = 30466,
  [SMALL_STATE(848)] = 30479,
  [SMALL_STATE(849)] = 30490,
  [SMALL_STATE(850)] = 30501,
  [SMALL_STATE(851)] = 30514,
  [SMALL_STATE(852)] = 30527,
  [SMALL_STATE(853)] = 30540,
  [SMALL_STATE(854)] = 30553,
  [SMALL_STATE(855)] = 30566,
  [SMALL_STATE(856)] = 30579,
  [SMALL_STATE(857)] = 30592,
  [SMALL_STATE(858)] = 30605,
  [SMALL_STATE(859)] = 30618,
  [SMALL_STATE(860)] = 30631,
  [SMALL_STATE(861)] = 30644,
  [SMALL_STATE(862)] = 30657,
  [SMALL_STATE(863)] = 30670,
  [SMALL_STATE(864)] = 30683,
  [SMALL_STATE(865)] = 30696,
  [SMALL_STATE(866)] = 30709,
  [SMALL_STATE(867)] = 30722,
  [SMALL_STATE(868)] = 30731,
  [SMALL_STATE(869)] = 30744,
  [SMALL_STATE(870)] = 30753,
  [SMALL_STATE(871)] = 30762,
  [SMALL_STATE(872)] = 30771,
  [SMALL_STATE(873)] = 30784,
  [SMALL_STATE(874)] = 30797,
  [SMALL_STATE(875)] = 30810,
  [SMALL_STATE(876)] = 30819,
  [SMALL_STATE(877)] = 30828,
  [SMALL_STATE(878)] = 30837,
  [SMALL_STATE(879)] = 30850,
  [SMALL_STATE(880)] = 30863,
  [SMALL_STATE(881)] = 30876,
  [SMALL_STATE(882)] = 30889,
  [SMALL_STATE(883)] = 30898,
  [SMALL_STATE(884)] = 30911,
  [SMALL_STATE(885)] = 30924,
  [SMALL_STATE(886)] = 30937,
  [SMALL_STATE(887)] = 30950,
  [SMALL_STATE(888)] = 30960,
  [SMALL_STATE(889)] = 30970,
  [SMALL_STATE(890)] = 30980,
  [SMALL_STATE(891)] = 30990,
  [SMALL_STATE(892)] = 31000,
  [SMALL_STATE(893)] = 31008,
  [SMALL_STATE(894)] = 31018,
  [SMALL_STATE(895)] = 31026,
  [SMALL_STATE(896)] = 31034,
  [SMALL_STATE(897)] = 31044,
  [SMALL_STATE(898)] = 31054,
  [SMALL_STATE(899)] = 31064,
  [SMALL_STATE(900)] = 31072,
  [SMALL_STATE(901)] = 31082,
  [SMALL_STATE(902)] = 31092,
  [SMALL_STATE(903)] = 31102,
  [SMALL_STATE(904)] = 31112,
  [SMALL_STATE(905)] = 31122,
  [SMALL_STATE(906)] = 31130,
  [SMALL_STATE(907)] = 31140,
  [SMALL_STATE(908)] = 31150,
  [SMALL_STATE(909)] = 31160,
  [SMALL_STATE(910)] = 31170,
  [SMALL_STATE(911)] = 31180,
  [SMALL_STATE(912)] = 31190,
  [SMALL_STATE(913)] = 31198,
  [SMALL_STATE(914)] = 31208,
  [SMALL_STATE(915)] = 31218,
  [SMALL_STATE(916)] = 31226,
  [SMALL_STATE(917)] = 31236,
  [SMALL_STATE(918)] = 31246,
  [SMALL_STATE(919)] = 31256,
  [SMALL_STATE(920)] = 31266,
  [SMALL_STATE(921)] = 31276,
  [SMALL_STATE(922)] = 31286,
  [SMALL_STATE(923)] = 31296,
  [SMALL_STATE(924)] = 31304,
  [SMALL_STATE(925)] = 31314,
  [SMALL_STATE(926)] = 31324,
  [SMALL_STATE(927)] = 31334,
  [SMALL_STATE(928)] = 31342,
  [SMALL_STATE(929)] = 31352,
  [SMALL_STATE(930)] = 31362,
  [SMALL_STATE(931)] = 31372,
  [SMALL_STATE(932)] = 31382,
  [SMALL_STATE(933)] = 31390,
  [SMALL_STATE(934)] = 31400,
  [SMALL_STATE(935)] = 31410,
  [SMALL_STATE(936)] = 31420,
  [SMALL_STATE(937)] = 31428,
  [SMALL_STATE(938)] = 31436,
  [SMALL_STATE(939)] = 31446,
  [SMALL_STATE(940)] = 31456,
  [SMALL_STATE(941)] = 31466,
  [SMALL_STATE(942)] = 31476,
  [SMALL_STATE(943)] = 31486,
  [SMALL_STATE(944)] = 31496,
  [SMALL_STATE(945)] = 31506,
  [SMALL_STATE(946)] = 31516,
  [SMALL_STATE(947)] = 31526,
  [SMALL_STATE(948)] = 31534,
  [SMALL_STATE(949)] = 31544,
  [SMALL_STATE(950)] = 31552,
  [SMALL_STATE(951)] = 31560,
  [SMALL_STATE(952)] = 31568,
  [SMALL_STATE(953)] = 31578,
  [SMALL_STATE(954)] = 31588,
  [SMALL_STATE(955)] = 31598,
  [SMALL_STATE(956)] = 31608,
  [SMALL_STATE(957)] = 31618,
  [SMALL_STATE(958)] = 31626,
  [SMALL_STATE(959)] = 31634,
  [SMALL_STATE(960)] = 31644,
  [SMALL_STATE(961)] = 31654,
  [SMALL_STATE(962)] = 31662,
  [SMALL_STATE(963)] = 31672,
  [SMALL_STATE(964)] = 31680,
  [SMALL_STATE(965)] = 31690,
  [SMALL_STATE(966)] = 31700,
  [SMALL_STATE(967)] = 31710,
  [SMALL_STATE(968)] = 31720,
  [SMALL_STATE(969)] = 31728,
  [SMALL_STATE(970)] = 31738,
  [SMALL_STATE(971)] = 31746,
  [SMALL_STATE(972)] = 31754,
  [SMALL_STATE(973)] = 31764,
  [SMALL_STATE(974)] = 31774,
  [SMALL_STATE(975)] = 31782,
  [SMALL_STATE(976)] = 31790,
  [SMALL_STATE(977)] = 31800,
  [SMALL_STATE(978)] = 31810,
  [SMALL_STATE(979)] = 31820,
  [SMALL_STATE(980)] = 31830,
  [SMALL_STATE(981)] = 31840,
  [SMALL_STATE(982)] = 31850,
  [SMALL_STATE(983)] = 31860,
  [SMALL_STATE(984)] = 31870,
  [SMALL_STATE(985)] = 31880,
  [SMALL_STATE(986)] = 31888,
  [SMALL_STATE(987)] = 31898,
  [SMALL_STATE(988)] = 31908,
  [SMALL_STATE(989)] = 31918,
  [SMALL_STATE(990)] = 31928,
  [SMALL_STATE(991)] = 31938,
  [SMALL_STATE(992)] = 31948,
  [SMALL_STATE(993)] = 31956,
  [SMALL_STATE(994)] = 31966,
  [SMALL_STATE(995)] = 31976,
  [SMALL_STATE(996)] = 31986,
  [SMALL_STATE(997)] = 31996,
  [SMALL_STATE(998)] = 32004,
  [SMALL_STATE(999)] = 32014,
  [SMALL_STATE(1000)] = 32024,
  [SMALL_STATE(1001)] = 32034,
  [SMALL_STATE(1002)] = 32044,
  [SMALL_STATE(1003)] = 32052,
  [SMALL_STATE(1004)] = 32062,
  [SMALL_STATE(1005)] = 32070,
  [SMALL_STATE(1006)] = 32080,
  [SMALL_STATE(1007)] = 32090,
  [SMALL_STATE(1008)] = 32098,
  [SMALL_STATE(1009)] = 32106,
  [SMALL_STATE(1010)] = 32116,
  [SMALL_STATE(1011)] = 32126,
  [SMALL_STATE(1012)] = 32136,
  [SMALL_STATE(1013)] = 32146,
  [SMALL_STATE(1014)] = 32156,
  [SMALL_STATE(1015)] = 32166,
  [SMALL_STATE(1016)] = 32174,
  [SMALL_STATE(1017)] = 32184,
  [SMALL_STATE(1018)] = 32194,
  [SMALL_STATE(1019)] = 32204,
  [SMALL_STATE(1020)] = 32214,
  [SMALL_STATE(1021)] = 32224,
  [SMALL_STATE(1022)] = 32234,
  [SMALL_STATE(1023)] = 32244,
  [SMALL_STATE(1024)] = 32252,
  [SMALL_STATE(1025)] = 32262,
  [SMALL_STATE(1026)] = 32272,
  [SMALL_STATE(1027)] = 32282,
  [SMALL_STATE(1028)] = 32292,
  [SMALL_STATE(1029)] = 32302,
  [SMALL_STATE(1030)] = 32310,
  [SMALL_STATE(1031)] = 32318,
  [SMALL_STATE(1032)] = 32328,
  [SMALL_STATE(1033)] = 32338,
  [SMALL_STATE(1034)] = 32348,
  [SMALL_STATE(1035)] = 32358,
  [SMALL_STATE(1036)] = 32368,
  [SMALL_STATE(1037)] = 32378,
  [SMALL_STATE(1038)] = 32388,
  [SMALL_STATE(1039)] = 32398,
  [SMALL_STATE(1040)] = 32408,
  [SMALL_STATE(1041)] = 32418,
  [SMALL_STATE(1042)] = 32425,
  [SMALL_STATE(1043)] = 32432,
  [SMALL_STATE(1044)] = 32439,
  [SMALL_STATE(1045)] = 32446,
  [SMALL_STATE(1046)] = 32453,
  [SMALL_STATE(1047)] = 32460,
  [SMALL_STATE(1048)] = 32467,
  [SMALL_STATE(1049)] = 32474,
  [SMALL_STATE(1050)] = 32481,
  [SMALL_STATE(1051)] = 32488,
  [SMALL_STATE(1052)] = 32495,
  [SMALL_STATE(1053)] = 32502,
  [SMALL_STATE(1054)] = 32509,
  [SMALL_STATE(1055)] = 32516,
  [SMALL_STATE(1056)] = 32523,
  [SMALL_STATE(1057)] = 32530,
  [SMALL_STATE(1058)] = 32537,
  [SMALL_STATE(1059)] = 32544,
  [SMALL_STATE(1060)] = 32551,
  [SMALL_STATE(1061)] = 32558,
  [SMALL_STATE(1062)] = 32565,
  [SMALL_STATE(1063)] = 32572,
  [SMALL_STATE(1064)] = 32579,
  [SMALL_STATE(1065)] = 32586,
  [SMALL_STATE(1066)] = 32593,
  [SMALL_STATE(1067)] = 32600,
  [SMALL_STATE(1068)] = 32607,
  [SMALL_STATE(1069)] = 32614,
  [SMALL_STATE(1070)] = 32621,
  [SMALL_STATE(1071)] = 32628,
  [SMALL_STATE(1072)] = 32635,
  [SMALL_STATE(1073)] = 32642,
  [SMALL_STATE(1074)] = 32649,
  [SMALL_STATE(1075)] = 32656,
  [SMALL_STATE(1076)] = 32663,
  [SMALL_STATE(1077)] = 32670,
  [SMALL_STATE(1078)] = 32677,
  [SMALL_STATE(1079)] = 32684,
  [SMALL_STATE(1080)] = 32691,
  [SMALL_STATE(1081)] = 32698,
  [SMALL_STATE(1082)] = 32705,
  [SMALL_STATE(1083)] = 32712,
  [SMALL_STATE(1084)] = 32719,
  [SMALL_STATE(1085)] = 32726,
  [SMALL_STATE(1086)] = 32733,
  [SMALL_STATE(1087)] = 32740,
  [SMALL_STATE(1088)] = 32747,
  [SMALL_STATE(1089)] = 32754,
  [SMALL_STATE(1090)] = 32761,
  [SMALL_STATE(1091)] = 32768,
  [SMALL_STATE(1092)] = 32775,
  [SMALL_STATE(1093)] = 32782,
  [SMALL_STATE(1094)] = 32789,
  [SMALL_STATE(1095)] = 32796,
  [SMALL_STATE(1096)] = 32803,
  [SMALL_STATE(1097)] = 32810,
  [SMALL_STATE(1098)] = 32817,
  [SMALL_STATE(1099)] = 32824,
  [SMALL_STATE(1100)] = 32831,
  [SMALL_STATE(1101)] = 32838,
  [SMALL_STATE(1102)] = 32845,
  [SMALL_STATE(1103)] = 32852,
  [SMALL_STATE(1104)] = 32859,
  [SMALL_STATE(1105)] = 32866,
  [SMALL_STATE(1106)] = 32873,
  [SMALL_STATE(1107)] = 32880,
  [SMALL_STATE(1108)] = 32887,
  [SMALL_STATE(1109)] = 32894,
  [SMALL_STATE(1110)] = 32901,
  [SMALL_STATE(1111)] = 32908,
  [SMALL_STATE(1112)] = 32915,
  [SMALL_STATE(1113)] = 32922,
  [SMALL_STATE(1114)] = 32929,
  [SMALL_STATE(1115)] = 32936,
  [SMALL_STATE(1116)] = 32943,
  [SMALL_STATE(1117)] = 32950,
  [SMALL_STATE(1118)] = 32957,
  [SMALL_STATE(1119)] = 32964,
  [SMALL_STATE(1120)] = 32971,
  [SMALL_STATE(1121)] = 32978,
  [SMALL_STATE(1122)] = 32985,
  [SMALL_STATE(1123)] = 32992,
  [SMALL_STATE(1124)] = 32999,
  [SMALL_STATE(1125)] = 33006,
  [SMALL_STATE(1126)] = 33013,
  [SMALL_STATE(1127)] = 33020,
  [SMALL_STATE(1128)] = 33027,
  [SMALL_STATE(1129)] = 33034,
  [SMALL_STATE(1130)] = 33041,
  [SMALL_STATE(1131)] = 33048,
};

static TSParseActionEntry ts_parse_actions[] = {
  [0] = {.count = 0, .reusable = false},
  [1] = {.count = 1, .reusable = false}, RECOVER(),
  [3] = {.count = 1, .reusable = true}, SHIFT_EXTRA(),
  [5] = {.count = 1, .reusable = true}, REDUCE(sym_program, 0),
  [7] = {.count = 1, .reusable = false}, SHIFT(298),
  [9] = {.count = 1, .reusable = true}, SHIFT(13),
  [11] = {.count = 1, .reusable = false}, SHIFT(588),
  [13] = {.count = 1, .reusable = true}, SHIFT(5),
  [15] = {.count = 1, .reusable = false}, SHIFT(313),
  [17] = {.count = 1, .reusable = false}, SHIFT(694),
  [19] = {.count = 1, .reusable = false}, SHIFT(690),
  [21] = {.count = 1, .reusable = false}, SHIFT(943),
  [23] = {.count = 1, .reusable = false}, SHIFT(931),
  [25] = {.count = 1, .reusable = false}, SHIFT(840),
  [27] = {.count = 1, .reusable = true}, SHIFT(70),
  [29] = {.count = 1, .reusable = false}, SHIFT(136),
  [31] = {.count = 1, .reusable = false}, SHIFT(986),
  [33] = {.count = 1, .reusable = false}, SHIFT(38),
  [35] = {.count = 1, .reusable = false}, SHIFT(994),
  [37] = {.count = 1, .reusable = false}, SHIFT(1033),
  [39] = {.count = 1, .reusable = false}, SHIFT(808),
  [41] = {.count = 1, .reusable = false}, SHIFT(809),
  [43] = {.count = 1, .reusable = false}, SHIFT(1030),
  [45] = {.count = 1, .reusable = false}, SHIFT(76),
  [47] = {.count = 1, .reusable = false}, SHIFT(79),
  [49] = {.count = 1, .reusable = true}, SHIFT(190),
  [51] = {.count = 1, .reusable = false}, SHIFT(44),
  [53] = {.count = 1, .reusable = true}, SHIFT(66),
  [55] = {.count = 1, .reusable = true}, SHIFT(710),
  [57] = {.count = 1, .reusable = false}, SHIFT(1042),
  [59] = {.count = 1, .reusable = false}, SHIFT(711),
  [61] = {.count = 1, .reusable = false}, SHIFT(257),
  [63] = {.count = 1, .reusable = false}, SHIFT(749),
  [65] = {.count = 1, .reusable = false}, SHIFT(97),
  [67] = {.count = 1, .reusable = false}, SHIFT(150),
  [69] = {.count = 1, .reusable = true}, SHIFT(155),
  [71] = {.count = 1, .reusable = false}, SHIFT(162),
  [73] = {.count = 1, .reusable = true}, SHIFT(166),
  [75] = {.count = 1, .reusable = true}, SHIFT(751),
  [77] = {.count = 1, .reusable = true}, SHIFT(757),
  [79] = {.count = 1, .reusable = true}, SHIFT(688),
  [81] = {.count = 1, .reusable = true}, SHIFT(478),
  [83] = {.count = 1, .reusable = false}, SHIFT(478),
  [85] = {.count = 1, .reusable = false}, SHIFT(691),
  [87] = {.count = 1, .reusable = true}, SHIFT(678),
  [89] = {.count = 1, .reusable = false}, SHIFT(287),
  [91] = {.count = 1, .reusable = false}, SHIFT(279),
  [93] = {.count = 1, .reusable = true}, SHIFT(635),
  [95] = {.count = 1, .reusable = true}, SHIFT(575),
  [97] = {.count = 1, .reusable = true}, SHIFT(371),
  [99] = {.count = 1, .reusable = true}, SHIFT(62),
  [101] = {.count = 1, .reusable = false}, SHIFT(177),
  [103] = {.count = 1, .reusable = true}, SHIFT(144),
  [105] = {.count = 1, .reusable = true}, SHIFT(531),
  [107] = {.count = 1, .reusable = false}, SHIFT(186),
  [109] = {.count = 1, .reusable = false}, SHIFT(185),
  [111] = {.count = 1, .reusable = true}, SHIFT(466),
  [113] = {.count = 1, .reusable = false}, SHIFT(278),
  [115] = {.count = 1, .reusable = true}, SHIFT(339),
  [117] = {.count = 1, .reusable = false}, SHIFT(176),
  [119] = {.count = 1, .reusable = false}, SHIFT(183),
  [121] = {.count = 1, .reusable = false}, SHIFT(182),
  [123] = {.count = 1, .reusable = true}, SHIFT(45),
  [125] = {.count = 1, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2),
  [127] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(298),
  [130] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(588),
  [133] = {.count = 1, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2),
  [135] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(5),
  [138] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(313),
  [141] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(694),
  [144] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(690),
  [147] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(943),
  [150] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(931),
  [153] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(840),
  [156] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(70),
  [159] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(136),
  [162] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(986),
  [165] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(38),
  [168] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(994),
  [171] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1033),
  [174] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(808),
  [177] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(809),
  [180] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1030),
  [183] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(76),
  [186] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(79),
  [189] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(190),
  [192] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(44),
  [195] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(66),
  [198] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(710),
  [201] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1042),
  [204] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(711),
  [207] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(257),
  [210] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(749),
  [213] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(97),
  [216] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(150),
  [219] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(155),
  [222] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(162),
  [225] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(166),
  [228] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(751),
  [231] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(757),
  [234] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(688),
  [237] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(478),
  [240] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(478),
  [243] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(691),
  [246] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(678),
  [249] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(287),
  [252] = {.count = 1, .reusable = false}, REDUCE(sym_switch_case, 4, .production_id = 63),
  [254] = {.count = 1, .reusable = true}, REDUCE(sym_switch_case, 4, .production_id = 63),
  [256] = {.count = 1, .reusable = false}, REDUCE(sym_switch_default, 3),
  [258] = {.count = 1, .reusable = true}, REDUCE(sym_switch_default, 3),
  [260] = {.count = 1, .reusable = false}, REDUCE(sym_switch_case, 3, .production_id = 63),
  [262] = {.count = 1, .reusable = true}, REDUCE(sym_switch_case, 3, .production_id = 63),
  [264] = {.count = 1, .reusable = false}, REDUCE(sym_switch_default, 2),
  [266] = {.count = 1, .reusable = true}, REDUCE(sym_switch_default, 2),
  [268] = {.count = 1, .reusable = true}, SHIFT(819),
  [270] = {.count = 1, .reusable = true}, SHIFT(178),
  [272] = {.count = 1, .reusable = true}, REDUCE(sym_program, 1),
  [274] = {.count = 1, .reusable = true}, SHIFT(59),
  [276] = {.count = 1, .reusable = true}, SHIFT(356),
  [278] = {.count = 1, .reusable = true}, SHIFT(46),
  [280] = {.count = 1, .reusable = true}, SHIFT(205),
  [282] = {.count = 1, .reusable = true}, SHIFT(196),
  [284] = {.count = 1, .reusable = true}, SHIFT(353),
  [286] = {.count = 1, .reusable = true}, SHIFT(179),
  [288] = {.count = 1, .reusable = true}, REDUCE(sym_program, 2),
  [290] = {.count = 1, .reusable = false}, SHIFT(297),
  [292] = {.count = 1, .reusable = false}, SHIFT(584),
  [294] = {.count = 1, .reusable = true}, SHIFT(2),
  [296] = {.count = 1, .reusable = false}, SHIFT(1024),
  [298] = {.count = 1, .reusable = false}, SHIFT(810),
  [300] = {.count = 1, .reusable = false}, SHIFT(1026),
  [302] = {.count = 1, .reusable = false}, SHIFT(1027),
  [304] = {.count = 1, .reusable = false}, SHIFT(713),
  [306] = {.count = 1, .reusable = false}, SHIFT(258),
  [308] = {.count = 1, .reusable = false}, SHIFT(792),
  [310] = {.count = 1, .reusable = false}, SHIFT(289),
  [312] = {.count = 1, .reusable = false}, SHIFT(280),
  [314] = {.count = 1, .reusable = false}, SHIFT(119),
  [316] = {.count = 1, .reusable = true}, SHIFT(573),
  [318] = {.count = 1, .reusable = true}, REDUCE(sym_yield_expression, 1),
  [320] = {.count = 1, .reusable = false}, SHIFT(440),
  [322] = {.count = 1, .reusable = true}, SHIFT(63),
  [324] = {.count = 1, .reusable = false}, SHIFT(138),
  [326] = {.count = 1, .reusable = false}, REDUCE(sym_yield_expression, 1),
  [328] = {.count = 1, .reusable = false}, SHIFT(43),
  [330] = {.count = 1, .reusable = true}, SHIFT(68),
  [332] = {.count = 1, .reusable = false}, SHIFT(708),
  [334] = {.count = 1, .reusable = false}, SHIFT(1045),
  [336] = {.count = 1, .reusable = false}, SHIFT(718),
  [338] = {.count = 1, .reusable = false}, SHIFT(225),
  [340] = {.count = 1, .reusable = false}, SHIFT(800),
  [342] = {.count = 1, .reusable = false}, SHIFT(108),
  [344] = {.count = 1, .reusable = false}, SHIFT(125),
  [346] = {.count = 1, .reusable = false}, SHIFT(154),
  [348] = {.count = 1, .reusable = true}, SHIFT(154),
  [350] = {.count = 1, .reusable = false}, SHIFT(117),
  [352] = {.count = 1, .reusable = true}, SHIFT(118),
  [354] = {.count = 1, .reusable = true}, SHIFT(781),
  [356] = {.count = 1, .reusable = true}, SHIFT(780),
  [358] = {.count = 1, .reusable = true}, SHIFT(697),
  [360] = {.count = 1, .reusable = true}, SHIFT(328),
  [362] = {.count = 1, .reusable = false}, SHIFT(328),
  [364] = {.count = 1, .reusable = false}, SHIFT(695),
  [366] = {.count = 1, .reusable = false}, SHIFT(273),
  [368] = {.count = 1, .reusable = false}, SHIFT(294),
  [370] = {.count = 1, .reusable = false}, SHIFT(132),
  [372] = {.count = 1, .reusable = true}, SHIFT(574),
  [374] = {.count = 1, .reusable = false}, SHIFT(509),
  [376] = {.count = 1, .reusable = false}, SHIFT(710),
  [378] = {.count = 1, .reusable = false}, SHIFT(724),
  [380] = {.count = 1, .reusable = false}, SHIFT(256),
  [382] = {.count = 1, .reusable = false}, SHIFT(747),
  [384] = {.count = 1, .reusable = false}, SHIFT(155),
  [386] = {.count = 1, .reusable = true}, SHIFT(423),
  [388] = {.count = 1, .reusable = false}, SHIFT(423),
  [390] = {.count = 1, .reusable = false}, SHIFT(293),
  [392] = {.count = 1, .reusable = true}, REDUCE(sym_statement_block, 2),
  [394] = {.count = 1, .reusable = false}, REDUCE(sym_statement_block, 2),
  [396] = {.count = 1, .reusable = false}, REDUCE(sym_object, 2),
  [398] = {.count = 1, .reusable = true}, REDUCE(sym_object, 2),
  [400] = {.count = 1, .reusable = true}, SHIFT(181),
  [402] = {.count = 1, .reusable = true}, SHIFT(54),
  [404] = {.count = 1, .reusable = true}, REDUCE(sym_class_declaration, 5, .production_id = 91),
  [406] = {.count = 1, .reusable = false}, REDUCE(sym_class_declaration, 5, .production_id = 91),
  [408] = {.count = 1, .reusable = false}, REDUCE(sym_class, 5, .production_id = 91),
  [410] = {.count = 1, .reusable = true}, REDUCE(sym_class, 5, .production_id = 91),
  [412] = {.count = 1, .reusable = true}, SHIFT(246),
  [414] = {.count = 1, .reusable = true}, REDUCE(sym_class_declaration, 3, .production_id = 37),
  [416] = {.count = 1, .reusable = false}, REDUCE(sym_class_declaration, 3, .production_id = 37),
  [418] = {.count = 1, .reusable = false}, REDUCE(sym_class, 3, .production_id = 37),
  [420] = {.count = 1, .reusable = true}, REDUCE(sym_class, 3, .production_id = 37),
  [422] = {.count = 1, .reusable = true}, SHIFT(233),
  [424] = {.count = 1, .reusable = true}, REDUCE(sym_generator_function_declaration, 5, .production_id = 87),
  [426] = {.count = 1, .reusable = false}, REDUCE(sym_generator_function_declaration, 5, .production_id = 87),
  [428] = {.count = 1, .reusable = false}, REDUCE(sym_generator_function, 5, .production_id = 87),
  [430] = {.count = 1, .reusable = true}, REDUCE(sym_generator_function, 5, .production_id = 87),
  [432] = {.count = 1, .reusable = true}, SHIFT(248),
  [434] = {.count = 1, .reusable = true}, REDUCE(sym_class_declaration, 4, .production_id = 80),
  [436] = {.count = 1, .reusable = false}, REDUCE(sym_class_declaration, 4, .production_id = 80),
  [438] = {.count = 1, .reusable = false}, REDUCE(sym_class, 4, .production_id = 80),
  [440] = {.count = 1, .reusable = true}, REDUCE(sym_class, 4, .production_id = 80),
  [442] = {.count = 1, .reusable = true}, SHIFT(240),
  [444] = {.count = 1, .reusable = true}, REDUCE(sym_function_declaration, 5, .production_id = 87),
  [446] = {.count = 1, .reusable = false}, REDUCE(sym_function_declaration, 5, .production_id = 87),
  [448] = {.count = 1, .reusable = false}, REDUCE(sym_function, 5, .production_id = 87),
  [450] = {.count = 1, .reusable = true}, REDUCE(sym_function, 5, .production_id = 87),
  [452] = {.count = 1, .reusable = true}, SHIFT(249),
  [454] = {.count = 1, .reusable = true}, REDUCE(sym_statement_block, 4),
  [456] = {.count = 1, .reusable = false}, REDUCE(sym_statement_block, 4),
  [458] = {.count = 1, .reusable = true}, REDUCE(sym_function_declaration, 4, .production_id = 78),
  [460] = {.count = 1, .reusable = false}, REDUCE(sym_function_declaration, 4, .production_id = 78),
  [462] = {.count = 1, .reusable = false}, REDUCE(sym_function, 4, .production_id = 78),
  [464] = {.count = 1, .reusable = true}, REDUCE(sym_function, 4, .production_id = 78),
  [466] = {.count = 1, .reusable = true}, SHIFT(247),
  [468] = {.count = 1, .reusable = true}, REDUCE(sym_statement_block, 3),
  [470] = {.count = 1, .reusable = false}, REDUCE(sym_statement_block, 3),
  [472] = {.count = 1, .reusable = true}, REDUCE(sym_class_body, 2),
  [474] = {.count = 1, .reusable = false}, REDUCE(sym_class_body, 2),
  [476] = {.count = 1, .reusable = true}, REDUCE(sym_class_body, 3, .production_id = 71),
  [478] = {.count = 1, .reusable = false}, REDUCE(sym_class_body, 3, .production_id = 71),
  [480] = {.count = 1, .reusable = true}, REDUCE(sym_generator_function_declaration, 6, .production_id = 97),
  [482] = {.count = 1, .reusable = false}, REDUCE(sym_generator_function_declaration, 6, .production_id = 97),
  [484] = {.count = 1, .reusable = false}, REDUCE(sym_generator_function, 6, .production_id = 97),
  [486] = {.count = 1, .reusable = true}, REDUCE(sym_generator_function, 6, .production_id = 97),
  [488] = {.count = 1, .reusable = true}, SHIFT(232),
  [490] = {.count = 1, .reusable = true}, REDUCE(sym_class_declaration, 4, .production_id = 73),
  [492] = {.count = 1, .reusable = false}, REDUCE(sym_class_declaration, 4, .production_id = 73),
  [494] = {.count = 1, .reusable = false}, REDUCE(sym_class, 4, .production_id = 73),
  [496] = {.count = 1, .reusable = true}, REDUCE(sym_class, 4, .production_id = 73),
  [498] = {.count = 1, .reusable = true}, SHIFT(243),
  [500] = {.count = 1, .reusable = true}, SHIFT(52),
  [502] = {.count = 1, .reusable = false}, SHIFT(296),
  [504] = {.count = 1, .reusable = false}, SHIFT(90),
  [506] = {.count = 1, .reusable = false}, SHIFT(91),
  [508] = {.count = 1, .reusable = false}, SHIFT(255),
  [510] = {.count = 1, .reusable = false}, SHIFT(288),
  [512] = {.count = 1, .reusable = true}, SHIFT(67),
  [514] = {.count = 1, .reusable = true}, SHIFT(403),
  [516] = {.count = 1, .reusable = true}, SHIFT(708),
  [518] = {.count = 1, .reusable = true}, SHIFT(487),
  [520] = {.count = 1, .reusable = false}, SHIFT(487),
  [522] = {.count = 1, .reusable = false}, SHIFT(302),
  [524] = {.count = 1, .reusable = true}, SHIFT(963),
  [526] = {.count = 1, .reusable = false}, SHIFT(259),
  [528] = {.count = 1, .reusable = true}, SHIFT(728),
  [530] = {.count = 1, .reusable = true}, SHIFT(533),
  [532] = {.count = 1, .reusable = false}, SHIFT(533),
  [534] = {.count = 1, .reusable = false}, SHIFT(299),
  [536] = {.count = 1, .reusable = true}, SHIFT(304),
  [538] = {.count = 1, .reusable = true}, SHIFT(484),
  [540] = {.count = 1, .reusable = false}, SHIFT(484),
  [542] = {.count = 1, .reusable = true}, SHIFT(340),
  [544] = {.count = 1, .reusable = true}, SHIFT(480),
  [546] = {.count = 1, .reusable = false}, SHIFT(480),
  [548] = {.count = 1, .reusable = true}, SHIFT(473),
  [550] = {.count = 1, .reusable = false}, SHIFT(473),
  [552] = {.count = 1, .reusable = true}, REDUCE(aux_sym_array_repeat1, 1),
  [554] = {.count = 1, .reusable = true}, SHIFT(486),
  [556] = {.count = 1, .reusable = false}, SHIFT(486),
  [558] = {.count = 1, .reusable = true}, SHIFT(476),
  [560] = {.count = 1, .reusable = false}, SHIFT(476),
  [562] = {.count = 1, .reusable = true}, SHIFT(558),
  [564] = {.count = 1, .reusable = true}, SHIFT(482),
  [566] = {.count = 1, .reusable = false}, SHIFT(482),
  [568] = {.count = 1, .reusable = true}, SHIFT(548),
  [570] = {.count = 1, .reusable = false}, SHIFT(548),
  [572] = {.count = 1, .reusable = true}, SHIFT(743),
  [574] = {.count = 1, .reusable = true}, SHIFT(493),
  [576] = {.count = 1, .reusable = false}, SHIFT(493),
  [578] = {.count = 1, .reusable = true}, SHIFT(846),
  [580] = {.count = 1, .reusable = true}, SHIFT(490),
  [582] = {.count = 1, .reusable = false}, SHIFT(490),
  [584] = {.count = 1, .reusable = false}, SHIFT(307),
  [586] = {.count = 1, .reusable = false}, SHIFT(126),
  [588] = {.count = 1, .reusable = false}, SHIFT(260),
  [590] = {.count = 1, .reusable = true}, SHIFT(570),
  [592] = {.count = 1, .reusable = false}, SHIFT(570),
  [594] = {.count = 1, .reusable = false}, SHIFT(310),
  [596] = {.count = 1, .reusable = true}, SHIFT(251),
  [598] = {.count = 1, .reusable = true}, SHIFT(469),
  [600] = {.count = 1, .reusable = false}, SHIFT(469),
  [602] = {.count = 1, .reusable = true}, SHIFT(33),
  [604] = {.count = 1, .reusable = true}, SHIFT(530),
  [606] = {.count = 1, .reusable = false}, SHIFT(530),
  [608] = {.count = 1, .reusable = true}, SHIFT(31),
  [610] = {.count = 1, .reusable = true}, SHIFT(500),
  [612] = {.count = 1, .reusable = false}, SHIFT(500),
  [614] = {.count = 1, .reusable = true}, SHIFT(470),
  [616] = {.count = 1, .reusable = false}, SHIFT(470),
  [618] = {.count = 1, .reusable = true}, SHIFT(508),
  [620] = {.count = 1, .reusable = false}, SHIFT(508),
  [622] = {.count = 1, .reusable = true}, SHIFT(4),
  [624] = {.count = 1, .reusable = true}, SHIFT(319),
  [626] = {.count = 1, .reusable = false}, SHIFT(319),
  [628] = {.count = 1, .reusable = true}, SHIFT(3),
  [630] = {.count = 1, .reusable = true}, SHIFT(402),
  [632] = {.count = 1, .reusable = false}, SHIFT(402),
  [634] = {.count = 1, .reusable = true}, SHIFT(505),
  [636] = {.count = 1, .reusable = false}, SHIFT(505),
  [638] = {.count = 1, .reusable = true}, SHIFT(320),
  [640] = {.count = 1, .reusable = false}, SHIFT(320),
  [642] = {.count = 1, .reusable = true}, SHIFT(497),
  [644] = {.count = 1, .reusable = false}, SHIFT(497),
  [646] = {.count = 1, .reusable = true}, SHIFT(472),
  [648] = {.count = 1, .reusable = false}, SHIFT(472),
  [650] = {.count = 1, .reusable = true}, SHIFT(337),
  [652] = {.count = 1, .reusable = false}, SHIFT(337),
  [654] = {.count = 1, .reusable = true}, SHIFT(342),
  [656] = {.count = 1, .reusable = false}, SHIFT(342),
  [658] = {.count = 1, .reusable = false}, SHIFT(283),
  [660] = {.count = 1, .reusable = false}, SHIFT(267),
  [662] = {.count = 1, .reusable = false}, SHIFT(308),
  [664] = {.count = 1, .reusable = true}, SHIFT(517),
  [666] = {.count = 1, .reusable = false}, SHIFT(517),
  [668] = {.count = 1, .reusable = true}, SHIFT(511),
  [670] = {.count = 1, .reusable = false}, SHIFT(511),
  [672] = {.count = 1, .reusable = true}, SHIFT(390),
  [674] = {.count = 1, .reusable = false}, SHIFT(390),
  [676] = {.count = 1, .reusable = true}, SHIFT(494),
  [678] = {.count = 1, .reusable = false}, SHIFT(494),
  [680] = {.count = 1, .reusable = true}, SHIFT(506),
  [682] = {.count = 1, .reusable = false}, SHIFT(506),
  [684] = {.count = 1, .reusable = false}, SHIFT(282),
  [686] = {.count = 1, .reusable = false}, SHIFT(1122),
  [688] = {.count = 1, .reusable = false}, SHIFT(254),
  [690] = {.count = 1, .reusable = true}, SHIFT(485),
  [692] = {.count = 1, .reusable = false}, SHIFT(485),
  [694] = {.count = 1, .reusable = false}, SHIFT(689),
  [696] = {.count = 1, .reusable = false}, SHIFT(284),
  [698] = {.count = 1, .reusable = true}, SHIFT(422),
  [700] = {.count = 1, .reusable = false}, SHIFT(422),
  [702] = {.count = 1, .reusable = true}, SHIFT(372),
  [704] = {.count = 1, .reusable = false}, SHIFT(372),
  [706] = {.count = 1, .reusable = true}, SHIFT(330),
  [708] = {.count = 1, .reusable = false}, SHIFT(330),
  [710] = {.count = 1, .reusable = true}, SHIFT(516),
  [712] = {.count = 1, .reusable = false}, SHIFT(516),
  [714] = {.count = 1, .reusable = true}, SHIFT(354),
  [716] = {.count = 1, .reusable = false}, SHIFT(354),
  [718] = {.count = 1, .reusable = true}, SHIFT(348),
  [720] = {.count = 1, .reusable = false}, SHIFT(348),
  [722] = {.count = 1, .reusable = true}, SHIFT(527),
  [724] = {.count = 1, .reusable = false}, SHIFT(527),
  [726] = {.count = 1, .reusable = true}, SHIFT(491),
  [728] = {.count = 1, .reusable = false}, SHIFT(491),
  [730] = {.count = 1, .reusable = true}, SHIFT(519),
  [732] = {.count = 1, .reusable = false}, SHIFT(519),
  [734] = {.count = 1, .reusable = true}, SHIFT(401),
  [736] = {.count = 1, .reusable = false}, SHIFT(401),
  [738] = {.count = 1, .reusable = false}, SHIFT(271),
  [740] = {.count = 1, .reusable = false}, SHIFT(1072),
  [742] = {.count = 1, .reusable = false}, SHIFT(188),
  [744] = {.count = 1, .reusable = true}, SHIFT(355),
  [746] = {.count = 1, .reusable = false}, SHIFT(355),
  [748] = {.count = 1, .reusable = false}, SHIFT(272),
  [750] = {.count = 1, .reusable = true}, SHIFT(514),
  [752] = {.count = 1, .reusable = false}, SHIFT(514),
  [754] = {.count = 1, .reusable = true}, SHIFT(518),
  [756] = {.count = 1, .reusable = false}, SHIFT(518),
  [758] = {.count = 1, .reusable = true}, SHIFT(405),
  [760] = {.count = 1, .reusable = false}, SHIFT(405),
  [762] = {.count = 1, .reusable = true}, SHIFT(550),
  [764] = {.count = 1, .reusable = false}, SHIFT(550),
  [766] = {.count = 1, .reusable = true}, SHIFT(391),
  [768] = {.count = 1, .reusable = false}, SHIFT(391),
  [770] = {.count = 1, .reusable = true}, SHIFT(477),
  [772] = {.count = 1, .reusable = false}, SHIFT(477),
  [774] = {.count = 1, .reusable = true}, SHIFT(560),
  [776] = {.count = 1, .reusable = false}, SHIFT(560),
  [778] = {.count = 1, .reusable = true}, SHIFT(483),
  [780] = {.count = 1, .reusable = false}, SHIFT(483),
  [782] = {.count = 1, .reusable = true}, SHIFT(323),
  [784] = {.count = 1, .reusable = false}, SHIFT(323),
  [786] = {.count = 1, .reusable = true}, SHIFT(346),
  [788] = {.count = 1, .reusable = false}, SHIFT(346),
  [790] = {.count = 1, .reusable = true}, SHIFT(318),
  [792] = {.count = 1, .reusable = false}, SHIFT(318),
  [794] = {.count = 1, .reusable = true}, SHIFT(564),
  [796] = {.count = 1, .reusable = false}, SHIFT(564),
  [798] = {.count = 1, .reusable = true}, SHIFT(417),
  [800] = {.count = 1, .reusable = false}, SHIFT(417),
  [802] = {.count = 1, .reusable = false}, SHIFT(306),
  [804] = {.count = 1, .reusable = true}, SHIFT(384),
  [806] = {.count = 1, .reusable = false}, SHIFT(384),
  [808] = {.count = 1, .reusable = true}, SHIFT(414),
  [810] = {.count = 1, .reusable = false}, SHIFT(414),
  [812] = {.count = 1, .reusable = true}, SHIFT(413),
  [814] = {.count = 1, .reusable = false}, SHIFT(413),
  [816] = {.count = 1, .reusable = true}, SHIFT(344),
  [818] = {.count = 1, .reusable = false}, SHIFT(344),
  [820] = {.count = 1, .reusable = false}, SHIFT(309),
  [822] = {.count = 1, .reusable = true}, SHIFT(468),
  [824] = {.count = 1, .reusable = false}, SHIFT(468),
  [826] = {.count = 1, .reusable = true}, SHIFT(332),
  [828] = {.count = 1, .reusable = false}, SHIFT(332),
  [830] = {.count = 1, .reusable = true}, SHIFT(412),
  [832] = {.count = 1, .reusable = false}, SHIFT(412),
  [834] = {.count = 1, .reusable = true}, SHIFT(411),
  [836] = {.count = 1, .reusable = false}, SHIFT(411),
  [838] = {.count = 1, .reusable = true}, SHIFT(410),
  [840] = {.count = 1, .reusable = false}, SHIFT(410),
  [842] = {.count = 1, .reusable = true}, SHIFT(424),
  [844] = {.count = 1, .reusable = false}, SHIFT(424),
  [846] = {.count = 1, .reusable = true}, SHIFT(409),
  [848] = {.count = 1, .reusable = false}, SHIFT(409),
  [850] = {.count = 1, .reusable = true}, SHIFT(565),
  [852] = {.count = 1, .reusable = false}, SHIFT(565),
  [854] = {.count = 1, .reusable = true}, SHIFT(407),
  [856] = {.count = 1, .reusable = false}, SHIFT(407),
  [858] = {.count = 1, .reusable = true}, SHIFT(427),
  [860] = {.count = 1, .reusable = false}, SHIFT(427),
  [862] = {.count = 1, .reusable = true}, SHIFT(404),
  [864] = {.count = 1, .reusable = false}, SHIFT(404),
  [866] = {.count = 1, .reusable = true}, SHIFT(327),
  [868] = {.count = 1, .reusable = false}, SHIFT(327),
  [870] = {.count = 1, .reusable = true}, SHIFT(563),
  [872] = {.count = 1, .reusable = false}, SHIFT(563),
  [874] = {.count = 1, .reusable = true}, SHIFT(322),
  [876] = {.count = 1, .reusable = false}, SHIFT(322),
  [878] = {.count = 1, .reusable = true}, SHIFT(551),
  [880] = {.count = 1, .reusable = false}, SHIFT(551),
  [882] = {.count = 1, .reusable = true}, SHIFT(488),
  [884] = {.count = 1, .reusable = false}, SHIFT(488),
  [886] = {.count = 1, .reusable = true}, SHIFT(447),
  [888] = {.count = 1, .reusable = false}, SHIFT(447),
  [890] = {.count = 1, .reusable = true}, SHIFT(317),
  [892] = {.count = 1, .reusable = false}, SHIFT(317),
  [894] = {.count = 1, .reusable = true}, SHIFT(566),
  [896] = {.count = 1, .reusable = false}, SHIFT(566),
  [898] = {.count = 1, .reusable = true}, SHIFT(452),
  [900] = {.count = 1, .reusable = false}, SHIFT(452),
  [902] = {.count = 1, .reusable = true}, SHIFT(451),
  [904] = {.count = 1, .reusable = false}, SHIFT(451),
  [906] = {.count = 1, .reusable = true}, SHIFT(475),
  [908] = {.count = 1, .reusable = false}, SHIFT(475),
  [910] = {.count = 1, .reusable = true}, SHIFT(375),
  [912] = {.count = 1, .reusable = false}, SHIFT(375),
  [914] = {.count = 1, .reusable = true}, SHIFT(387),
  [916] = {.count = 1, .reusable = false}, SHIFT(387),
  [918] = {.count = 1, .reusable = true}, SHIFT(367),
  [920] = {.count = 1, .reusable = false}, SHIFT(367),
  [922] = {.count = 1, .reusable = true}, SHIFT(449),
  [924] = {.count = 1, .reusable = false}, SHIFT(449),
  [926] = {.count = 1, .reusable = true}, SHIFT(334),
  [928] = {.count = 1, .reusable = false}, SHIFT(334),
  [930] = {.count = 1, .reusable = true}, SHIFT(374),
  [932] = {.count = 1, .reusable = false}, SHIFT(374),
  [934] = {.count = 1, .reusable = true}, SHIFT(499),
  [936] = {.count = 1, .reusable = false}, SHIFT(499),
  [938] = {.count = 1, .reusable = true}, SHIFT(373),
  [940] = {.count = 1, .reusable = false}, SHIFT(373),
  [942] = {.count = 1, .reusable = true}, SHIFT(350),
  [944] = {.count = 1, .reusable = false}, SHIFT(350),
  [946] = {.count = 1, .reusable = true}, SHIFT(556),
  [948] = {.count = 1, .reusable = false}, SHIFT(556),
  [950] = {.count = 1, .reusable = true}, SHIFT(555),
  [952] = {.count = 1, .reusable = false}, SHIFT(555),
  [954] = {.count = 1, .reusable = true}, SHIFT(549),
  [956] = {.count = 1, .reusable = false}, SHIFT(549),
  [958] = {.count = 1, .reusable = true}, SHIFT(370),
  [960] = {.count = 1, .reusable = false}, SHIFT(370),
  [962] = {.count = 1, .reusable = true}, SHIFT(347),
  [964] = {.count = 1, .reusable = false}, SHIFT(347),
  [966] = {.count = 1, .reusable = true}, SHIFT(314),
  [968] = {.count = 1, .reusable = false}, SHIFT(314),
  [970] = {.count = 1, .reusable = true}, SHIFT(455),
  [972] = {.count = 1, .reusable = false}, SHIFT(455),
  [974] = {.count = 1, .reusable = true}, SHIFT(369),
  [976] = {.count = 1, .reusable = false}, SHIFT(369),
  [978] = {.count = 1, .reusable = true}, SHIFT(454),
  [980] = {.count = 1, .reusable = false}, SHIFT(454),
  [982] = {.count = 1, .reusable = true}, SHIFT(453),
  [984] = {.count = 1, .reusable = false}, SHIFT(453),
  [986] = {.count = 1, .reusable = true}, SHIFT(331),
  [988] = {.count = 1, .reusable = false}, SHIFT(331),
  [990] = {.count = 1, .reusable = true}, SHIFT(333),
  [992] = {.count = 1, .reusable = false}, SHIFT(333),
  [994] = {.count = 1, .reusable = true}, SHIFT(335),
  [996] = {.count = 1, .reusable = false}, SHIFT(335),
  [998] = {.count = 1, .reusable = true}, SHIFT(336),
  [1000] = {.count = 1, .reusable = false}, SHIFT(336),
  [1002] = {.count = 1, .reusable = true}, SHIFT(315),
  [1004] = {.count = 1, .reusable = false}, SHIFT(315),
  [1006] = {.count = 1, .reusable = true}, SHIFT(338),
  [1008] = {.count = 1, .reusable = false}, SHIFT(338),
  [1010] = {.count = 1, .reusable = true}, SHIFT(343),
  [1012] = {.count = 1, .reusable = false}, SHIFT(343),
  [1014] = {.count = 1, .reusable = false}, SHIFT(959),
  [1016] = {.count = 2, .reusable = false}, REDUCE(sym__expression, 1, .production_id = 1), SHIFT(637),
  [1019] = {.count = 1, .reusable = true}, REDUCE(sym__expression, 1, .production_id = 1),
  [1021] = {.count = 1, .reusable = true}, SHIFT(326),
  [1023] = {.count = 3, .reusable = true}, REDUCE(sym__expression, 1, .production_id = 1), REDUCE(sym__property_name, 1, .production_id = 4), SHIFT(620),
  [1027] = {.count = 1, .reusable = false}, REDUCE(sym__expression, 1, .production_id = 1),
  [1029] = {.count = 2, .reusable = true}, REDUCE(sym__property_name, 1, .production_id = 4), SHIFT(35),
  [1032] = {.count = 1, .reusable = false}, SHIFT(153),
  [1034] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1, .production_id = 1), SHIFT(139),
  [1037] = {.count = 1, .reusable = false}, SHIFT(1118),
  [1039] = {.count = 1, .reusable = false}, SHIFT(980),
  [1041] = {.count = 1, .reusable = false}, SHIFT(776),
  [1043] = {.count = 1, .reusable = true}, SHIFT(99),
  [1045] = {.count = 1, .reusable = true}, SHIFT(157),
  [1047] = {.count = 1, .reusable = true}, SHIFT(1005),
  [1049] = {.count = 1, .reusable = false}, SHIFT(610),
  [1051] = {.count = 1, .reusable = true}, SHIFT(383),
  [1053] = {.count = 1, .reusable = true}, SHIFT(184),
  [1055] = {.count = 1, .reusable = true}, REDUCE(sym_try_statement, 2, .production_id = 8),
  [1057] = {.count = 1, .reusable = false}, REDUCE(sym_try_statement, 2, .production_id = 8),
  [1059] = {.count = 1, .reusable = false}, SHIFT(865),
  [1061] = {.count = 1, .reusable = false}, SHIFT(926),
  [1063] = {.count = 1, .reusable = false}, SHIFT(1125),
  [1065] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1, .production_id = 1), REDUCE(sym__property_name, 1, .production_id = 4),
  [1068] = {.count = 1, .reusable = false}, SHIFT(612),
  [1070] = {.count = 1, .reusable = false}, SHIFT(625),
  [1072] = {.count = 1, .reusable = true}, REDUCE(sym_try_statement, 3, .production_id = 28),
  [1074] = {.count = 1, .reusable = false}, REDUCE(sym_try_statement, 3, .production_id = 28),
  [1076] = {.count = 1, .reusable = false}, SHIFT(1075),
  [1078] = {.count = 1, .reusable = false}, REDUCE(sym_new_expression, 2, .production_id = 9),
  [1080] = {.count = 1, .reusable = true}, REDUCE(sym_new_expression, 2, .production_id = 9),
  [1082] = {.count = 1, .reusable = false}, SHIFT(140),
  [1084] = {.count = 1, .reusable = true}, SHIFT(1077),
  [1086] = {.count = 1, .reusable = false}, SHIFT(1076),
  [1088] = {.count = 1, .reusable = false}, SHIFT(785),
  [1090] = {.count = 1, .reusable = true}, SHIFT(89),
  [1092] = {.count = 1, .reusable = true}, SHIFT(145),
  [1094] = {.count = 1, .reusable = true}, REDUCE(sym_empty_statement, 1),
  [1096] = {.count = 1, .reusable = false}, REDUCE(sym_empty_statement, 1),
  [1098] = {.count = 1, .reusable = true}, REDUCE(sym_catch_clause, 5, .production_id = 104),
  [1100] = {.count = 1, .reusable = false}, REDUCE(sym_catch_clause, 5, .production_id = 104),
  [1102] = {.count = 1, .reusable = true}, REDUCE(sym_expression_statement, 2),
  [1104] = {.count = 1, .reusable = false}, REDUCE(sym_expression_statement, 2),
  [1106] = {.count = 1, .reusable = true}, SHIFT(197),
  [1108] = {.count = 1, .reusable = true}, REDUCE(sym_catch_clause, 5, .production_id = 105),
  [1110] = {.count = 1, .reusable = false}, REDUCE(sym_catch_clause, 5, .production_id = 105),
  [1112] = {.count = 1, .reusable = true}, REDUCE(sym_catch_clause, 2, .production_id = 8),
  [1114] = {.count = 1, .reusable = false}, REDUCE(sym_catch_clause, 2, .production_id = 8),
  [1116] = {.count = 1, .reusable = true}, REDUCE(sym_catch_clause, 5, .production_id = 103),
  [1118] = {.count = 1, .reusable = false}, REDUCE(sym_catch_clause, 5, .production_id = 103),
  [1120] = {.count = 1, .reusable = true}, SHIFT(194),
  [1122] = {.count = 1, .reusable = true}, REDUCE(sym_export_statement, 5, .production_id = 90),
  [1124] = {.count = 1, .reusable = false}, REDUCE(sym_export_statement, 5, .production_id = 90),
  [1126] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 5, .production_id = 83),
  [1128] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 5, .production_id = 83),
  [1130] = {.count = 1, .reusable = true}, REDUCE(sym_labeled_statement, 3, .dynamic_precedence = -1, .production_id = 39),
  [1132] = {.count = 1, .reusable = false}, REDUCE(sym_labeled_statement, 3, .dynamic_precedence = -1, .production_id = 39),
  [1134] = {.count = 1, .reusable = true}, REDUCE(sym_export_statement, 3, .production_id = 55),
  [1136] = {.count = 1, .reusable = false}, REDUCE(sym_export_statement, 3, .production_id = 55),
  [1138] = {.count = 1, .reusable = true}, REDUCE(sym_export_statement, 4, .production_id = 56),
  [1140] = {.count = 1, .reusable = false}, REDUCE(sym_export_statement, 4, .production_id = 56),
  [1142] = {.count = 1, .reusable = true}, REDUCE(sym_export_statement, 4, .production_id = 57),
  [1144] = {.count = 1, .reusable = false}, REDUCE(sym_export_statement, 4, .production_id = 57),
  [1146] = {.count = 1, .reusable = true}, REDUCE(sym_export_statement, 2, .production_id = 3),
  [1148] = {.count = 1, .reusable = false}, REDUCE(sym_export_statement, 2, .production_id = 3),
  [1150] = {.count = 1, .reusable = true}, REDUCE(sym_import_statement, 4, .production_id = 56),
  [1152] = {.count = 1, .reusable = false}, REDUCE(sym_import_statement, 4, .production_id = 56),
  [1154] = {.count = 1, .reusable = true}, REDUCE(sym_variable_declaration, 4),
  [1156] = {.count = 1, .reusable = false}, REDUCE(sym_variable_declaration, 4),
  [1158] = {.count = 1, .reusable = true}, REDUCE(sym_lexical_declaration, 4),
  [1160] = {.count = 1, .reusable = false}, REDUCE(sym_lexical_declaration, 4),
  [1162] = {.count = 1, .reusable = true}, REDUCE(sym_switch_body, 2),
  [1164] = {.count = 1, .reusable = false}, REDUCE(sym_switch_body, 2),
  [1166] = {.count = 1, .reusable = true}, REDUCE(sym_throw_statement, 3),
  [1168] = {.count = 1, .reusable = false}, REDUCE(sym_throw_statement, 3),
  [1170] = {.count = 1, .reusable = true}, REDUCE(sym_return_statement, 3),
  [1172] = {.count = 1, .reusable = false}, REDUCE(sym_return_statement, 3),
  [1174] = {.count = 1, .reusable = true}, REDUCE(sym_continue_statement, 3, .production_id = 31),
  [1176] = {.count = 1, .reusable = false}, REDUCE(sym_continue_statement, 3, .production_id = 31),
  [1178] = {.count = 1, .reusable = true}, REDUCE(sym_break_statement, 3, .production_id = 31),
  [1180] = {.count = 1, .reusable = false}, REDUCE(sym_break_statement, 3, .production_id = 31),
  [1182] = {.count = 1, .reusable = true}, REDUCE(sym_with_statement, 3, .production_id = 30),
  [1184] = {.count = 1, .reusable = false}, REDUCE(sym_with_statement, 3, .production_id = 30),
  [1186] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1, .production_id = 1), SHIFT(620),
  [1189] = {.count = 1, .reusable = true}, REDUCE(sym_try_statement, 3, .production_id = 29),
  [1191] = {.count = 1, .reusable = false}, REDUCE(sym_try_statement, 3, .production_id = 29),
  [1193] = {.count = 1, .reusable = true}, REDUCE(sym_for_in_statement, 4, .production_id = 64),
  [1195] = {.count = 1, .reusable = false}, REDUCE(sym_for_in_statement, 4, .production_id = 64),
  [1197] = {.count = 1, .reusable = true}, REDUCE(sym_export_statement, 3),
  [1199] = {.count = 1, .reusable = false}, REDUCE(sym_export_statement, 3),
  [1201] = {.count = 1, .reusable = true}, REDUCE(sym_finally_clause, 2, .production_id = 8),
  [1203] = {.count = 1, .reusable = false}, REDUCE(sym_finally_clause, 2, .production_id = 8),
  [1205] = {.count = 1, .reusable = true}, REDUCE(sym_while_statement, 3, .production_id = 27),
  [1207] = {.count = 1, .reusable = false}, REDUCE(sym_while_statement, 3, .production_id = 27),
  [1209] = {.count = 1, .reusable = true}, REDUCE(sym_try_statement, 4, .production_id = 65),
  [1211] = {.count = 1, .reusable = false}, REDUCE(sym_try_statement, 4, .production_id = 65),
  [1213] = {.count = 1, .reusable = true}, REDUCE(sym_generator_function_declaration, 7, .production_id = 97),
  [1215] = {.count = 1, .reusable = false}, REDUCE(sym_generator_function_declaration, 7, .production_id = 97),
  [1217] = {.count = 1, .reusable = true}, REDUCE(sym_class_declaration, 4, .production_id = 37),
  [1219] = {.count = 1, .reusable = false}, REDUCE(sym_class_declaration, 4, .production_id = 37),
  [1221] = {.count = 1, .reusable = true}, REDUCE(sym_switch_statement, 3, .production_id = 23),
  [1223] = {.count = 1, .reusable = false}, REDUCE(sym_switch_statement, 3, .production_id = 23),
  [1225] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 7, .production_id = 102),
  [1227] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 7, .production_id = 102),
  [1229] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 6, .production_id = 94),
  [1231] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 6, .production_id = 94),
  [1233] = {.count = 1, .reusable = true}, REDUCE(sym_switch_body, 3),
  [1235] = {.count = 1, .reusable = false}, REDUCE(sym_switch_body, 3),
  [1237] = {.count = 1, .reusable = true}, REDUCE(sym_lexical_declaration, 3),
  [1239] = {.count = 1, .reusable = false}, REDUCE(sym_lexical_declaration, 3),
  [1241] = {.count = 1, .reusable = true}, REDUCE(sym_do_statement, 5, .production_id = 84),
  [1243] = {.count = 1, .reusable = false}, REDUCE(sym_do_statement, 5, .production_id = 84),
  [1245] = {.count = 1, .reusable = true}, REDUCE(sym_class_declaration, 5, .production_id = 80),
  [1247] = {.count = 1, .reusable = false}, REDUCE(sym_class_declaration, 5, .production_id = 80),
  [1249] = {.count = 1, .reusable = true}, REDUCE(sym_for_in_statement, 3, .production_id = 24),
  [1251] = {.count = 1, .reusable = false}, REDUCE(sym_for_in_statement, 3, .production_id = 24),
  [1253] = {.count = 1, .reusable = true}, REDUCE(sym_break_statement, 2),
  [1255] = {.count = 1, .reusable = false}, REDUCE(sym_break_statement, 2),
  [1257] = {.count = 1, .reusable = true}, REDUCE(sym_class_declaration, 5, .production_id = 73),
  [1259] = {.count = 1, .reusable = false}, REDUCE(sym_class_declaration, 5, .production_id = 73),
  [1261] = {.count = 1, .reusable = true}, REDUCE(sym_continue_statement, 2),
  [1263] = {.count = 1, .reusable = false}, REDUCE(sym_continue_statement, 2),
  [1265] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 3, .production_id = 22),
  [1267] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 3, .production_id = 22),
  [1269] = {.count = 1, .reusable = false}, SHIFT(37),
  [1271] = {.count = 1, .reusable = true}, REDUCE(sym_class_declaration, 6, .production_id = 91),
  [1273] = {.count = 1, .reusable = false}, REDUCE(sym_class_declaration, 6, .production_id = 91),
  [1275] = {.count = 1, .reusable = true}, REDUCE(sym_function_declaration, 5, .production_id = 78),
  [1277] = {.count = 1, .reusable = false}, REDUCE(sym_function_declaration, 5, .production_id = 78),
  [1279] = {.count = 1, .reusable = true}, REDUCE(sym_generator_function_declaration, 6, .production_id = 87),
  [1281] = {.count = 1, .reusable = false}, REDUCE(sym_generator_function_declaration, 6, .production_id = 87),
  [1283] = {.count = 1, .reusable = true}, REDUCE(sym_function_declaration, 6, .production_id = 87),
  [1285] = {.count = 1, .reusable = false}, REDUCE(sym_function_declaration, 6, .production_id = 87),
  [1287] = {.count = 1, .reusable = true}, REDUCE(sym_variable_declaration, 3),
  [1289] = {.count = 1, .reusable = false}, REDUCE(sym_variable_declaration, 3),
  [1291] = {.count = 1, .reusable = true}, REDUCE(sym_return_statement, 2),
  [1293] = {.count = 1, .reusable = false}, REDUCE(sym_return_statement, 2),
  [1295] = {.count = 1, .reusable = true}, REDUCE(sym_debugger_statement, 2),
  [1297] = {.count = 1, .reusable = false}, REDUCE(sym_debugger_statement, 2),
  [1299] = {.count = 1, .reusable = true}, REDUCE(sym_import_statement, 3, .production_id = 18),
  [1301] = {.count = 1, .reusable = false}, REDUCE(sym_import_statement, 3, .production_id = 18),
  [1303] = {.count = 1, .reusable = false}, SHIFT(1120),
  [1305] = {.count = 1, .reusable = true}, SHIFT(1118),
  [1307] = {.count = 1, .reusable = false}, SHIFT(1119),
  [1309] = {.count = 1, .reusable = false}, SHIFT(769),
  [1311] = {.count = 2, .reusable = false}, REDUCE(sym__expression, 1, .production_id = 1), SHIFT(96),
  [1314] = {.count = 1, .reusable = false}, SHIFT(96),
  [1316] = {.count = 1, .reusable = false}, SHIFT(152),
  [1318] = {.count = 1, .reusable = true}, SHIFT(35),
  [1320] = {.count = 1, .reusable = true}, SHIFT(39),
  [1322] = {.count = 1, .reusable = false}, SHIFT(793),
  [1324] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1, .production_id = 1), SHIFT(624),
  [1327] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1, .production_id = 1), SHIFT(957),
  [1330] = {.count = 1, .reusable = false}, SHIFT(161),
  [1332] = {.count = 1, .reusable = false}, REDUCE(sym__for_header, 6, .production_id = 100),
  [1334] = {.count = 1, .reusable = true}, REDUCE(sym__for_header, 6, .production_id = 100),
  [1336] = {.count = 1, .reusable = false}, REDUCE(sym__for_header, 6, .production_id = 98),
  [1338] = {.count = 1, .reusable = true}, REDUCE(sym__for_header, 6, .production_id = 98),
  [1340] = {.count = 1, .reusable = false}, REDUCE(sym__for_header, 6, .production_id = 99),
  [1342] = {.count = 1, .reusable = true}, REDUCE(sym__for_header, 6, .production_id = 99),
  [1344] = {.count = 1, .reusable = false}, REDUCE(sym__for_header, 5, .production_id = 96),
  [1346] = {.count = 1, .reusable = true}, REDUCE(sym__for_header, 5, .production_id = 96),
  [1348] = {.count = 1, .reusable = false}, REDUCE(sym_parenthesized_expression, 3),
  [1350] = {.count = 1, .reusable = true}, REDUCE(sym_parenthesized_expression, 3),
  [1352] = {.count = 1, .reusable = false}, REDUCE(sym__for_header, 5, .production_id = 95),
  [1354] = {.count = 1, .reusable = true}, REDUCE(sym__for_header, 5, .production_id = 95),
  [1356] = {.count = 2, .reusable = false}, REDUCE(sym__expression, 1, .production_id = 1), SHIFT(80),
  [1359] = {.count = 1, .reusable = false}, SHIFT(80),
  [1361] = {.count = 1, .reusable = false}, REDUCE(sym__for_header, 6, .production_id = 101),
  [1363] = {.count = 1, .reusable = true}, REDUCE(sym__for_header, 6, .production_id = 101),
  [1365] = {.count = 1, .reusable = false}, REDUCE(sym__for_header, 5, .production_id = 93),
  [1367] = {.count = 1, .reusable = true}, REDUCE(sym__for_header, 5, .production_id = 93),
  [1369] = {.count = 1, .reusable = false}, REDUCE(sym__for_header, 5, .production_id = 92),
  [1371] = {.count = 1, .reusable = true}, REDUCE(sym__for_header, 5, .production_id = 92),
  [1373] = {.count = 1, .reusable = false}, REDUCE(sym_new_expression, 2, .production_id = 10),
  [1375] = {.count = 1, .reusable = true}, REDUCE(sym_new_expression, 2, .production_id = 10),
  [1377] = {.count = 1, .reusable = true}, SHIFT(64),
  [1379] = {.count = 1, .reusable = false}, SHIFT(158),
  [1381] = {.count = 1, .reusable = true}, SHIFT(1071),
  [1383] = {.count = 1, .reusable = true}, SHIFT(103),
  [1385] = {.count = 1, .reusable = true}, SHIFT(163),
  [1387] = {.count = 1, .reusable = false}, REDUCE(sym_member_expression, 3, .production_id = 41),
  [1389] = {.count = 1, .reusable = true}, REDUCE(sym_member_expression, 3, .production_id = 41),
  [1391] = {.count = 1, .reusable = false}, REDUCE(sym_member_expression, 3, .production_id = 47),
  [1393] = {.count = 1, .reusable = true}, REDUCE(sym_member_expression, 3, .production_id = 47),
  [1395] = {.count = 1, .reusable = false}, REDUCE(sym_subscript_expression, 4, .production_id = 79),
  [1397] = {.count = 1, .reusable = true}, REDUCE(sym_subscript_expression, 4, .production_id = 79),
  [1399] = {.count = 1, .reusable = false}, REDUCE(sym__expression, 1),
  [1401] = {.count = 1, .reusable = true}, REDUCE(sym__expression, 1),
  [1403] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1), REDUCE(sym__property_name, 1, .production_id = 4),
  [1406] = {.count = 1, .reusable = false}, SHIFT(148),
  [1408] = {.count = 1, .reusable = true}, SHIFT(1089),
  [1410] = {.count = 1, .reusable = true}, SHIFT(94),
  [1412] = {.count = 1, .reusable = true}, SHIFT(113),
  [1414] = {.count = 1, .reusable = true}, SHIFT(69),
  [1416] = {.count = 1, .reusable = true}, REDUCE(sym_variable_declarator, 1, .production_id = 5),
  [1418] = {.count = 2, .reusable = false}, REDUCE(sym__expression, 1), SHIFT(109),
  [1421] = {.count = 1, .reusable = true}, SHIFT(109),
  [1423] = {.count = 1, .reusable = false}, SHIFT(149),
  [1425] = {.count = 1, .reusable = true}, SHIFT(96),
  [1427] = {.count = 1, .reusable = false}, SHIFT(151),
  [1429] = {.count = 2, .reusable = false}, REDUCE(sym__expression, 1), SHIFT(83),
  [1432] = {.count = 1, .reusable = true}, SHIFT(83),
  [1434] = {.count = 1, .reusable = false}, REDUCE(sym_arguments, 4),
  [1436] = {.count = 1, .reusable = true}, REDUCE(sym_arguments, 4),
  [1438] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1), SHIFT(622),
  [1441] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1), SHIFT(968),
  [1444] = {.count = 1, .reusable = false}, SHIFT(160),
  [1446] = {.count = 1, .reusable = false}, REDUCE(sym_arguments, 3),
  [1448] = {.count = 1, .reusable = true}, REDUCE(sym_arguments, 3),
  [1450] = {.count = 1, .reusable = false}, REDUCE(sym_arguments, 2),
  [1452] = {.count = 1, .reusable = true}, REDUCE(sym_arguments, 2),
  [1454] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1), REDUCE(sym_rest_parameter, 2),
  [1457] = {.count = 1, .reusable = true}, SHIFT(80),
  [1459] = {.count = 1, .reusable = false}, SHIFT(901),
  [1461] = {.count = 1, .reusable = false}, SHIFT(1086),
  [1463] = {.count = 1, .reusable = true}, SHIFT(783),
  [1465] = {.count = 1, .reusable = true}, REDUCE(sym_import, 1),
  [1467] = {.count = 1, .reusable = false}, REDUCE(sym_import, 1),
  [1469] = {.count = 1, .reusable = false}, REDUCE(sym_binary_expression, 3, .production_id = 50),
  [1471] = {.count = 1, .reusable = true}, REDUCE(sym_binary_expression, 3, .production_id = 50),
  [1473] = {.count = 1, .reusable = true}, SHIFT(105),
  [1475] = {.count = 1, .reusable = true}, SHIFT(171),
  [1477] = {.count = 1, .reusable = true}, SHIFT(377),
  [1479] = {.count = 1, .reusable = false}, SHIFT(164),
  [1481] = {.count = 1, .reusable = false}, SHIFT(175),
  [1483] = {.count = 1, .reusable = true}, SHIFT(174),
  [1485] = {.count = 1, .reusable = true}, SHIFT(164),
  [1487] = {.count = 1, .reusable = false}, SHIFT(174),
  [1489] = {.count = 1, .reusable = false}, SHIFT(172),
  [1491] = {.count = 1, .reusable = true}, SHIFT(175),
  [1493] = {.count = 1, .reusable = false}, REDUCE(sym_array, 4),
  [1495] = {.count = 1, .reusable = true}, REDUCE(sym_array, 4),
  [1497] = {.count = 1, .reusable = true}, REDUCE(sym_augmented_assignment_expression, 3, .production_id = 40),
  [1499] = {.count = 1, .reusable = true}, SHIFT(120),
  [1501] = {.count = 1, .reusable = true}, SHIFT(173),
  [1503] = {.count = 1, .reusable = false}, SHIFT(173),
  [1505] = {.count = 1, .reusable = true}, REDUCE(sym_yield_expression, 3),
  [1507] = {.count = 1, .reusable = true}, REDUCE(sym_arrow_function, 4, .production_id = 76),
  [1509] = {.count = 1, .reusable = true}, REDUCE(sym_arrow_function, 4, .production_id = 77),
  [1511] = {.count = 1, .reusable = false}, REDUCE(sym_array, 3),
  [1513] = {.count = 1, .reusable = true}, REDUCE(sym_array, 3),
  [1515] = {.count = 1, .reusable = true}, REDUCE(sym_assignment_expression, 3, .production_id = 40),
  [1517] = {.count = 1, .reusable = false}, REDUCE(sym_unary_expression, 2, .production_id = 11),
  [1519] = {.count = 1, .reusable = true}, REDUCE(sym_unary_expression, 2, .production_id = 11),
  [1521] = {.count = 1, .reusable = false}, REDUCE(sym_object, 4),
  [1523] = {.count = 1, .reusable = true}, REDUCE(sym_object, 4),
  [1525] = {.count = 1, .reusable = false}, REDUCE(sym_object, 3, .production_id = 17),
  [1527] = {.count = 1, .reusable = true}, REDUCE(sym_object, 3, .production_id = 17),
  [1529] = {.count = 1, .reusable = true}, REDUCE(sym_await_expression, 2),
  [1531] = {.count = 1, .reusable = true}, REDUCE(sym_yield_expression, 2),
  [1533] = {.count = 1, .reusable = false}, REDUCE(sym_object, 4, .production_id = 17),
  [1535] = {.count = 1, .reusable = true}, REDUCE(sym_object, 4, .production_id = 17),
  [1537] = {.count = 1, .reusable = true}, REDUCE(sym_arrow_function, 3, .production_id = 54),
  [1539] = {.count = 1, .reusable = true}, REDUCE(sym_assignment_expression, 3, .production_id = 52),
  [1541] = {.count = 1, .reusable = true}, REDUCE(sym_ternary_expression, 5, .production_id = 88),
  [1543] = {.count = 1, .reusable = true}, REDUCE(sym_assignment_expression, 3, .production_id = 51),
  [1545] = {.count = 1, .reusable = true}, REDUCE(sym_arrow_function, 4, .production_id = 74),
  [1547] = {.count = 1, .reusable = true}, SHIFT(426),
  [1549] = {.count = 1, .reusable = false}, REDUCE(sym_array, 2),
  [1551] = {.count = 1, .reusable = true}, REDUCE(sym_array, 2),
  [1553] = {.count = 1, .reusable = false}, REDUCE(sym_object, 3),
  [1555] = {.count = 1, .reusable = true}, REDUCE(sym_object, 3),
  [1557] = {.count = 1, .reusable = true}, REDUCE(sym_arrow_function, 3, .production_id = 42),
  [1559] = {.count = 1, .reusable = false}, REDUCE(sym_update_expression, 2, .production_id = 11),
  [1561] = {.count = 1, .reusable = true}, REDUCE(sym_update_expression, 2, .production_id = 11),
  [1563] = {.count = 1, .reusable = true}, REDUCE(sym_augmented_assignment_expression, 3, .production_id = 46),
  [1565] = {.count = 1, .reusable = true}, REDUCE(sym_arrow_function, 3, .production_id = 48),
  [1567] = {.count = 1, .reusable = true}, REDUCE(sym_assignment_expression, 3, .production_id = 46),
  [1569] = {.count = 1, .reusable = false}, SHIFT(170),
  [1571] = {.count = 1, .reusable = false}, SHIFT(169),
  [1573] = {.count = 1, .reusable = true}, SHIFT(425),
  [1575] = {.count = 1, .reusable = true}, SHIFT(102),
  [1577] = {.count = 1, .reusable = true}, REDUCE(sym_sequence_expression, 3, .production_id = 46),
  [1579] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 2),
  [1581] = {.count = 1, .reusable = false}, REDUCE(sym_regex, 3, .production_id = 34),
  [1583] = {.count = 1, .reusable = true}, REDUCE(sym_regex, 3, .production_id = 34),
  [1585] = {.count = 1, .reusable = false}, SHIFT(435),
  [1587] = {.count = 1, .reusable = false}, REDUCE(sym_arrow_function, 4, .production_id = 76),
  [1589] = {.count = 1, .reusable = false}, REDUCE(sym_arrow_function, 3, .production_id = 48),
  [1591] = {.count = 1, .reusable = false}, REDUCE(sym_string, 2),
  [1593] = {.count = 1, .reusable = true}, REDUCE(sym_string, 2),
  [1595] = {.count = 1, .reusable = false}, REDUCE(sym_class, 2, .production_id = 8),
  [1597] = {.count = 1, .reusable = true}, REDUCE(sym_class, 2, .production_id = 8),
  [1599] = {.count = 1, .reusable = false}, REDUCE(sym_template_string, 2),
  [1601] = {.count = 1, .reusable = true}, REDUCE(sym_template_string, 2),
  [1603] = {.count = 1, .reusable = false}, REDUCE(sym_call_expression, 2, .production_id = 12),
  [1605] = {.count = 1, .reusable = true}, REDUCE(sym_call_expression, 2, .production_id = 12),
  [1607] = {.count = 1, .reusable = false}, SHIFT(137),
  [1609] = {.count = 1, .reusable = false}, SHIFT(135),
  [1611] = {.count = 1, .reusable = true}, SHIFT(101),
  [1613] = {.count = 1, .reusable = true}, SHIFT(134),
  [1615] = {.count = 1, .reusable = true}, SHIFT(133),
  [1617] = {.count = 1, .reusable = true}, SHIFT(131),
  [1619] = {.count = 1, .reusable = true}, SHIFT(137),
  [1621] = {.count = 1, .reusable = false}, SHIFT(133),
  [1623] = {.count = 1, .reusable = false}, SHIFT(131),
  [1625] = {.count = 1, .reusable = false}, SHIFT(130),
  [1627] = {.count = 1, .reusable = true}, SHIFT(129),
  [1629] = {.count = 1, .reusable = true}, SHIFT(135),
  [1631] = {.count = 1, .reusable = true}, SHIFT(492),
  [1633] = {.count = 1, .reusable = false}, REDUCE(sym_update_expression, 2, .production_id = 14),
  [1635] = {.count = 1, .reusable = true}, REDUCE(sym_update_expression, 2, .production_id = 14),
  [1637] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_element, 2, .production_id = 15),
  [1639] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_element, 2, .production_id = 15),
  [1641] = {.count = 1, .reusable = false}, REDUCE(sym_string, 3),
  [1643] = {.count = 1, .reusable = true}, REDUCE(sym_string, 3),
  [1645] = {.count = 1, .reusable = true}, REDUCE(sym_spread_element, 2),
  [1647] = {.count = 1, .reusable = false}, REDUCE(sym_class, 3, .production_id = 38),
  [1649] = {.count = 1, .reusable = true}, REDUCE(sym_class, 3, .production_id = 38),
  [1651] = {.count = 1, .reusable = true}, REDUCE(sym_variable_declarator, 1, .production_id = 7),
  [1653] = {.count = 2, .reusable = false}, REDUCE(sym__expression, 1), SHIFT(106),
  [1656] = {.count = 1, .reusable = true}, SHIFT(106),
  [1658] = {.count = 1, .reusable = false}, SHIFT(116),
  [1660] = {.count = 1, .reusable = true}, REDUCE(sym_variable_declarator, 1, .production_id = 6),
  [1662] = {.count = 2, .reusable = false}, REDUCE(sym__expression, 1), SHIFT(110),
  [1665] = {.count = 1, .reusable = true}, SHIFT(110),
  [1667] = {.count = 1, .reusable = false}, SHIFT(114),
  [1669] = {.count = 1, .reusable = false}, REDUCE(sym_arrow_function, 3, .production_id = 42),
  [1671] = {.count = 1, .reusable = false}, REDUCE(sym_function, 3, .production_id = 43),
  [1673] = {.count = 1, .reusable = true}, REDUCE(sym_function, 3, .production_id = 43),
  [1675] = {.count = 1, .reusable = false}, REDUCE(sym_meta_property, 3),
  [1677] = {.count = 1, .reusable = true}, REDUCE(sym_meta_property, 3),
  [1679] = {.count = 1, .reusable = false}, REDUCE(sym_new_expression, 3, .production_id = 44),
  [1681] = {.count = 1, .reusable = true}, REDUCE(sym_new_expression, 3, .production_id = 44),
  [1683] = {.count = 1, .reusable = false}, REDUCE(sym_new_expression, 3, .production_id = 45),
  [1685] = {.count = 1, .reusable = true}, REDUCE(sym_new_expression, 3, .production_id = 45),
  [1687] = {.count = 1, .reusable = false}, REDUCE(sym_template_string, 3),
  [1689] = {.count = 1, .reusable = true}, REDUCE(sym_template_string, 3),
  [1691] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_element, 3, .production_id = 53),
  [1693] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_element, 3, .production_id = 53),
  [1695] = {.count = 1, .reusable = false}, REDUCE(sym_arrow_function, 3, .production_id = 54),
  [1697] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_self_closing_element, 4, .production_id = 32),
  [1699] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_self_closing_element, 4, .production_id = 32),
  [1701] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_fragment, 6),
  [1703] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_fragment, 6),
  [1705] = {.count = 1, .reusable = false}, REDUCE(sym_regex, 4, .production_id = 68),
  [1707] = {.count = 1, .reusable = true}, REDUCE(sym_regex, 4, .production_id = 68),
  [1709] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_closing_element, 4, .production_id = 89),
  [1711] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_closing_element, 4, .production_id = 89),
  [1713] = {.count = 1, .reusable = false}, REDUCE(sym_generator_function, 5, .production_id = 86),
  [1715] = {.count = 1, .reusable = true}, REDUCE(sym_generator_function, 5, .production_id = 86),
  [1717] = {.count = 1, .reusable = false}, REDUCE(sym_arrow_function, 4, .production_id = 74),
  [1719] = {.count = 1, .reusable = false}, REDUCE(sym_function, 4, .production_id = 75),
  [1721] = {.count = 1, .reusable = true}, REDUCE(sym_function, 4, .production_id = 75),
  [1723] = {.count = 1, .reusable = false}, REDUCE(sym_arrow_function, 4, .production_id = 77),
  [1725] = {.count = 1, .reusable = false}, REDUCE(sym_generator_function, 4, .production_id = 75),
  [1727] = {.count = 1, .reusable = true}, REDUCE(sym_generator_function, 4, .production_id = 75),
  [1729] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_self_closing_element, 5, .production_id = 66),
  [1731] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_self_closing_element, 5, .production_id = 66),
  [1733] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_fragment, 5),
  [1735] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_fragment, 5),
  [1737] = {.count = 1, .reusable = false}, REDUCE(sym_class, 4, .production_id = 81),
  [1739] = {.count = 1, .reusable = true}, REDUCE(sym_class, 4, .production_id = 81),
  [1741] = {.count = 2, .reusable = true}, REDUCE(sym_assignment_pattern, 3, .production_id = 52), REDUCE(sym_assignment_expression, 3, .production_id = 52),
  [1744] = {.count = 1, .reusable = true}, REDUCE(sym_assignment_pattern, 3, .production_id = 52),
  [1746] = {.count = 2, .reusable = true}, REDUCE(sym_assignment_pattern, 3, .production_id = 59), REDUCE(sym_assignment_expression, 3, .production_id = 40),
  [1749] = {.count = 1, .reusable = true}, REDUCE(sym_assignment_pattern, 3, .production_id = 59),
  [1751] = {.count = 2, .reusable = true}, REDUCE(sym_assignment_pattern, 3, .production_id = 59), REDUCE(sym_assignment_expression, 3, .production_id = 46),
  [1754] = {.count = 2, .reusable = true}, REDUCE(sym_assignment_pattern, 3, .production_id = 51), REDUCE(sym_assignment_expression, 3, .production_id = 51),
  [1757] = {.count = 1, .reusable = true}, REDUCE(sym_assignment_pattern, 3, .production_id = 51),
  [1759] = {.count = 2, .reusable = true}, REDUCE(sym_array, 3), REDUCE(sym_computed_property_name, 3),
  [1762] = {.count = 1, .reusable = true}, REDUCE(sym_computed_property_name, 3),
  [1764] = {.count = 2, .reusable = false}, REDUCE(sym__expression, 1), SHIFT(95),
  [1767] = {.count = 1, .reusable = true}, SHIFT(95),
  [1769] = {.count = 1, .reusable = false}, SHIFT(123),
  [1771] = {.count = 2, .reusable = false}, REDUCE(sym__expression, 1), SHIFT(85),
  [1774] = {.count = 1, .reusable = true}, SHIFT(85),
  [1776] = {.count = 1, .reusable = false}, SHIFT(124),
  [1778] = {.count = 1, .reusable = false}, SHIFT(528),
  [1780] = {.count = 1, .reusable = true}, REDUCE(sym__initializer, 2, .production_id = 63),
  [1782] = {.count = 1, .reusable = true}, SHIFT(87),
  [1784] = {.count = 1, .reusable = true}, SHIFT(221),
  [1786] = {.count = 1, .reusable = true}, SHIFT(220),
  [1788] = {.count = 1, .reusable = true}, SHIFT(394),
  [1790] = {.count = 1, .reusable = true}, SHIFT(321),
  [1792] = {.count = 1, .reusable = true}, SHIFT(193),
  [1794] = {.count = 1, .reusable = true}, SHIFT(839),
  [1796] = {.count = 1, .reusable = true}, SHIFT(552),
  [1798] = {.count = 1, .reusable = true}, SHIFT(303),
  [1800] = {.count = 1, .reusable = true}, REDUCE(aux_sym_array_repeat1, 2),
  [1802] = {.count = 1, .reusable = true}, SHIFT(456),
  [1804] = {.count = 1, .reusable = true}, REDUCE(sym_pair, 3, .production_id = 60),
  [1806] = {.count = 1, .reusable = true}, SHIFT(871),
  [1808] = {.count = 1, .reusable = true}, SHIFT(277),
  [1810] = {.count = 1, .reusable = true}, SHIFT(730),
  [1812] = {.count = 1, .reusable = true}, SHIFT(264),
  [1814] = {.count = 1, .reusable = true}, SHIFT(266),
  [1816] = {.count = 1, .reusable = true}, SHIFT(214),
  [1818] = {.count = 1, .reusable = true}, SHIFT(32),
  [1820] = {.count = 1, .reusable = true}, SHIFT(269),
  [1822] = {.count = 1, .reusable = true}, SHIFT(270),
  [1824] = {.count = 1, .reusable = true}, SHIFT(262),
  [1826] = {.count = 1, .reusable = true}, SHIFT(265),
  [1828] = {.count = 1, .reusable = true}, SHIFT(263),
  [1830] = {.count = 1, .reusable = true}, SHIFT(290),
  [1832] = {.count = 1, .reusable = true}, SHIFT(9),
  [1834] = {.count = 1, .reusable = true}, SHIFT(261),
  [1836] = {.count = 1, .reusable = true}, SHIFT(268),
  [1838] = {.count = 1, .reusable = true}, SHIFT(782),
  [1840] = {.count = 1, .reusable = true}, SHIFT(41),
  [1842] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1), REDUCE(sym__property_name, 1),
  [1845] = {.count = 1, .reusable = true}, REDUCE(sym__property_name, 1),
  [1847] = {.count = 1, .reusable = true}, SHIFT(275),
  [1849] = {.count = 1, .reusable = false}, SHIFT(147),
  [1851] = {.count = 1, .reusable = false}, SHIFT(143),
  [1853] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1), SHIFT(626),
  [1856] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1), SHIFT(912),
  [1859] = {.count = 1, .reusable = false}, SHIFT(112),
  [1861] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1), SHIFT(617),
  [1864] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1), SHIFT(905),
  [1867] = {.count = 1, .reusable = false}, SHIFT(159),
  [1869] = {.count = 1, .reusable = true}, SHIFT(292),
  [1871] = {.count = 1, .reusable = true}, SHIFT(209),
  [1873] = {.count = 1, .reusable = true}, SHIFT(803),
  [1875] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1), REDUCE(sym_rest_parameter, 2, .production_id = 26),
  [1878] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1), REDUCE(sym_rest_parameter, 2, .production_id = 25),
  [1881] = {.count = 1, .reusable = true}, SHIFT(1090),
  [1883] = {.count = 1, .reusable = true}, SHIFT(128),
  [1885] = {.count = 1, .reusable = true}, SHIFT(121),
  [1887] = {.count = 1, .reusable = true}, REDUCE(sym_class_heritage, 2),
  [1889] = {.count = 1, .reusable = false}, SHIFT(680),
  [1891] = {.count = 1, .reusable = true}, SHIFT(345),
  [1893] = {.count = 1, .reusable = true}, SHIFT(65),
  [1895] = {.count = 1, .reusable = false}, SHIFT(587),
  [1897] = {.count = 1, .reusable = true}, SHIFT(886),
  [1899] = {.count = 1, .reusable = false}, SHIFT(585),
  [1901] = {.count = 1, .reusable = false}, SHIFT(590),
  [1903] = {.count = 1, .reusable = false}, SHIFT(685),
  [1905] = {.count = 1, .reusable = true}, SHIFT(406),
  [1907] = {.count = 1, .reusable = false}, SHIFT(583),
  [1909] = {.count = 1, .reusable = false}, SHIFT(586),
  [1911] = {.count = 1, .reusable = false}, SHIFT(593),
  [1913] = {.count = 1, .reusable = false}, SHIFT(717),
  [1915] = {.count = 1, .reusable = true}, REDUCE(aux_sym_object_repeat1, 1),
  [1917] = {.count = 1, .reusable = false}, SHIFT(589),
  [1919] = {.count = 1, .reusable = false}, SHIFT(592),
  [1921] = {.count = 1, .reusable = false}, SHIFT(596),
  [1923] = {.count = 1, .reusable = false}, SHIFT(766),
  [1925] = {.count = 1, .reusable = true}, SHIFT(436),
  [1927] = {.count = 1, .reusable = true}, SHIFT(115),
  [1929] = {.count = 1, .reusable = false}, SHIFT(595),
  [1931] = {.count = 1, .reusable = true}, SHIFT(682),
  [1933] = {.count = 1, .reusable = false}, SHIFT(597),
  [1935] = {.count = 1, .reusable = false}, SHIFT(604),
  [1937] = {.count = 1, .reusable = true}, SHIFT(201),
  [1939] = {.count = 1, .reusable = true}, SHIFT(55),
  [1941] = {.count = 2, .reusable = false}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 72), SHIFT_REPEAT(766),
  [1944] = {.count = 2, .reusable = true}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 72), SHIFT_REPEAT(635),
  [1947] = {.count = 1, .reusable = true}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 72),
  [1949] = {.count = 2, .reusable = true}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 72), SHIFT_REPEAT(115),
  [1952] = {.count = 2, .reusable = false}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 72), SHIFT_REPEAT(595),
  [1955] = {.count = 2, .reusable = true}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 72), SHIFT_REPEAT(751),
  [1958] = {.count = 2, .reusable = true}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 72), SHIFT_REPEAT(757),
  [1961] = {.count = 2, .reusable = true}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 72), SHIFT_REPEAT(682),
  [1964] = {.count = 2, .reusable = true}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 72), SHIFT_REPEAT(678),
  [1967] = {.count = 2, .reusable = false}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 72), SHIFT_REPEAT(597),
  [1970] = {.count = 2, .reusable = false}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 72), SHIFT_REPEAT(604),
  [1973] = {.count = 1, .reusable = true}, SHIFT(392),
  [1975] = {.count = 1, .reusable = true}, SHIFT(198),
  [1977] = {.count = 1, .reusable = true}, SHIFT(56),
  [1979] = {.count = 1, .reusable = true}, SHIFT(637),
  [1981] = {.count = 1, .reusable = true}, REDUCE(sym__property_name, 1, .production_id = 4),
  [1983] = {.count = 1, .reusable = true}, SHIFT(168),
  [1985] = {.count = 1, .reusable = true}, SHIFT(139),
  [1987] = {.count = 1, .reusable = true}, SHIFT(929),
  [1989] = {.count = 1, .reusable = true}, SHIFT(156),
  [1991] = {.count = 1, .reusable = true}, SHIFT(777),
  [1993] = {.count = 1, .reusable = true}, SHIFT(694),
  [1995] = {.count = 1, .reusable = true}, SHIFT(690),
  [1997] = {.count = 1, .reusable = true}, SHIFT(1050),
  [1999] = {.count = 1, .reusable = true}, SHIFT(1131),
  [2001] = {.count = 1, .reusable = true}, SHIFT(1009),
  [2003] = {.count = 1, .reusable = true}, SHIFT(1081),
  [2005] = {.count = 1, .reusable = true}, SHIFT(1082),
  [2007] = {.count = 1, .reusable = true}, SHIFT(920),
  [2009] = {.count = 1, .reusable = true}, REDUCE(aux_sym_object_repeat1, 2, .production_id = 17),
  [2011] = {.count = 1, .reusable = false}, SHIFT(600),
  [2013] = {.count = 1, .reusable = false}, SHIFT(737),
  [2015] = {.count = 1, .reusable = false}, SHIFT(616),
  [2017] = {.count = 1, .reusable = true}, SHIFT(639),
  [2019] = {.count = 1, .reusable = true}, SHIFT(1019),
  [2021] = {.count = 1, .reusable = false}, SHIFT(629),
  [2023] = {.count = 1, .reusable = false}, SHIFT(594),
  [2025] = {.count = 1, .reusable = true}, SHIFT(699),
  [2027] = {.count = 1, .reusable = false}, SHIFT(603),
  [2029] = {.count = 1, .reusable = false}, REDUCE(sym_decorator, 2),
  [2031] = {.count = 1, .reusable = true}, REDUCE(sym_decorator, 2),
  [2033] = {.count = 1, .reusable = false}, SHIFT(1099),
  [2035] = {.count = 1, .reusable = true}, SHIFT(141),
  [2037] = {.count = 1, .reusable = false}, REDUCE(sym_decorator, 2, .production_id = 13),
  [2039] = {.count = 1, .reusable = true}, REDUCE(sym_decorator, 2, .production_id = 13),
  [2041] = {.count = 1, .reusable = false}, SHIFT(1100),
  [2043] = {.count = 1, .reusable = false}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 16),
  [2045] = {.count = 1, .reusable = true}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 16),
  [2047] = {.count = 2, .reusable = true}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 16), SHIFT_REPEAT(678),
  [2050] = {.count = 1, .reusable = false}, REDUCE(sym_decorator_member_expression, 3, .production_id = 41),
  [2052] = {.count = 1, .reusable = true}, REDUCE(sym_decorator_member_expression, 3, .production_id = 41),
  [2054] = {.count = 1, .reusable = false}, REDUCE(sym_decorator_member_expression, 3, .production_id = 47),
  [2056] = {.count = 1, .reusable = true}, REDUCE(sym_decorator_member_expression, 3, .production_id = 47),
  [2058] = {.count = 1, .reusable = false}, REDUCE(sym_method_definition, 4, .production_id = 78),
  [2060] = {.count = 1, .reusable = true}, REDUCE(sym_method_definition, 4, .production_id = 78),
  [2062] = {.count = 1, .reusable = false}, REDUCE(sym_method_definition, 7, .production_id = 106),
  [2064] = {.count = 1, .reusable = true}, REDUCE(sym_method_definition, 7, .production_id = 106),
  [2066] = {.count = 1, .reusable = true}, SHIFT(107),
  [2068] = {.count = 1, .reusable = false}, REDUCE(sym_method_definition, 6, .production_id = 97),
  [2070] = {.count = 1, .reusable = true}, REDUCE(sym_method_definition, 6, .production_id = 97),
  [2072] = {.count = 1, .reusable = false}, REDUCE(sym_method_definition, 5, .production_id = 87),
  [2074] = {.count = 1, .reusable = true}, REDUCE(sym_method_definition, 5, .production_id = 87),
  [2076] = {.count = 1, .reusable = true}, SHIFT(634),
  [2078] = {.count = 1, .reusable = true}, SHIFT(934),
  [2080] = {.count = 1, .reusable = false}, SHIFT(621),
  [2082] = {.count = 1, .reusable = false}, REDUCE(sym_method_definition, 3, .production_id = 61),
  [2084] = {.count = 1, .reusable = true}, REDUCE(sym_method_definition, 3, .production_id = 61),
  [2086] = {.count = 1, .reusable = false}, SHIFT(614),
  [2088] = {.count = 1, .reusable = false}, SHIFT(844),
  [2090] = {.count = 1, .reusable = true}, SHIFT(936),
  [2092] = {.count = 1, .reusable = false}, SHIFT(843),
  [2094] = {.count = 1, .reusable = true}, SHIFT(975),
  [2096] = {.count = 1, .reusable = false}, SHIFT(750),
  [2098] = {.count = 1, .reusable = false}, SHIFT(763),
  [2100] = {.count = 1, .reusable = true}, SHIFT(1018),
  [2102] = {.count = 1, .reusable = true}, SHIFT(937),
  [2104] = {.count = 1, .reusable = false}, REDUCE(sym_decorator_call_expression, 2, .production_id = 49),
  [2106] = {.count = 1, .reusable = true}, REDUCE(sym_decorator_call_expression, 2, .production_id = 49),
  [2108] = {.count = 1, .reusable = true}, SHIFT(971),
  [2110] = {.count = 1, .reusable = true}, SHIFT(932),
  [2112] = {.count = 1, .reusable = true}, SHIFT(970),
  [2114] = {.count = 1, .reusable = false}, REDUCE(aux_sym_class_body_repeat1, 1, .production_id = 35),
  [2116] = {.count = 1, .reusable = true}, REDUCE(aux_sym_class_body_repeat1, 1, .production_id = 35),
  [2118] = {.count = 1, .reusable = true}, SHIFT(638),
  [2120] = {.count = 1, .reusable = false}, REDUCE(sym_decorator_call_expression, 2, .production_id = 12),
  [2122] = {.count = 1, .reusable = true}, REDUCE(sym_decorator_call_expression, 2, .production_id = 12),
  [2124] = {.count = 1, .reusable = false}, REDUCE(aux_sym_export_statement_repeat1, 1, .production_id = 2),
  [2126] = {.count = 1, .reusable = true}, REDUCE(aux_sym_export_statement_repeat1, 1, .production_id = 2),
  [2128] = {.count = 1, .reusable = true}, SHIFT(974),
  [2130] = {.count = 1, .reusable = true}, SHIFT(985),
  [2132] = {.count = 1, .reusable = false}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 35),
  [2134] = {.count = 1, .reusable = true}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 35),
  [2136] = {.count = 1, .reusable = false}, SHIFT(679),
  [2138] = {.count = 1, .reusable = true}, SHIFT(71),
  [2140] = {.count = 1, .reusable = true}, SHIFT(981),
  [2142] = {.count = 1, .reusable = true}, SHIFT(830),
  [2144] = {.count = 1, .reusable = false}, SHIFT(1068),
  [2146] = {.count = 1, .reusable = true}, SHIFT(679),
  [2148] = {.count = 1, .reusable = true}, SHIFT(1060),
  [2150] = {.count = 1, .reusable = false}, SHIFT(1054),
  [2152] = {.count = 1, .reusable = false}, SHIFT(1070),
  [2154] = {.count = 1, .reusable = false}, SHIFT(1052),
  [2156] = {.count = 1, .reusable = true}, SHIFT(727),
  [2158] = {.count = 1, .reusable = true}, SHIFT(759),
  [2160] = {.count = 1, .reusable = true}, SHIFT(758),
  [2162] = {.count = 1, .reusable = false}, SHIFT(74),
  [2164] = {.count = 1, .reusable = false}, SHIFT(702),
  [2166] = {.count = 1, .reusable = false}, SHIFT(675),
  [2168] = {.count = 1, .reusable = false}, SHIFT_EXTRA(),
  [2170] = {.count = 1, .reusable = false}, SHIFT(741),
  [2172] = {.count = 1, .reusable = true}, SHIFT(870),
  [2174] = {.count = 1, .reusable = false}, SHIFT(1053),
  [2176] = {.count = 1, .reusable = false}, SHIFT(731),
  [2178] = {.count = 1, .reusable = false}, SHIFT(1064),
  [2180] = {.count = 1, .reusable = false}, SHIFT(654),
  [2182] = {.count = 1, .reusable = false}, SHIFT(1058),
  [2184] = {.count = 1, .reusable = false}, SHIFT(734),
  [2186] = {.count = 1, .reusable = false}, SHIFT(663),
  [2188] = {.count = 1, .reusable = false}, SHIFT(659),
  [2190] = {.count = 2, .reusable = false}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, .production_id = 67), SHIFT_REPEAT(679),
  [2193] = {.count = 2, .reusable = true}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, .production_id = 67), SHIFT_REPEAT(71),
  [2196] = {.count = 1, .reusable = true}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, .production_id = 67),
  [2198] = {.count = 1, .reusable = false}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, .production_id = 67),
  [2200] = {.count = 2, .reusable = true}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, .production_id = 67), SHIFT_REPEAT(679),
  [2203] = {.count = 1, .reusable = false}, SHIFT(655),
  [2205] = {.count = 1, .reusable = false}, SHIFT(1085),
  [2207] = {.count = 1, .reusable = false}, SHIFT(716),
  [2209] = {.count = 1, .reusable = false}, SHIFT(726),
  [2211] = {.count = 1, .reusable = false}, SHIFT(673),
  [2213] = {.count = 1, .reusable = false}, SHIFT(714),
  [2215] = {.count = 1, .reusable = false}, SHIFT(740),
  [2217] = {.count = 1, .reusable = false}, SHIFT(671),
  [2219] = {.count = 2, .reusable = false}, REDUCE(aux_sym_jsx_element_repeat1, 2), SHIFT_REPEAT(74),
  [2222] = {.count = 2, .reusable = false}, REDUCE(aux_sym_jsx_element_repeat1, 2), SHIFT_REPEAT(784),
  [2225] = {.count = 2, .reusable = false}, REDUCE(aux_sym_jsx_element_repeat1, 2), SHIFT_REPEAT(675),
  [2228] = {.count = 1, .reusable = false}, SHIFT(721),
  [2230] = {.count = 1, .reusable = false}, SHIFT(677),
  [2232] = {.count = 1, .reusable = false}, SHIFT(719),
  [2234] = {.count = 1, .reusable = false}, SHIFT(598),
  [2236] = {.count = 1, .reusable = false}, SHIFT(602),
  [2238] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_attribute, 1, .production_id = 4),
  [2240] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_attribute, 1, .production_id = 4),
  [2242] = {.count = 1, .reusable = true}, SHIFT(653),
  [2244] = {.count = 1, .reusable = false}, REDUCE(sym_nested_identifier, 3),
  [2246] = {.count = 1, .reusable = true}, REDUCE(sym_nested_identifier, 3),
  [2248] = {.count = 1, .reusable = true}, SHIFT(620),
  [2250] = {.count = 1, .reusable = true}, REDUCE(sym_public_field_definition, 1, .production_id = 36),
  [2252] = {.count = 1, .reusable = true}, SHIFT(127),
  [2254] = {.count = 2, .reusable = true}, REDUCE(aux_sym_switch_body_repeat1, 2), SHIFT_REPEAT(1043),
  [2257] = {.count = 1, .reusable = true}, REDUCE(aux_sym_switch_body_repeat1, 2),
  [2259] = {.count = 2, .reusable = true}, REDUCE(aux_sym_switch_body_repeat1, 2), SHIFT_REPEAT(92),
  [2262] = {.count = 1, .reusable = true}, SHIFT(696),
  [2264] = {.count = 1, .reusable = true}, SHIFT(421),
  [2266] = {.count = 1, .reusable = true}, SHIFT(104),
  [2268] = {.count = 1, .reusable = true}, SHIFT(545),
  [2270] = {.count = 1, .reusable = true}, SHIFT(1043),
  [2272] = {.count = 1, .reusable = true}, SHIFT(237),
  [2274] = {.count = 1, .reusable = true}, SHIFT(92),
  [2276] = {.count = 1, .reusable = true}, SHIFT(686),
  [2278] = {.count = 1, .reusable = true}, SHIFT(502),
  [2280] = {.count = 1, .reusable = true}, SHIFT(732),
  [2282] = {.count = 1, .reusable = true}, SHIFT(219),
  [2284] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_namespace_name, 3),
  [2286] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_namespace_name, 3),
  [2288] = {.count = 2, .reusable = true}, REDUCE(aux_sym_template_string_repeat1, 2), SHIFT_REPEAT(696),
  [2291] = {.count = 1, .reusable = true}, REDUCE(aux_sym_template_string_repeat1, 2),
  [2293] = {.count = 2, .reusable = true}, REDUCE(aux_sym_template_string_repeat1, 2), SHIFT_REPEAT(104),
  [2296] = {.count = 1, .reusable = true}, SHIFT(684),
  [2298] = {.count = 1, .reusable = true}, SHIFT(365),
  [2300] = {.count = 1, .reusable = true}, REDUCE(sym_public_field_definition, 2, .production_id = 69),
  [2302] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_attribute, 1),
  [2304] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_attribute, 1),
  [2306] = {.count = 1, .reusable = true}, SHIFT(651),
  [2308] = {.count = 1, .reusable = false}, SHIFT(641),
  [2310] = {.count = 1, .reusable = false}, SHIFT(774),
  [2312] = {.count = 1, .reusable = true}, SHIFT(645),
  [2314] = {.count = 1, .reusable = false}, REDUCE(aux_sym_jsx_opening_element_repeat1, 1, .production_id = 33),
  [2316] = {.count = 1, .reusable = true}, REDUCE(aux_sym_jsx_opening_element_repeat1, 1, .production_id = 33),
  [2318] = {.count = 1, .reusable = false}, SHIFT(775),
  [2320] = {.count = 1, .reusable = true}, SHIFT(580),
  [2322] = {.count = 1, .reusable = false}, SHIFT(146),
  [2324] = {.count = 1, .reusable = false}, SHIFT(642),
  [2326] = {.count = 1, .reusable = true}, SHIFT(676),
  [2328] = {.count = 1, .reusable = true}, SHIFT(649),
  [2330] = {.count = 1, .reusable = true}, SHIFT(599),
  [2332] = {.count = 1, .reusable = true}, SHIFT(735),
  [2334] = {.count = 1, .reusable = false}, SHIFT(640),
  [2336] = {.count = 1, .reusable = true}, SHIFT(674),
  [2338] = {.count = 1, .reusable = true}, SHIFT(650),
  [2340] = {.count = 1, .reusable = false}, SHIFT(788),
  [2342] = {.count = 1, .reusable = true}, SHIFT(578),
  [2344] = {.count = 1, .reusable = false}, SHIFT(744),
  [2346] = {.count = 1, .reusable = false}, SHIFT(1046),
  [2348] = {.count = 1, .reusable = false}, SHIFT(1107),
  [2350] = {.count = 1, .reusable = false}, SHIFT(802),
  [2352] = {.count = 1, .reusable = false}, SHIFT(1049),
  [2354] = {.count = 1, .reusable = true}, SHIFT(1098),
  [2356] = {.count = 1, .reusable = false}, SHIFT(1065),
  [2358] = {.count = 1, .reusable = false}, SHIFT(770),
  [2360] = {.count = 1, .reusable = true}, SHIFT(600),
  [2362] = {.count = 1, .reusable = true}, SHIFT(737),
  [2364] = {.count = 1, .reusable = false}, SHIFT(1056),
  [2366] = {.count = 1, .reusable = false}, SHIFT(643),
  [2368] = {.count = 1, .reusable = true}, SHIFT(672),
  [2370] = {.count = 1, .reusable = true}, SHIFT(648),
  [2372] = {.count = 1, .reusable = true}, SHIFT(951),
  [2374] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_expression, 3),
  [2376] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_expression, 3),
  [2378] = {.count = 1, .reusable = false}, SHIFT(796),
  [2380] = {.count = 1, .reusable = false}, SHIFT(745),
  [2382] = {.count = 1, .reusable = false}, SHIFT(768),
  [2384] = {.count = 1, .reusable = false}, SHIFT(801),
  [2386] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_attribute, 3),
  [2388] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_attribute, 3),
  [2390] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_attribute, 3, .production_id = 4),
  [2392] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_attribute, 3, .production_id = 4),
  [2394] = {.count = 1, .reusable = false}, SHIFT(1083),
  [2396] = {.count = 1, .reusable = false}, SHIFT(790),
  [2398] = {.count = 1, .reusable = false}, SHIFT(764),
  [2400] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_expression, 2),
  [2402] = {.count = 1, .reusable = true}, REDUCE(sym_jsx_expression, 2),
  [2404] = {.count = 1, .reusable = true}, SHIFT(146),
  [2406] = {.count = 1, .reusable = false}, SHIFT(811),
  [2408] = {.count = 1, .reusable = true}, SHIFT(1020),
  [2410] = {.count = 1, .reusable = true}, SHIFT(742),
  [2412] = {.count = 1, .reusable = true}, SHIFT(945),
  [2414] = {.count = 1, .reusable = true}, SHIFT(857),
  [2416] = {.count = 1, .reusable = true}, SHIFT(577),
  [2418] = {.count = 1, .reusable = true}, SHIFT(962),
  [2420] = {.count = 1, .reusable = true}, SHIFT(858),
  [2422] = {.count = 1, .reusable = true}, SHIFT(622),
  [2424] = {.count = 1, .reusable = true}, SHIFT(968),
  [2426] = {.count = 1, .reusable = false}, SHIFT(368),
  [2428] = {.count = 1, .reusable = true}, SHIFT(754),
  [2430] = {.count = 1, .reusable = false}, SHIFT(754),
  [2432] = {.count = 1, .reusable = false}, SHIFT(381),
  [2434] = {.count = 1, .reusable = true}, SHIFT(799),
  [2436] = {.count = 1, .reusable = false}, SHIFT(799),
  [2438] = {.count = 1, .reusable = false}, SHIFT(723),
  [2440] = {.count = 1, .reusable = true}, SHIFT(794),
  [2442] = {.count = 1, .reusable = false}, SHIFT(794),
  [2444] = {.count = 1, .reusable = true}, SHIFT(752),
  [2446] = {.count = 1, .reusable = false}, SHIFT(752),
  [2448] = {.count = 1, .reusable = false}, SHIFT(729),
  [2450] = {.count = 1, .reusable = true}, SHIFT(753),
  [2452] = {.count = 1, .reusable = false}, SHIFT(753),
  [2454] = {.count = 1, .reusable = true}, SHIFT(755),
  [2456] = {.count = 1, .reusable = false}, SHIFT(755),
  [2458] = {.count = 1, .reusable = true}, SHIFT(617),
  [2460] = {.count = 1, .reusable = true}, SHIFT(905),
  [2462] = {.count = 1, .reusable = true}, SHIFT(167),
  [2464] = {.count = 1, .reusable = true}, SHIFT(626),
  [2466] = {.count = 1, .reusable = true}, SHIFT(912),
  [2468] = {.count = 1, .reusable = true}, SHIFT(165),
  [2470] = {.count = 2, .reusable = true}, REDUCE(aux_sym_variable_declaration_repeat1, 2), SHIFT_REPEAT(698),
  [2473] = {.count = 1, .reusable = true}, REDUCE(aux_sym_variable_declaration_repeat1, 2),
  [2475] = {.count = 1, .reusable = true}, SHIFT(624),
  [2477] = {.count = 1, .reusable = true}, SHIFT(957),
  [2479] = {.count = 2, .reusable = true}, REDUCE(aux_sym_array_repeat1, 2), SHIFT_REPEAT(67),
  [2482] = {.count = 1, .reusable = true}, SHIFT(924),
  [2484] = {.count = 1, .reusable = true}, SHIFT(864),
  [2486] = {.count = 1, .reusable = false}, SHIFT(420),
  [2488] = {.count = 1, .reusable = false}, SHIFT(831),
  [2490] = {.count = 1, .reusable = true}, SHIFT(991),
  [2492] = {.count = 1, .reusable = true}, SHIFT(984),
  [2494] = {.count = 1, .reusable = true}, SHIFT(828),
  [2496] = {.count = 1, .reusable = true}, SHIFT(817),
  [2498] = {.count = 1, .reusable = true}, SHIFT(1128),
  [2500] = {.count = 1, .reusable = true}, SHIFT(814),
  [2502] = {.count = 1, .reusable = true}, SHIFT(807),
  [2504] = {.count = 1, .reusable = true}, SHIFT(228),
  [2506] = {.count = 1, .reusable = true}, SHIFT(1126),
  [2508] = {.count = 1, .reusable = false}, SHIFT(363),
  [2510] = {.count = 1, .reusable = true}, SHIFT(772),
  [2512] = {.count = 1, .reusable = false}, SHIFT(772),
  [2514] = {.count = 1, .reusable = true}, SHIFT(773),
  [2516] = {.count = 1, .reusable = false}, SHIFT(773),
  [2518] = {.count = 1, .reusable = true}, REDUCE(sym_template_substitution, 3),
  [2520] = {.count = 1, .reusable = true}, SHIFT(1116),
  [2522] = {.count = 1, .reusable = true}, SHIFT(1114),
  [2524] = {.count = 1, .reusable = true}, SHIFT(952),
  [2526] = {.count = 1, .reusable = true}, SHIFT(852),
  [2528] = {.count = 1, .reusable = true}, SHIFT(707),
  [2530] = {.count = 1, .reusable = true}, SHIFT(698),
  [2532] = {.count = 1, .reusable = true}, SHIFT(238),
  [2534] = {.count = 1, .reusable = true}, SHIFT(217),
  [2536] = {.count = 1, .reusable = false}, SHIFT(806),
  [2538] = {.count = 1, .reusable = true}, SHIFT(902),
  [2540] = {.count = 1, .reusable = true}, SHIFT(250),
  [2542] = {.count = 1, .reusable = true}, SHIFT(1040),
  [2544] = {.count = 1, .reusable = true}, SHIFT(812),
  [2546] = {.count = 1, .reusable = true}, SHIFT(942),
  [2548] = {.count = 1, .reusable = true}, SHIFT(880),
  [2550] = {.count = 1, .reusable = false}, REDUCE(aux_sym_string_repeat1, 2),
  [2552] = {.count = 2, .reusable = true}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(794),
  [2555] = {.count = 2, .reusable = false}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(794),
  [2558] = {.count = 1, .reusable = true}, SHIFT(1066),
  [2560] = {.count = 1, .reusable = false}, SHIFT(818),
  [2562] = {.count = 1, .reusable = true}, SHIFT(1014),
  [2564] = {.count = 1, .reusable = true}, SHIFT(1086),
  [2566] = {.count = 1, .reusable = true}, SHIFT(218),
  [2568] = {.count = 1, .reusable = false}, REDUCE(aux_sym_string_repeat2, 2),
  [2570] = {.count = 2, .reusable = true}, REDUCE(aux_sym_string_repeat2, 2), SHIFT_REPEAT(799),
  [2573] = {.count = 2, .reusable = false}, REDUCE(aux_sym_string_repeat2, 2), SHIFT_REPEAT(799),
  [2576] = {.count = 1, .reusable = true}, SHIFT(954),
  [2578] = {.count = 1, .reusable = true}, SHIFT(854),
  [2580] = {.count = 1, .reusable = true}, SHIFT(501),
  [2582] = {.count = 1, .reusable = true}, SHIFT(997),
  [2584] = {.count = 1, .reusable = true}, SHIFT(242),
  [2586] = {.count = 1, .reusable = true}, SHIFT(1004),
  [2588] = {.count = 1, .reusable = true}, SHIFT(244),
  [2590] = {.count = 1, .reusable = true}, SHIFT(60),
  [2592] = {.count = 1, .reusable = true}, SHIFT(1034),
  [2594] = {.count = 1, .reusable = true}, SHIFT(705),
  [2596] = {.count = 1, .reusable = true}, SHIFT(941),
  [2598] = {.count = 1, .reusable = true}, SHIFT(820),
  [2600] = {.count = 1, .reusable = true}, SHIFT(1061),
  [2602] = {.count = 1, .reusable = true}, REDUCE(sym_export_clause, 2),
  [2604] = {.count = 1, .reusable = true}, REDUCE(sym__import_export_specifier, 1, .production_id = 5),
  [2606] = {.count = 1, .reusable = true}, SHIFT(1073),
  [2608] = {.count = 1, .reusable = true}, SHIFT(875),
  [2610] = {.count = 1, .reusable = true}, SHIFT(1091),
  [2612] = {.count = 1, .reusable = true}, SHIFT(861),
  [2614] = {.count = 1, .reusable = true}, SHIFT(837),
  [2616] = {.count = 1, .reusable = true}, REDUCE(sym_export_clause, 5, .production_id = 58),
  [2618] = {.count = 1, .reusable = true}, REDUCE(sym_variable_declarator, 2, .production_id = 19),
  [2620] = {.count = 1, .reusable = true}, REDUCE(sym_variable_declarator, 2, .production_id = 20),
  [2622] = {.count = 1, .reusable = true}, SHIFT(860),
  [2624] = {.count = 1, .reusable = true}, REDUCE(sym_variable_declarator, 2, .production_id = 21),
  [2626] = {.count = 1, .reusable = true}, SHIFT(911),
  [2628] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_opening_element, 3, .dynamic_precedence = -1, .production_id = 32),
  [2630] = {.count = 1, .reusable = true}, SHIFT(437),
  [2632] = {.count = 1, .reusable = true}, SHIFT(300),
  [2634] = {.count = 1, .reusable = true}, SHIFT(874),
  [2636] = {.count = 1, .reusable = true}, SHIFT(876),
  [2638] = {.count = 1, .reusable = true}, REDUCE(sym_export_clause, 3, .production_id = 58),
  [2640] = {.count = 1, .reusable = true}, SHIFT(399),
  [2642] = {.count = 1, .reusable = true}, SHIFT(61),
  [2644] = {.count = 1, .reusable = true}, SHIFT(956),
  [2646] = {.count = 1, .reusable = true}, REDUCE(aux_sym_formal_parameters_repeat1, 2, .production_id = 13),
  [2648] = {.count = 1, .reusable = true}, REDUCE(aux_sym_formal_parameters_repeat1, 2),
  [2650] = {.count = 2, .reusable = true}, REDUCE(aux_sym_object_repeat1, 2), SHIFT_REPEAT(575),
  [2653] = {.count = 1, .reusable = true}, REDUCE(aux_sym_object_repeat1, 2),
  [2655] = {.count = 1, .reusable = true}, SHIFT(316),
  [2657] = {.count = 1, .reusable = true}, REDUCE(aux_sym_formal_parameters_repeat1, 2, .production_id = 25),
  [2659] = {.count = 1, .reusable = true}, REDUCE(aux_sym_formal_parameters_repeat1, 2, .production_id = 26),
  [2661] = {.count = 1, .reusable = true}, SHIFT(325),
  [2663] = {.count = 1, .reusable = true}, SHIFT(329),
  [2665] = {.count = 1, .reusable = true}, SHIFT(913),
  [2667] = {.count = 1, .reusable = true}, SHIFT(627),
  [2669] = {.count = 1, .reusable = true}, SHIFT(948),
  [2671] = {.count = 1, .reusable = true}, SHIFT(450),
  [2673] = {.count = 2, .reusable = true}, REDUCE(aux_sym_formal_parameters_repeat1, 2), SHIFT_REPEAT(636),
  [2676] = {.count = 1, .reusable = true}, SHIFT(921),
  [2678] = {.count = 1, .reusable = true}, SHIFT(1035),
  [2680] = {.count = 2, .reusable = true}, REDUCE(aux_sym_named_imports_repeat1, 2), SHIFT_REPEAT(1021),
  [2683] = {.count = 1, .reusable = true}, REDUCE(aux_sym_named_imports_repeat1, 2),
  [2685] = {.count = 1, .reusable = true}, SHIFT(1109),
  [2687] = {.count = 1, .reusable = true}, SHIFT(897),
  [2689] = {.count = 1, .reusable = true}, SHIFT(20),
  [2691] = {.count = 1, .reusable = true}, SHIFT(720),
  [2693] = {.count = 1, .reusable = true}, SHIFT(341),
  [2695] = {.count = 1, .reusable = true}, SHIFT(633),
  [2697] = {.count = 1, .reusable = false}, REDUCE(sym_jsx_opening_element, 4, .dynamic_precedence = -1, .production_id = 66),
  [2699] = {.count = 2, .reusable = true}, REDUCE(aux_sym_export_clause_repeat1, 2), SHIFT_REPEAT(1012),
  [2702] = {.count = 1, .reusable = true}, REDUCE(aux_sym_export_clause_repeat1, 2),
  [2704] = {.count = 1, .reusable = true}, SHIFT(822),
  [2706] = {.count = 1, .reusable = true}, REDUCE(sym_export_clause, 4, .production_id = 58),
  [2708] = {.count = 1, .reusable = true}, REDUCE(sym_export_clause, 3),
  [2710] = {.count = 1, .reusable = true}, SHIFT(632),
  [2712] = {.count = 1, .reusable = true}, SHIFT(385),
  [2714] = {.count = 1, .reusable = true}, SHIFT(917),
  [2716] = {.count = 1, .reusable = true}, SHIFT(503),
  [2718] = {.count = 1, .reusable = true}, SHIFT(448),
  [2720] = {.count = 1, .reusable = true}, SHIFT(618),
  [2722] = {.count = 1, .reusable = true}, SHIFT(142),
  [2724] = {.count = 1, .reusable = true}, SHIFT(18),
  [2726] = {.count = 1, .reusable = true}, SHIFT(253),
  [2728] = {.count = 1, .reusable = true}, REDUCE(aux_sym_export_clause_repeat1, 2, .production_id = 58),
  [2730] = {.count = 1, .reusable = true}, REDUCE(sym__import_export_specifier, 3, .production_id = 82),
  [2732] = {.count = 1, .reusable = true}, REDUCE(sym__from_clause, 2, .production_id = 18),
  [2734] = {.count = 1, .reusable = true}, SHIFT(797),
  [2736] = {.count = 1, .reusable = true}, REDUCE(sym_import_clause, 1),
  [2738] = {.count = 1, .reusable = true}, SHIFT(15),
  [2740] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 3, .production_id = 25),
  [2742] = {.count = 1, .reusable = true}, SHIFT(16),
  [2744] = {.count = 1, .reusable = true}, SHIFT(22),
  [2746] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 3, .production_id = 26),
  [2748] = {.count = 1, .reusable = true}, REDUCE(sym_public_field_definition, 2, .production_id = 70),
  [2750] = {.count = 1, .reusable = true}, SHIFT(86),
  [2752] = {.count = 1, .reusable = true}, SHIFT(1006),
  [2754] = {.count = 1, .reusable = true}, SHIFT(1127),
  [2756] = {.count = 1, .reusable = true}, REDUCE(sym_rest_parameter, 2, .production_id = 26),
  [2758] = {.count = 1, .reusable = true}, SHIFT(239),
  [2760] = {.count = 1, .reusable = true}, SHIFT(93),
  [2762] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 4, .production_id = 26),
  [2764] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 4, .production_id = 25),
  [2766] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 4),
  [2768] = {.count = 1, .reusable = true}, REDUCE(aux_sym_named_imports_repeat1, 2, .production_id = 62),
  [2770] = {.count = 1, .reusable = true}, REDUCE(sym_rest_parameter, 2, .production_id = 25),
  [2772] = {.count = 1, .reusable = true}, REDUCE(sym_rest_parameter, 2),
  [2774] = {.count = 1, .reusable = true}, SHIFT(692),
  [2776] = {.count = 1, .reusable = true}, SHIFT(75),
  [2778] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 3, .production_id = 13),
  [2780] = {.count = 1, .reusable = true}, SHIFT(82),
  [2782] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 3),
  [2784] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 5, .production_id = 13),
  [2786] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 4, .production_id = 13),
  [2788] = {.count = 1, .reusable = true}, SHIFT(34),
  [2790] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 5),
  [2792] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 5, .production_id = 25),
  [2794] = {.count = 1, .reusable = false}, SHIFT(693),
  [2796] = {.count = 1, .reusable = true}, SHIFT(693),
  [2798] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameters, 5, .production_id = 26),
  [2800] = {.count = 1, .reusable = true}, SHIFT(223),
  [2802] = {.count = 1, .reusable = true}, SHIFT(222),
  [2804] = {.count = 1, .reusable = true}, REDUCE(sym_public_field_definition, 3, .production_id = 85),
  [2806] = {.count = 1, .reusable = true}, SHIFT(1031),
  [2808] = {.count = 1, .reusable = true}, SHIFT(1129),
  [2810] = {.count = 1, .reusable = true}, SHIFT(1039),
  [2812] = {.count = 1, .reusable = true}, SHIFT(1059),
  [2814] = {.count = 1, .reusable = true}, SHIFT(216),
  [2816] = {.count = 1, .reusable = true}, SHIFT(213),
  [2818] = {.count = 1, .reusable = true}, SHIFT(252),
  [2820] = {.count = 1, .reusable = true}, SHIFT(930),
  [2822] = {.count = 1, .reusable = true}, SHIFT(1130),
  [2824] = {.count = 1, .reusable = false}, SHIFT(1115),
  [2826] = {.count = 1, .reusable = true}, SHIFT(10),
  [2828] = {.count = 1, .reusable = false}, SHIFT(1078),
  [2830] = {.count = 1, .reusable = true}, SHIFT(701),
  [2832] = {.count = 1, .reusable = true}, REDUCE(sym_import_clause, 3),
  [2834] = {.count = 1, .reusable = true}, REDUCE(sym_namespace_import, 3),
  [2836] = {.count = 1, .reusable = true}, SHIFT(434),
  [2838] = {.count = 1, .reusable = true}, SHIFT(771),
  [2840] = {.count = 1, .reusable = true}, SHIFT(703),
  [2842] = {.count = 1, .reusable = true}, SHIFT(704),
  [2844] = {.count = 1, .reusable = true}, SHIFT(869),
  [2846] = {.count = 1, .reusable = true}, REDUCE(sym_named_imports, 3),
  [2848] = {.count = 1, .reusable = true}, SHIFT(715),
  [2850] = {.count = 1, .reusable = true}, SHIFT(805),
  [2852] = {.count = 1, .reusable = true}, SHIFT(891),
  [2854] = {.count = 1, .reusable = true}, SHIFT(681),
  [2856] = {.count = 1, .reusable = true}, REDUCE(sym_named_imports, 3, .production_id = 62),
  [2858] = {.count = 1, .reusable = true}, SHIFT(444),
  [2860] = {.count = 1, .reusable = true}, SHIFT(445),
  [2862] = {.count = 1, .reusable = true}, SHIFT(767),
  [2864] = {.count = 1, .reusable = true}, SHIFT(521),
  [2866] = {.count = 1, .reusable = true}, SHIFT(433),
  [2868] = {.count = 1, .reusable = true}, SHIFT(276),
  [2870] = {.count = 1, .reusable = true}, SHIFT(415),
  [2872] = {.count = 1, .reusable = true}, SHIFT(895),
  [2874] = {.count = 1, .reusable = true}, SHIFT(84),
  [2876] = {.count = 1, .reusable = true}, SHIFT(81),
  [2878] = {.count = 1, .reusable = true}, SHIFT(88),
  [2880] = {.count = 1, .reusable = true}, SHIFT(274),
  [2882] = {.count = 1, .reusable = false}, SHIFT(359),
  [2884] = {.count = 1, .reusable = true}, SHIFT(98),
  [2886] = {.count = 1, .reusable = true}, SHIFT(756),
  [2888] = {.count = 1, .reusable = true}, SHIFT(1010),
  [2890] = {.count = 1, .reusable = true}, SHIFT(537),
  [2892] = {.count = 1, .reusable = true}, SHIFT(100),
  [2894] = {.count = 1, .reusable = true}, SHIFT(526),
  [2896] = {.count = 1, .reusable = true}, SHIFT(1117),
  [2898] = {.count = 1, .reusable = true},  ACCEPT_INPUT(),
  [2900] = {.count = 1, .reusable = true}, SHIFT(286),
  [2902] = {.count = 1, .reusable = true}, REDUCE(sym_named_imports, 4, .production_id = 62),
  [2904] = {.count = 1, .reusable = true}, SHIFT(907),
  [2906] = {.count = 1, .reusable = true}, SHIFT(607),
  [2908] = {.count = 1, .reusable = true}, SHIFT(606),
  [2910] = {.count = 1, .reusable = true}, SHIFT(914),
  [2912] = {.count = 1, .reusable = true}, SHIFT(919),
  [2914] = {.count = 1, .reusable = true}, SHIFT(918),
  [2916] = {.count = 1, .reusable = true}, SHIFT(553),
  [2918] = {.count = 1, .reusable = true}, REDUCE(sym_named_imports, 5, .production_id = 62),
  [2920] = {.count = 1, .reusable = true}, REDUCE(sym_named_imports, 2),
  [2922] = {.count = 1, .reusable = false}, SHIFT(467),
  [2924] = {.count = 1, .reusable = true}, SHIFT(1055),
  [2926] = {.count = 1, .reusable = true}, SHIFT(1048),
  [2928] = {.count = 1, .reusable = true}, SHIFT(295),
  [2930] = {.count = 1, .reusable = true}, SHIFT(111),
  [2932] = {.count = 1, .reusable = true}, SHIFT(513),
  [2934] = {.count = 1, .reusable = true}, SHIFT(748),
  [2936] = {.count = 1, .reusable = true}, SHIFT(1038),
  [2938] = {.count = 1, .reusable = true}, SHIFT(877),
  [2940] = {.count = 1, .reusable = true}, SHIFT(940),
  [2942] = {.count = 1, .reusable = true}, SHIFT(946),
  [2944] = {.count = 1, .reusable = true}, SHIFT(1036),
};

void *tree_sitter_javascript_external_scanner_create(void);
void tree_sitter_javascript_external_scanner_destroy(void *);
bool tree_sitter_javascript_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_javascript_external_scanner_serialize(void *, char *);
void tree_sitter_javascript_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_javascript(void) {
  static TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .symbol_metadata = ts_symbol_metadata,
    .parse_table = (const unsigned short *)ts_parse_table,
    .small_parse_table = (const uint16_t *)ts_small_parse_table,
    .small_parse_table_map = (const uint32_t *)ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .lex_modes = ts_lex_modes,
    .symbol_names = ts_symbol_names,
    .public_symbol_map = ts_symbol_map,
    .alias_sequences = (const TSSymbol *)ts_alias_sequences,
    .field_count = FIELD_COUNT,
    .field_names = ts_field_names,
    .field_map_slices = (const TSFieldMapSlice *)ts_field_map_slices,
    .field_map_entries = (const TSFieldMapEntry *)ts_field_map_entries,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .external_scanner = {
      (const bool *)ts_external_scanner_states,
      ts_external_scanner_symbol_map,
      tree_sitter_javascript_external_scanner_create,
      tree_sitter_javascript_external_scanner_destroy,
      tree_sitter_javascript_external_scanner_scan,
      tree_sitter_javascript_external_scanner_serialize,
      tree_sitter_javascript_external_scanner_deserialize,
    },
  };
  return &language;
}
